1394 Configuration ROM test

This test examines the Configuration ROM of every device attached to the system's initial 1394 bus, as well as the Configuration ROM of the 1394 host controller. The test also verifies that all Configuration ROMs comply with the IEEE-1212r-2000 and IEEE-1394 standards.

The first time this test is run, the Found New Hardware Wizard will prompt users to install a virtual driver. The virtual driver is located in the HCT folder on the test system.

Run time: 1 minute

Log file name: configrom.log

Operating system: Windows® XP Professional

Test assertions: Chapter 19: IEEE 1394 Test Specification

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


1394 Interoperability test

This test verifies that typical IEEE 1394 devices on a system will work correctly. It initially scans all the devices on the system to confirm that a SBP-2 hard disk drive and a IEEE 1394 conferencing camera are installed.

After this has been verified, the test creates and destroys files and directories on the hard disk drive, and previews video from the IEEE 1394 conferencing camera. Both devices must function successfully for the test to pass.

Run time: 15 minutes

Log file name: interop.log

Operating system: Windows® XP Professional

Test assertions: Chapter 19: IEEE 1394 Test Specification

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


ACPI Stress – Device I/O (Extended) test

This test examines the devices in the system, and then puts the system into a sleep/hibernation state. When the system returns from sleep/hibernation, it tests the devices in the system again to verify that the devices function properly after sleep/hibernation. This test examines all sleep/hibernation states that the system supports.

An ACPI system must support one of the following states: S1, S2, or S3. Support of S4 or S4BIOS is optional. For devices, support of S1, S2, S3, and S4 states is required.

The ACPI Stress Extended Device I/O test runs through 50 iterations of testing the system input/output (I/O) and sleep/hibernation.

ACPI supports a Real Time Clock (RTC). For this test functionality, the clock is set to 60 seconds per state for systems testing, and 4 minutes for device testing. Systems that don't have RTC support for a hibernation state reboot without the normal 60-second delay.

Run time: Maximum 48 hours, depending on the number of system states the test system supports. Typically, 2 hours maximum for device testing.

Log file name: pmte.log

Operating system: Windows® XP Professional

Test assertion: Chapter 3: Advanced Configuration and Power Interface Test Specification

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


ATA/ATAPI test

This test verifies that the PCI ATA/ATAPI Controller Bus Master Programming Interface registers have been programmed according to specifications. It does not test the performance, the timing registers, or the ability of the controller to withstand stress tests.

This test requires the test system to restart. If the test system is password protected, each time the system restarts the test will pause until the user enters a valid password.

Run time: Approximately 15 minutes

Log file name: idetest.log

Operating system: Windows® XP Professional

Test assertion: Not applicable - legacy test

Additional software requirement

One piece of media for the test device

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


ATA/ATAPI SMART Disk test

This test verifies that an ATA/ATAPI hard disk drive complies with the Self-Monitoring, Analysis, and Reporting Technology (S.M.A.R.T.) specification.

Run time: 1 hour

Log file name: smarttst.log

Operating system: Windows® XP Professional

Logo requirement: B10.4.2.1 SMART IOCTL API Specification, v1.1

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


ATAPI Changer test

This test sends commands directly to the ATAPI changer device, executes the basic changer functionality commands listed in ANSI Specification sff8020i, and verifies proper response to each command.

Run time: 60 minutes

Log file name: chngrtst.log

Operating system: Windows® XP Professional

Test assertion: Not applicable - legacy test

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


CardBus Bridge Power Management Register test

This test searches the CardBus Bridge/Card configuration space for each of the CardBus device functions and verifies that the power management registers have been implemented correctly.

The CardBus Bridge Power Management Register test accesses the CardBus Bridge PCI configuration space through the Windows® PCI driver interface.

Run time: Less than 1 minute

Log file name: Cbpmreg.log

Operating system: Windows® XP Professional

Test assertion: Chapter 14: PC Card Test Specification

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


CardBus Bridge Register test

This test determines whether the CardBus bridges support all registers specified in the PCI to PCMCIA CardBus Bridge Register Description standard (Yenta Specification). It also verifies that all reserved fields in the CardBus bridge configuration space register a return value of 0 when they are read. Write operations on reserved fields must have no effect.

Additionally, the test verifies that read-only bits/fields in the CardBus bridge registers are in fact only readable.

Run time: Less than 1 minute

Log file name: Cbbridge.log

Operating system: Windows® XP Professional

Test assertion: Chapter 14: PC Card Test Specification

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


CardBus Card Common Silicon Guidelines test

This test determines whether the CardBus card’s configuration space supports Common Silicon Guidelines as described in PC Card Standard Guidelines, Volume 10.

This test verifies that the CardBus cards implement the following allocated fields in the configuration space:

  • PCI SIG-assigned vendor ID (Vendor ID)
  • Vendor-assigned device ID (Device ID)
  • Vendor-assigned revision ID (Revision ID)
  • CardBus card device class (Class Code)
  • Latency timer setting (Max_Lat)
  • Time-slice request setting (Min_Gnt)
  • Current IRQ routing for the CardBus card device (Interrupt Line)

Run time: Less than 1 minute

Log file name: Cbcomsig.log

Operating system: Windows® XP Professional

Test assertion: Chapter 14: PC Card Test Specification

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


CardBus Card Configuration Space Register test

This test determines whether the CardBus card’s configuration space support registers are implemented correctly. Specifically, this test program validates the CardBus CIS Pointer register. CardBus cards must include a separate CIS for each function within the card. Each CIS provides a method for function-specific software such as the client drivers to determine the type of function and configuration options for a given function.

The CardBus Card Configuration Space Register test verifies the CardBus card’s CIS Pointer register field functionality. In addition, the program verifies that all unimplemented registers in CardBus card configuration space return all 0s when read.

After the system restarts and opens the Windows® operating system, the test accesses the CardBus card configuration space to verify the support for the CIS register fields. The test accesses CardBus card’s configuration space through the PCI driver interface.

Run time: Less than one minute

Log file name: Cbcreg.log

Operating system: Windows® XP Professional

Test assertion: Chapter 14: PC Card Test Specification

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


CD Auto-start test

This test verifies that the test device properly supports the CD auto-start functionality.

Run time: Less than 5 minutes

Log file name: cdautost.log

Operating system: Windows® XP Professional

Logo requirement: B10.5.3.1 "Pass WHQL tests"

Additional software requirement

One AutoRun CD-ROM

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


CD - Extra Compatibility test

This test verifies that a CD-ROM drive can play video and audio simultaneously when using a CD-Extra disc. This test also verifies that audio can be played through speakers connected to the audio adapter (wave and AVI audio).

Important:

  • Microsoft does not provide media for this test. Disregard the following note in the
    CD-Extra Compatibility test:
    CD Plus titles can be obtained by emailing ihv@Microsoft.com.
  • The Microsoft Music Sampler CD was produced specifically for the Windows 9x operating systems and will not function on the Windows XP operating system.

Run time: Approximately 15 minutes

Log file name: cdextratst.log

Operating system: Windows® XP Professional

Logo requirement: B10.5.4.2 "CD device requirements (STOR-03xx;SDG3;18x)"

Additional hardware requirements

  • One audio adapter installed on the test system
  • One set of speakers installed on the test system
  • One pair of headphones

Additional software requirement

  • One CD-Extra title

The CD-Extra title must contain both motion video and music files.

Recommended CD-Extra titles include:

Title | Artist
Americana | The Offspring
The Stranger | Billy Joel
Hourglass | James Taylor

Examples of CD-Extra titles can be found on the following Web sites:

  • Sony Music CD Extra at http://www.cdextra.com/
  • Tower Records at http://www.towerrecords.com/music.asp

On the left side of the Tower Records.com Music home page, under Browse, click Enhanced CDs in the list box.

Note: It is the user’s responsibility to verify that the CD Extra title meets testing criteria.

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


CD-R/CD-RW Functionality test

This test verifies CD-R burning functionality and CD-RW burning and erasing functionality. This test does not support DVD-RAM or DVD-R+W media.

The test scans the media inserted into the test device and displays the results in a dialog box. The test classifies the media according to parameters referred to as "media type" and "media flags". The media type parameter is always defined. Media flag parameters modify the media type, and will only be listed if appropriate to the media type. More than one media flag can be listed for each media type.

The test will identify the media as one of the following types:

If the media type parameter is | Then the media is
empty | No media inserted in the drive
MEDIA_CDDA_CDROM | CD-DA Compact Disc-Digital Audio. CD-DA was the first incarnation of the compact disc, used to digitally record and play back music. The standard under which CD-DA discs are recorded is the Red Book.
MEDIA_CD_ROM_XA | CD-ROM XA "XA" stands for Extended Architecture. CD-ROM XA is an extension of the Yellow Book standard, generally consistent with the ISO 9660 logical format but designed to add better audio and video capabilities (taken from the CD-I standard) so that CD-ROM can more easily be used for multimedia applications. CD-ROM XA was abandoned as an independent multimedia format, but Photo CD discs are written in the CD-ROM XA physical format.
MEDIA_CD_I | CD-I A compact disc format developed by Philips, designed to allow interactive multimedia applications to be run on a player attached to a television. The standard document defining CD-I is called the Green Book.
MEDIA_CD_EXTRA | CD Extra or CD Plus A multi-session disc containing a number of audio tracks in the first session, and one CD-ROM XA data track in the second session. Additional characteristics are defined in the Blue Book standard. An alternative to mixed-mode for combining standard CD-DA audio (which can be played in a normal audio player), and a computer application, on a single disc.
MEDIA_CD_OTHER | A CD format other than those listed above.
MEDIA_SPECIAL | TBD

The media types listed above can also be qualified by the following flags:

If the media flag is | Then the media is
empty | No media flags detected
MEDIA_BLANK | The media does not contain data (blank)
MEDIA_RW | Rewriteable
MEDIA_WRITEABLE | Recordable

Run time: Approximately 30 minutes

Log file name: imapimstest.log

Operating system: Windows® XP Professional

Test assertion: Chapter 28: Storage Test Specification

Additional software requirements

One example of each media type supported by the test device.

For example, CD-ROM, CD-R, CD-RW, DVD-ROM.

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


CD Redbook Verification test

This test verifies that a CD drive is compatible with CD Red Book (CD-Audio) format.

Important: This test requires that the HCT CD be inserted into the test device before starting the test.

Run time: Approximately 10 minutes

Log file name: redbook.log

Operating system: Windows® XP Professional

Test assertion: Chapter 28: Storage Test Specification

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


CD-ROM - File I/O test

This test exercises the CD-ROM File System (CDFS) and universal disk format (UDF) read only file systems using various APIs.

Important: This test requires that the HCT CD be inserted into the test device before starting the test.

Run time: Up to 12 hours

Log file name: cdfstest.log

Operating system: Windows® XP Professional

Test assertion: Not applicable - legacy test

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


ChkINF test

This test uses a Perl script that checks the structure and syntax of Microsoft Windows® XP device driver INF files. The ChkINF test has been enhanced to support additional device classes and to handle new platform extensions, INF sections, and directives.

The ChkINF test is required for devices using manufacturer-supplied drivers only.

This test description applies to the following versions of ChkINF test:

  • ChkINF
  • ChkINF - Hard Disk Controllers
  • ChkINF - Medium Changer
  • ChkINF - RAID
  • ChkINF - SCSI Adapter
  • ChkINF - Tape Drive

Run time: Approximately 5 minutes

Log file name: Infcheck.log

Operating system: Windows® XP Professional

Test assertion: Chapter 22: Driver Quality Test Specification

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


Client Server Phase 1: Client test

This test verifies the functionality necessary for Microsoft Cluster Service (MSCS) to change and maintain ownership of the RAID storage disks in the cluster client node. It also verifies the functionality necessary for multi-initiator host bus adapter (HBA) implementations.

Before running the test, you must ensure that all nodes are not joined to the cluster being tested.

You must install MSCS before running this test.

Run time: 2 hours

Log file name: Nnodesim_client.log

Operating system: Windows® Whistler Server

Test assertions: Chapter 24: Cluster Test Specification

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


Client Server Phase 1: Server test

This test verifies the functionality necessary for Microsoft Cluster Service (MSCS) to change and maintain ownership of the RAID storage disks in the cluster server node. It also verifies the functionality necessary for multi-initiator host bus adapter (HBA) implementations.

Before running the test, you must ensure that all nodes are not joined to the cluster being tested.

You must install MSCS before running this test.

Run time: 2 hours

Log file name: Nnodesim_server.log

Operating system: Windows Whistler Server

Test assertions: Chapter 24: Cluster Test Specification

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


Cluster N Node Client test

This test verifies the functionality necessary for Microsoft Cluster Service (MSCS) to change and maintain ownership of the RAID storage disks in the cluster client node. It also verifies the functionality necessary for multi-initiator host bus adapter (HBA) implementations.

Run time: 2 hours

Log file name: nnodesim_client.log.

Operating system: Windows® XP Professional

Test assertion: Chapter 24: Cluster Test Specification

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


Cluster N Node Server test

This test verifies the functionality necessary for Microsoft Cluster Service (MSCS) to change and maintain ownership of the RAID storage disks in the cluster server node. It also verifies the functionality necessary for multi-initiator host bus adapter (HBA) implementations.

Run time: 8 hours

Log file name: nnodesim_server.log.

MSCS also creates its own log of events. This log, called cluster.log, is written on each node in the cluster and records all events on that node.

Operating system: Windows® Whistler Advanced Server

Test assertion: Chapter 24: Cluster Test Specification

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


Crashdump Support test

This test forces the Microsoft® Windows® XP operating system to fail, and then examines a mini, kernel, or full memory dump file to verify that the data in the memory was correctly written to the dump file during the system failure.

This test requires Debugging Tools for Windows and Windows XP symbols installed on the test system. The Debugging Tools for Windows and Windows XP symbols can be obtained from the Microsoft Debugging Tools page of the Microsoft Driver Developer Kits (DDK) Web site.

Complete the following steps before running the test:

  • Install the Microsoft Debugging Tools for Windows locally in C:\Debuggers\
  • Place the symbols files in C:\Symbols

If the debuggers and symbols files are not found when the test starts, the user will be prompted to enter new paths to them.

Run time: 90 minutes

Log file name: CrashdumpTest.log

Operating system: Windows® XP Professional

Logo requirement: B10.1.3.3, "Windows XP/Windows 2000: Support Crashdump for any storage controller that can be configured as the boot device"

Related links

Microsoft Debugging Tools

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


Disk Stress test

This test uses multiple threads to read, write, and verify a 1 MB pattern to stress CD-ROM and hard disk drive access against supported SCSI, ATA/ATAPI, and RAID hardware arrays.

Run time: 30 minutes

Log file name: diskload.log

Operating system: Windows® XP Professional

Test assertion: Not applicable - legacy test

Logo requirement: B10.3.2.1

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


DMA test

This test ensures that ATA/ATAPI storage drivers correctly time devices as specified by the user or the system.

The test verifies the ability of a driver to set a specified Direct Memory Access (DMA) timing mode for a device. The DMA test attempts to program the timing modes supported by all devices in the system. . The test also runs multi-threaded FILEIO in the background, compares the copied data, and reports passes or failures based on the compare function.

If the machine has a controller that supports ULTRADMA 3 or above, an 80 cable must be attached by the user to for accurate results.

Run time: Approximately 15 minutes

Log file name: dmatest.log

Operating system: Windows® XP Professional

Test assertion: Chapter 28: Storage Test Specification

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


Driver Verifier test

This test examines only unsigned drivers that are designed for Windows® XP. It stresses device/driver combinations and tests the device's use of system resources, including the driver's memory paging behavior.

Important: Successful completion of this test may require an increase in system memory to a minimum of 256 MB of RAM.

The Driver Verifier test examines device/driver combinations using the following verification types:

  • Special Pool
  • Force IRQL Checking
  • Pool Tracking
  • Low Resource Stimulation (Fault Injection)

This test requires the test system to restart. If the test system is password protected, each time the system restarts the test will pause until the user enters a valid password.

For more information on the Driver Verifier test and the Driver Verifier verification types, see the latest version of the Windows 2000 DDK, section 5.1 "Driver Verifier:"

This test description applies to the following versions of the Driver Verifier test:

Test name | Log file name
Driver Verifier - ATA/ATAPI Controller | Idever.log
Driver Verifier - Medium Changer | Medver.log
Driver Verifier - RAID Controller | Raidver.log
Driver Verifier - SCSI Controller | Scsiver.log
Driver Verifier - Tape Drive | Tapever.log

Run time:

If no unsigned drivers are found: 2 minutes

If unsigned drivers are found: approximately 4-5 hours

Log file name: see table above

Operating system: Windows® XP Professional

Test assertion: Chapter 22: Driver Quality Test Specification

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


DVD test

This test verifies that the DVD drive supports the Mt. Fuji commands listed in the Microsoft PC 99 System Design Guide. The test issues Mt. Fuji commands to the specified DVD drive using SCSI pass-through and ATA pass-through interfaces.

Note: The DVD test prompts the user to insert various types of media into the test drive. Quit any AutoRun screens that are opened during testing.

Run time: Approximately 15 minutes

Log file name: dvdtest.log

Operating system: Windows® XP Professional

Test assertion: Not applicable - legacy test

Additional software requirements

  • One non-audio CD-ROM
  • One audio CD-ROM
  • One data DVD, such as Microsoft® Encarta® Reference Suite 2001 DVD-ROM

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


Enable/Disable - Device I/O test

This test makes an inventory of all adapters in the test system and all devices attached to each controller (for example, all SCSI drives connected to a SCSI controller). The test disables and then enables the input and output (I/O) from the devices attached to each controller.

For device testing, the Enable/Disable – Device I/O test targets only the device.

Important: The Enable/Disable - Device I/O test does not support dynamic volumes.

This test requires the test system to restart. If the test system is password protected, each time the system restarts the test will pause until the user enters a valid password.

This test description applies to the following versions of Enable/Disable - Device I/O test:

  • Enable/Disable - Device I/O (ATA/ATAPI Controller)
  • Enable/Disable - Device I/O (SCSI Controller)
  • Enable/Disable - Device I/O (Storage)

Run time: Approximately 5 minutes

Log file name: nftest.log

Windows logo requirements: WL - 6: A1.1.3, "All components correctly implement Plug and Play"

Additional hardware requirement

One blank formatted floppy disk inserted into the floppy disk drive on the test system.

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


FAT - File I/O test

This test is an API-level test that verifies that file operations work on a file allocation table (FAT)-formatted drive. The test uses various file input and output (I/O) system calls to test the FAT.

This test description applies to the following versions of FAT - File I/O test:

  • FAT - File I/O
  • FAT - File I/O (Removable)

Run time: Approximately 15 minutes

Log file name: diskfat.log

Operating system: Windows® XP Professional

Test assertion: Chapter 21: Anti-virus File System Filter Test Specification

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


Floppy - File I/O test

This test is an API-level test that verifies that file operations work on a floppy disk drive with file allocation table (FAT)-formatted media. The test uses various file input and output (I/O) system calls to test the FAT.

Run time: Approximately 45 minutes

Log file name: floppy.log

Operating system: Windows® XP Professional

Logo requirement: Chapter 21: Anti-virus File System Filter Test Specification

Additional Hardware requirements:

  • One floppy disk drive.

By default, the test uses the first floppy disk drive in the system (usually A:\).

  • One formatted, blank disk inserted into the floppy disk drive.

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


Int 13h Extensions test

This test exercises all of the application program interfaces (APIs) proposed by the Phoenix Enhanced Disk Drive specification.

The Phoenix Int 13h Extensions allow the BIOS to access disks utilizing a 64 bit LBA, rather than the Cylinder, Head, and Sector addressing scheme, allowing the BIOS to fully utilize very large disks.

The test is based on the Phoenix Enhanced Disk Drive Specification, version 1.1. The specification defines additional Int 13h functions and their implementation.

This test requires the test system to restart. If the test system is password protected, each time the system restarts the test will pause until the user enters a valid password.

Run time: Approximately 30 minutes

Log file name: extint13.log

Operating system: Windows® XP Professional

Test assertion: Not applicable - legacy test

Additional hardware requirements

  • Maximum 2 GB of RAM installed in the test system.

The test will fail, returning RAM drive errors, if there is more than 2 GB of RAM on the test system.

  • One blank floppy disk drive installed on the test system
  • One blank formatted floppy disk inserted into the test drive

Do not use a write-protected floppy disk

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


Large Memory/PAE - Phase 1 test

This test verifies that the driver associated with the device being tested functions acceptably with memory addresses greater than 4 GB when implemented with the Upper Address Extensions (UAE) switch enabled through changes made in the boot.ini.

Although the Large Memory tests can be run at any stage of a testing sequence, these three tests should be run consecutively, with the Large Memory/PAE - System Reset test run last.

PAE allows the most recent IA-32 processors to expand the number of bits that can be used to address physical memory from 32 bits to 36 bits through support in the host operating system for applications using the Address Windowing Extensions (AWE) API.

Greater than 4 GB address space (large memory): The physical memory above 4 GB on IA-32 platforms that can be addressed by applications using the AWE APIs. Applications that do not use AWE APIs can also benefit from the larger physical memory used by PAE under Windows XP Advanced Server and Datacenter Server by using the larger physical memory to reduce paging.

Run time: 4 hours.

Log file name: Imep1.log

Operating system: Windows® Whistler Advanced Server or Windows® Whistler DataCenter Server

Windows logo requirements: B2.5.1.7, "Correct PCI implementations" specifically "Adapters address full physical address space on a 64-bit platform".

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


Large Memory/PAE - Phase 2 test

This test verifies that the driver associated with the device being tested functions acceptably with memory addresses greater than 4 GB when implemented with the Upper Address Extensions (UAE) switch enabled through changes made in the boot.ini.

Although the Large Memory tests can be run at any stage of a testing sequence, these three tests should be run consecutively, with the Large Memory/PAE - System Reset test run last.

Run time: 4 hours

Log file name: Imep2.log

Operating system: Windows® Whistler Advanced Server or Windows® Whistler DataCenter Server

Logo requirement: B2.5.1.7, "Correct PCI implementations" specifically "Adapters address full physical address space on a 64-bit platform".

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


Large Memory/PAE - System Reset test

This test verifies that the driver associated with the device being tested functions acceptably with memory addresses greater than 4 GB. During the test the boot.ini is modified with the addition of the /PAE and /nolomem switches, then the system is restarted. When the system restarts, it opens the NDIS test.

Although the Large Memory tests can be run at any stage of a testing sequence, these three tests should be run consecutively, with the Large Memory/PAE - System Reset test run last.

Run time: 10 minutes

Log file name: lmec.log

Operating system: Windows® Whistler Advanced Server or Windows® Whistler DataCenter Server

Windows logo requirements: B2.5.1.7, "Correct PCI implementations" specifically "Adapters address full physical address space on a 64-bit platform".

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


Manual Media Change test

This test verifies that the floppy disk controller correctly detects that a user has removed one floppy disk from the floppy disk drive and replaced it with another floppy disk.

Run time: Approximately 2 minutes

Log file name: mediachange.log

Operating system: Windows® XP Professional

Test assertion: Not applicable - legacy test

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


Mapped - File I/O test

This test verifies the ability of the hard disk drive to map memory directly to disk and verifies that the hard disk drive functions properly with WHQL-designated core controllers.

The test uses all available space on the specified drive.

Run time: Approximately 15 minutes to 2 hours, depending on the amount of available hard disk drive space

Log file name: mapiohct.log

Operating system: Windows® XP Professional

Test assertion: Chapter 21: Anti-virus File System Filter Test Specification

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


Media Changer Stress test

This is an extended stress test that repeatedly executes various Removable Storage Management (RSM) operations, such as opening and closing sessions, and creating and deleting media pools on changers and jukeboxes.

The test also verifies the functionality of various MediaServices application program interfaces (APIs) by means of approximately 25 different scenarios.

Run time: 8 hours

Log file name: mcstress.log

Operating system: Windows® XP Professional

Test assertion: Chapter 28: Storage Test Specification

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


Media Changer test

This test verifies that a media changer meets Windows® XP performance standards by passing various packet commands to the media changer.

Run time: Up to 72 hours

Log file name: mctest.log

Operating system: Windows® XP Professional

Test assertion: Chapter 28: Storage Test Specification

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


Media Lock test

This test verifies the functionality of locking mechanisms on removable devices, such as CD-ROM drives and direct access drives (for example, Iomega Jaz drives and Zip drives) by issuing pass-through commands which prevent or allow medium removal.

Note: Media must be inserted into the test device before starting this test.

Run time: Approximately 10 minutes

Log file name: mlocktst.log

Operating system: Windows® XP Professional

Test assertion: Not applicable - legacy test

Additional hardware requirements

One blank piece of media

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


Media Status Notification test

This test verifies both a device's ability to eject media and the media status bits, in accordance with the Media Status Notification specification v1.03.

Note: All applications must be closed on the test system before starting this test.

Run time: 5 minutes

Log file name: mediasn.log

Operating system: Windows® XP Professional

Test assertion: Not applicable - legacy test

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


MMC Command test

This test validates a device's compliance with the MMC-1, MMC-2, MMC-3 and SFF-8090i (Mt. Fuji) standards as the basis for supporting CD-ROM, DVD-ROM, CD-RW, CD-R and DVD-RAM devices

Run time: Approximately 60 minutes

Log file name: mmctest.log

Operating system: Windows® XP Professional

Test assertion: Chapter 28: Storage Test Specification

Additional software requirement

One example of each media type supported by the test device.

For example, CD-ROM, CD-R, CD-RW, DVD-ROM.

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


Multimedia CD Compatibility test

This test verifies CD device functionality with mixed mode programs, such as games.

Run time: Approximately 15 minutes

Log file name: mmcd.tst.log

Operating system: Windows® XP Professional

Logo requirement: B10.1.2.4 "MMC-2 - Multi-Media Command Set-2"

Additional software requirement

One multimedia application

For example, Microsoft® Monster Truck Madness

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


NTFS - File I/O test

This test uses various file input and output (I/O) system calls to test the NT file system (NTFS ). By default, the test uses all NTFS partitions with enough space available to run the test.

This test description applies to the following versions of the NTFS - File I/O test:

  • NTFS - File I/O
  • NTFS - File I/O (Removable)

Run time: Approximately 1 to 4 hours, depending on the size of the NTFS partition and whether the hard disk drive is IDE or SCSI

Log file name: diskntfs.log

Operating system: Windows® XP Professional

Test assertion: Chapter 21: Anti-virus File System Filter Test Specification

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


PCI 2.2 Compliance test

This test examines each PCI device in the system, and verifies compliance to the PCI 2.2 specification.

Run time: 5 minutes

Log file name: pcitest.log

Operating system: Windows® XP Professional

Test assertion: Chapter 4: PCI Test Specification

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


PCI Latency test

This test examines device/driver combinations for compliance with the PCI Local Bus Specification revision 2.2.

Important: You must run the PCI Latency test last, after running all other system or device tests. The Foxfire card must be installed before any testing has begun, otherwise all associated test results are invalid and must be repeated after installation of the FoxFire II PCI adaptor.

Run time: Approximately 5 seconds

Log file name: latcheck.log, latency.log

Operating system: Windows® XP Professional

Test assertion: Chapter 4: PCI Test Specification

Additional hardware requirement

One FoxFire II PCI adapter

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


RAID Data Integrity test

This test verifies the ability of the RAID system to continue reading and writing input and output (I/O) when a drive fails in the system. It also verifies the ability of the RAID system to rebuild a drive when the drive is replaced during I/O.

The RAID Data Integrity test generates an I/O stream to a specific drive partition on a RAID storage device by creating a large file with a unique data pattern. One drive in the RAID storage device is failed while the file is being written. The disk drive is then replaced, and the volume should complete a rebuild while the test continues to execute. The large file must be successfully written and the data pattern must be free from corruption.

Run time: Up to 3 hours

Log file name: rdatainteg.log

Operating system: Windows® XP Professional

Logo requirement: B10.3.2.1 "Small Computer Interface (SCSI-2) [X3.131:1994] standard"

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


S3 Compliance test

This test examines the PCI power management interface assertions required to implement PCI-based, power-managed systems and device functions. Specifically the S3 compliance test verifies that the PCI device being tested can be placed in an S3 state, and that it responds to an S3 command (awake from sleep state). In addition the test verifies that the auxiliary voltage (Vaux) of the device while in the S3 state is within criteria as set forth in the PCI specification.

Important: The Foxfire card must be installed before any testing has begun, otherwise all associated test results are invalid and need to be repeated after installation of the FoxFire II PCI adaptor.

Run Time: 5 minutes

Log file name: S3test.log

Operating system: Windows® XP Professional

Test Assertion: Chapter 4: PCI Test Specification

Additional hardware requirement

One FoxFire II PCI adapter

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


Signability test

This test examines the test device driver for compatibility with the Microsoft® digital signature process.

The purpose of the Signability test is to check .INF files for errors that will prevent the operating system from recognizing the driver as digitally signed by Microsoft.

The Signability test is required for devices using manufacturer-supplied drivers only. To run the Signability test, the driver file must be available in its uninstalled format (for example, files on the source media).

Run time: Up to 10 minutes, depending on driver complexity

Log file name: Infcatr.log

Operating system: Windows® XP Professional

Logo requirement: Chapter 22: Driver Quality Test Specification

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


Simple Crash N Node test

This test individually crashes each node of the cluster. The test waits for the crashed node to reboot before it crashes the next node. It verifies that the controller firmware and the miniport driver for the controller do not hang at reboot time when another node has reservations on the shared drives. The test also verifies that all configured resources achieve failover to the next node in the cluster.

Run time: 8 hours

Log file name: s-crsh2.log

Operating system: Windows® XP Professional

Test assertion: Chapter 24: Cluster Test Specifications

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


Simple Move N Node test

This test moves resources from one cluster node to another without crashing the cluster nodes. It also verifies that a different code path can be used for a resource move than for a forced move executed as a result of a node crash.

Run time: 8 hours

Log file name: s-movn.log

Operating system: Windows® XP Professional

Test assertion: Chapter 24: Cluster Test Specifications

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


Storage Device Stress test

This test stresses the hard disk drives and CD-ROM drives in a system and validates storage API commands.

This test verifies the following:

  • Drive functions properly in Device 0, Device 1, and cable-select configurations
  • Device driver for partitioned media supports all Windows partition types (STOR-0365)
  • Removable media drive functions properly with WHQL-designated controllers

Run time: Up to 12 hours, depending on number and size of disk partitions.

Log file name: sdstress.log

Operating system: Windows® XP Professional

Logo requirement: B10.3.2.1, B10.5.3.1, B10.1.4.5, B10.6.3

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


Surprise Removal test

IEEE 1394, USB, and CardBus devices support device removal from, and reattachment to, the test system. This test examines the response of the device driver to a simulated removal and reattachment of a device.

This test requires the test system to restart. If the test system is password protected, each time the system restarts the test will pause until the user enters a valid password.

Run time: 5 minutes

Log file name: Nftest.log

Operating system: Windows® XP Professional

Test assertion: Chapter 22: Driver Quality Test Specification

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


SysCache test

This test reads, writes, and verifies data with and without the Windows NT® buffer feature. Testing halts when the SysCache test detects data corruption.

This test description applies to the following versions of SysCache:

  • SysCache
  • SysCache (Cluster)

Run time: 1 hour per partition

Log file name: drvcache.log

Operating system: Windows® XP Professional

Test assertion: Chapter 21: Anti-virus File System Filter Test Specification

Logo requirement: B10.1.4.5

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


Tape Backup/Restore test

This test checks the NTBACKUP utility. It first creates a tree of data files, then backs up the tree of files to the tape, restores the files, and compares the checksums of the original and restored file trees.

This test requires 4 GB of free disk space on the system drive to complete properly.

Before starting the Tape Backup/Restore test, you must insert a prepared blank tape cartridge into the tape drive and verify that the operating system detects the tape as free.

To verify tape status

  1. Click the Windows Start button, right-click My Computer, and then click Manage.

The Computer Management window displays.

  2. In the left pane of the Computer Management window, double-click Storage, double-click Removable Storage, and then double-click Media.

A list of all removable storage devices installed on the system displays.

  3. In the right pane of the Computer Management window, right-click the tape drive.
  • If Free is not an available menu command, the tape drive is ready to test.
  • If Free is an available command, click Free. Follow the directions displayed.

Run time: Approximately 10 minutes

Log file name: bkup50.log

Operating system: Windows® XP Professional

Logo requirement: B10.7.3.2

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


Tape I/O test

This test verifies that the functions of a tape drive are working correctly. The test queries the drive to determine its supported functionality and then checks each reported function to confirm that it is fully supported.

Before starting the Tape I/O test, you must insert a prepared blank tape cartridge into the tape drive and verify that the operating system detects the tape as free.

To verify tape status

  1. Click the Windows Start button, right-click My Computer, and then click Manage.

The Computer Management window displays.

  2. In the left pane of the Computer Management window, double-click Storage, double-click Removable Storage, and then double-click Media.

A list of all removable storage devices installed on the system displays.

  3. In the right pane of the Computer Management window, right-click the tape drive.
  • If Free is not an available menu command, the tape drive is ready to test.
  • If Free is an available command, click Free. Follow the directions displayed.

Run time: Approximately 10 minutes

Log file name: tapeapi.log

Operating system: Windows® XP Professional

Logo requirement: B10.7.3.2

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


Tape Partition test

This test verifies the partitioning methods that a device/driver combination claims to support, including TAPE_FIXED_PARTITIONS, TAPE_INITIATOR_PARTITIONS, and TAPE_SELECT_PARTITIONS.

Before starting the Tape Partition test, you must insert a prepared blank tape cartridge into the tape drive and verify that the operating system detects the tape as free.

To verify tape status

  1. Click the Windows Start button, right-click My Computer, and then click Manage.

The Computer Management window displays.

  2. In the left pane of the Computer Management window, double-click Storage, double-click Removable Storage, and then double-click Media.

A list of all removable storage devices installed on the system displays.

  3. In the right pane of the Computer Management window, right-click the tape drive.
  • If Free is not an available menu command, the tape drive is ready to test.
  • If Free is an available command, click Free. Follow the directions displayed.

Run time: Approximately 10 minutes

Log file name: tapepart.log

Operating system: Windows® XP Professional

Logo requirement: B10.7.3.2

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


USB 1.1 Specification Compliance test

This test verifies that all devices and hubs attached to a system comply with the Universal Serial Bus (USB) Specification 1.1.

The target device or hub is queried to determine which level of the USB specification is supported.

Run time: 3 minutes

Log file name: usb1_1ct.log

Operating system: Windows® XP Professional

Test assertions: Chapter 9: USB Host Controller, Hub and Peripheral Device Test Specification

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


USB Address Description test

This test verifies that devices respond correctly to their assigned address and that they do not respond to any other address.

A Universal Serial Bus (USB) device must respond correctly to all possible USB device addresses 0 through 127.

Run time: 10 minutes

Log file name: Usbhct_a.log

Operating system: Windows® XP Professional

Test assertions: Chapter 9: USB Host Controller, Hub and Peripheral Device Test Specification

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


USB Device Control Requests test

All Universal Serial Bus (USB) devices must respond correctly to all USB control requests after they have been reset in the USB environment. The control requests that must be supported are detailed in Chapter 9 of the USB Specification.

The USB Device Control Requests test verifies that devices respond appropriately to USB control requests at different addresses and at different times following a port reset.

This test is for USB peripheral devices and hubs only.

Run time: 7 minutes

Log file name: usbhct_c.log

Operating system: Windows® XP Professional

Test assertions: Chapter 9: USB Host Controller, Hub and Peripheral Device Test Specification

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


USB Device Framework test

This test verifies that the test device complies with Chapter 9 of the USB 1.1 specification.

More specifically, the test verifies that the test device responds correctly to device, configuration, and interface descriptor requests.

Run time: 5 minutes

Log file name: Complete.log

Operating system: Windows® XP Professional

Windows logo requirements: B2.6.3.1, "All USB hardware complies with USB 1.1 and passes USB Chapter 9 and Chapter 11 tests"

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


USB Enumeration Stress test

This test verifies the proper functionality of a Universal Serial Bus (USB) device when it is initially attached to a USB port.

To provide proper enumeration in the Windows® operating system environment, a device must consistently provide valid information on its control pipe and properly respond to all standard device requests. This test repeats the Windows® XP enumeration process to ensure that devices will enumerate reliably in real-world scenarios.

Run time: 10 minutes

Log file name: usbhct_e.log

Operating system: Windows® XP Professional

Test assertions: Chapter 9: USB Host Controller, Hub and Peripheral Device Test Specification

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


USB Manual Interoperability test

This test verifies that the Universal Serial Bus (USB) test device or test system operates properly with a series of USB devices attached.

After a specified device tree is created on the test system, the USB Manual Interoperability test validates the device driver behavior and data sent to each device on the system to ensure that data transfers are performed without error.

The goal is to ensure that the system or device does not negatively impact the standard operation of USB.

The test fails if any of the devices on the system fail to operate properly during normal device operation.

Run time: 30 minutes

Log file name: Usbmanop.log

Operating system: Windows® XP Professional

Windows logo requirements: B1.4.3, "Installing and loading the driver does not reduce or eliminate functionality of other devices installed on the system"

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


USB Selective Suspend test

The Microsoft® Windows® XP operating system supports the selective suspend abilities of Universal Serial Bus (USB). This feature allows a device’s port to be suspended when the device is not in use in order to conserve power.

To properly support this new feature, a device must maintain its internal state when the upstream port has been suspended, and be able to function correctly when the upstream port is resumed.

This test verifies that a device responds appropriately to its control pipe at its currently assigned device address following the suspend/resume cycle of a port.

Run time: 10 minutes

Log file name: usbhct_s.log

Operating system: Windows® XP Professional

Test assertions: Chapter 9: USB Host Controller, Hub and Peripheral Device Test Specification

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


USB Serial Number test

This test verifies that the serial number on the test device is unique. USB device serial numbers are optional, but are required to be unique if implemented.

Run time: 5 minutes

Log file name: Zorak.log

Operating system: Windows® XP Professional

Windows logo requirements: B2.6.3.1, "All USB hardware complies with USB 1.1 and passes USB Chapter 9 and Chapter 11 tests"

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


Video CD Support - Interactive test

This test verifies CD-I (CD-interactive) format support.

Run time: Approximately 15 minutes

Log file name: cdi_test.log

Operating system: Windows® XP Professional

Logo requirement: B10.5.3.2 "Windows 98/Me: Media Player functionality with .AVI and .MPG files"

Additional software requirement

One movie in CD-I format

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


1394 CD-ROM drive testing overview

The 1394 CD-ROM drive Hardware Compatibility Test (HCT) procedures are organized by system configuration.

The test procedures for each configuration are divided into a testing overview topic, a preparing for testing topic, and a running the HCT topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, and software requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the test topics include instructions for running the HCT.

This test series examines how the test device works in the following configuration:

  • ATA/ATAPI hard disk drive as stand-alone Device 0 (also called master) on the primary ATA/ATAPI channel
  • ATA/ATAPI CD-ROM drive as Device 0 on the secondary ATA/ATAPI channel
  • 1394 CD-ROM attached to a 1394 host controller
  • 1394 digital camera attached to a 1394 host controller

Click to show or hide information. 1394 CD-ROM drive tests

The following tests are available for the 1394 CD-ROM drive test kit. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests require user intervention and must be run individually:

  • 1394 Configuration ROM
  • 1394 Interoperability
  • CD Auto-start
  • CD - Extra Compatibility
  • Enable/Disable - Device I/O (Storage)
  • Media Lock
  • MMC Command
  • Multimedia CD Compatibility
  • Public Import
  • Signability
  • Surprise Removal
  • Video CD Support - Interactive

The following tests are automated and can be run together in a group:

  • CD Redbook Verification
  • CD-ROM - File I/O
  • ChkINF - Hard Disk Controllers
  • Disk Stress
  • Storage Device Stress

Test suite run time: Up to 7 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the 1394 CD-ROM drive HCT kit:

  • One Intel Pentium, or equivalent, system with the following:
  • Logo-compliant ACPI BIOS, with ACPI enabled by default
  • Minimum 256 MB of RAM
  • Two IEEE 1394 host controllers
  • One audio adapter
  • One floppy disk drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • One set of speakers
  • One 1394 CD-ROM drive – This is the test device.
  • One blank piece of media for the test device
  • One ATA/ATAPI CD-ROM drive, minimum 8x speed
  • One ATA/ATAPI hard disk drive, minimum capacity 10 GB
  • One set of headphones
  • One IEEE 1394 digital camera
  • One formatted floppy disk
  • Three IEEE 1394 cables
  • Two standard ATA/ATAPI cables

ATA-66 and ATA-100 controllers require 80-conductor cables.

Important: All hardware (except the test device) must be included on the Microsoft® Windows® Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the 1394 CD-ROM drive HCT kit:

  • Windows XP Professional operating system
  • Any drivers that do not ship with Windows XP Professional
  • The current release of the Windows XP HCT 10.0 on CD
  • One example of each media type supported by the test device

For example, CD-ROM, CD-R, CD-RW.

  • One CD-Extra title

The CD-Extra title must contain both motion video and music files.

  • One movie in CD-I format
  • One multimedia application

For example, Microsoft® Monster Truck Madness

Click to show or hide information. Tester knowledge requirements

To run the 1394 CD-ROM drive tests, testers must know how to do the following tasks:

  • Physically install a hard disk drive as a Device 0.
  • Format and partition a hard disk drive.
  • Physically install a CD-ROM drive as a Device 0.
  • Install the Windows XP Professional operating system from the product CD.

Related links

Preparing for 1394 CD-ROM drive testing

Microsoft Windows HCL


Preparing for 1394 CD-ROM drive testing

Before running the tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see 1394 CD-ROM drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing a 1394 CD-ROM drive for the Windows XP Professional operating system:

To configure the test system for 1394 CD-ROM drive testing

  1. Physically install a hard disk drive as a stand-alone Device 0 on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable
  2. Physically install a CD-ROM drive as a stand-alone Device 0 on the secondary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  3. If the IEEE 1394 host controllers are embedded on the system motherboard, physically install two IEEE 1394 host controllers.
  4. Attach the test device to one of the IEEE 1394 host controllers.
  5. Attach the IEEE 1394 digital camera to the other IEEE 1394 host controller.
  6. Connect an IEEE 1394 cable between the two host controllers.
  7. Install the Windows XP Professional operating system on the hard disk drive.

During installation, create one partition and format the partition with the NTFS file system. Leave a minimum of 3,000 MB of free disk space for three additional partitions.

  8. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  9. Create three new partitions of a minimum of 1,000 MB each on the hard disk drive. Format one partition with the FAT 16 file system, one partition with the FAT 32 file system, and one partition with the NTFS file system.
  10. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select CD/DVD Drive, and then click Next.

Related links


Running the 1394 CD-ROM drive manual tests

To run the 1394 Configuration ROM test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select 1394 Configuration ROM, and then click Add Selection.
  3. Click Start Tests.
  4. If running the test for the first time, the Found New Hardware Wizard starts.

Important: You must complete the wizard within two minutes or the test will abort.

To install the virtual driver

  1. In the Found New Hardware wizard, under What do you want the wizard to do?, click Install from a list or specific location, and then click Next.
  2. Under Please choose your search and installation options, select the Include this location in the search check box, and then, in the corresponding box, type [drive]\HCT\testbin. Click Next.
    The wizard will locate and install the virtual driver.
  3. Click Finish to close the wizard.
  5. Follow the instructions displayed.
  6. When the test is completed, view test log files.
  7. Run all other required tests for this configuration.

To run the 1394 Interoperability test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select 1394 Interoperability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed to create the correct device topology and run the test.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the CD Auto-start test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD Auto-start, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the CD - Extra Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD - Extra Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Lock test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Lock, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the MMC Command test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select MMC Command, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Multimedia CD Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Multimedia CD Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Public Import test

Note: The Public Import test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Public Import, and then click Add Selection.
  3. Click Start Tests.
  4. A dialog box displays. Provide the path to your driver(s) as it appears on the distribution media and click Go.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Signability test

Note: The Signability test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Signability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Surprise Removal test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Surprise Removal, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed to create the correct device topology and run the test.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Video CD Support - Interactive test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Video CD Support - Interactive, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the 1394 CD-ROM drive automated tests


Running the 1394 CD-ROM drive automated tests

To run the 1394 CD-ROM drive automated tests

  1. Insert the Windows XP HCT 10.0 CD into the test device.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • CD Redbook Verification
  • CD-ROM - File I/O
  • ChkINF - Hard Disk Controllers

Note: The ChkINF - Hard Disk Controllers test is required only if the test device uses a manufacturer-supplied driver.

  • Disk Stress
  • Storage Device Stress
  4. Click Start Tests.
  5. When tests are completed, view test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

1394 CD-ROM drive testing overview


ATA/ATAPI CD-ROM drive testing overview

The ATA/ATAPI CD-ROM Drive Hardware Compatibility Test (HCT) procedures are organized by system configuration.

The test procedures for each configuration are divided into a testing overview topic, a preparing for testing topic, a test description topic, and a running the HCT topic.

The testing overview topic includes links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the test topics include instructions for running the HCT.

Click to show or hide information. System configuration requirements

The ATA/ATAPI CD-ROM Drive HCT kit includes the following test configurations:

  • ATA/ATAPI CD-ROM drive configuration 1
  • ATA/ATAPI CD-ROM drive configuration 2
  • ATA/ATAPI CD-ROM drive configuration 3

Click to show or hide information. ATA/ATAPI CD-ROM drive tests

The following tests are available for the ATA/ATAPI CD-ROM drive test kit. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests require user intervention and must be run individually:

  • CD Auto-start
  • CD - Extra Compatibility
  • Enable/Disable - Device I/O (Storage)
  • Media Lock
  • MMC Command
  • Multimedia CD Compatibility
  • Video CD Support - Interactive

The following tests are automated and can be run together in a group:

  • CD Redbook Verification
  • CD-ROM - File I/O
  • Disk Stress
  • Storage Device Stress

Test kit run time: Up to 18 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the ATA/ATAPI CD-ROM Drive HCT kit:

  • One Intel Pentium, or equivalent, system with the following:
  • One dual channel ATA/ATAPI controller implemented on the motherboard
  • Logo-compliant ACPI BIOS, with ACPI enabled by default
  • Minimum 256 MB of RAM
  • One audio adapter
  • One floppy disk drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • One set of speakers
  • One ATA/ATAPI CD-ROM drive - This is the test device.
  • One DMA-capable ATA/ATAPI hard disk drive with minimum 10 GB capacity
  • One blank piece of media for the test device
  • Three formatted floppy disks
  • One set of headphones
  • Two standard ATA/ATAPI cables

ATA-66 and ATA-100 controllers require 80-conductor cables.

  • One cable-select ATA/ATAPI cable

Important: All hardware (except the test device) must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the ATA/ATAPI CD-ROM drive HCT kit:

  • Windows® XP Professional operating system
  • Any drivers that do not ship with Windows XP Professional
  • The current release of the Windows XP HCT 10.0 on CD
  • One example of each media type supported by the test device

For example, CD-ROM, CD-R, CD-RW.

  • One CD-Extra title

The CD-Extra title must contain both motion video and music files.

  • One movie in CD-I format
  • One multimedia application

For example, Microsoft® Monster Truck Madness

Click to show or hide information. Tester knowledge requirements

To run the ATA/ATAPI CD-ROM drive tests, testers must know how to do the following tasks:

  • Physically install a CD-ROM drive as a stand-alone Device 0 and a stand-alone Device 1.
  • Physically install a hard disk drive as a stand-alone Device 1 and a Device 0.
  • Format and partition a hard disk drive.
  • Physically install an audio adapter.
  • Install the Windows XP Professional operating system from the product CD.

Related links

Preparing for ATA/ATAPI CD-ROM drive configuration 1 testing
Preparing for ATA/ATAPI CD-ROM drive configuration 2 testing
Preparing for ATA/ATAPI CD-ROM drive configuration 3 testing

Microsoft Windows HCL


Preparing for ATA/ATAPI CD-ROM drive configuration 1 testing

This test series examines how the test drive works in the following configuration:

  • CD-ROM drive (test device) is installed as a stand-alone Device 0 (also called master) on the secondary ATA/ATAPI channel.
  • DMA-capable hard disk drive is configured as Device 0 on the primary ATA/ATAPI channel.

Before running the tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see ATA/ATAPI CD-ROM drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing ATA/ATAPI CD-ROM drive configuration 1 for the Windows XP Professional operating system:

To configure the test system for ATA/ATAPI CD-ROM drive configuration 1 testing

  1. Physically install the CD-ROM drive (test device) as a stand-alone Device 0 on the secondary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  2. Physically install the hard disk drive as a stand-alone Device 0 on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  3. If the audio adapter is not implemented on the motherboard, physically install the audio adapter.
  4. Install the Windows XP Professional operating system on the hard disk drive.

During installation, create one partition and format the partition with the NTFS file system. Leave a minimum of 3,000 MB of free disk space for three additional partitions.

  5. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  6. Create three new partitions with a minimum of 1,000 MB each on the hard disk drive. Format one partition with the FAT 16 file system, one partition with the FAT 32 file system, and one partition with the NTFS file system.
  7. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select CD/DVD Drive, and then click Next.

Related links

ATA/ATAPI CD-ROM drive testing overview
Running the ATA/ATAPI CD-ROM drive configuration 1 manual tests
Running the ATA/ATAPI CD-ROM drive configuration 1 automated tests


Running the ATA/ATAPI CD-ROM drive configuration 1 manual tests

To run the CD Auto-start test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD Auto-start, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the CD - Extra Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD - Extra Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Lock test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Lock, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the MMC Command test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select MMC Command, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Multimedia CD Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Multimedia CD Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Video CD Support - Interactive test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Video CD Support - Interactive, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the ATA/ATAPI CD-ROM drive configuration 1 automated tests


Running the ATA/ATAPI CD-ROM drive configuration 1 automated tests

To run the ATA/ATAPI CD-ROM drive configuration 1 automated tests

  1. Insert the Windows® XP HCT 10.0 CD into the test device.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • CD Redbook Verification
  • CD-ROM - File I/O
  • Disk Stress
  • Storage Device Stress
  4. Click Start Tests.
  5. When tests are completed, view test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name device name Config1.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

ATA/ATAPI CD-ROM drive testing overview


Preparing for ATA/ATAPI CD-ROM drive configuration 2 testing

This test examines how the test device works in the following configuration:

  • CD-ROM drive (test device) installed as Device 1 (also called slave) on the primary ATA/ATAPI channel
  • ATA/ATAPI hard disk drive installed as Device 0 on the primary ATA/ATAPI channel

Before running the tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see ATA/ATAPI CD-ROM drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing ATA/ATAPI CD-ROM drive configuration 2 for the Windows XP Professional operating system:

To configure the test system for ATA/ATAPI CD-ROM drive configuration 2 testing

  1. Physically install the CD-ROM drive (test device) as Device 1 on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  2. Physically install the hard disk drive as Device 0 on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  3. If the audio adapter is not implemented on the motherboard, physically install the audio adapter.
  4. Install the Windows XP Professional operating system on the hard disk drive.

During installation, create one partition and format the partition with the NTFS file system. Leave a minimum of 3,000 MB of free disk space for three additional partitions.

  5. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  6. Create three new partitions with a minimum of 1,000 MB each on the hard disk drive. Format one partition with the FAT 16 file system, one partition with the FAT 32 file system, and one partition with the NTFS file system.
  7. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select CD/DVD Drive, and then click Next.

Related links

ATA/ATAPI CD-ROM drive testing overview
Running the ATA/ATAPI CD-ROM drive configuration 2 manual tests
Running the ATA/ATAPI CD-ROM drive configuration 2 automated tests


Running the ATA/ATAPI CD-ROM drive configuration 2 manual tests

To run the CD Auto-start test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD Auto-start, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the CD - Extra Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD - Extra Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Lock test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Lock, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the MMC Command test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select MMC Command, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Multimedia CD Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Multimedia CD Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Video CD Support - Interactive test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Video CD Support - Interactive, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the ATA/ATAPI CD-ROM drive configuration 2 automated tests


Running the ATA/ATAPI CD-ROM drive configuration 2 automated tests

To run the ATA/ATAPI CD-ROM drive configuration 2 automated tests

  1. Insert the Windows® XP HCT 10.0 CD into the test device.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • CD Redbook Verification
  • CD-ROM - File I/O
  • Disk Stress
  • Storage Device Stress
  4. Click Start Tests.
  5. When tests are completed, view test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name device name Config2.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.

Related links

ATA/ATAPI CD-ROM drive testing overview


Preparing for ATA/ATAPI CD-ROM drive configuration 3 testing

This test verifies that the test device works in the following configuration:

  • CD-ROM drive (test device) installed as a cable-select Device 1 on the primary ATA/ATAPI channel
  • ATA/ATAPI hard disk drive installed as a cable-select Device 0 on the primary ATA/ATAPI channel

Before running the tests, you must configure the test system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see ATA/ATAPI CD-ROM drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing ATA/ATAPI CD-ROM drive configuration 3 for the Windows XP Professional operating system:

To configure the test system for ATA/ATAPI CD-ROM drive configuration 3 testing

  1. Physically install the CD-ROM drive (test device) as Device 1 on the primary ATA/ATAPI channel using a cable-select ATA/ATAPI cable.
  2. Physically install the hard disk drive as a stand-alone Device 0 on the primary ATA/ATAPI channel using a cable-select ATA/ATAPI cable.
  3. If the audio adapter is not implemented on the motherboard, physically install the audio adapter.
  4. Install the Windows XP Professional operating system on the hard disk drive.

During installation, create one partition and format the partition with the NTFS file system. Leave a minimum of 3,000 MB of free disk space for three additional partitions

  5. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  6. Create three new partitions with a minimum of 1,000 MB each on the hard disk drive. Format one partition with the FAT 16 file system, one partition with the FAT 32 file system, and one partition with the NTFS file system.
  7. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select CD/DVD Drive, and then click Next.

Related links

ATA/ATAPI CD-ROM drive testing overview
Running the ATA/ATAPI CD-ROM drive configuration 3 manual tests
Running the ATA/ATAPI CD-ROM drive configuration 3 automated tests


Running the ATA/ATAPI CD-ROM drive configuration 3 manual tests

To run the CD Auto-start test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD Auto-start, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the CD - Extra Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD - Extra Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Lock test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Lock, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the MMC Command test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select MMC Command, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Multimedia CD Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Multimedia CD Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Video CD Support - Interactive test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Video CD Support - Interactive, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the ATA/ATAPI CD-ROM drive configuration 3 automated tests


Running the ATA/ATAPI CD-ROM drive configuration 3 automated tests

To run the ATA/ATAPI CD-ROM drive configuration 3 automated tests

  1. Insert the Windows® XP HCT 10.0 CD into the test device.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • CD Redbook Verification
  • CD-ROM - File I/O
  • Disk Stress
  • Storage Device Stress
  4. Click Start Tests.
  5. When tests are completed, view test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config3.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

ATA/ATAPI CD-ROM drive testing overview


PC Card CD-ROM drive testing overview

The PC Card CD-ROM Drive Hardware Compatibility Test (HCT) procedures are organized by system configuration.

The test procedures for each configuration are divided into a testing overview topic, a preparing for testing topic, and a running the HCT topic.

The testing overview topic includes links to detailed descriptions of all tests run in a particular configuration, hardware requirements, and software requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the test topics include instructions for running the HCT.

Click to show or hide information. System configuration requirements

The PC Card CD-ROM Drive HCT kit includes the following test configurations:

  • PC Card CD-ROM drive configuration 1
  • PC Card CD-ROM drive configuration 2
  • PC Card CD-ROM drive configuration 3

Click to show or hide information. PC Card CD-ROM drive tests

The following tests are available for this hardware configuration. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests require user intervention and must be run individually:

  • CD Auto-start
  • CD - Extra Compatibility
  • Enable/Disable - Device I/O (Storage)
  • Media Lock
  • MMC Command
  • Multimedia CD Compatibility
  • Public Import
  • Signability
  • Surprise Removal
  • Video CD Support - Interactive

The following tests are automated and can be run together in a group:

  • CardBus Bridge Power Management Register
  • CardBus Card Common Silicon Guidelines
  • CardBus Card Configuration Space Register
  • CD Redbook Verification
  • CD-ROM - File I/O
  • ChkINF - Hard Disk Controllers
  • Disk Stress
  • Storage Device Stress

Test kit run time: Up to 13 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the PC Card CD-ROM Drive HCT kit:

  • One Intel Pentium, or equivalent, mobile system with the following:
  • Dual PC Card controllers
  • Logo-compliant ACPI BIOS, with ACPI enabled by default
  • Minimum 256 MB of RAM
  • Minimum 10 GB hard disk drive
  • One audio adapter
  • One floppy disk drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • One set of speakers
  • Two PC Card CD-ROM drives - These are the test devices.
  • Two blank pieces of media for the test devices
  • One PC Card network adapter
  • One set of headphones

Important: All hardware (except the test device) must be included on the Microsoft® Windows® Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the PC Card CD-ROM Drive HCT kit:

  • Windows XP Professional operating system
  • Any drivers that do not ship with Windows XP Professional
  • The current release of the Windows XP HCT 10.0 on CD
  • One example of each media type supported by the test device

For example, CD-ROM, CD-R, CD-RW.

  • One CD-Extra title

The CD-Extra title must contain both motion video and music files.

  • One movie in CD-I format
  • One multimedia application

For example, Microsoft® Monster Truck Madness

  • One formatted floppy disk

Click to show or hide information. Tester knowledge requirements

To run the PC Card CD-ROM drive tests, testers must know how to do the following tasks:

  • Physically install a PC Card CD-ROM drive.
  • Physically install a PC Card network adapter.
  • Install the Windows XP Professional operating system from the product CD.

Related links

Preparing for PC Card CD-ROM drive configuration 1 testing
Preparing for PC Card CD-ROM drive configuration 2 testing
Preparing for PC Card CD-ROM drive configuration 3 testing

Microsoft Windows HCL


Preparing for PC Card CD-ROM drive configuration 1 testing

This test series examines how a PC Card CD-ROM drive (test device) works as a stand-alone device on the PC Card controller.

Before running the tests, you must configure the test system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see PC Card CD-ROM drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test systems for testing PC Card CD-ROM drive configuration 1 for the Windows XP Professional operating system.

To configure the system for PC Card CD-ROM drive configuration 1 testing

  1. Physically install the PC Card CD-ROM drive (test device) on the PC Card channel of the test system.
  2. Install the Windows XP Professional operating system on the hard disk drive in the test system.

During installation, create one partition and format the partition with the NTFS file system. Leave a minimum of 3,000 MB of free disk space for three additional partitions.

  3. If necessary, install any manufacturer-supplied devices required by devices in the test system.
  4. Create three new partitions of a minimum of 1,000 MB each on the hard disk drive. Format one partition with the FAT 16 file system, one partition with the FAT 32 file system, and one partition with the NTFS file system.
  5. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select CD/DVD Drive, and then click Next.

Related links

PC Card CD-ROM drive testing overview
Running the PC Card CD-ROM drive configuration 1 manual tests
Running the PC Card CD-ROM drive configuration 1 automated tests


Running the PC Card CD-ROM drive configuration 1 manual tests

To run the CD Auto-start test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD Auto-start, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the CD - Extra Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD - Extra Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Lock test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Lock, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the MMC Command test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select MMC Command, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Multimedia CD Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Multimedia CD Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Public Import test

Note: The Public Import test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Public Import, and then click Add Selection.
  3. Click Start Tests.
  4. A dialog box displays. Provide the path to your driver(s) as it appears on the distribution media and click Go.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Signability test

Note: The Signability test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Signability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Surprise Removal test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Surprise Removal, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed to create the correct device topology and run the test.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Video CD Support - Interactive test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Video CD Support - Interactive, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the PC Card CD-ROM drive configuration 1 automated tests


Running the PC Card CD-ROM drive configuration 1 automated tests

To run the PC Card CD-ROM drive configuration 1 automated tests

  1. Insert the HCT CD into the test device.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • CardBus Bridge Power Management Register
  • CardBus Card Common Silicon Guidelines
  • CardBus Card Configuration Space Register
  • CD Redbook Verification
  • CD-ROM - File I/O
  • ChkINF - Hard Disk Controllers

Note: The ChkINF - Hard Disk Controllers test is required only if the test device uses a manufacturer-supplied driver.

  • Storage Device Stress
  4. Click Start Tests.
  5. When tests are completed, view test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config1.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

PC Card CD-ROM drive testing overview


Preparing for PC Card CD-ROM drive configuration 2 testing

This test series examines how a PC Card CD-ROM drive (test device) works with a duplicate CD-ROM drive installed on the PC Card controller.

Before running the tests, you must configure the test system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see PC Card CD-ROM drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test systems for testing PC Card CD-ROM drive configuration 2 for the Windows XP Professional operating system:

To configure the system for PC Card CD-ROM drive configuration 2 testing

  1. Physically install one PC Card CD-ROM drive (test device) on the first PC Card controller in the test system.
  2. Physically install one PC Card CD-ROM drive on the second PC Card controller in the test system.
  3. Install the Windows XP Professional operating system on the hard disk drive in the test system.

During installation, create one partition and format the partition with the NTFS file system. Leave at least 1,000 MB of free disk space on the hard disk drive.

  4. Create a second partition of at least 1,000 MB and format the partition with the NTFS file system.
  5. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select CD/DVD Drive, and then click Next.

Related links

PC Card CD-ROM drive testing overview
Running the PC Card CD-ROM drive configuration 2 manual tests
Running the PC Card CD-ROM drive configuration 2 automated tests


Running the PC Card CD-ROM drive configuration 2 manual tests

To run the CD Auto-start test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD Auto-start, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the CD - Extra Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD - Extra Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Lock test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Lock, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the MMC Command test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select MMC Command, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Multimedia CD Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Multimedia CD Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Surprise Removal test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Surprise Removal, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed to create the correct device topology and run the test.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Video CD Support - Interactive test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Video CD Support - Interactive, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the PC Card CD-ROM drive configuration 2 automated tests


Running the PC Card CD-ROM drive configuration 2 automated tests

To run the PC Card CD-ROM drive configuration 2 automated tests

  1. Insert the HCT CD into the test device.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • CardBus Bridge Power Management Register
  • CardBus Card Common Silicon Guidelines
  • CardBus Card Configuration Space Register
  • CD Redbook Verification
  • CD-ROM - File I/O
  • Disk Stress
  • Storage Device Stress
  4. Click Start Tests.
  5. When tests are completed, view test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config2.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

PC Card CD-ROM drive testing overview


Preparing for PC Card CD-ROM drive configuration 3 testing

This test series examines how a PC Card CD-ROM drive (test device) works with a PC Card network adapter installed on a second PC Card controller. Start with the system setup from the PC Card CD-ROM drive PC Card channel dual drives tests, and then reconfigure the test system before running the tests. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see PC Card CDROM drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test systems for testing PC Card CD-ROM drive configuration 3 for the Windows® XP Professional operating system:

To configure the system for PC Card CD-ROM drive configuration 3 testing

  1. Physically install the PC Card CD-ROM drive (test device) on the first PC Card controller in the test system.
  2. Physically install the PC Card network adapter on the second PC Card controller in the test system.
  3. Install the Windows XP Professional operating system on the hard disk drive in the test system.

During installation, create one partition and format the partition with the NTFS file system. Leave at least 1,000 MB of free disk space on the hard disk drive.

  4. Create a second partition of at least 1,000 MB and format the partition with the NTFS file system.
  5. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select CD/DVD Drive, and then click Next.

Related links


Running the PC Card CD-ROM drive configuration 3 automated tests

To run the Disk Stress test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Disk Stress, and then click Add Selection.
  3. Click Start Tests.
  4. When tests are completed, view test log files.
  5. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config3.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

PC Card CD-ROM drive testing overview


SCSI CD-ROM drive testing overview

The SCSI CD-ROM Drive Hardware Compatibility Test (HCT) procedures are organized by system configuration.

The test procedures for each configuration are divided into a testing overview topic, a preparing for testing topic, and a running the HCT topic.

The testing overview topic includes links to detailed descriptions of all tests run in a particular configuration, hardware requirements, and software requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the test topics include instructions for running the HCT.

Click to show or hide information. System configuration requirements

The SCSI CD-ROM drive HCT kit includes the following test configurations:

  • SCSI CD-ROM drive configuration 1
  • SCSI CD-ROM drive configuration 2

Click to show or hide information. SCSI CD-ROM drive tests

The following tests are available for the SCSI CD-ROM drive test kit. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests require user intervention and must be run individually:

  • CD Auto-start
  • CD - Extra Compatibility
  • Enable/Disable - Device I/O (Storage)
  • Media Lock
  • MMC Command
  • Multimedia CD Compatibility
  • Video CD Support - Interactive

The following tests are automated and can be run together in a group:

  • CD Redbook Verification
  • CD-ROM - File I/O
  • Disk Stress
  • Storage Device Stress

Test kit run time: Up to 12 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the SCSI CD-ROM drive HCT kit:

  • One Intel Pentium, or equivalent, system with the following:
  • One PCI bus
  • Logo-compliant ACPI BIOS, with ACPI enabled by default
  • Minimum 256 MB of RAM
  • One audio adapter
  • One floppy disk drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • One set of speakers
  • One SCSI CD-ROM drive - This is the test device.
  • One blank piece of media for the test device
  • One SCSI hard disk drive with minimum 10 GB capacity
  • One Adaptec SCSI adapter with appropriate bus interface for the test device, such as Narrow, Wide, or LVD
  • One LSI Logic SCSI adapter with appropriate bus interface for the test device, such as Narrow, Wide, or LVD
  • One set of headphones
  • Two formatted floppy disks

Important: All hardware (except the test device) must be included on the Microsoft® Windows® Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the SCSI CD-ROM drive HCT kit:

  • Windows XP Professional operating system
  • Any drivers that do not ship with Windows XP Professional
  • The current release of the Windows XP HCT 10.0 on CD
  • One example of each media type supported by the test device

For example, CD-ROM, CD-R, CD-RW.

  • One CD-Extra title

The CD-Extra title must contain both motion video and music files.

  • One movie in CD-I format
  • One multimedia application

For example, Microsoft® Monster Truck Madness

Click to show or hide information. Tester knowledge requirements

To run the SCSI CD-ROM drive tests, testers must know how to do the following tasks:

  • Physically install a CD-ROM drive.
  • Set the SCSI ID of a CD-ROM drive.
  • Physically install a hard disk drive.
  • Set the SCSI ID of a hard disk drive.
  • Format and partition a hard disk drive.
  • Physically install a SCSI adapter.
  • Install the Windows XP Professional operating system from the product CD.

Related links

Preparing for SCSI CD-ROM drive configuration 1 testing
Preparing for SCSI CD-ROM drive configuration 2 testing

Microsoft Windows HCL


Preparing for SCSI CD-ROM drive configuration 1 testing

This procedure examines how a SCSI CD-ROM drive (test device) functions when installed on an Adaptec SCSI adapter.

Before running the SCSI CD-ROM drive configuration 1 tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see SCSI CD-ROM drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing SCSI CD-ROM drive configuration 1 for the Windows XP Professional operating system:

To configure the test system for SCSI CD-ROM drive configuration 1 testing

Note: All adapters are operated with BIOS enabled and external termination unless otherwise noted.

  1. Remove any SCSI adapters previously installed on the test system, and then physically install the Adaptec SCSI adapter.
  2. Set the SCSI ID on the test device to 6, and then physically install the CD-ROM drive (test device) on the SCSI adapter.
  3. Set the SCSI ID on the SCSI hard disk drive to 0, and then physically install the hard disk drive on the SCSI adapter.
  4. Install the Windows XP Professional operating system on the hard disk drive.

During installation, create one partition and format the partition with the NTFS file system. Leave a minimum of 3,000 MB of free disk space for three additional partitions.

  5. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  6. Create three new partitions of a minimum of 1,000 MB each on the hard disk drive. Format one partition with the FAT 16 file system, one partition with the FAT 32 file system, and one partition with the NTFS file system.
  7. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select CD/DVD Drive, and then click Next.

Related links

SCSI CD-ROM drive testing overview
Running the SCSI CD-ROM drive configuration 1 manual tests
Running the SCSI CD-ROM drive configuration 1 automated tests


Running the SCSI CD-ROM drive configuration 1 manual tests

To run the CD Auto-start test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD Auto-start, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the CD - Extra Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD - Extra Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Lock test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Lock, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the MMC Command test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select MMC Command, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Multimedia CD Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Multimedia CD Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Video CD Support - Interactive test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Video CD Support - Interactive, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the SCSI CD-ROM drive configuration 1 automated tests


Running the SCSI CD-ROM drive configuration 1 automated tests

To run the SCSI CD-ROM drive configuration 2 automated tests

  1. Insert the HCT CD into the test device.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • CD Redbook Verification
  • CD-ROM - File I/O
  • Disk Stress
  • Storage Device Stress
  4. Click Start Tests.
  5. When tests are completed, view test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config1.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

SCSI CD-ROM drive testing overview


Preparing for SCSI CD-ROM drive configuration 2 testing

This procedure examines how a SCSI CD-ROM drive (test device) functions when installed on an LSI SCSI adapter.

Before running the SCSI CD-ROM drive configuration 2 tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see SCSI CD-ROM drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing SCSI CD-ROM drive configuration 2 for the Windows XP Professional operating system:

To configure the test system for SCSI CD-ROM drive configuration 2 testing

Note: All adapters are operated with BIOS enabled and external termination unless otherwise noted.

  1. Remove any SCSI adapters previously installed on the test system, and then physically install the LSI Logic SCSI adapter.
  2. Set the SCSI ID on the test device to 6, and then physically install the CD-ROM drive (test device) on the SCSI adapter.
  3. Set the SCSI ID on the SCSI hard disk drive to 0, and then physically install the hard disk drive on the SCSI adapter.
  4. Install the Windows XP Professional operating system on the hard disk drive.

During installation, create one partition and format the partition with the NTFS file system. Leave a minimum of 3,000 MB of free disk space for three additional partitions.

  5. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  6. Create three new partitions of a minimum of 1,000 MB each on the hard disk drive. Format one partition with the FAT 16 file system, one partition with the FAT 32 file system, and one partition with the NTFS file system.
  7. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select CD/DVD Drive, and then click Next.

Related links

SCSI CD-ROM drive testing overview
Running the SCSI CD-ROM drive configuration 2 manual tests
Running the SCSI CD-ROM drive configuration 2 automated tests


Running the SCSI CD-ROM drive configuration 2 manual tests

To run the CD Auto-start test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD Auto-start, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the CD - Extra Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD - Extra Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Lock test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Lock, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the MMC Command test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select MMC Command, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Multimedia CD Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Multimedia CD Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Video CD Support - Interactive test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Video CD Support - Interactive, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the SCSI CD-ROM drive configuration 2 automated tests


Running the SCSI CD-ROM drive configuration 2 automated tests

To run the SCSI CD-ROM drive configuration 2 automated tests

  1. Insert the HCT CD into the test device.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • CD Redbook Verification
  • CD-ROM - File I/O
  • Disk Stress
  • Storage Device Stress
  4. Click Start Tests.
  5. When tests are completed, view test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config2.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

SCSI CD-ROM drive testing overview


USB CD-ROM drive testing overview

The USB CD-ROM Drive Hardware Compatibility Test (HCT) procedures are organized by system configuration.

The test procedures for each configuration are divided into a testing overview topic, a preparing for testing topic, and a running the HCT topic.

The testing overview topic includes links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the test topics include instructions for running the HCT tools.

This test series examines how the test device works in the following configuration:

  • ATA/ATAPI hard disk drive installed as stand-alone Device 0 (also called master) on the primary ATA/ATAPI channel
  • ATA/ATAPI CD-ROM drive installed as Device 0 on the secondary ATA/ATAPI channel
  • USB CD-ROM drive installed on the root port of a USB host controller

Click to show or hide information. USB CD-ROM drive tests

The following tests are available for the USB CD-ROM drive test kit. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests require user intervention and must be run individually:

  • CD Auto-start
  • CD - Extra Compatibility
  • Enable/Disable - Device I/O (Storage)
  • Media Lock
  • MMC Command
  • Multimedia CD Compatibility
  • Public Import
  • Signability
  • Surprise Removal
  • USB Device Framework
  • USB Manual Interoperability - Device
  • Video CD Support - Interactive

The following tests are automated and can be run together in a group:

  • CD Redbook Verification
  • CD-ROM - File I/O
  • ChkINF - Hard Disk Controllers
  • Disk Stress
  • Storage Device Stress
  • USB 1.1 Specification Compliance
  • USB Address Description
  • USB Device Control Requests
  • USB Enumeration Stress
  • USB Selective Suspend

Test kit run time: Up to 8 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the USB CD-ROM Drive HCT kit:

  • One Intel Pentium, or equivalent, system with the following:
  • USB host controller embedded on the system motherboard

The USB controller must be able to wake the system using ACPI mechanisms

  • Minimum 256 MB of RAM
  • Logo-compliant ACPI BIOS, with ACPI enabled by default
  • Three USB 4-port powered hubs
  • One floppy disk drive
  • One audio adapter
  • One USB scanner
  • One USB video camera
  • One USB joystick
  • One set of USB speakers
  • One USB keyboard
  • One USB mouse
  • One monitor
  • One USB CD-ROM drive - This is the test device.
  • One blank piece of media for the test device
  • One DMA-capable ATA/ATAPI hard disk drive, minimum 10 GB capacity
  • One ATA/ATAPI CD-ROM drive, minimum 8x speed
  • One set of headphones
  • Two standard ATA/ATAPI cables

ATA-66 and ATA-100 controllers require 80-conductor cables.

  • One formatter floppy disk

Important: All hardware (except the test device) must be included on the Microsoft® Windows® Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the USB CD-ROM drive HCT kit:

  • Windows® XP Professional operating system
  • Any drivers that do not ship with Windows XP Professional
  • The current release of the Windows XP HCT 10.0 on CD
  • One example of each media type supported by the test device

For example, CD-ROM, CD-R, CD-RW, DVD-ROM.

  • One CD-Extra title

The CD-Extra title must contain both motion video and music files.

  • One movie in CD-I format
  • One multimedia application

For example, Microsoft® Monster Truck Madness

Click to show or hide information. Tester knowledge requirements

To run the USB CD-ROM drive tests, testers must know how to do the following tasks:

  • Physically install a CD-ROM drive as a stand-alone Device 0.
  • Physically install a hard disk drive as a stand-alone Device 0.
  • Format and partition a hard disk drive.
  • Install the Windows XP Professional operating system from the product CD.

Related links

Preparing for USB CD-ROM drive testing

Microsoft Windows HCL


Preparing for USB CD-ROM drive testing

Before running the tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see USB CD-ROM drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing USB CD-ROM drives for the Windows XP Professional operating system:

To configure the test system for USB CD-ROM drive testing

  1. Physically install the USB CD-ROM drive (test device) on the root port of the embedded USB Controller.
  2. Physically install an ATA/ATAPI hard disk drive as a stand-alone Device 0 on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  3. Physically install an ATA/ATAPI CD-ROM drive as a stand-alone Device 0 on the secondary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  4. Install the Windows XP Professional operating system on the hard disk drive.

During installation, create one partition and format the partition with the NTFS file system. Leave a minimum of 3,000 MB of free disk space for three additional partitions.

  5. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  6. Create three new partitions of a minimum of 1,000 MB each on the hard disk drive. Format one partition with the FAT 16 file system, one partition with the FAT 32 file system, and one partition with the NTFS file system.
  7. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select CD/DVD Drive, and then click Next.

Related links


Running the USB CD-ROM drive manual tests

To run the CD Auto-start test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD Auto-start, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the CD - Extra Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD - Extra Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Lock test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Lock, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the MMC Command test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select MMC Command, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Multimedia CD Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Multimedia CD Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Public Import test

Note: The Public Import test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Public Import, and then click Add Selection.
  3. Click Start Tests.
  4. A dialog box displays. Provide the path to your driver(s) as it appears on the distribution media and click Go.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Signability test

Note: The Signability test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Signability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Surprise Removal test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Surprise Removal, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed to create the correct device topology and run the test.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the USB Device Framework test

To configure the test system

  1. Open Device Manager.
  2. Physically disconnect the test device from the test system.
  3. Physically connect a USB hub on the USB socket port 1 of the USB controller on the test system.
  4. Physically connect the test device to the USB hub.
  5. Verify that the test device is available in Device Manager.

To run the USB Device Framework test
  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select USB Device Framework, and then click Add Selection.
  3. Click Start Tests.
  4. Select the test device from the Device list.
  5. Click Full Test, and then click Start Automated Testing.
  6. Click Close when testing is complete.
  7. View test log files.

To restore the test system configuration
  1. Physically disconnect the USB hub from the test system.
  2. Physically connect the test device to the USB socket port 1 of the USB controller on the test system.
  3. Verify that the test device is available in Device Manager.

Tip: If the test device is not available, complete the following steps:

1. In Device Manager, under IDE ATA/ATAPI controllers, right-click USB Diagnostic Device, and then click Uninstall.

2. On the Action menu, click Scan for hardware changes

  4. Run all other required tests for this configuration.

To run the USB Manual Interoperability - Device test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select USB Manual Interoperability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed until the test is completed.

You are required to build a tree of USB devices to be used on the system.

  5. View test log files.
  6. Run all other required tests for this configuration.

To run the Video CD Support - Interactive test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Video CD Support - Interactive, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the USB CD-ROM drive automated tests


Running the USB CD-ROM drive automated tests

To run the USB CD-ROM drive automated tests

  1. Insert the HCT CD into the test device.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • CD Redbook Verification
  • CD-ROM - File I/O
  • ChkINF - Hard Disk Controllers

Note: The ChkINF test is required only if the test device uses a manufacturer-supplied driver.

  • Disk Stress
  • Storage Device Stress
  • USB 1.1 Specification Compliance
  • USB Address Description
  • USB Device Control Requests
  • USB Enumeration Stress
  • USB Selective Suspend
  4. Click Start Tests.
  5. When tests are completed, view test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

USB CD-ROM drive testing overview


1394 DVD-ROM drive testing overview

The 1394 DVD-ROM drive Hardware Compatibility Test (HCT) procedures are organized by system configuration.

The test procedures for each configuration are divided into a testing overview topic, a preparing for testing topic, and a running the HCT topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, and software requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the test topics include instructions for running the HCT.

This test series examines how the test device works in the following configuration:

  • ATA/ATAPI hard disk drive as stand-alone Device 0 (also called master) on the primary ATA/ATAPI channel
  • ATA/ATAPI CD-ROM drive as Device 0 on the secondary ATA/ATAPI channel
  • 1394 DVD-ROM drive (test device) attached to an IEEE 1394 host controller
  • 1394 digital camera attached to an IEEE 1394 host controller

Click to show or hide information. 1394 DVD-ROM drive stand-alone Device 0 tests

The following tests require user intervention and must be run individually:

  • 1394 Configuration ROM
  • 1394 Interoperability
  • CD Auto-start
  • CD - Extra Compatibility
  • DVD
  • Enable/Disable - Device I/O (Storage)
  • Media Lock
  • MMC Command
  • Multimedia CD Compatibility
  • Public Import
  • Signability
  • Surprise Removal
  • Video CD Support - Interactive

The following tests are automated and can be run together in a group:

  • CD Redbook Verification
  • CD-ROM - File I/O
  • ChkINF - Hard Disk Controllers
  • Disk Stress
  • Storage Device Stress

Test kit run time: Up to 7 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the 1394 DVD-ROM drive HCT kit:

  • One Intel Pentium, or equivalent, system with the following:
  • Logo-compliant ACPI BIOS, with ACPI enabled by default
  • Minimum 256 MB of RAM
  • Two IEEE 1394 host controllers
  • One floppy disk drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • One set of speakers
  • One IEEE 1394 digital camera
  • Three IEEE 1394 cables
  • One 1394 DVD-ROM drive – This is the test device.
  • One blank piece of media for the test device
  • One ATA/ATAPI CD-ROM drive, minimum 8x speed
  • One ATA/ATAPI hard disk drive, minimum capacity 10 GB
  • One Windows Sound System or compatible audio adapter with audio cable
  • One set of headphones
  • Two standard ATA/ATAPI cables

ATA-66 and ATA-100 controllers require 80-conductor cables.

  • One formatted floppy disk drive

Important: All hardware (except the test device) must be included on the Microsoft® Windows® Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the 1394 DVD-ROM drive HCT kit:

  • Windows XP Professional operating system
  • Any drivers that do not ship with Windows XP Professional
  • The current release of Windows XP HCT 10.0 on CD
  • One example of each media type supported by the test device

For example, CD-ROM, CD-R, CD-RW, DVD-ROM.

  • One non-audio CD-ROM
  • One audio CD-ROM
  • One data DVD, such as Microsoft® Encarta® Reference Suite 2001 DVD-ROM
  • One CD-Extra title

The CD-Extra title must contain both motion video and music files.

  • One movie in CD-I format
  • One multimedia application

For example, Microsoft® Monster Truck Madness

Click to show or hide information. Tester knowledge requirements

To run the 1394 DVD-ROM drive tests, testers must know how to do the following tasks:

  • Physically install an IEEE 1394 host controller
  • Physically install a hard disk drive as a Device 0.
  • Format and partition a hard disk drive.
  • Physically install a CD-ROM drive as a Device 0.
  • Physically install an audio adapter.
  • Install the Windows XP Professional operating system from the product CD.

Related links

Preparing for 1394 DVD-ROM drive testing

Microsoft Windows HCL


Preparing for 1394 DVD-ROM drive testing

Before running the tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see 1394 DVD-ROM drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing a 1394 DVD-ROM drive for the Windows XP Professional operating system:

To assemble the test system for 1394 DVD-ROM drive testing

  1. Physically install an ATA/ATAPI hard disk drive as a stand-alone Device 0 on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable
  2. Physically install an ATA/ATAPI CD-ROM drive as a stand-alone Device 0 on the secondary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  3. If the IEEE 1394 host controllers are not embedded on the system motherboard, physically install two IEEE 1394 host controllers.
  4. Attach the 1394 DVD-ROM drive (test device) to one of the IEEE 1394 host controllers.
  5. Attach the IEEE 1394 digital camera to the other IEEE 1394 host controller.
  6. Connect an IEEE 1394 cable between the two host controllers.

To configure the test system for 1394 DVD-ROM drive testing

  1. Install the Windows XP Professional operating system on the hard disk drive.

During installation, create one partition and format the partition with the NTFS file system. Leave a minimum of 3,000 MB of free disk space for three additional partitions.

  2. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  3. Create three new partitions of a minimum of 1,000 MB each on the hard disk drive. Format one partition with the FAT 16 file system, one partition with the FAT 32 file system, and one partition with the NTFS file system.
  4. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, click CD/DVD Drive, and then click Next.

Related links


Running the 1394 DVD-ROM drive manual tests

To run the 1394 Configuration ROM test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select 1394 Configuration ROM, and then click Add Selection.
  3. Click Start Tests.
  4. If running the test for the first time, the Found New Hardware Wizard starts.

Important: You must complete the wizard within two minutes or the test will abort.

To install the virtual driver

  1. In the Found New Hardware wizard, under What do you want the wizard to do?, click Install from a list or specific location, and then click Next.
  2. Under Please choose your search and installation options, select the Include this location in the search check box, and then, in the corresponding box, type [drive]\HCT\testbin. Click Next.
    The wizard will locate and install the virtual driver.
  3. Click Finish to close the wizard.
  5. Follow the instructions displayed.
  6. When the test is completed, view test log files.
  7. Run all other required tests for this configuration.

To run the 1394 Interoperability test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select 1394 Interoperability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed to create the correct device topology and run the test.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the CD Auto-start test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD Auto-start, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.

To run the CD - Extra Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD - Extra Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the DVD test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select DVD, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Lock test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Lock, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the MMC Command test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select MMC Command, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Multimedia CD Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Multimedia CD Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Public Import test

Note: The Public Import test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Public Import, and then click Add Selection.
  3. Click Start Tests.
  4. A dialog box displays. Provide the path to your driver(s) as it appears on the distribution media and click Go.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Signability test

Note: The Signability test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Signability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Surprise Removal test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Surprise Removal, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed to create the correct device topology and run the test.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Video CD Support - Interactive test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Video CD Support - Interactive, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the 1394 DVD-ROM drive automated tests


Running the 1394 DVD-ROM drive automated tests

To run the 1394 DVD-ROM drive automated tests

  1. Insert the Windows® XP HCT 10.0 CD into the test device.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • CD Redbook Verification
  • CD-ROM - File I/O
  • ChkINF - Hard Disk Controllers

Note: The ChkINF test is required only if the test device uses a manufacturer-supplied driver.

  • Disk Stress
  • Storage Device Stress
  4. Click Start Tests.
  5. When tests are completed, view test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

1394 DVD-ROM drive testing overview


ATA/ATAPI DVD-ROM drive testing overview

The ATA/ATAPI DVD-ROM Drive Hardware Compatibility Test (HCT) procedures are organized by system configuration.

The test procedures for each configuration are divided into a testing overview topic, a preparing for testing topic, and a running the HCT topic.

The testing overview topic includes links to detailed descriptions of all tests run in a particular configuration, hardware requirements, and software requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the test topics include instructions for running the HCT.

Click to show or hide information. System configuration requirements

The ATA/ATAPI DVD-ROM drive HCT kit includes the following test configurations:

  • ATA/ATAPI DVD-ROM drive configuration 1
  • ATA/ATAPI DVD-ROM drive configuration 2
  • ATA/ATAPI DVD-ROM drive configuration 3

Click to show or hide information. ATA/ATAPI DVD-ROM drive tests

The following tests are available for the DVD-ROM drive test kit. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests require user intervention and must be run individually:

  • CD Auto-start
  • CD - Extra Compatibility
  • DVD
  • Enable/Disable - Device I/O (Storage)
  • Media Lock
  • MMC Command
  • Multimedia CD Compatibility
  • Video CD Support - Interactive

The following tests are automated and can be run together in a group:

  • CD Redbook Verification
  • CD-ROM - File I/O
  • Disk Stress
  • Storage Device Stress

Test kit run time: Up to 13 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the ATA/ATAPI DVD-ROM Drive HCT kit:

  • One Intel Pentium, or equivalent, system with the following:
  • One dual channel ATA/ATAPI controller implemented on the motherboard
  • Logo-compliant ACPI BIOS, with ACPI enabled by default
  • Minimum of 256 MB of RAM
  • One floppy disk drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • One set of speakers
  • One ATA/ATAPI DVD-ROM drive - This is the test device.
  • One blank piece of media for the test device.
  • One DMA-capable ATA/ATAPI hard disk drive with minimum 10 GB capacity
  • Two standard ATA/ATAPI cables

ATA-66 and ATA-100 controllers require 80-conductor cables.

  • One cable-select ATA/ATAPI cable
  • One Windows Sound System or compatible audio adapter with audio cable
  • One set of headphones
  • Two formatted floppy disks

Important: All hardware (except the test device) must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the ATA/ATAPI DVD-ROM Drive HCT kit:

  • Windows® XP Professional operating system
  • Any drivers that do not ship with Windows XP Professional
  • The current release of Windows XP HCT 10.0 on CD
  • One example of each media type supported by the test device

For example, CD-ROM, CD-R, CD-RW, DVD-ROM

  • One non-audio CD-ROM
  • One audio CD-ROM
  • One data DVD, such as Microsoft® Encarta® Reference Suite 2001 DVD-ROM
  • One CD-Extra title

The CD-Extra title must contain both motion video and music files.

  • One movie in CD-I format
  • One multimedia application

For example, Microsoft® Monster Truck Madness

Click to show or hide information. Tester knowledge requirements

To run the ATA/ATAPI DVD-ROM drive tests, testers must know how to do the following tasks:

  • Physically install a DVD-ROM drive as a stand-alone Device 0 and a Device 1.
  • Physically install a hard disk drive as a Device 0.
  • Format and partition a hard disk drive.
  • Physically install an audio adapter.
  • Access and change the system BIOS settings.
  • Install the Windows XP Professional operating system from the product CD.

Related links

Preparing for ATA/ATAPI DVD-ROM drive configuration 1 testing
Preparing for ATA/ATAPI DVD-ROM drive configuration 2 testing
Preparing for ATA/ATAPI DVD-ROM drive configuration 3 testing

Microsoft Windows HCL


Preparing for ATA/ATAPI DVD-ROM drive configuration 1 testing

This test series examines how the test device works in the following configuration:

  • DVD-ROM drive (test device) installed as a stand-alone Device 0 on the secondary ATA/ATAPI channel
  • Hard disk drive configured as a Device 0 on the primary ATA/ATAPI channel

Before running the tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see ATA/ATAPI DVD-ROM drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test systems for testing ATA/ATAPI DVD-ROM drive configuration 1 for the Windows XP Professional operating system.

To configure the system for ATA/ATAPI DVD-ROM drive configuration 1 testing

  1. Physically install the DVD-ROM drive (test device) as the stand-alone Device 0 on the secondary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  2. If the audio adapter is not embedded on the test system motherboard, physically install the audio adapter.
  3. Connect the audio cable from the audio adapter to the Audio Line Out connector on the test device.
  4. Physically install a hard disk drive as the stand-alone Device 0 on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable.

During installation, create one partition and format the partition with the NTFS file system. Leave a minimum of 3,000 MB of free disk space for three additional partitions.

  5. If necessary, install any manufacturer-supplied drivers required by devices on the test system.
  6. Create three new partitions of a minimum of 1,000 MB each on the hard disk drive. Format one partition with the FAT 16 file system, one partition with the FAT 32 file system, and one partition with the NTFS file system.
  7. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select CD/DVD Drive, and then click Next.

Related links

ATA/ATAPI DVD-ROM drive testing overview
Running the ATA/ATAPI DVD-ROM drive configuration 1 manual tests
Running the ATA/ATAPI DVD-ROM drive configuration 1 automated tests


Running the ATA/ATAPI DVD-ROM drive configuration 1 manual tests

To run the CD Auto-start test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD Auto-start, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the CD - Extra Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD - Extra Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the DVD test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select DVD, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Lock test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Lock, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the MMC Command test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select MMC Command, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Multimedia CD Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Multimedia CD Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Video CD Support - Interactive test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Video CD Support - Interactive, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the ATA/ATAPI DVD-ROM drive configuration 1 automated tests


Running the ATA/ATAPI DVD-ROM drive configuration 1 automated tests

To run the ATA/ATAPI DVD-ROM drive configuration 1 automated tests

  1. Insert the Windows® Whistler HCT 10.0 CD into the test device.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • CD Redbook Verification
  • CD-ROM - File I/O
  • Disk Stress
  • Storage Device Stress
  4. Click Start Tests.
  5. When tests are completed, view test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config1.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

ATA/ATAPI DVD-ROM drive testing overview


Preparing for ATA/ATAPI DVD-ROM drive configuration 2 testing

This test series examines how the test device works in the following configuration:

  • DVD-ROM drive (test device) installed as a Device 1 on the primary ATA/ATAPI channel
  • Hard disk drive configured as a Device 0 on the primary ATA/ATAPI channel

Before running the tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see ATA/ATAPI DVD-ROM drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test systems for testing ATA/ATAPI DVD-ROM drive configuration 2 for the Windows XP Professional operating system:

To configure the system for ATA/ATAPI DVD-ROM drive configuration 2 testing

  1. Physically install the DVD-ROM drive (test device) as a Device 1 on the primary ATA/ATAPI channel using a standard IDE cable.
  2. If the audio adapter is not embedded on the test system motherboard, physically install the audio adapter.
  3. Connect the audio cable from the audio adapter to the Audio Line Out connector on the test device.
  4. Physically install a hard disk drive as the stand-alone Device 0 on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  5. Start the test system and set the test system BIOS to start from the DVD-ROM drive.
  6. Insert the Windows XP Professional operating system CD into the test device and then restart the test system. Install the Windows XP Professional operating system on the hard disk drive.

During installation, create one partition and format the partition with the NTFS file system. Leave a minimum of 3,000 MB of free disk space for three additional partitions.

  7. If necessary, install any manufacturer-supplied drivers required by device in the test system.
  8. Create three new partitions of a minimum of 1,000 MB each on the hard disk drive. Format one partition with the FAT 16 file system, one partition with the FAT 32 file system, and one partition with the NTFS file system.
  9. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select CD/DVD Drive, and then click Next.

Related links

ATA/ATAPI DVD-ROM drive testing overview
Running the ATA/ATAPI DVD-ROM drive configuration 2 manual tests
Running the ATA/ATAPI DVD-ROM drive configuration 2 automated tests


Running the ATA/ATAPI DVD-ROM drive configuration 2 manual tests

To run the CD Auto-start test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD Auto-start, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the CD - Extra Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD - Extra Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the DVD test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select DVD, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Lock test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Lock, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the MMC Command test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select MMC Command, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Multimedia CD Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Multimedia CD Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Video CD Support - Interactive test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Video CD Support - Interactive, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the ATA/ATAPI DVD-ROM drive configuration 2 automated tests


Running the ATA/ATAPI DVD-ROM drive configuration 2 automated tests

To run the ATA/ATAPI DVD-ROM drive configuration 2 automated tests

  1. Insert the Windows® Whistler HCT 10.0 CD into the test device.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • CD Redbook Verification
  • CD-ROM - File I/O
  • Disk Stress
  • Storage Device Stress
  4. Click Start Tests.
  5. When tests are completed, view test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config2.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

ATA/ATAPI DVD-ROM drive testing overview


Preparing for ATA/ATAPI DVD-ROM drive configuration 3 test

This test series examines how the test device works in the following configuration:

  • DVD-ROM drive (test device) installed as a cable-select Device 1 on the primary ATA/ATAPI channel
  • Hard disk drive configured as a cable-select Device 0 on the primary ATA/ATAPI channel

Before running the tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see ATA/ATAPI DVD-ROM drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test systems for testing ATA/ATAPI DVD-ROM drive configuration 3 for the Windows XP Professional operating system:

To configure the system for ATA/ATAPI DVD-ROM drive configuration 3 testing

  1. Physically install the DVD-ROM drive (test device) as a cable-select Device 1 on the primary ATA/ATAPI channel using a cable-select ATA/ATAPI cable.
  2. If the audio adapter is not embedded on the test system motherboard, physically install the audio adapter.
  3. Connect the audio cable from the audio adapter to the Audio Line Out connector on the test device.
  4. Physically install a hard disk drive as a cable-select Device 0 on the primary ATA/ATAPI channel using a cable-select ATA/ATAPI cable.
  5. Start the test system and set the test system BIOS to start from DVD-ROM drive.
  6. Insert the Windows XP Professional operating system CD into the test device and then restart the test system. Install the Windows XP Professional operating system on the hard disk drive.

During installation, create one partition of a minimum 2 GB and format the partition with the NTFS file system.

  7. If necessary, install any manufacturer-supplied drivers required by device in the test system.
  8. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select CD/DVD Drive, and then click Next.

Related links


Running the ATA/ATAPI DVD-ROM drive configuration 3 automated tests

To run the ATA/ATAPI DVD-ROM drive configuration 3 automated tests

  1. Insert the Windows® Whistler HCT 10.0 CD into the test device.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • CD-ROM - File I/O
  4. Click Start Tests.
  5. When tests are completed, view test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config3.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

ATA/ATAPI DVD-ROM drive testing overview


USB DVD-ROM drive testing overview

The USB DVD-ROM Drive Hardware Compatibility Test (HCT) procedures are organized by system configuration.

The test procedures for each configuration are divided into a testing overview topic, a preparing for testing topic, and a running the HCT topic.

The testing overview topic includes links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the test topics include instructions for running the HCT.

This test series examines how the test device works in the following configuration:

  • ATA/ATAPI hard disk drive installed as stand-alone Device 0 (also called master) on the primary ATA/ATAPI channel
  • ATA/ATAPI CD-ROM drive installed as Device 0 on the secondary ATA/ATAPI channel
  • USB DVD-ROM drive (test device) installed on the root port of a USB host controller

Click to show or hide information. USB DVD-ROM drive tests

The following tests are available for this hardware configuration. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests require user intervention and must be run individually:

  • CD Auto-start
  • CD - Extra Compatibility
  • DVD
  • Enable/Disable - Device I/O (Storage)
  • Media Lock
  • MMC Command
  • Multimedia CD Compatibility
  • Public Import
  • Signability
  • Surprise Removal
  • USB Device Framework
  • USB Manual Interoperability - Device
  • Video CD Support - Interactive

The following tests are automated and can be run together in a group:

  • CD Redbook Verification
  • CD-ROM - File I/O
  • ChkINF - Hard Disk Controllers
  • Disk Stress
  • Storage Device Stress
  • USB 1.1 Specification Compliance
  • USB Address Description
  • USB Device Control Requests
  • USB Enumeration Stress
  • USB Selective Suspend

Test kit run time: Up to 8 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the USB DVD-ROM Drive HCT kit:

  • One Intel Pentium, or equivalent, system with the following:
  • USB host controller embedded on the system motherboard

The USB controller must be able to wake the system using ACPI mechanisms

  • Minimum 256 MB of RAM
  • Logo-compliant ACPI BIOS, with ACPI enabled by default
  • Three USB 4-port powered hubs
  • One audio adapter
  • One floppy disk drive
  • One USB scanner
  • One USB video camera
  • One USB joystick
  • One set of USB speakers
  • One USB keyboard
  • One USB mouse
  • One monitor
  • One USB DVD-ROM drive - This is the test device.
  • One blank piece of media for the test device
  • One ATA/ATAPI hard disk drive, minimum 10 GB capacity
  • One ATA/ATAPI CD-ROM drive, minimum 8x speed
  • One set of headphones
  • Two ATA/ATAPI cables
  • One formatted floppy disk drive

Important: All hardware (except the test device) must be included on the Microsoft® Windows® Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the USB DVD-ROM Drive HCT kit:

  • Windows XP Professional operating system
  • Any drivers that do not ship with Windows XP Professional
  • The current release of Windows XP HCT 10.0 on CD
  • One example of each media type supported by the test device

For example, CD-ROM, CD-R, CD-RW, DVD-ROM.

  • One non-audio CD-ROM
  • One audio CD-ROM
  • One data DVD, such as Microsoft® Encarta® Reference Suite 2001 DVD-ROM
  • One CD-Extra title

The CD-Extra title must contain both motion video and music files.

  • One movie in CD-I format
  • One multimedia application

For example, Microsoft® Monster Truck Madness

Click to show or hide information. Tester knowledge requirements

To run the USB DVD-ROM drive tests, testers must know how to do the following tasks:

  • Physically install a CD-ROM drive as a stand-alone Device 0.
  • Physically install a hard disk drive as a stand-alone Device 0.
  • Format and partition a hard disk drive.
  • Physically install an audio adapter.
  • Install the Windows XP Professional operating system from the product CD.

Related links

Preparing for USB DVD-ROM drive testing

Microsoft Windows HCL


Preparing for USB DVD-ROM drive testing

Before running the tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see USB DVD-ROM drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing USB DVD-ROM drives for the Windows XP Professional operating system:

To configure the test system for USB DVD-ROM drive testing

  1. Physically install the DVD-ROM drive (test device) on the root port of the embedded USB controller.
  2. Physically install a hard disk drive as a stand-alone Device 0 on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  3. Physically install a CD-ROM drive as a stand-alone Device 0 on the secondary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  4. Install the Windows XP Professional operating system on the hard disk drive.

During installation, create one partition and format the partition with the NTFS file system. Leave a minimum of 3,000 MB of free disk space for three additional partitions.

  5. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  6. Create three new partitions of a minimum of 1,000 MB each on the hard disk drive. Format one partition with the FAT 16 file system, one partition with the FAT 32 file system, and one partition with the NTFS file system.
  7. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, click CD/DVD Drive, and then click Next.

Related links


Running the USB DVD-ROM drive manual tests

To run the CD Auto-start test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD Auto-start, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the CD - Extra Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD - Extra Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the DVD test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select DVD, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Lock test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Lock, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the MMC Command test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select MMC Command, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Multimedia CD Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Multimedia CD Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Public Import test

Note: The Public Import test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Public Import, and then click Add Selection.
  3. Click Start Tests.
  4. A dialog box displays. Provide the path to your driver(s) as it appears on the distribution media and click Go.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Signability test

Note: The Signability test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Signability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Surprise Removal test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Surprise Removal, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed to create the correct device topology and run the test.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the USB Device Framework test

To configure the test system

  1. Open Device Manager.
  2. Physically disconnect the test device from the test system.
  3. Physically connect a USB hub on the USB socket port 1 of the USB controller on the test system.
  4. Physically connect the test device to the USB hub.
  5. Verify that the test device is available in Device Manager.

To run the USB Device Framework test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select USB Device Framework, and then click Add Selection.
  3. Click Start Tests.
  4. Select the test device from the Device list.
  5. Click Full Test, and then click Start Automated Testing.
  6. Click Close when testing is complete.
  7. View test log files.

To restore the test system configuration

  1. Physically disconnect the USB hub from the test system.
  2. Physically connect the test device to the USB socket port 1 of the USB controller on the test system.
  3. Verify that the test device is available in Device Manager.

Tip: If the test device is not available, complete the following steps:

1. In Device Manager, under IDE ATA/ATAPI controllers, right-click USB Diagnostic Device, and then click Uninstall.

2. On the Action menu, click Scan for hardware changes

  4. Run all other required tests for this configuration.

To run the USB Manual Interoperability - Device test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select USB Manual Interoperability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed until the test is completed.

You are required to build a tree of USB devices to be used on the system.

  5. View test log files.
  6. Run all other required tests for this configuration.

To run the Video CD Support - Interactive test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Video CD Support - Interactive, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the USB DVD-ROM drive automated tests


Running the USB DVD-ROM drive automated tests

To run the USB DVD-ROM drive automated tests

  1. Insert the Windows® XP HCT 10.0 CD into the test device.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • CD Redbook Verification
  • CD-ROM - File I/O
  • ChkINF - Hard Disk Controllers

Note: The ChkINF test is required only if the test device uses a manufacturer-supplied driver.

  • Disk Stress
  • Storage Device Stress
  • USB 1.1 Specification Compliance
  • USB Address Description
  • USB Device Control Requests
  • USB Enumeration Stress
  • USB Selective Suspend
  4. Click Start Tests.
  5. When tests are completed, view test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

USB DVD-ROM drive testing overview


1394 CD-R and CD-RW drive testing overview

The 1394 CD-R and CD-RW Drive Hardware Compatibility Test (HCT) procedures are organized by system configuration.

The test procedures for each configuration are divided into a testing overview topic, a preparing for testing topic, and a running the HCT topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, and software requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the test topics include instructions for running the HCT.

This test series examines how the test device works in the following configuration:

  • ATA/ATAPI hard disk drive as stand-alone Device 0 (also called master) on the primary ATA/ATAPI channel
  • ATA/ATAPI CD-ROM drive as Device 0 on the secondary ATA/ATAPI channel
  • 1394 test device attached to an IEEE 1394 host controller
  • 1394 digital camera attached to an IEEE 1394 host controller

Click to show or hide information. 1394 CD-R and CD-RW drive tests

The following tests are available for the 1394 CD-R and CD-RW drive test kit. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests require user intervention and must be run individually:

  • 1394 Configuration ROM
  • 1394 Interoperability
  • CD Auto-start
  • CD - Extra Compatibility
  • CD-R/CD-RW Functionality
  • Enable/Disable - Device I/O (Storage)
  • Media Lock
  • MMC Command
  • Multimedia CD Compatibility
  • Public Import
  • Signability
  • Surprise Removal
  • Video CD Support - Interactive

The following tests are automated and can be run together in a group:

  • CD Redbook Verification
  • CD-ROM - File I/O
  • Disk Stress
  • Storage Device Stress

Test kit run time: Up to 7 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the 1394 CD-R and CD-RW Drive HCT kit:

  • One Intel Pentium, or equivalent, system with the following:
  • Logo-compliant ACPI BIOS, with ACPI enabled by default
  • Minimum 256 MB of RAM
  • Two IEEE 1394 host controllers
  • One floppy disk drive
  • One audio adapter
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • One set of speakers
  • One 1394 CD-R or CD-RW drive - This is the test device.
  • One blank piece of media for the test device
  • One IEEE 1394 digital camera
  • Three IEEE 1394 cables
  • One ATA/ATAPI CD-ROM drive, minimum 8x speed
  • One ATA/ATAPI hard disk drive, minimum capacity 10 GB
  • One set of headphones
  • Two standard ATA/ATAPI cables

ATA-66 and ATA-100 controllers require 80-conductor cables.

  • One formatted floppy disk

Important: All hardware (except the test device) must be included on the Microsoft® Windows® Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the 1394 CD-R and CD-RW Drive HCT kit:

  • Windows XP Professional operating system
  • Any drivers that do not ship with Windows XP Professional
  • The current release of the Windows XP HCT 10.0 on CD
  • One example of each media type supported by the test device

For example, CD-ROM, CD-R, CD-RW.

  • One CD-Extra title

The CD-Extra title must contain both motion video and music files.

  • One movie in CD-I format
  • One multimedia application

For example, Microsoft® Monster Truck Madness

Click to show or hide information. Tester knowledge requirements

To run the 1394 CD-R and CD-RW drive tests, testers must know how to do the following tasks:

  • Physically install a hard disk drive as a Device 0.
  • Format and partition a hard disk drive.
  • Physically install a CD-ROM drive as a Device 0.
  • Install the Windows XP Professional operating system from the product CD.

Related links

Preparing for 1394 CD-R and CD-RW drive testing

Microsoft Windows HCL


Preparing for 1394 CD-R and CD-RW drive testing

Before running the tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see 1394 CD-R and CD-RW drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing a 1394 CD-R and CD-RW drive for the Windows XP Professional operating system:

To configure the test system for 1394 CD-R and CD-RW drive testing

  1. Physically install an ATA/ATAPI hard disk drive as a stand-alone Device 0 on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable
  2. Physically install an ATA/ATAPI CD-ROM drive as a stand-alone Device 0 on the secondary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  3. If the IEEE 1394 host controllers are not embedded on the system motherboard, physically install two IEEE 1394 host controllers.
  4. Attach the test device to one of the IEEE 1394 host controllers.
  5. Attach the IEEE 1394 digital camera to the other IEEE 1394 host controller.
  6. Connect an IEEE 1394 cable between the two host controllers.
  7. Install the Windows XP Professional operating system on the hard disk drive.

During installation, create one partition and format the partition with the NTFS file system. Leave a minimum of 3,000 MB of free disk space for three additional partitions.

  8. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  9. Create three new partitions of a minimum of 1,000 MB each on the hard disk drive. Format one partition with the FAT 16 file system, one partition with the FAT 32 file system, and one partition with the NTFS file system.
  10. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, click Recordable CD/DVD Drive, and then click Next.

Related links


Running the 1394 CD-R and CD-RW drive manual tests

To run the 1394 Configuration ROM test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select 1394 Configuration ROM, and then click Add Selection.
  3. Click Start Tests.
  4. If running the test for the first time, the Found New Hardware Wizard starts.

Important: You must complete the wizard within two minutes or the test will abort.

To install the virtual driver

  1. In the Found New Hardware wizard, under What do you want the wizard to do?, click Install from a list or specific location, and then click Next.
  2. Under Please choose your search and installation options, select the Include this location in the search check box, and then, in the corresponding box, type [drive]\HCT\testbin. Click Next.
    The wizard will locate and install the virtual driver.
  3. Click Finish to close the wizard.
  5. Follow the instructions displayed.
  6. When the test is completed, view test log files.
  7. Run all other required tests for this configuration.

To run the 1394 Interoperability test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select 1394 Interoperability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed to create the correct device topology and run the test.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the CD Auto-start test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD Auto-start, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the CD - Extra Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD - Extra Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the CD-R/CD-RW Functionality test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD-R/CD-RW Functionality, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Lock test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Lock, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the MMC Command test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select MMC Command, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Multimedia CD Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Multimedia CD Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Public Import test

Note: The Public Import test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Public Import, and then click Add Selection.
  3. Click Start Tests.
  4. A dialog box displays. Provide the path to your driver(s) as it appears on the distribution media and click Go.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Signability test

Note: The Signability test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Signability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Surprise Removal test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Surprise Removal, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed to create the correct device topology and run the test.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Video CD Support - Interactive test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Video CD Support - Interactive, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the 1394 CD-R and CD-RW drive automated tests


Running the 1394 CD-R and CD-RW drive automated tests

To run the 1394 CD-R and CD-RW drive automated tests

  1. Insert the Windows® XP HCT 10.0 CD into the test device.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • CD Redbook Verification
  • CD-ROM - File I/O
  • Disk Stress
  • Storage Device Stress
  4. Click Start Tests.
  5. When tests are completed, view test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

1394 CD-R and CD-RW drive testing overview


ATA/ATAPI CD-R and CD-RW drive testing overview

The ATA/ATAPI CD-R and CD-RW Drive Hardware Compatibility Test (HCT) procedures are organized by system configuration.

The test procedures for each configuration are divided into a testing overview topic, a preparing for testing topic, a test description topic, and a running the HCT topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the test topics include instructions for running the HCT.

Click to show or hide information. System configuration requirements

The ATA/ATAPI CD-R and CD-RW Drive HCT kit includes the following test configurations:

  • ATA/ATAPI CD-R and CD-RW drive configuration 1
  • ATA/ATAPI CD-R and CD-RW drive configuration 2

Click to show or hide information. ATA/ATAPI CD-R and CD-RW drive tests

The following tests are available for the ATA/ATAPI CD-R and CD-RW drive test kit. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests require user intervention and must be run individually:

  • CD Auto-start
  • CD - Extra Compatibility
  • CD-R/CD-RW Functionality
  • Enable/Disable - Device I/O (Storage)
  • Media Lock
  • MMC Command

The following tests are automated and can be run together in a group:

  • CD Redbook Verification
  • CD-ROM - File I/O
  • Disk Stress
  • Storage Device Stress

Test kit run time: Up to 12 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the ATA/ATAPI CD-R and CD-RW Drive HCT kit:

  • One Intel Pentium, or equivalent, system with the following:
  • One dual channel ATA/ATAPI controller implemented on the motherboard
  • Logo-compliant ACPI BIOS, with ACPI enabled by default
  • Minimum 256 MB of RAM
  • One floppy disk drive
  • One audio adapter
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • One set of speakers
  • One set of headphones
  • One ATA/ATAPI CD-Recordable (CD-R) or ATA/ATAPI CD-Rewriteable (CD-RW) drive - This is the test device.
  • One blank piece of media for the test device
  • One DMA-capable ATA/ATAPI hard disk drive with minimum 10 GB capacity
  • Two standard ATA/ATAPI cables

ATA-66 and ATA-100 controllers require 80-conductor cables.

  • One ATA/ATAPI cable-select cable
  • Two formatted floppy disk

Important: All hardware (except the test device) must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the ATA/ATAPI CD-R and CD-RW Drive HCT kit:

  • Windows® XP Professional operating system
  • Any drivers that do not ship with Windows XP Professional
  • The current release of the Windows XP HCT 10.0 on CD
  • One example of each media type supported by the test device.

For example, CD-R, CD-RW, CD-ROM.

  • One CD-Extra title.

The CD-Extra title must contain both motion video and music files.

Click to show or hide information. Tester knowledge requirements

To run the ATA/ATAPI CD-R and CD-RW drive tests, testers must know how to do the following tasks:

  • Physically install a hard disk drive as a Device 0.
  • Format and partition a hard disk drive.
  • Physically install a CD-R or CD-RW drive as a Device 0 and Device 1.
  • Install the Windows XP Professional operating system from the product CD.

Related links

Preparing for ATA/ATAPI CD-R and CD-RW drive configuration 1 testing
Preparing for ATA/ATAPI CD-R and CD-RW drive configuration 2 testing

Microsoft Windows HCL


Preparing for ATA/ATAPI CD-R and CD-RW drive configuration 1 testing

This test series examines how the test device works in the following configuration:

  • Test device installed as a stand-alone Device 0 (also called master) on the secondary ATA/ATAPI channel
  • DMA-capable hard disk drive configured as the Device 0 on the primary ATA/ATAPI channel

Before running the tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see ATA/ATAPI CD-R and CD-RW drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing ATA/ATAPI CD-R and CD-RW drive configuration 1 for the Windows XP Professional operating system:

To configure the test system for ATA/ATAPI CD-R and CD-RW drive configuration 1 testing

  1. Physically install the test device as a stand-alone Device 0 on the secondary ATA/ATAPI channel of the test system using a standard ATA/ATAPI cable.
  2. Physically install one hard disk drive as a stand-alone Device 0 on the primary ATA/ATAPI channel of the test system using a standard ATA/ATAPI cable.
  3. If the audio adapter is not embedded on the motherboard, physically install the audio adapter.
  4. Install the Windows XP Professional operating system on the hard disk drive in the test system.

During installation, create one partition and format the partition with the NTFS file system. Leave a minimum of 3,000 MB free disk space for three additional partitions.

  5. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  6. Create three new partitions of a minimum of 1,000 MB each on the hard disk drive. Format one partition with the FAT 16 file system, on partition with the FAT 32 file system, and one partition with the NTFS file system.
  7. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Recordable CD/DVD Drive, and then click Next.

Related links

ATA/ATAPI CD-R and CD-RW drive testing overview
Running the ATA/ATAPI CD-R and CD-RW drive configuration 1 manual tests
Running the ATA/ATAPI CD-R and CD-RW drive configuration 1 automated tests


Running the ATA/ATAPI CD-R and CD-RW drive configuration 1 manual tests

To run the CD Auto-start test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD Auto-start, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the CD - Extra Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD - Extra Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the CD-R/CD-RW Functionality test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD-R/CD-RW Functionality, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Lock test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Lock, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the MMC Command test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select MMC Command, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the ATA/ATAPI CD-R and CD-RW drive configuration 1 automated tests


Running the ATA/ATAPI CD-R and CD-RW drive configuration 1 automated tests

To run the ATA/ATAPI CD-R and CD-RW drive configuration 1 automated tests

  1. Insert the Windows® XP HCT 10.0 CD into the test device.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • CD Redbook Verification
  • CD-ROM - File I/O
  • Disk Stress
  • Storage Device Stress
  4. Click Start Tests.
  5. When tests are completed, view test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config1.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

ATA/ATAPI CD-R and CD-RW drive testing overview


Preparing for ATA/ATAPI CD-R and CD-RW drive configuration 2 testing

This test series examines how the test device works in the following configuration:

  • Test device installed as Device 1 (also called slave) on the primary ATA/ATAPI channel
  • DMA-cable hard disk drive configured as Device 0 (also called master) on the primary ATA/ATAPI channel

Before running the tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see ATA/ATAPI CD-R and CD-RW drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing ATA/ATAPI CD-R and CD-RW drive configuration 2 for the Windows XP Professional operating system:

To configure the test system for ATA/ATAPI CD-R and CD-RW drive configuration 2 testing

  1. Physically install the test device as Device 1 on the primary ATA/ATAPI channel of the test system using a cable-select ATA/ATAPI cable.
  2. Physically install the hard disk drive as Device 0 on the primary ATA/ATAPI channel of the test system using a standard ATA/ATAPI cable.
  3. If the audio adapter is not embedded on the motherboard, physically install the audio adapter.
  4. Install the Windows XP Professional operating system on the hard disk drive in the test system.

During installation, create one partition and format the partition with the NTFS file system. Leave a minimum of 3,000 MB free disk space for three additional partitions.

  5. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  6. Create three new partitions of a minimum of 1,000 MB each on the hard disk drive. Format one partition with the FAT 16 file system, on partition with the FAT 32 file system, and one partition with the NTFS file system.
  7. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Recordable CD/DVD Drive, and then click Next.

Related links

ATA/ATAPI CD-R and CD-RW drive testing overview
Running the ATA/ATAPI CD-R and CD-RW drive configuration 2 manual tests
Running the ATA/ATAPI CD-R and CD-RW drive configuration 2 automated tests


Running the ATA/ATAPI CD-R and CD-RW drive configuration 2 manual tests

To run the CD Auto-start test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD Auto-start, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the CD - Extra Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD - Extra Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the CD-R/CD-RW Functionality test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD-R/CD-RW Functionality, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Lock test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Lock, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the MMC Command test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select MMC Command, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the ATA/ATAPI CD-R and CD-RW drive configuration 2 automated tests


Running the ATA/ATAPI CD-R and CD-RW drive configuration 2 automated tests

To run the ATA/ATAPI CD-R and CD-RW drive configuration 2 automated tests

  1. Insert the Windows® XP HCT 10.0 CD into the test device.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • CD Redbook Verification
  • CD-ROM - File I/O
  • Disk Stress
  • Storage Device Stress
  4. Click Start Tests.
  5. When tests are completed, view test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config2.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

ATA/ATAPI CD-R and CD-RW drive testing overview


PC Card CD-R and CD-RW drive testing overview

The PC Card CD-R and CD-RW Drive Hardware Compatibility Test (HCT) procedures are organized by system configuration.

The test procedures for each configuration are divided into a testing overview topic, a preparing for testing topic, and a running the HCT topic.

The testing overview topic includes links to detailed descriptions of all tests run in a particular configuration, hardware requirements, and software requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the test topics include instructions for running the HCT tools.

Click to show or hide information. System configuration requirements

The PC Card CD-R and CD-RW Drive HCT kit includes the following test configurations:

  • PC Card CD-R and CD-RW drive configuration 1
  • PC Card CD-R and CD-RW drive configuration 2
  • PC Card CD-R and CD-RW drive configuration 3

Click to show or hide information. PC Card CD-R and CD-RW drive tests

The following tests require user intervention and must be run individually:

  • CD Auto-start
  • CD - Extra Compatibility
  • CD-R/CD-RW Functionality
  • Driver Verifier - ATA/ATAPI Controller
  • Enable/Disable - Device I/O (Storage)
  • Media Lock
  • MMC Command
  • Multimedia CD Compatibility
  • Public Import
  • Signability
  • Surprise Removal
  • Video CD Support - Interactive

The following tests are automated and can be run together in a group:

  • ACPI Stress - Device I/O (Extended)
  • CardBus Card Configuration Space Register
  • CardBus Bridge Power Management Register
  • CardBus Card Common Silicon Guidelines
  • CD Redbook Verification
  • CD-ROM - File I/O
  • Disk Stress
  • Storage Device Stress

Test kit run time: Up to 18 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the PC Card CD-R and CD-RW Drive HCT kit:

  • One Intel Pentium, or equivalent, mobile system with the following:
  • Dual PC Card controllers
  • Logo-compliant ACPI BIOS, with ACPI enabled by default
  • Minimum 256 MB of RAM
  • Minimum 10 GB hard disk drive
  • One audio adapter
  • One floppy disk drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • One set of speakers
  • Two PC Card CD-R or CD-RW drives - These are the test devices.
  • Two blank pieces of media for the test devices
  • One PC Card network adapter
  • One set of headphones
  • Two formatted floppy disks

Important: All hardware must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the PC Card CD-R and CD-RW Drive HCT kit:

  • Windows® XP Professional operating system
  • Any drivers that do not ship with Windows XP Professional
  • The current release of the Windows XP HCT 10.0 on CD
  • One example of each media type supported by the test device

For example, CD-R, CD-RW, CD-ROM

  • One CD-Extra title

The CD-Extra title must contain both motion video and music files.

  • One movie in CD-I format
  • One multimedia application

For example, Microsoft® Monster Truck Madness

Click to show or hide information. Tester knowledge requirements

To run the PC Card CD-R and CD-RW drive tests, testers must know how to do the following tasks:

  • Format and partition a hard disk drive.
  • Physically install a PC Card CD-R and CD-RW drive.
  • Physically install a PC Card network adapter.
  • Install the Windows XP Professional operating system from the product CD.

Related links

Preparing for PC Card CD-R and CD-RW drive configuration 1 testing
Preparing for PC Card CD-R and CD-RW drive configuration 2 testing
Preparing for PC Card CD-R and CD-RW drive configuration 3 testing

Microsoft Windows HCL


Preparing for PC Card CD-R and CD-RW drive configuration 1 testing

This test series examines how the test drive works as a stand-alone device on the PC Card controller.

Before running the tests, you must configure the test system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see PC Card CD-R and CD-RW drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test systems for testing PC Card CD-R and CD-RW drive configuration 1 for the Windows XP Professional operating system.

To configure the system for PC Card CD-R and CD-RW drive configuration 1 testing

  1. Physically install the CD-R or CD-RW drive (test device) on the PC Card channel of the test system.
  2. Install the Windows XP Professional operating system on the hard disk drive in the test system.

During installation, create one partition and format the partition with the NTFS file system. Leave a minimum of 3,000 MB of free disk space for three additional partitions.

  3. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  4. After the operating system is installed, create three new partitions with a minimum of 1,000 MB each on the test device. Format one partition with the FAT 16 file system, one partition with the FAT 32 file system, and one partition with the NTFS file system.
  5. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, click Recordable CD/DVD Drive, and then click Next.

Related links

PC Card CD-R and CD-RW drive testing overview
Running the PC Card CD-R and CD-RW drive configuration 1 manual tests
Running the PC Card CD-R and CD-RW drive configuration 1 automated tests


Running the PC Card CD-R and CD-RW drive configuration 1 manual tests

To run the CD Auto-start test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD Auto-start, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the CD - Extra Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD - Extra Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the CD-R/CD-RW Functionality test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD-R/CD-RW Functionality, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Driver Verifier - ATA/ATAPI Controller test

Note: The Driver Verifier - ATA/ATAPI Controller test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Driver Verifier - ATA/ATAPI Controller, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Lock test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Lock, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the MMC Command test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select MMC Command, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Multimedia CD Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Multimedia CD Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Public Import test

Note: The Public Import test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Public Import, and then click Add Selection.
  3. Click Start Tests.
  4. A dialog box displays. Provide the path to your driver(s) as it appears on the distribution media and click Go.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Signability test

Note: The Signability test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Signability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Surprise Removal test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Surprise Removal, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed to create the correct device topology and run the test.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Video CD Support - Interactive test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Video CD Support - Interactive, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the PC Card CD-R and CD-RW drive configuration 1 automated tests


Running the PC Card CD-R and CD-RW drive configuration 1 automated tests

To run the PC Card CD-R and CD-RW drive configuration 1 automated tests

  1. Insert the HCT CD into the test device.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • ACPI Stress – Device I/O (Extended)
  • CardBus Bridge Power Management Register
  • CardBus Card Configuration Space Register
  • CardBus Card Common Silicon Guidelines
  • CD Redbook Verification
  • CD-ROM - File I/O
  • Storage Device Stress
  4. Click Start Tests.
  5. When tests are completed, view test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config1.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

PC Card CD-R and CD-RW drive testing overview


Preparing for PC Card CD-R and CD-RW drive configuration 2 testing

This test series examines how the test drive works with a duplicate CD-R or CD-RW drive installed on the PC Card controller.

Before running the tests, you must configure the test system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see PC Card CD-R and CD-RW drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test systems for testing PC Card CD-R and CD-RW drive configuration 2 for the Windows XP Professional operating system:

To configure the system for PC Card CD-R and CD-RW drive configuration 2 testing

  1. Physically install one CD-R or CD-RW drive (test device) on the first PC Card controller in the test system.
  2. Physically install a second test device on the second PC Card controller in the test system.
  3. Install the Windows XP Professional operating system on the hard disk drive in the test system.

During installation, create one partition and format the partition with the NTFS file system. Leave a minimum of 3,000 MB of free disk space for three additional partitions.

  4. Create three new partitions with a minimum of 1,000 MB each on the test device. Format one partition with the FAT 16 file system, one partition with the FAT 32 file system, and one partition with the NTFS file system.
  5. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, click Recordable CD/DVD Drive, and then click Next.

Related links

PC Card CD-R and CD-RW drive testing overview
Running the PC Card CD-R and CD-RW drive configuration 2 manual tests
Running the PC Card CD-R and CD-RW drive configuration 2 automated tests


Running the PC Card CD-R and CD-RW drive configuration 2 manual tests

To run the CD Auto-start test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD Auto-start, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the CD - Extra Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD - Extra Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Lock test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Lock, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the MMC Command test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select MMC Command, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Multimedia CD Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Multimedia CD Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Video CD Support - Interactive test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Video CD Support - Interactive, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the PC Card CD-R and CD-RW drive configuration 2 automated tests


Running the PC Card CD-R and CD-RW drive configuration 2 automated tests

To run the PC Card CD-R and CD-RW drive configuration 2 automated tests

  1. Insert the HCT CD into the test device.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • ACPI Stress – Device I/O (Extended)
  • CardBus Bridge Power Management Register
  • CardBus Card Common Silicon Guidelines
  • CD Redbook Verification
  • CD-ROM - File I/O
  • Disk Stress
  • Storage Device Stress
  4. Click Start Tests.
  5. When tests are completed, view test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config2.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

PC Card CD-R and CD-RW drive testing overview


Preparing for PC Card CD-R and CD-RW drive configuration 3 testing

This test series examines how the test drive works with a PC Card network adapter installed on a second PC Card controller. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see PC Card CD-R and CD-RW drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test systems for testing PC Card CD-R and CD-RW drive configuration 3 for the Windows® XP Professional operating system:

To configure the system for PC Card CD-R and CD-RW drive configuration 3 testing

  1. Physically install one CD-R or CD-RW drive (test device) on the first PC Card controller in the test system.
  2. Physically install the PC Card network adapter on the second PC Card controller in the test system.
  3. Install the Windows XP Professional operating system on the hard disk drive in the test system.

During installation, create one partition and format the partition with the NTFS file system. Leave a minimum of 3,000 MB of free disk space for three additional partitions.

  4. Create three new partitions with a minimum of 1,000 MB each on the test device. Format one partition with the FAT 16 file system, one partition with the FAT 32 file system, and one partition with the NTFS file system.
  5. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, click Recordable CD/DVD Drive, and then click Next.

Related links


Running the PC Card CD-R and CD-RW drive configuration 3 automated test

To run the Disk Stress test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Disk Stress, and then click Add Selection.
  3. Click Start Tests.
  4. When tests are completed, view test log files.
  5. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config3.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

PC Card CD-R and CD-RW drive testing overview


SCSI CD-R and CD-RW drive testing overview

The SCSI CD-R and CD-RW Drive Hardware Compatibility Test (HCT) procedures are organized by system configuration.

The test procedures for each configuration are divided into a testing overview topic, a preparing for testing topic, and a running the tests topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the tests topics include instructions for running the HCT.

Click to show or hide information. System configuration requirements

The SCSI CD-R and CD-RW Drive HCT kit includes the following test configurations:

  • SCSI CD-R and CD-RW drive configuration 1
  • SCSI CD-R and CD-RW drive configuration 2

Click to show or hide information. SCSI CD-R and CD-RW drive tests

The following tests are available for the SCSI CD-R and CD-RW drive test kit. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests require user intervention and must be run individually:

  • CD Auto-start
  • CD - Extra Compatibility
  • CD-R/CD-RW Functionality
  • Driver Verifier - ATA/ATAPI Controller
  • Enable/Disable - Device I/O (Storage)
  • Media Lock
  • MMC Command
  • Multimedia CD Compatibility
  • Public Import
  • Signability
  • Video CD Support - Interactive

The following tests are automated and can be run together in a group:

  • ACPI Stress - Device I/O (Extended)
  • CD Redbook Verification
  • CD-ROM - File I/O
  • Storage Device Stress

Test kit run time: Up to 17 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the SCSI CD-R and CD-RW Drive HCT kit:

  • One Intel Pentium, or equivalent, system with the following:
  • One PCI bus
  • Logo-compliant ACPI BIOS, with ACPI enabled by default
  • Minimum 256 MB of RAM
  • One floppy disk drive
  • One audio adapter
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • One set of speakers
  • One set of headphones
  • One SCSI CD-Recordable (CD-R) drive or SCSI CD-Rewriteable (CD-RW) drive - This is the test device.
  • One piece of media for the test device
  • One Adaptec SCSI adapter with appropriate bus interface for the test device, such as Narrow, Wide, or LVD
  • One LSI Logic SCSI adapter with appropriate bus interface for the test device, such as Narrow, Wide, or LVD
  • One SCSI hard disk drive, minimum 10 GB capacity
  • Two formatted floppy disks

Important: All hardware (except the test device) must be included on the Microsoft® Windows® Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the SCSI CD-R and CD-RW Drive HCT kit:

  • Windows XP Professional operating system
  • Any drivers that do not ship with Windows XP Professional
  • The current release of the Windows XP HCT 10.0 on CD
  • One example of each media type supported by the test device

For example, CD-R, CD-RW, CD-ROM.

  • One CD-Extra title

The CD-Extra title must contain both motion video and music files.

  • One movie in CD-I format
  • One multimedia application

For example, Microsoft® Monster Truck Madness

Click to show or hide information. Tester knowledge requirements

To run the SCSI CD-R and CD-RW drive tests, testers must know how to do the following tasks:

  • Physically install a hard disk drive.
  • Set the SCSI ID on a hard disk drive.
  • Format and partition a hard disk drive.
  • Physically install a CD-ROM drive.
  • Set the SCSI ID on a CD-ROM drive.
  • Physically install a CD-R or CD-RW drive.
  • Set the SCSI ID on a CD-R or CD-RW drive.
  • Physically install a SCSI adapter.
  • Install the Windows XP Professional operating system from the product CD.

Related links

Preparing for SCSI CD-R and CD-RW drive configuration 1 testing
Preparing for SCSI CD-R and CD-RW drive configuration 2 testing

Microsoft Windows HCL


Preparing for SCSI CD-R and CD-RW drive configuration 1 testing

This test series examines how a SCSI CD-R or CD-RW drive (test device) functions when installed on an Adaptec SCSI adapter. Before running the SCSI CD-R and CD-RW drive configuration 1 tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see SCSI CD-R and CD-RW drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing SCSI CD-R and CD-RW drive configuration 1 for the Windows XP Professional operating system:

To configure the test system for SCSI CD-R and CD-RW drive configuration 1 testing

Note: All adapters are operated with BIOS enabled and external termination unless otherwise noted.

  1. Remove any SCSI adapters from the test system and then physically install the Adaptec SCSI adapter.
  2. Set the SCSI ID on the test device to 6, and then physically install the test device on the SCSI adapter.
  3. Set the SCSI ID on the SCSI hard disk drive to 0, and then physically install the hard disk drive on the SCSI adapter.
  4. If the audio adapter is not embedded on the motherboard, physically install the audio adapter.
  5. Install the Windows XP Professional operating system on the hard disk drive.

During installation, create one partition and format the partition with the NTFS file system. Leave a minimum of 3,000 MB of free disk space for three additional partitions.

  6. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  7. Create three new partitions of a minimum 1,000 MB each on the hard disk drive. Format one partition with the FAT 16 file system, one partition with the FAT 32 file system, and one partition with the NTFS file system.
  8. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Recordable CD/DVD Drive, and then click Next.

Related links

SCSI CD-R and CD-RW drive testing overview
Running the SCSI CD-R and CD-RW drive configuration 1 manual tests
Running the SCSI CD-R and CD-RW drive configuration 1 automated tests


Running the SCSI CD-R and CD-RW drive configuration 1 manual tests

To run the CD Auto-start test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD Auto-start, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the CD - Extra Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD - Extra Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the CD-R/CD-RW Functionality test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD-R/CD-RW Functionality, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Driver Verifier - ATA/ATAPI Controller test

Note: The Driver Verifier - ATA/ATAPI Controller test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Driver Verifier - ATA/ATAPI Controller, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Lock test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Lock, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the MMC Command test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select MMC Command, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Multimedia CD Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Multimedia CD Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Public Import test

Note: The Public Import test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Public Import, and then click Add Selection.
  3. Click Start Tests.
  4. A dialog box displays. Provide the path to your driver(s) as it appears on the distribution media and click Go.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Signability test

Note: The Signability test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Signability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Video CD Support - Interactive test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Video CD Support - Interactive, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the SCSI CD-R and CD-RW drive configuration 1 automated tests


Running the SCSI CD-R and CD-RW drive configuration 1 automated tests

To run the SCSI CD-R and CD-RW drive configuration 1 automated tests

  1. Insert the Windows® XP HCT 10.0 CD into the test device.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • ACPI Stress – Device I/O (Extended)
  • CD Redbook Verification
  • CD-ROM - File I/O
  • Storage Device Stress
  • Surprise Removal
  4. Click Start Tests.
  5. When tests are completed, view test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config1.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

SCSI CD-R and CD-RW drive testing overview


Preparing for SCSI CD-R and CD-RW drive configuration 2 testing

This test series examines how a SCSI CD-R or CD-RW drive (test device) functions when installed on an LSI Logic SCSI adapter. Before running the SCSI CD-R and CD-RW drive configuration 2 tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see SCSI CD-R and CD-RW drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing SCSI CD-R and CD-RW drive configuration 2 for the Windows XP Professional operating system:

To configure the test system for SCSI CD-R and CD-RW drive configuration 2 testing

Note: All adapters are operated with BIOS enabled and external termination unless otherwise noted.

  1. Remove any SCSI adapters from the test system and then physically install the LSI Logic SCSI adapter.
  2. Set the SCSI ID on the test device to 6, and then physically install the test device on the SCSI adapter.
  3. Set the SCSI ID on the SCSI hard disk drive to 0, and then physically install the hard disk drive on the SCSI adapter.
  4. If the audio adapter is not embedded on the motherboard, physically install the audio adapter.
  5. Install the Windows operating system on the hard disk drive.

During installation, create one partition and format the partition with the NTFS file system. Leave a minimum of 3,000 MB of free disk space for three additional partitions.

  6. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  7. Create three new partitions of a minimum 1,000 MB each on the hard disk drive. Format one partition with the FAT 16 file system, one partition with the FAT 32 file system, and one partition with the NTFS file system.
  8. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Recordable CD/DVD Drive, and then click Next

Related links

SCSI CD-R and CD-RW drive testing overview
Running the SCSI CD-R and CD-RW drive configuration 2 manual tests
Running the SCSI CD-R and CD-RW drive configuration 2 automated tests


Running the SCSI CD-R and CD-RW drive configuration 2 manual tests

To run the CD Auto-start test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD Auto-start, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the CD - Extra Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD - Extra Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the CD-R/CD-RW Functionality test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD-R/CD-RW Functionality, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the MMC Command test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select MMC Command, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the SCSI CD-R and CD-RW drive configuration 2 automated tests


Running the SCSI CD-R and CD-RW drive configuration 2 automated tests

To run the SCSI CD-R and CD-RW drive configuration 2 automated tests

  1. Insert the Windows® XP HCT 10.0 CD into the test device.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • CD Redbook Verification
  • CD-ROM - File I/O
  • Storage Device Stress
  4. Click Start Tests.
  5. When tests are completed, view test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config2.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

SCSI CD-R and CD-RW drive testing overview


USB CD-R and CD-RW drive testing overview

The USB CD-R and CD-RW Drive Hardware Compatibility Test (HCT) procedures are organized by system configuration.

The test procedures for each configuration are divided into a testing overview topic, a preparing for testing topic, and a running the HCT topic.

The testing overview topic includes links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the test topics include instructions for running the HCT.

This test series examines how the test device works in the following configuration:

  • ATA/ATAPI hard disk drive as stand-alone Device 0 (also called master) on the primary ATA/ATAPI channel
  • ATA/ATAPI CD-ROM drive as Device 0 on the secondary ATA/ATAPI channel
  • USB test device on the root port of the embedded USB Controller

Click to show or hide information. USB CD-R and CD-RW drive tests

The following tests are available for the USB CD-R and CD-RW drive test kit. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests require user intervention and must be run individually:

  • CD Auto-start
  • CD - Extra Compatibility
  • CD-R/CD-RW Functionality
  • Enable/Disable - Device I/O (Storage)
  • Media Lock
  • MMC Command
  • Public Import
  • Signability
  • Surprise Removal
  • USB Device Framework
  • USB Manual Interoperability - Device
  • Video CD Support - Interactive

The following tests are automated and can be run together in a group:

  • CD Redbook Verification
  • CD-ROM - File I/O
  • ChkINF - Hard Disk Controllers
  • Disk Stress
  • Storage Device Stress
  • USB 1.1 Specification Compliance
  • USB Address Description
  • USB Device Control Requests
  • USB Enumeration Stress
  • USB Selective Suspend

Test kit run time: Up to 8 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the USB CD-R and CD-RW Drive HCT kit:

  • One Intel Pentium, or equivalent, system with the following:
  • USB host controller embedded on the system motherboard

The USB controller must be able to wake the system using ACPI mechanisms

  • Minimum 256 MB of RAM
  • Logo-compliant ACPI BIOS, with ACPI enabled by default
  • Three USB 4-port powered hubs
  • One audio adapter
  • One floppy disk drive
  • One USB scanner
  • One USB video camera
  • One USB joystick
  • One set of USB speakers
  • One USB keyboard
  • One USB mouse
  • One monitor
  • One USB CD-R or CD-RW drive - This is the test device.
  • One blank piece of media for the test device
  • One DMA-capable ATA/ATAPI hard disk drive, minimum 10 GB capacity
  • One ATA/ATAPI CD-ROM drive, minimum 8x speed
  • One set of headphones
  • One formatted floppy disk
  • Two ATA/ATAPI cables

Important: All hardware (except the test device) must be included on the Microsoft® Windows® Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the USB CD-R and CD-RW drive HCT kit:

  • Windows XP Professional operating system
  • Any drivers that do not ship with Windows XP Professional
  • The current release of the Windows XP HCT 10.0 on CD
  • One example of each media type supported by the test device

For example, CD-ROM, CD-R, CD-RW.

  • One CD-Extra title

The CD-Extra title must contain both motion video and music files.

  • One movie in CD-I format
  • One multimedia application

For example, Microsoft® Monster Truck Madness

Click to show or hide information. Tester knowledge requirements

To run the USB CD-R and CD-RW drive tests, testers must know how to do the following tasks:

  • Physically install a CD-ROM drive as a stand-alone Device 0.
  • Physically install a hard disk drive as a stand-alone Device 0.
  • Format and partition a hard disk drive.
  • Install the Windows XP Professional operating system from the product CD.

Related links

Preparing for USB CD-R and CD-RW drive testing

Microsoft Windows HCL


Preparing for USB CD-R and CD-RW drive testing

Before running the tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see USB CD-R and CD-RW drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing USB CD-R and CD-RW drives for the Windows XP Professional operating system:

To configure the test system for USB CD-R and CD-RW drive testing

  1. Physically install the test device on the root port of the embedded USB Controller.
  2. Physically install an ATA/ATAPI hard disk drive as a stand-alone Device 0 on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  3. Physically install an ATA/ATAPI CD-ROM drive as a stand-alone Device 0 on the secondary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  4. Install the Windows XP Professional operating system on the hard disk drive.

During installation, create one partition and format the partition with the NTFS file system. Leave a minimum of 3,000 MB of free disk space for three additional partitions.

  5. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  6. Create three new partitions of a minimum of 1,000 MB each on the hard disk drive. Format one partition with the FAT 16 file system, one partition with the FAT 32 file system, and one partition with the NTFS file system.
  7. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, click Recordable CD/DVD Drive, and then click Next.

Related links


Running the USB CD-R and CD-RW drive manual tests

To run the CD Auto-start test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category for Selected Test Category pane, select CD Auto-start, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the CD - Extra Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD - Extra Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the CD-R/CD-RW Functionality test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD-R/CD-RW Functionality, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Lock test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Lock, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the MMC Command test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select MMC Command, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Public Import test

Note: The Public Import test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Public Import, and then click Add Selection.
  3. Click Start Tests.
  4. A dialog box displays. Provide the path to your driver(s) as it appears on the distribution media and click Go.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Signability test

Note: The Signability test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Signability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Surprise Removal test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Surprise Removal, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed to create the correct device topology and run the test.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the USB Device Framework test

To configure the test system

  1. Open Device Manager.
  2. Physically disconnect the test device from the test system.
  3. Physically connect a USB hub on the USB socket port 1 of the USB controller on the test system.
  4. Physically connect the test device to the USB hub.
  5. Verify that the test device is available in Device Manager.

To run the USB Device Framework test
  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select USB Device Framework, and then click Add Selection.
  3. Click Start Tests.
  4. Select the test device from the Device list.
  5. Click Full Test, and then click Start Automated Testing.
  6. Click Close when testing is complete.
  7. View test log files.

To restore the test system configuration
  1. Physically disconnect the USB hub from the test system.
  2. Physically connect the test device to the USB socket port 1 of the USB controller on the test system.
  3. Verify that the test device is available in Device Manager.

Tip: If the test device is not available, complete the following steps:

1. In Device Manager, under IDE ATA/ATAPI controllers, right-click USB Diagnostic Device, and then click Uninstall.

2. On the Action menu, click Scan for hardware changes

  4. Run all other required tests for this configuration.

To run the USB Manual Interoperability - Device test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select USB Manual Interoperability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed until the test is completed.

You are required to build a tree of USB devices to be used on the system.

  5. View test log files.
  6. Run all other required tests for this configuration.

To run the Video CD Support - Interactive test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Video CD Support - Interactive, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the USB CD-R and CD-RW drive automated tests


Running the USB CD-R and CD-RW drive automated tests

To run the USB CD-R and CD-RW drive automated tests

  1. Insert the Windows® XP HCT 10.0 CD into the test device.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • CD Redbook Verification
  • CD-ROM - File I/O
  • ChkINF - Hard Disk Controllers

Note: The ChkINF test is required only if the test device uses a manufacturer-supplied driver.

  • Disk Stress
  • Storage Device Stress
  • USB 1.1 Specification Compliance
  • USB Address Description
  • USB Device Control Requests
  • USB Enumeration Stress
  • USB Selective Suspend
  4. Click Start Tests.
  5. When tests are completed, view test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

USB CD-R and CD-RW drive testing overview


1394 tape drive testing overview

The 1394 Tape Drive Hardware Compatibility Test (HCT) procedures are organized by system configuration.

The test procedures for each configuration are divided into a testing overview topic, a preparing for testing topic, and a running the tests topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, and software requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the test topics include instructions for running the HCT.

This test series examines how the test device works in the following configuration:

  • ATA/ATAPI hard disk drive installed as a stand-alone Device 0 (also called master) on the primary ATA/ATAPI channel
  • ATA/ATAPI CD-ROM drive installed as a stand-alone Device 0 (also called master) on the secondary ATA/ATAPI channel
  • 1394 tape drive (test device) attached to the 1394 host controller
  • 1394 digital camera attached to the 1394 host controller

Click to show or hide information. 1394 tape drive tests

The following tests are available for the 1394 tape drive test kit. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests require user intervention and must be run individually:

  • 1394 Configuration ROM
  • 1394 Interoperability
  • Driver Verifier -Tape Drive
  • Enable/Disable - Device I/O (Storage)
  • Public Import
  • Signability
  • Surprise Removal

The following tests are automated and can be run together in a group:

  • ChkINF - Tape Drive
  • Tape Backup/Restore
  • Tape I/O
  • Tape Partition

Test kit run time: Up to 7 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the 1394 Tape Drive HCT kit:

  • One Intel Pentium, or equivalent, system with the following:
  • Logo-compliant ACPI BIOS, with ACPI enabled by default
  • Minimum 256 MB of system memory
  • Two IEEE 1394 host controllers
  • One floppy disk drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • One 1394 tape drive – This is the test device.
  • One ATA/ATAPI CD-ROM drive, minimum 8x speed
  • One ATA/ATAPI hard disk drive, minimum capacity 10 GB
  • One IEEE 1394 digital camera
  • Three IEEE 1394 cables
  • Two standard ATA/ATAPI cables

ATA-66 and ATA-100 controllers require 80-conductor cables.

  • Two blank tape cartridges that are prepared for use
  • One formatted floppy disk

Important: All hardware (except test device) must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the 1394 Tape Drive HCT kit:

  • Any manufacturer-supplied file backup software required by the test device
  • Windows® XP Professional operating system
  • Any drivers that do not ship with Windows XP Professional
  • The current release of Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the 1394 tape drive tests, testers must know how to do the following tasks:

  • Physically install a hard disk drive as a Device 0.
  • Format and partition a hard disk drive.
  • Physically install a CD-ROM drive as a Device 0.
  • Physically install a 1394 host controller
  • Prepare a blank tape cartridge for use.
  • Install the Windows XP Professional operating system from the product CD.

Related links

Preparing for 1394 tape drive testing

Microsoft Windows HCL


Preparing for 1394 tape drive testing

Before running the tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see 1394 tape drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing a 1394 tape drive for the Windows XP Professional operating system:

To configure the test system for 1394 tape drive testing

  1. Physically install an ATA/ATAPI hard disk drive as a stand-alone Device 0 on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable
  2. Physically install an ATA/ATAPI CD-ROM drive as a stand-alone Device 0 on the secondary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  3. If the 1394 host controllers are not embedded on the system motherboard, physically install two 1394 host controllers.
  4. Attach the IEEE 1394 tape drive (test device) to one of the 1394 host controllers.
  5. Attach the IEEE 1394 digital camera to the other 1394 host controller.
  6. Connect an IEEE 1394 cable between the two host controllers.
  7. Install the Windows XP Professional operating system on the hard disk drive.

During installation, create one partition using all available drive space, and format the partition with the NTFS file system.

  8. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  9. Insert a prepared blank tape cartridge into the tape drive and verify that the operating system detects the tape as free.
  10. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Tape Drive, and then click Next.

Related links


Running the 1394 tape drive manual tests

To run the 1394 Configuration ROM test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select 1394 Configuration ROM, and then click Add Selection.
  3. Click Start Tests.
  4. If running the test for the first time, the Found New Hardware Wizard starts.

Important: You must complete the wizard within two minutes or the test will abort.

To install the virtual driver

  1. In the Found New Hardware wizard, under What do you want the wizard to do?, click Install from a list or specific location, and then click Next.
  2. Under Please choose your search and installation options, select the Include this location in the search check box, and then, in the corresponding box, type [drive]\HCT\testbin. Click Next.
    The wizard will locate and install the virtual driver.
  3. Click Finish to close the wizard.
  5. Follow the instructions displayed.
  6. When the test is completed, view test log files.
  7. Run all other required tests for this configuration.

To run the 1394 Interoperability test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select 1394 Interoperability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed to create the correct device topology and run the test.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Driver Verifier - Tape Drive test

Note: The Driver Verifier - Tape Drive test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Driver Verifier - Tape Drive, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Public Import test

Note: The Public Import test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Public Import, and then click Add Selection.
  3. Click Start Tests.
  4. A dialog box displays. Provide the path to your driver(s) as it appears on the distribution media and click Go.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Signability test

Note: The Signability test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Signability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Surprise Removal test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Surprise Removal, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed to create the correct device topology and run the test.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the 1394 tape drive automated tests


Running the 1394 tape drive automated tests

To run the 1394 tape drive automated tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • ChkINF - Tape Drive

Note: The ChkINF test is required only if the test device uses a manufacturer-supplied driver.

  • Tape Backup/Restore
  • Tape I/O
  • Tape Partition
  3. Click Start Tests.
  4. When tests are completed, view test log files.
  5. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

1394 tape drive testing overview


ATA/ATAPI tape drive testing overview

The ATA/ATAPI Tape Drive Hardware Compatibility Test (HCT) procedures are organized by system configuration.

The test procedures for each configuration are divided into a testing overview topic, a preparing for testing topic, and a running the tests topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the test topics include instructions for running the HCT.

Click to show or hide information. System configuration requirements

The ATA/ATAPI tape drive HCT kit includes the following system configurations:

  • ATA/ATAPI tape drive configuration 1
  • ATA/ATAPI tape drive configuration 2
  • ATA/ATAPI tape drive configuration 3

Click to show or hide information. ATA/ATAPI tape drive tests

The following tests are available for this hardware configuration. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests require user intervention and must be run individually:

  • Driver Verifier - Tape Driver
  • Enable/Disable - Device I/O (Storage)
  • Public Import
  • Signability

The following tests are automated and can be run together in a group:

  • ACPI Stress - Device I/O (Extended)
  • ChkINF - Tape Drive
  • Tape Backup/Restore
  • Tape I/O
  • Tape Partition

Test suite run time: Up to 7 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the ATA/ATAPI Tape Drive HCT kit:

  • One Intel Pentium, or equivalent, system with the following:
  • One dual channel ATA/ATAPI controller implemented on the motherboard
  • Logo-compliant ACPI BIOS, with ACPI enabled by default
  • Minimum of 256 MB of RAM
  • One floppy disk drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • One ATA/ATAPI tape drive - This is the test device.
  • One ATA/ATAPI hard disk drive with minimum 10 GB capacity
  • One ATA/ATAPI CD-ROM drive, minimum 8x speed
  • Two standard ATA/ATAPI cables

ATA-66 and ATA-100 controllers require 80-conductor cables.

  • Two cable-select ATA/ATAPI cables
  • Two blank tape cartridges that are prepared for use
  • One formatted floppy disk

Important: All hardware (except the test device) must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the ATA/ATAPI Tape Drive HCT kit:

  • Any manufacturer-supplied file backup software required by the test device
  • Windows® XP Professional operating system
  • Any drivers that do not ship with Windows XP Professional
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the ATA/ATAPI tape drive tests, testers must know how to do the following tasks:

  • Physically install a tape drive as a Device 0 and a Device 1.
  • Prepare a blank tape cartridge for use.
  • Physically install a hard disk drive as a Device 0.
  • Format and partition a hard disk drive.
  • Physically install a CD-ROM drive as a Device 1.
  • Install the Windows XP Professional operating system from the product CD.

Related links

Preparing for ATA/ATAPI tape drive configuration 1 testing
Preparing for ATA/ATAPI tape drive configuration 2 testing
Preparing for ATA/ATAPI tape drive configuration 3 testing

Microsoft Windows HCL


Preparing for ATA/ATAPI tape drive configuration 1 testing

This test series examines how the test device works in the following configuration:

  • Tape drive (test device) installed as a stand-alone Device 0 (also called master) on the secondary ATA/ATAPI channel
  • Hard disk drive installed as Device 0 on the primary ATA/ATAPI channel
  • CD-ROM drive installed as a Device 1 (also called slave) on the primary ATA/ATAPI channel

Before running the tests, you must configure the test system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see ATA/ATAPI tape drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing the ATA/ATAPI tape drive configuration 1 for the Windows XP Professional operating system:

To configure the test system for ATA/ATAPI tape drive configuration 1 testing

  1. Physically install the tape drive (test device) as a stand-alone Device 0 on the secondary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  2. Physically install a hard disk drive as the Device 0 on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  3. Physically install a CD-ROM drive as the Device 1 on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  4. Install the Windows XP Professional operating system on the hard disk drive.

During installation, delete any existing partitions and create one partition using all available disk space. Format the partition with the NTFS file system.

  5. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  6. Insert a prepared blank tape cartridge into the tape drive and verify that the operating system detects the tape as free.
  7. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Tape Drive, and then click Next.

Related links

ATA/ATAPI tape drive testing overview
Running the ATA/ATAPI tape drive configuration 1 manual tests
Running the ATA/ATAPI tape drive configuration 1 automated tests


Running the ATA/ATAPI tape drive configuration 1 manual tests

To run the Driver Verifier - Tape Drive test

Note: The Driver Verifier - Tape Drive test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Driver Verifier - Tape Drive, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Public Import test

Note: The Public Import test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Public Import, and then click Add Selection.
  3. Click Start Tests.
  4. A dialog box displays. Provide the path to your driver(s) as it appears on the distribution media and click Go.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Signability test

Note: The Signability test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Signability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the ATA/ATAPI tape drive configuration 1 automated tests


Running the ATA/ATAPI tape drive configuration 1 automated tests

To run the ATA/ATAPI tape drive configuration 1 automated tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • ACPI Stress – Device I/O (Extended)
  • ChkINF - Tape Drive

Note: The ChkINF test is required only if the test device uses a manufacturer-supplied driver.

  • Tape Backup/Restore
  • Tape I/O
  • Tape Partition
  3. Click Start Tests.
  4. When tests are completed, view test log files.
  5. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config1.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

ATA/ATAPI tape drive testing overview


Preparing for ATA/ATAPI tape drive configuration 2 testing

This test series examines how the test device works in the following configuration:

  • Tape drive (test device) installed as Device 1 (also called slave) on the primary ATA/ATAPI channel
  • Hard disk drive installed as Device 0 (also called master) on the primary ATA/ATAPI channel
  • CD-ROM drive installed as Device 0 on the secondary ATA/ATAPI channel

Before running the tests, you must configure the test system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see ATA/ATAPI tape drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing ATA/ATAPI tape drive configuration 2 for the Windows XP Professional operating system:

To configure the test system for ATA/ATAPI tape drive configuration 2 testing

  1. Physically install the tape drive (test device) as Device 1 on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  2. Physically install a hard disk drive as Device 0 on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  3. Physically install a CD-ROM drive as Device 0 on the secondary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  4. Install the Windows XP Professional operating system on the hard disk drive.

During installation, delete any existing partitions and create one partition using all available disk space. Format the partition with the NTFS file system.

  5. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  6. Insert a prepared blank tape cartridge into the tape drive and verify that the operating system detects the tape as free.
  7. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Tape Drive, and then click Next.

Related links


Running the ATA/ATAPI tape drive configuration 2 automated tests

To run the ATA/ATAPI tape drive configuration 2 automated tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • Tape Backup/Restore
  • Tape I/O
  • Tape Partition
  3. Click Start Tests.
  4. When tests are completed, view test log files.
  5. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config2.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

ATA/ATAPI tape drive testing overview


Preparing for ATA/ATAPI tape drive configuration 3 testing

This test series examines how the test device works in the following configuration:

  • Tape drive (test device) installed as a cable-select Device 1 (also called slave) on the primary ATA/ATAPI channel
  • Hard disk drive configured as a cable-select Device 0 (also called master) on the primary ATA/ATAPI channel
  • CD-ROM drive is configured as a cable-select Device 0 on the secondary ATA/ATAPI channel

Before running the tests, you must configure the test system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see ATA/ATAPI tape drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing ATA/ATAPI tape drive configuration 3 for the Windows XP Professional operating system:

To configure the test system for ATA/ATAPI tape drive configuration 3 testing

  1. Physically install the tape drive (test device) as a cable-select Device 1 on the primary ATA/ATAPI channel using a cable-select ATA/ATAPI cable.
  2. Physically install a hard disk drive as a cable-select Device 0 on the primary ATA/ATAPI channel using a cable-select ATA/ATAPI cable.
  3. Physically install a CD-ROM drive as a cable-select Device 0 on the secondary ATA/ATAPI channel using a cable-select ATA/ATAPI cable.
  4. Install the Windows operating system on the hard disk drive.

During installation, delete any existing partitions and create one partition using all available disk space. Format the partition with the NTFS file system.

  5. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  6. Insert a prepared blank tape cartridge into the tape drive and verify that the operating system detects the tape as free.
  7. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Tape Drive, and then click Next.

Related links


Running the ATA/ATAPI tape drive configuration 3 automated tests

To run the ATA/ATAPI tape drive configuration 3 automated tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • Tape Backup/Restore
  • Tape I/O
  • Tape Partition
  3. Click Start Tests.
  4. When tests are completed, view test log files.
  5. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config3.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

ATA/ATAPI tape drive testing overview


PC Card tape drive testing overview

The PC Card Tape Drive Hardware Compatibility Test (HCT) procedures are organized by system configuration.

The test procedures for each configuration are divided into a testing overview topic, a preparing for testing topic, and a running the tests topic.

The testing overview topic includes links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the test topics include instructions for running the HCT.

Click to show or hide information. System configuration requirements

The PC Card Tape Drive HCT kit includes the following test configurations:

  • PC Card tape drive configuration 1
  • PC Card tape drive configuration 2

Click to show or hide information. PC Card tape drive tests

The following tests are available for the PC Card tape drive test kit. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests require user intervention and must be run individually:

  • Driver Verifier -Tape Drive
  • Enable/Disable - Device I/O (Storage)
  • Public Import
  • Signability
  • Surprise Removal

The following tests are automated and can be run together in a group:

  • CardBus Bridge Power Management Register
  • CardBus Card Common Silicon Guidelines
  • ChkINF - Tape Drive
  • Tape Backup/Restore
  • Tape I/O
  • Tape Partition

Test kit run time: Up to 6 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the PC Card Tape Drive HCT kit:

  • One Intel Pentium, or equivalent, mobile system with the following:
  • Minimum of 256 MB of RAM
  • One minimum 10 GB hard disk drive
  • One CD-ROM drive, minimum speed 10x
  • Dual PC Card controllers
  • One floppy disk drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • One PC Card tape drive - This is the test device.
  • Two blank tape cartridges that are prepared for use
  • One formatted floppy disk
  • One PC Card network adapter

Important: All hardware (except the test device) must be included on the Microsoft® Windows® Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the PC Card Tape Drive HCT kit:

  • Any manufacturer-supplied file backup software required by the test device
  • Any drivers that do not ship with Windows XP Professional
  • Windows XP Professional operating system
  • The current release of the Windows XP HCT 10.0 on CD

Click to show or hide information. Tester knowledge requirements

To run the PC Card tape drive tests, testers must know how to do the following tasks:

  • Physically install a PC Card tape drive.
  • Physically install a PC Card network adapter.
  • Install the Windows XP Professional operating system from the product CD.

Related links

Preparing for PC Card tape drive configuration 1 testing
Preparing for PC Card tape drive configuration 2 testing

Microsoft Windows HCL


Preparing for PC Card tape drive configuration 1 testing

This test series examines how a PC Card tape drive (test device) works when installed on the PC Card channel of the test system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see PC Card tape drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing PC Card tape drive configuration 1 for the Windows® XP Professional operating system:

To configure the test system for PC Card tape drive configuration 1 testing

  1. Physically install the PC Card tape drive (test device) on the PC Card channel of the test system.
  2. Install the Windows XP Professional operating system on the hard disk drive in the test system.

During installation, create one partition using all available drive space, and format the partition with the NTFS file system.

  3. Insert a prepared blank tape cartridge into the tape drive and verify that the operating system detects the tape as free.
  4. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Tape Drive, and then click Next.

Related links

PC Card tape drive testing overview
Running the PC Card tape drive configuration 1 manual tests
Running the PC Card tape drive configuration 1 automated tests


Running the PC Card tape drive configuration 1 manual tests

To run the Driver Verifier - Tape Drive test

Note: The Driver Verifier - Tape Drive test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Driver Verifier - Tape Drive, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Public Import test

Note: The Public Import test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Public Import, and then click Add Selection.
  3. Click Start Tests.
  4. A dialog box displays. Provide the path to your driver(s) as it appears on the distribution media and click Go.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Signability test

Note: The Signability test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Signability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Surprise Removal test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Surprise Removal, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed to create the correct device topology and run the test.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the PC Card tape drive configuration 1 automated tests


Running the PC Card tape drive configuration 1 automated tests

To run the PC Card tape drive configuration 1 automated tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • CardBus Bridge Power Management Register
  • CardBus Card Common Silicon Guidelines
  • ChkINF - Tape Drive

Note: The ChkINF - Tape Drive test is required only if the test device uses a manufacturer-supplied driver.

  • Tape Backup/Restore
  • Tape I/O
  • Tape Partition
  3. Click Start Tests.
  4. When tests are completed, view test log files.
  5. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config1.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

PC Card tape drive testing overview


Preparing for PC Card tape drive configuration 2 testing

This test series examines how a PC Card tape drive (test device) works with a PC Card network adapter installed on a second PC Card controller. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see PC Card Tape drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test systems for testing PC Card tape drive configuration 2 for the Windows® XP Professional operating system:

To configure the system for PC Card CD-ROM drive configuration 2 testing

  1. Physically install the PC Card tape drive (test device) on the first PC Card controller in the test system.
  2. Physically install the PC Card network adapter on the second PC Card controller in the test system.
  3. Install the Windows XP Professional operating system on the hard disk drive in the test system.

During installation, create one partition using all available drive space, and format the partition with the NTFS file system.

  4. Insert a prepared blank tape cartridge into the tape drive and verify that the operating system detects the tape as free.
  5. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Tape Drive, and then click Next.

Related links


Running the PC Card tape drive configuration 2 automated tests

To run the Tape I/O test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Tape I/O, and then click Add Selection.
  3. Click Start Tests.
  4. When tests are completed, view test log files.
  5. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config2.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

PC Card tape drive testing overview


SCSI tape drive testing overview

The SCSI Tape Drive Hardware Compatibility Test (HCT) procedures are organized by system configuration.

The test procedures for each configuration are divided into a testing overview topic, a preparing for testing topic, and a running the tests topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, and software requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the test topics include instructions for running the HCT.

Click to show or hide information. System configuration requirements

The SCSI tape drive HCT kit includes the following test configurations:

  • SCSI tape drive configuration 1
  • SCSI tape drive configuration 2

Click to show or hide information. SCSI tape drive tests

The following tests are available for this hardware configuration. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests require user intervention and must be run individually:

  • ACPI Stress - Device I/O (Extended)
  • Driver Verifier - Tape Drive
  • Enable/Disable - Device I/O (Storage)
  • Public Import
  • Signability

The following tests are automated and can be run together in a group:

  • ChkINF - Tape Drive
  • Tape Backup/Restore
  • Tape I/O
  • Tape Partition

Test kit run time: Up to 12 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the SCSI Tape Drive HCT kit:

  • One Intel Pentium, or equivalent, system with the following:
  • One PCI bus
  • Logo-compliant ACPI BIOS, with ACPI enabled by default
  • Minimum 256 MB of RAM
  • One floppy disk drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • One SCSI tape drive - This is the test device.
  • One SCSI hard disk drive, minimum 10 GB capacity
  • One SCSI CD-ROM drive, minimum 8x speed
  • One Adaptec SCSI adapter with appropriate bus interface for the test device, such as Narrow, Wide, or LVD
  • One LSI Logic SCSI adapter with appropriate bus interface for the test device, such as Narrow, Wide, or LVD
  • Two blank tape cartridges that are prepared for use
  • Two formatted floppy disks

Important: All hardware (except the test device) must be included on the Microsoft® Windows® Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the SCSI Tape Drive HCT kit:

  • Windows XP Professional operating system
  • Any drivers that do not ship with Windows XP Professional
  • The current release of the Windows XP HCT 10.0 on CD

Click to show or hide information. Tester knowledge requirements

To run the SCSI tape drive tests, testers must know how to do the following tasks:

  • Set the SCSI ID on a tape drive, hard disk drive, and CD-Rom drive.
  • Physically install a tape drive.
  • Prepare a blank tape cartridge for use.
  • Physically install a hard disk drive.
  • Format and partition a hard disk drive.
  • Physically install a CD-ROM drive.
  • Physically install a SCSI adapter.
  • Install the Windows XP Professional operating system from the product CD.

Related links

Preparing for SCSI tape drive configuration 1 testing
Preparing for SCSI tape drive configuration 2 testing

Microsoft Windows HCL


Preparing for SCSI tape drive configuration 1 testing

This test series examines how a SCSI tape drive (test device) functions when installed on an Adaptec SCSI adapter. Before running the SCSI tape drive configuration 1 tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see SCSI tape drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test systems for testing SCSI tape drive configuration 1 for the Windows XP Professional operating system:

To configure the test system for SCSI tape drive configuration 1 testing

Note: All adapters are operated with BIOS enabled and external termination unless otherwise noted.

  1. Remove any SCSI adapters previously installed on the test system, and install the Adaptec SCSI adapter.
  2. Set the SCSI ID on the test device to 6, and then physically install the tape drive (test device) on the SCSI adapter.
  3. Set the SCSI ID on the hard disk drive to 0, and then physically install the hard disk drive on the SCSI adapter.
  4. Set the SCSI ID on the CD-ROM drive to 5, and then physically install the CD-ROM drive on the SCSI adapter.
  5. Install the Windows operating system on the hard disk drive.

During installation, delete any existing partitions and create one partition using all available disk space. Format the partition with the NTFS file system.

  6. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  7. Insert a prepared blank tape cartridge into the tape drive and verify that the operating system detects the tape as free.
  8. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Tape Drive, and then click Next.

Related links


Running the SCSI tape drive configuration 1 manual tests

To run the Driver Verifier - Tape Drive test

Note: The Driver Verifier - Tape Drive test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Driver Verifier - ATA/ATAPI Controller, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Public Import test

Note: The Public Import test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Public Import, and then click Add Selection.
  3. Click Start Tests.
  4. A dialog box displays. Provide the path to your driver(s) as it appears on the distribution media and click Go.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Signability test

Note: The Signability test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Signability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the SCSI tape drive configuration 1 automated tests


Running the SCSI tape drive configuration 1 automated tests

To run the SCSI tape drive configuration 1 automated tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • ACPI Stress - Device I/O (Extended)
  • ChkINF - Tape Drive

Note: The ChkINF test is required only if the test device uses a manufacturer-supplied driver.

  • Tape Backup/Restore
  • Tape I/O
  • Tape Partition
  3. Click Start Tests.
  4. When tests are completed, view test log files.
  5. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config1.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

SCSI tape drive testing overview


Preparing for SCSI tape drive configuration 2 testing

This test series examines how a SCSI tape drive (test device) functions when installed on an LSI Logic SCSI adapter. Before running the SCSI tape drive configuration 2 tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see SCSI tape drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test systems for testing SCSI tape drive configuration 2 for the Windows XP Professional operating system:

To configure the test system for SCSI tape drive configuration 2 testing

Note: All adapters are operated with BIOS enabled and external termination unless otherwise noted.

  1. Remove any SCSI adapters previously installed on the test system, and install the LSI Logic SCSI adapter.
  2. Set the SCSI ID on the test device to 6, and then physically install the tape drive (test device) on the SCSI adapter.
  3. Set the SCSI ID on the hard disk drive to 0, and then physically install the hard disk drive on the SCSI adapter.
  4. Set the SCSI ID on the CD-ROM drive to 5, and then physically install the CD-ROM drive on the SCSI adapter.
  5. Install the Windows operating system on the hard disk drive.

During installation, delete any existing partitions and create one partition using all available disk space. Format the partition with the NTFS file system.

  6. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  7. Insert a prepared blank tape cartridge into the tape drive and verify that the operating system detects the tape as free.
  8. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Tape Drive, and then click Next.

Related links


Running the SCSI tape drive configuration 2 manual tests

To run the Driver Verifier - Tape Drive test

Note: The Driver Verifier - Tape Drive test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Driver Verifier - ATA/ATAPI Controller, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the SCSI tape drive configuration 2 automated tests


Running the SCSI tape drive configuration 2 automated tests

To run the SCSI tape drive configuration 2 automated tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • ACPI Stress - Device I/O (Extended)
  • Tape Backup/Restore
  • Tape I/O
  • Tape Partition
  3. Click Start Tests.
  4. When tests are completed, view test log files.
  5. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config2.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

SCSI tape drive testing overview


USB tape drive testing overview

The USB Tape Drive Hardware Compatibility Test (HCT) procedures are organized by system configuration.

The test procedures for each configuration are divided into a testing overview topic, a preparing for testing topic, and a running the tests topic.

The testing overview topic includes links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the test topics include instructions for running the tests.

Click to show or hide information. USB tape drive tests

The following tests are available for this hardware configuration. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests require user intervention and must be run individually:

  • Driver Verifier -Tape Drive
  • Enable/Disable - Device I/O (Storage)
  • Public Import
  • Signability
  • Surprise Removal
  • USB Device Framework
  • USB Manual Interoperability - Device

The following tests are automated and can be run together in a group:

  • ChkINF - Tape Drive
  • Tape Backup/Restore
  • Tape I/O
  • Tape Partition
  • USB 1.1 Specification Compliance
  • USB Address Description
  • USB Device Control Requests
  • USB Enumeration Stress
  • USB Selective Suspend

Test kit run time: Up to 8 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the USB Tape Drive HCT kit:

  • One Intel Pentium, or equivalent, system with the following:
  • USB host controller embedded on the system motherboard

The USB controller must be able to wake the system using ACPI mechanisms

  • Minimum 256 MB of RAM
  • Logo-compliant ACPI BIOS, with ACPI enabled by default
  • Three USB 4-port powered hubs
  • One audio adapter
  • One floppy disk drive
  • One USB scanner
  • One USB video camera
  • One USB joystick
  • One set of USB speakers
  • One USB keyboard
  • One USB mouse
  • One monitor
  • One USB tape drive - This is the test device.
  • One ATA/ATAPI hard disk drive, minimum 10 GB capacity
  • One ATA/ATAPI CD-ROM drive, minimum 8x speed
  • Two ATA/ATAPI cables
  • Two blank tape cartridges that are prepared for use
  • One formatted floppy disk

Important: All hardware (except the test device) must be included on the Microsoft® Windows® Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the USB Tape Drive HCT kit:

  • Any manufacturer-supplied file backup software required by the test device
  • Windows XP Professional operating system
  • Any drivers that do not ship with Windows XP Professional
  • The current release of the Windows XP HCT 10.0 on CD

Click to show or hide information. Tester knowledge requirements

To run the USB tape drive tests, testers must know how to do the following tasks:

  • Physically install a CD-ROM drive as a stand-alone Device 0.
  • Physically install a hard disk drive as a stand-alone Device 0.
  • Format and partition a hard disk drive.
  • Install the Windows XP Professional operating system from the product CD.

Related links

Preparing for USB tape drive testing

Microsoft Windows HCL


Preparing for USB tape drive testing

Before running the tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see USB tape drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing USB tape drives for the Windows XP Professional operating system:

To configure the test system for USB tape drive testing

  1. Physically install the tape drive (test device) on the root port of the embedded USB Controller.
  2. Physically install a hard disk drive as a stand-alone Device 0 on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  3. Physically install a CD-ROM drive as a stand-alone Device 0 on the secondary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  4. Install the Windows XP Professional operating system on the hard disk drive.

During installation, create one partition using all available drive space, and format the partition with the NTFS file system.

  5. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  6. Insert a prepared blank tape cartridge into the tape drive and verify that the operating system detects the tape as free.
  7. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Tape Drive, and then click Next.

Related links


Running the USB tape drive manual tests

To run the Driver Verifier - Tape Drive test

Note: The Driver Verifier - Tape Drive test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Driver Verifier - Tape Drive, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Public Import test

Note: The Public Import test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Public Import, and then click Add Selection.
  3. Click Start Tests.
  4. A dialog box displays. Provide the path to your driver(s) as it appears on the distribution media and click Go.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Signability test

Note: The Signability test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Signability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Surprise Removal test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Surprise Removal, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed to create the correct device topology and run the test.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the USB Device Framework test

To configure the test system

  1. Open Device Manager.
  2. Physically disconnect the test device from the test system.
  3. Physically connect a USB hub on the USB socket port 1 of the USB controller on the test system.
  4. Physically connect the test device to the USB hub.
  5. Verify that the test device is available in Device Manager.

To run the USB Device Framework test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select USB Device Framework, and then click Add Selection.
  3. Click Start Tests.
  4. Select the test device from the Device list.
  5. Click Full Test, and then click Start Automated Testing.
  6. Click Close when testing is complete.
  7. View test log files.

To restore the test system configuration

  1. Physically disconnect the USB hub from the test system.
  2. Physically connect the test device to the USB socket port 1 of the USB controller on the test system.
  3. Verify that the test device is available in Device Manager.

Tip: If the test device is not available, complete the following steps:

1. In Device Manager, under IDE ATA/ATAPI controllers, right-click USB Diagnostic Device, and then click Uninstall.

2. On the Action menu, click Scan for hardware changes

  4. Run all other required tests for this configuration.

To run the USB Manual Interoperability - Device test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select USB Manual Interoperability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed until the test is completed.

You are required to build a tree of USB devices to be used on the system.

  5. View test log files.
  6. Run all other required tests for this configuration.

Related links

Running the USB tape drive automated tests


Running the USB tape drive automated tests

To run the USB tape drive automated tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • ChkINF - Tape Drive

Note: The ChkINF - Tape Drive test is required only if the test device uses a manufacturer-supplied driver.

  • Tape Backup/Restore
  • Tape I/O
  • Tape Partition
  • USB 1.1 Specification Compliance
  • USB Address Description
  • USB Device Control Requests
  • USB Enumeration Stress
  • USB Selective Suspend
  3. Click Start Tests.
  4. When tests are completed, view test log files.
  5. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

USB tape drive testing overview


1394 hard disk drive testing overview

The 1394 Hard Disk Drive Hardware Compatibility Test (HCT) procedures are organized by system configuration.

The test procedures for each configuration are divided into a testing overview topic, a preparing for testing topic, and a running the HCT topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the test topics include instructions for running the HCT.

Click to show or hide information. System configuration requirements

The 1394 Hard Disk Drive HCT includes the following test configurations:

  • 1394 hard disk drive configuration 1
  • 1394 hard disk drive configuration 2
  • 1394 hard disk drive configuration 3

Click to show or hide information. Hardware requirements

The following hardware is required to run the 1394 Hard Disk Drive HCT kit:

  • Two Intel Pentium, or equivalent, systems, each with the following:
  • Logo-compliant ACPI BIOS, with ACPI enabled by default
  • One dual channel ATA/ATAPI controller implemented on the motherboard
  • Two IEEE 1394 controllers
  • Minimum of 256 MB of RAM
  • One floppy disk drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)

The systems must be from different manufacturers.

  • Two identical 1394 hard disk drives - These are the test devices.
  • One ATA/ATAPI hard disk drive from a different manufacturer than the test devices, minimum 10 GB capacity
  • One ATA/ATAPI DMA-capable CD-ROM drive, minimum 8x speed
  • One IEEE 1394 digital camera
  • Four IEEE 1394 cables
  • One floppy disk
  • Two standard ATA/ATAPI cables

ATA-66 and ATA-100 controllers require 80-conductor cables.

  • One Iomega Zip SCSI removable media drive, if returning test results to Zip disks (optional)
  • One Adaptec AHA-2940U2W LVD SCSI adapter, if returning test results to Zip disks (optional)

Important: All hardware (except the test devices) must be included on the Microsoft® Windows® Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the 1394 Hard Disk Drive HCT kit:

  • Windows XP Professional operating system.
  • Any drivers that do not ship with Windows XP Professional.
  • The current release of the Windows XP HCT 10.0 on CD.

Click to show or hide information. Tester knowledge requirements

To run the 1394 hard disk drive tests, testers must know how to do the following tasks:

  • Physically install a 1394 controller.
  • Physically install a hard disk drive as a Device 0.
  • Format and partition a hard disk drive.
  • Physically install a CD-ROM drive as a stand-alone Device 0.
  • Install the Windows XP Professional operating system from the product CD.

Related links

1394 hard disk drive configuration 1 testing overview
1394 hard disk drive configuration 2 testing overview
1394 hard disk drive configuration 3 testing overview

Microsoft Windows HCL


1394 hard disk drive configuration 1 testing overview

This test series examines how the 1394 hard disk drive (test device) works in the following configuration:

  • ATA/ATAPI hard disk drive installed as a stand-alone Device 0 (also called master) on the primary ATA/ATAPI channel
  • ATA/ATAPI CD-ROM drive installed as a stand-alone Device 0 on the secondary ATA/ATAPI channel
  • IEEE 1394 hard disk drive (test device) installed as a stand-alone device on an IEEE 1394 controller

Click to show or hide information. 1394 hard disk drive configuration 1 tests

The following tests are available for this hardware configuration. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests require user intervention and must be run individually:

  • 1394 Configuration ROM
  • 1394 Interoperability
  • Enable/Disable - Device I/O (Storage)
  • Public Import
  • Signability
  • Surprise Removal

The following tests are automated and can be run together in a group:

  • FAT - File I/O
  • Mapped - File I/O
  • NTFS - File I/O
  • Storage Device Stress
  • SysCache

Test suite run time: Up to 13 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the 1394 hard disk drive configuration 1 tests:

  • One Intel Pentium, or equivalent, system with the following:
  • Logo-compliant ACPI BIOS, with ACPI enabled by default
  • One dual channel ATA/ATAPI controller implemented on the motherboard
  • Two IEEE 1394 host controllers
  • Minimum of 256 MB of RAM
  • One floppy disk drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • One IEEE 1394 hard disk drive - This is the test device.
  • One ATA/ATAPI hard disk drive from a different manufacturer than the test device, minimum 10 GB capacity
  • One ATA/ATAPI DMA-capable CD-ROM drive
  • One IEEE 1394 digital camera
  • One floppy disk
  • Three IEEE 1394 cables
  • Two standard ATA/ATAPI cables
  • One Iomega Zip SCSI removable media drive, if returning test results to Zip disks (optional)
  • One Adaptec AHA-2940U2W LVD SCSI adapter, if returning test results to Zip disks (optional)

Important: All hardware (except the test device) must be included on the Microsoft® Windows® Hardware Compatibility List (HCL).

Related links

1394 hard disk drive testing overview
Preparing for 1394 hard disk drive configuration 1 testing

Microsoft Windows HCL


Preparing for 1394 hard disk drive configuration 1 testing

Before running 1394 hard disk drive stand-alone device tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware requirements, see 1394 hard disk drive configuration 1 testing overview.

For a complete list of software and tester knowledge requirements, see 1394 hard disk drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for 1394 hard disk drive configuration 1 testing for the Windows XP Professional operating system:

To configure the test system for 1394 hard disk drive configuration 1 testing

  1. Physically install the ATA/ATAPI hard disk drive as a stand-alone Device 0 (also called master) on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  2. Physically install the ATA/ATAPI CD-ROM drive as a stand-alone Device 0 on the secondary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  3. If the IEEE 1394 controllers are not an embedded component, physically install two IEEE 1394 controllers.
  4. Physically install the 1394 hard disk drive (test device) as a stand-alone device on the 1394 socket port 1 of the IEEE 1394 controller using a 1394 cable.
  5. Attach the digital camera to the other IEEE 1394 host controller.
  6. Connect an IEEE 1394 cable between the two host controllers.
  7. Install the Windows XP Professional operating system on the ATA/ATAPI hard disk drive.

During installation, create one partition using all available disk space, and format the partition with the NTFS file system.

  8. If testing with Windows XP Professional (32-bit):

On the test device, create three new partitions with a minimum of 1,000 MB each. Format one partition with the FAT 16 file system, one partition with the FAT 32 file system, and one partition with the NTFS file system.

-or-

If testing with Windows XP Professional 64-Bit Edition:

On the test device, create one new partition with a minimum of 2,000 MB, and format the partition with the NTFS file system.

  9. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  10. If testing with Windows XP Professional (32-bit):

Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Hard Disk Drive, and then click Next.

-or-

If testing with Windows XP Professional 64-Bit Edition:

Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Other Storage, and then click Next.

Related links

1394 hard disk drive testing overview
Running the 1394 hard disk drive configuration 1 manual tests
Running the 1394 hard disk drive configuration 1 automated tests


Running the 1394 hard disk drive configuration 1 manual tests

The following tests are available for this hardware configuration. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

To run the 1394 Configuration ROM test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select 1394 Configuration ROM, and then click Add Selection.
  3. Click Start Tests.
  4. If running the test for the first time, the Found New Hardware Wizard starts.

Important: You must complete the wizard within two minutes or the test will abort.

To install the virtual driver

  1. In the Found New Hardware wizard, under What do you want the wizard to do?, click Install from a list or specific location, and then click Next.
  2. Under Please choose your search and installation options, select the Include this location in the search check box, and then, in the corresponding box, type [drive]\HCT\testbin. Click Next.
    The wizard will locate and install the virtual driver.
  3. Click Finish to close the wizard.
  5. Follow the instructions displayed.
  6. When the test is completed, view test log files.
  7. Run all other required tests for this configuration.

To run the 1394 Interoperability test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select 1394 Interoperability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed to create the correct device topology and run the test.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Public Import test

Note: The Public Import test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Public Import, and then click Add Selection.
  3. Click Start Tests.
  4. A dialog box displays. Provide the path to your driver(s) as it appears on the distribution media and click Go.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Signability test

Note: The Signability test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Signability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Surprise Removal test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Surprise Removal, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed to create the correct device topology and run the test.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the 1394 hard disk drive configuration 1 automated tests


Running the 1394 hard disk drive configuration 1 automated tests

The following tests are available for this hardware configuration. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

To run the 1394 hard disk drive configuration 1 automated tests

  1. Insert the Windows® XP HCT 10.0 CD into the CD-ROM drive.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • FAT - File I/O
  • Mapped - File I/O
  • NTFS - File I/O
  • Storage Device Stress
  • SysCache
  4. Click Start Tests.
  5. When tests are completed, view test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config1.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

1394 hard disk drive testing overview


1394 hard disk drive configuration 2 testing overview

This test examines how a 1394 hard disk drive (test device) works in the following configuration:

  • ATA/ATAPI hard disk drive installed as a stand-alone Device 0 (also called master) on the primary ATA/ATAPI channel
  • ATA/ATAPI CD-ROM drive installed as a stand-alone Device 0 on the secondary ATA channel
  • 1394 hard disk drive (test device) installed as a stand-alone device on an IEEE 1394 controller
  • Second 1394 hard disk drive installed on the 1394 socket located on the back of a currently-installed 1394 hard disk drive.

Click to show or hide information. 1394 hard disk drive configuration 2 tests

The following tests are automated and can be run together in a group:

  • FAT - File I/O
  • Mapped - File I/O
  • NTFS - File I/O
  • Storage Device Stress
  • SysCache

Test suite run time: Up to 12 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the 1394 hard disk drive configuration 2 tests:

  • One Intel Pentium, or equivalent, system with the following:
  • Logo-compliant ACPI BIOS, with ACPI enabled by default
  • One dual channel ATA/ATAPI controller implemented on the motherboard
  • Two IEEE 1394 controllers
  • Minimum of 256 MB of RAM
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • Two identical IEEE 1394 hard disk drives - These are the test devices.
  • One ATA/ATAPI hard disk drive from a different manufacturer than the test devices, minimum 10 GB capacity
  • One ATA/ATAPI DMA-capable CD-ROM drive
  • Four IEEE 1394 cables
  • Two standard ATA/ATAPI cables
  • One Iomega Zip SCSI removable media drive, if returning test results to Zip disks (optional)
  • One Adaptec AHA-2940U2W LVD SCSI adapter, if returning test results to Zip disks (optional)

Important: All hardware (except the test devices) must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Related links

1394 hard disk drive testing overview
Preparing for1394 hard disk drive configuration 2 testing

Microsoft Windows HCL


Preparing for 1394 hard disk drive configuration 2 testing

Before running 1394 hard disk drive configuration 2 tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware requirements, see 1394 hard disk drive configuration 2 testing overview.

For a complete list of software and tester knowledge requirements, see 1394 hard disk drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for 1394 hard disk drive configuration 2 testing for the Windows XP Professional operating system:

To configure the test system for 1394 hard disk drive configuration 2 testing

  1. Configure the test system as described through step 9 of Preparing for 1394 hard disk drive configuration 1 testing. The test device installed on the test system is referred to as drive 1 in the following steps.
  2. With the test system turned on and the Windows XP Professional operating system running, physically install a second test device (Drive 2) on the 1394 socket located on the back of Drive 1.

Important: Drive 2 must install in a Plug and Play manner. If it does not, it results in a test failure.

  3. If testing with Windows XP Professional (32-bit):

On Drive 2, remove any existing partitions and create three new partitions of a minimum of 1,000 MB each. Format one partition with the FAT 16 file system, one partition with the FAT 32 file system, and one partition with the NTFS file system.

-or-

If testing with Windows XP Professional 64-Bit Edition:

On Drive 2, remove any existing partitions and convert the drive to MBR. Create three new partitions of a minimum of 1,000 MB each. Format one partition with the FAT 16 file system, one partition with the FAT 32 file system, and one partition with the NTFS file system.

  4. If testing with Windows XP Professional (32-bit):

Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Hard Disk Drive, and then click Next.

-or-

If testing with Windows XP Professional 64-Bit Edition:

Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Other Storage, and then click Next.

Related links


Running the 1394 hard disk drive configuration 2 tests

To run the 1394 hard disk drive configuration 2 tests

  1. Insert the Windows® XP HCT 10.0 CD into the CD-ROM drive.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • FAT - File I/O
  • Mapped - File I/O
  • NTFS - File I/O
  • Storage Device Stress
  • SysCache
  4. Click Start Tests.
  5. When tests are completed, view test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config2.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

1394 hard disk drive testing overview


1394 hard disk drive configuration 3 testing overview

This test examines how the 1394 hard disk drive (test device) works in the following configuration:

  • 1394 hard disk drive (test device) connected to the socket port 2 of a 1394 controller
  • Duplicate 1394 hard disk drive connected to socket port 1 of the same 1394 controller
  • ATA/ATAPI hard disk drive installed as Device 1 (also called slave) on the primary ATA/ATAPI channel
  • ATA/ATAPI CD-ROM installed as Device 1 on the secondary ATA/ATAPI channel

Important: Use a test system and a 1394 controller different from those used in the standalone drive testing and the serial configuration testing.

Click to show or hide information. 1394 hard disk drive configuration 3 tests

The following tests are automated and can be run together in a group:

  • FAT - File I/O
  • Mapped - File I/O
  • NTFS - File I/O
  • Storage Device Stress
  • SysCache

Test suite run time: Up to 12 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the 1394 hard disk drive configuration 3 tests:

  • One Intel Pentium, or equivalent, system with the following:
  • Logo-compliant ACPI BIOS, with ACPI enabled by default
  • One dual channel ATA/ATAPI controller implemented on the motherboard
  • Two IEEE 1394 controllers
  • Minimum of 256 MB of RAM
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • Two identical 1394 hard disk drives - These are the test devices.
  • One ATA/ATAPI hard disk drive from a different manufacturer than the test devices, minimum 10 GB capacity
  • One ATA/ATAPI DMA-capable CD-ROM drive
  • Four IEEE 1394 cables
  • Two standard ATA/ATAPI cables
  • One Iomega Zip SCSI removable media drive, if returning test results to Zip disks (optional)
  • One Adaptec AHA-2940U2W LVD SCSI adapter, if returning test results to Zip disks (optional)

Important: All hardware (except the test devices) must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Related links

1394 hard disk drive testing overview
Preparing for 1394 hard disk drive configuration 3 testing

Microsoft Windows HCL


Preparing for 1394 hard disk drive configuration 3 testing

Before running 1394 hard disk drive configuration 3 tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware requirements, see 1394 hard disk drive configuration 3 testing overview.

For a complete list of software and tester knowledge requirements, see 1394 hard disk drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing 1394 hard disk drive configuration 3 for the Windows XP Professional operating system.

To configure the test system for 1394 hard disk drive configuration 3 testing

  1. Configure the test system as described through step 9 of Preparing for 1394 hard disk drive configuration 1 testing. The test device installed on the test system is referred to as Drive 1 in the following steps.
  2. With the test system turned on and Windows XP Professional running, physically install a second 1394 hard disk drive (Drive 2) as a stand-alone device on socket port 2 of the 1394 controller.

Important: Drive 2 must install in a Plug and Play manner; otherwise, the test fails.

  3. On Drive 2, remove any existing partitions and create three new partitions of a minimum of 1,000 MB each. Format one partition with the FAT 16 file system, one partition with the FAT 32 file system, and one partition with the NTFS file system.
  4. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Hard Disk Drive, and then click Next.

Related links


Running the 1394 hard disk drive configuration 3 tests

To run the 1394 hard disk drive configuration 3 tests

  1. Insert the Windows® XP HCT 10.0 CD into the CD-ROM drive.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • FAT - File I/O
  • Mapped - File I/O
  • NTFS - File I/O
  • Storage Device Stress
  • SysCache
  4. Click Start Tests.
  5. When tests are completed, view test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config3.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

1394 hard disk drive testing overview


ATA/ATAPI hard disk drive testing overview

The ATA/ATAPI Hard Disk Drive Hardware Compatibility Test (HCT) procedures are organized by system configuration.

The test procedures for each configuration are divided into a testing overview topic, a preparing for testing topic, and a running the HCT topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the test topics include instructions for running the HCT.

Click to show or hide information. System configuration requirements

The ATA/ATAPI Hard Disk Drive HCT includes the following test configurations:

  • ATA/ATAPI hard disk drive configuration 1
  • ATA/ATAPI hard disk drive configuration 2
  • ATA/ATAPI hard disk drive configuration 3
  • ATA/ATAPI hard disk drive configuration 4

Click to show or hide information. ATA/ATAPI hard disk drive tests

The following tests are available for the ATA/ATAPI hard disk drive test kit. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests require user intervention and must be run individually:

  • Enable/Disable - Device I/O (Storage)
  • Public Import

The following tests are automated and can be run together in a group:

  • ATA/ATAPI SMART Disk
  • Disk Stress
  • FAT - File I/O
  • Mapped - File I/O
  • NTFS - File I/O
  • Storage Device Stress
  • SysCache

Test kit run time: Up to 72 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the ATA/ATAPI Hard Disk Drive HCT kit:

  • One Intel Pentium, or equivalent, system with the following:
  • Logo-compliant ACPI BIOS, with ACPI enabled by default
  • Minimum of 256 MB of RAM
  • One dual channel ATA/ATAPI controller implemented on the motherboard
  • One floppy disk drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • Two identical ATA/ATAPI hard disk drives - These are the test devices.
  • One ATA/ATAPI CD-ROM drive
  • One floppy drive
  • Two standard ATA/ATAPI cables

ATA-66 and ATA-100 controllers require 80-conductor cables.

  • One cable-select ATA/ATAPI cable

Important: All hardware (except the test device) must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the ATA/ATAPI Hard Disk Drive HCT kit:

  • Windows® XP Professional operating system
  • Any drivers that do not ship with Windows XP Professional
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the ATA/ATAPI hard disk drive tests, testers must know how to do the following tasks:

  • Physically install a hard disk drive as a stand-alone Device 0 (also called master), a multiple Device 0, a Device 1 (also called slave), a Multiple Device 0, and a cable-select Device 0.
  • Physically install a CD-ROM drive as a stand-alone Device 0, a Device 1, and a cable-select Device 1.
  • Format and partition a hard disk drive.
  • Install the Windows XP Professional operating system from the product CD.

Related links

Preparing for ATA/ATAPI hard disk drive configuration 1 testing
Preparing for ATA/ATAPI hard disk drive configuration 2 testing
Preparing for ATA/ATAPI hard disk drive configuration 3 testing
Preparing for ATA/ATAPI hard disk drive configuration 4 testing

Microsoft Windows HCL


Preparing for ATA/ATAPI hard disk drive configuration 1 testing

This test procedure examines how the test device works in the following configuration:

  • ATA/ATAPI hard disk drive (test device) installed as a stand-alone Device 0 (also called master) on the primary ATA/ATAPI channel
  • ATA/ATAPI CD-ROM drive installed as Device 0 on the secondary ATA/ATAPI channel

Before running the tests, you must configure the test system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see ATA/ATAPI hard disk drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing ATA/ATAPI hard disk drive as a stand-alone Device 0 for the Windows XP Professional operating system:

To configure the test system for ATA/ATAPI hard disk drive configuration 1 testing

  1. Physically install the hard disk drive (test device) as a stand-alone Device 0 on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  2. Physically install the CD-ROM drive as a stand-alone Device 0 on the secondary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  3. Install the Windows XP Professional operating system on the test device.

During installation, create one partition and format the partition with the NTFS file system. Leave a minimum of 3,000 MB of free disk space for three additional partitions.

  4. If testing with Windows XP Professional (32-bit):

After the operating system is installed, create three new partitions with a minimum of 1,000 MB each on the test device. Format one partition with the FAT 16 file system, one partition with the FAT 32 file system, and one partition with the NTFS file system.

-or-

If testing with Windows XP Professional 64-Bit Edition:

After the operating system is installed, create two new partitions with a minimum of 2,000 MB on the test device. Format the partition with the NTFS file system.

  5. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  6. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Hard Disk Drive, and then click Next.

Related links

ATA/ATAPI hard disk drive testing overview
Running the ATA/ATAPI hard disk drive configuration 1 manual tests
Running the ATA/ATAPI hard disk drive configuration 1 automated tests


Running the ATA/ATAPI hard disk drive configuration 1 manual tests

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (ATA/ATAPI Controller), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Public Import test

Note: The Public Import test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Public Import, and then click Add Selection.
  3. Click Start Tests.
  4. A dialog box displays. Provide the path to your driver(s) as it appears on the distribution media and click Go.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the ATA/ATAPI hard disk drive configuration 1 automated tests


Running the ATA/ATAPI hard disk drive configuration 1 automated tests

Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

To run the ATA/ATAPI hard disk drive configuration 1 automated tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • ATA/ATAPI SMART Disk
  • Disk Stress
  • FAT - File I/O
  • Mapped - File I/O
  • NTFS - File I/O
  • Storage Device Stress
  • SysCache
  3. Click Start Tests.
  4. When tests are completed, view test log files.
  5. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config1.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

ATA/ATAPI hard disk drive testing overview


Preparing for ATA/ATAPI hard disk drive configuration 2 testing

This test procedure examines how the test drive works in the following configuration:

  • ATA/ATAPI hard disk drive (test device) installed as a multiple Device 0 (also called master)
  • A second ATA/ATAPI hard disk drive installed as Device 1 (also called slave) on the primary ATA/ATAPI channel
  • ATA/ATAPI CD-ROM drive installed as Device 0 on the secondary ATA/ATAPI channel

Before running the tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see ATA/ATAPI hard disk drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing ATA/ATAPI hard disk drive configuration 2 for the Windows XP Professional operating system:

To configure the test system for ATA/ATAPI hard disk drive configuration 2 testing

  1. Configure the test system as described through step 5 of Preparing for ATA/ATAPI hard disk drive configuration 1 testing.
  2. With the test system turned off, configure a hard disk drive (test device) as a multiple Device 0 on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  3. With the test system turned off, physically install an identical hard disk drive as a Device 1 on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable. This drive is referred to as Drive 2 in the following procedures.
  4. If testing with Windows XP Professional (32-bit):

With the test system turned on, remove any partitions on Drive 2 and create three new partitions with a minimum of 1,000 MB each. Format one partition with the FAT 16 file system, one partition with the FAT 32 file system, and one partition with the NTFS file system.

-or-

If testing with Windows XP Professional 64-Bit Edition:

With the test system turned on, remove any partitions on Drive 2 and convert the drive to MDR. Create three new partitions with a minimum of 1,000 MB each. Format one partition with the FAT 16 file system, one partition with the FAT 32 file system, and one partition with the NTFS file system.

  5. If testing with Windows XP Professional (32-bit):

Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Hard Disk Drive, and then click Next.

-or-

If testing with Windows XP Professional 64-Bit Edition:

Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Other Storage, and then click Next.

Related links

ATA/ATAPI hard disk drive testing overview
Running the ATA/ATAPI hard disk drive configuration 2 manual tests
Running the ATA/ATAPI hard disk drive configuration 2 automated tests


Running the ATA/ATAPI hard disk drive configuration 2 manual tests

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (ATA/ATAPI Controller), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Public Import test

Note: The Public Import test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Public Import, and then click Add Selection.
  3. Click Start Tests.
  4. A dialog box displays. Provide the path to your driver(s) as it appears on the distribution media and click Go.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the ATA/ATAPI hard disk drive configuration 2 automated tests


Running the ATA/ATAPI hard disk drive configuration 2 automated tests

To run the ATA/ATAPI hard disk drive configuration 2 automated tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • ATA/ATAPI SMART Disk
  • Disk Stress
  • FAT - File I/O
  • Mapped - File I/O
  • NTFS - File I/O
  • Storage Device Stress
  • SysCache
  3. Click Start Tests.
  4. When tests are completed, view test log files.
  5. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config2.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

ATA/ATAPI hard disk drive testing overview


Preparing for ATA/ATAPI hard disk drive configuration 3 testing

This test procedure examines how the test drive works in the following configuration:

  • ATA/ATAPI hard disk drive (test device) installed as a Device 0 (also called master) on the primary ATA/ATAPI channel
  • ATA/ATAPI CD-ROM drive installed as Device 1 (also called slave) on the primary ATA/ATAPI channel

Before running the tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see ATA/ATAPI hard disk drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing ATA/ATAPI hard disk drive configuration 3 for the Windows XP Professional operating system:

To configure the test system for ATA/ATAPI hard disk drive configuration 3 testing

  1. Physically install the hard disk drive (test device) as a multiple Device 0 on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  2. Physically install the CD-ROM drive as Device 1 on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  3. Install the Windows XP Professional operating system on the test device.

During installation, create one partition and format the partition with the NTFS file system. Leave a minimum of 3,000 MB of free disk space for three additional partitions.

  4. If testing with Windows XP Professional (32-bit):

After the operating system is installed, create three new partitions with a minimum of 1,000 MB each on the test device. Format one partition with the FAT 16 file system, one partition with the FAT 32 file system, and one partition with the NTFS file system.

-or-

If testing with Windows XP Professional 64-Bit Edition:

After the operating system is installed, create two new partitions with a minimum of 2,000 MB on the test device. Format the partition with the NTFS file system.

  5. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  6. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Hard Disk Drive, and then click Next.

Related links

ATA/ATAPI hard disk drive testing overview
Running the ATA/ATAPI hard disk drive configuration 3 manual tests
Running the ATA/ATAPI hard disk drive configuration 3 automated tests


Running the ATA/ATAPI hard disk drive configuration 3 manual tests

To run the Public Import test

Note: The Public Import test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Public Import, and then click Add Selection.
  3. Click Start Tests.
  4. A dialog box displays. Provide the path to your driver(s) as it appears on the distribution media and click Go.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the ATA/ATAPI hard disk drive configuration 3 automated tests


Running the ATA/ATAPI hard disk drive configuration 3 automated tests

Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

To run the ATA/ATAPI hard disk drive configuration 3 automated tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • ATA/ATAPI SMART Disk
  • Disk Stress
  • FAT - File I/O
  • Mapped - File I/O
  • NTFS - File I/O
  • Storage Device Stress
  • SysCache
  3. Click Start Tests.
  4. When tests are completed, view test log files.
  5. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config3.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

ATA/ATAPI hard disk drive testing overview


Preparing for ATA/ATAPI hard disk drive configuration 4 testing

This test procedure examines how the test drive works in the following configuration:

  • ATA/ATAPI hard disk drive (test device) installed as a cable-select Device 0 (also called master) on the primary ATA/ATAPI channel
  • ATA/ATAPI CD-ROM drive installed as a cable-select Device 1 (also called slave) on the primary ATA/ATAPI channel

Before running the tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see ATA/ATAPI hard disk drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing ATA/ATAPI hard disk drive configuration 4 for the Windows XP Professional operating system:

To configure the test system for ATA/ATAPI hard disk drive configuration 4 testing

  1. Physically install the Hard disk drive (test device) as a cable-select Device 0 on the primary ATA/ATAPI channel using a cable-select ATA/ATAPI cable.
  2. Physically install the CD-ROM drive as a cable-select Device 1 on the primary ATA/ATAPI channel using a cable-select ATA/ATAPI cable.
  3. Install the Windows XP Professional operating system on the test device.

During installation, create one partition and format the partition with the NTFS file system. Leave a minimum of 3,000 MB of free disk space for three additional partitions.

  4. If testing with Windows XP Professional (32-bit):

After the operating system is installed, create three new partitions with a minimum of 1,000 MB each on the test device. Format one partition with the FAT 16 file system, one partition with the FAT 32 file system, and one partition with the NTFS file system.

-or-

If testing with Windows XP Professional 64-Bit Edition:

After the operating system is installed, create two new partitions with a minimum of 2,000 MB on the test device. Format the partition with the NTFS file system.

  5. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  6. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Hard Disk Drive, and then click Next.

Related links

ATA/ATAPI hard disk drive testing overview
Running the ATA/ATAPI hard disk drive configuration 4 manual tests
Running the ATA/ATAPI hard disk drive configuration 4 automated tests


Running the ATA/ATAPI hard disk drive configuration 4 manual tests

To run the Public Import test

Note: The Public Import test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Public Import, and then click Add Selection.
  3. Click Start Tests.
  4. A dialog box displays. Provide the path to your driver(s) as it appears on the distribution media and click Go.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the ATA/ATAPI hard disk drive configuration 4 automated tests


Running the ATA/ATAPI hard disk drive configuration 4 automated tests

Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

To run the ATA/ATAPI hard disk drive configuration 4 automated tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • ATA/ATAPI SMART Disk
  • Disk Stress
  • FAT - File I/O
  • Mapped - File I/O
  • NTFS - File I/O
  • Storage Device Stress
  • SysCache
  3. Click Start Tests.
  4. When tests are completed, view test log files.
  5. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config4.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

ATA/ATAPI hard disk drive testing overview


SCSI hard disk drive testing overview

The SCSI Hard Disk Drive Hardware Compatibility Test (HCT) procedures are organized by system configuration.

The test procedures for each configuration are divided into a testing overview topic, a preparing for testing topic, and a running the tests topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, and software requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the test topics include instructions for running the HCT.

Click to show or hide information. System configuration requirements

The SCSI hard disk drive HCT kit includes the following test configurations:

  • SCSI hard disk drive configuration 1
  • SCSI hard disk drive configuration 2

Click to show or hide information. SCSI hard disk drive tests

The following tests are available for the SCSI hard disk drive test kit. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests require user intervention and must be run individually:

  • Enable/Disable - Device I/O (Storage)
  • Public Import

The following tests are automated and can be run together in a group:

  • Disk Stress
  • FAT - File I/O
  • Mapped - File I/O
  • NTFS - File I/O
  • Storage Device Stress
  • SysCache

Test kit run time: Up to 28 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the SCSI Hard Disk Drive HCT kit:

  • One Intel Pentium, or equivalent, system with the following:
  • One PCI bus
  • Logo-compliant ACPI BIOS, with ACPI enabled by default
  • Minimum of 256 MB RAM
  • One floppy disk drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • Two identical SCSI hard disk drives - These are the test devices.
  • One Adaptec SCSI adapter with appropriate bus interface for the test device, such as Narrow, Wide, or LVD
  • One LSI Logic SCSI adapter with appropriate bus interface for the test device, such as Narrow, Wide, or LVD
  • One SCSI CD-ROM drive
  • One ATA/ATAPI CD-ROM drive
  • One floppy disk
  • Iomega Zip SCSI removable media drive, if returning test results to Zip disks (optional)
  • Iomega Zip ATA/ATAPI removable media drive, if returning test results to Zip disks (optional)

Important: All hardware (except the test device) must be included on the Microsoft® Windows® Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the SCSI Hard Disk Drive HCT kit:

  • Windows XP Professional operating system
  • Any drivers that do not ship with Windows XP Professional
  • The current release of the Windows XP HCT 10.0 on CD

Click to show or hide information. Tester knowledge requirements

To run the SCSI hard disk drive tests, testers must know how to do the following tasks:

  • Physically install a SCSI adapter with the BIOS enabled.
  • Physically set the SCSI ID on a hard disk drive, CD-ROM drive, and Iomega Zip drive.
  • Physically install a hard disk drive.
  • Format and partition a hard disk drive.
  • Physically install a CD-ROM drive.
  • Physically install an Iomega Zip drive (optional).
  • Install the Windows XP Professional operating system from the product CD.

Related links

Preparing for SCSI hard disk drive configuration 1 testing
Preparing for SCSI hard disk drive configuration 2 testing

Microsoft Windows HCL


Preparing for SCSI hard disk drive configuration 1 testing

This test series examines how a SCSI hard disk drive (test device) functions when installed on an Adaptec SCSI adapter. Before running the SCSI hard disk drive configuration 1 tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of software and tester knowledge requirements, see SCSI hard disk drive testing overview.

Click to show or hide information. Hardware requirements

The following hardware is required to run the SCSI hard disk drive configuration 1 tests:

  • One Intel Pentium, or equivalent, system with the following:
  • One PCI bus
  • Logo-compliant ACPI BIOS, with ACPI enabled by default
  • Minimum of 256 MB RAM
  • One floppy disk drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • Two identical SCSI hard disk drives, minimum 10 GB capacity - These are the test devices.
  • One Adaptec SCSI adapter with appropriate bus interface for the test device, such as Narrow, Wide, or LVD
  • One SCSI CD-ROM drive
  • One floppy disk
  • Iomega Zip SCSI removable media drive, if returning test results to Zip disks (optional)

Important: All hardware (except the test device) must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Click to show or hide information. Test system configuration

The HCT kit requires the following to prepare the test system for testing a SCSI hard disk drive configuration 1 for the Windows XP Professional operating system:

To configure the test system for SCSI hard disk drive configuration 1 testing

Note: All adapters are operated with BIOS enabled and external termination unless otherwise noted.

  1. Physically install the Adaptec SCSI adapter on the test system.
  2. Set the SCSI IDs on the hard disk drives (test devices) as follows:

Drive 1 = SCSI ID 0

Drive 2 = SCSI ID 1

  3. Physically install the hard disk drives (test devices) on the SCSI adapter.
  4. Set the SCSI ID on the SCSI CD-ROM drive to 6, and then physically install the SCSI CD-ROM drive on the SCSI adapter on a separate channel than the test devices.
  5. If returning test results to Zip disks, set the SCSI ID on the Iomega Zip drive to 5 and then physically install the Zip drive on the SCSI adapter on a separate channel than the test devices.
  6. Install the Windows XP Professional operating system on Drive 1.

During installation, create one partition and format the partition with the NTFS file system. Leave a minimum of 2,000 MB of free disk space for additional partitions.

  7. If testing with Windows XP Professional 64-Bit Edition:

After the operating system is installed, create on partition with a minimum 2,000 MB on the test device. Format the partition with the NTFS file system.

  8. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  9. On Drive 2, delete any existing partitions and create three new partitions with a minimum of 1,000 MB each. Format one partition with the FAT16 file system, one partition with the FAT32 file system, and one partition with the NTFS file system.
  10. If testing with Windows XP Professional (32-bit):

Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Hard Disk Drive, and then click Next.

-or-

If testing with Windows XP Professional 64-Bit Edition:

Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Other Storage, and then click Next.

Related links

SCSI hard disk drive testing overview
Running the SCSI hard disk drive configuration 1 manual tests
Running the SCSI hard disk drive configuration 1 automated tests

Microsoft Windows HCL


Running the SCSI hard disk drive configuration 1 manual tests

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (ATA/ATAPI Controller), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Public Import test

Note: The Public Import test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Public Import, and then click Add Selection.
  3. Click Start Tests.
  4. A dialog box displays. Provide the path to your driver(s) as it appears on the distribution media and click Go.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the SCSI hard disk drive configuration 1 automated tests


Running the SCSI hard disk drive configuration 1 automated tests

To run the SCSI hard disk drive configuration 1 automated tests

  1. Insert the HCT CD into the CD-ROM drive.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • Disk Stress
  • FAT - File I/O
  • Mapped - File I/O
  • NTFS - File I/O
  • Storage Device Stress
  • SysCache
  4. Click Start Tests.
  5. When tests are completed, view test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config1.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

SCSI hard disk drive testing overview


Preparing for SCSI hard disk drive configuration 2 testing

This test series examines how a SCSI hard disk drive (test device) functions when installed on an LSI Logic SCSI adapter. Before running the SCSI hard disk drive configuration 2 tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of software and tester knowledge requirements, see SCSI hard disk drive testing overview.

Click to show or hide information. Hardware requirements

The following hardware is required to run the SCSI hard disk drive configuration 2 tests:

  • One Intel Pentium, or equivalent, system with the following:
  • One PCI bus
  • Logo-compliant ACPI BIOS, with ACPI enabled by default
  • Minimum of 256 MB RAM
  • One floppy disk drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • Two identical SCSI hard disk drives, minimum 10 GB capacity - These are the test devices.
  • One LSI Logic SCSI adapter with appropriate bus interface for the test device, such as Narrow, Wide, or LVD
  • One ATA/ATAPI CD-ROM drive
  • One floppy disk
  • One Iomega Zip ATA/ATAPI removable media drive, if returning test results to Zip disks (optional)

Important: All hardware (except the test device) must be included on the Microsoft® Windows Hardware Compatibility List (HCL).

Click to show or hide information. Test system configuration

The HCT kit requires the following to prepare the test system for testing SCSI hard disk drive configuration 2 for the Windows XP Professional operating system:

To configure the test system for SCSI hard disk drive configuration 2 testing

Note: All adapters are operated with BIOS enabled and external termination unless otherwise noted.

  1. Physically install the LSI Logic SCSI adapter on the test system.
  2. Set the SCSI IDs on the hard disk drives (test devices) as follows:

Drive 1 = SCSI ID 0

Drive 2 = SCSI ID 1

  3. Physically install the SCSI hard disk drives (test devices) on the LSI Logic SCSI adapter.
  4. Physically install the ATA/ATAPI CD-ROM drive as a Device 0 on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  5. If retuning test results to Zip disks, physically install the Zip drive as a Device 1on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  6. Install the Windows XP Professional operating system on Drive 1.

During installation, create one partition and format the partition with the NTFS file system. Leave a minimum of 2,000 MB of free disk space for additional partitions.

  7. If testing with Windows XP Professional 64-Bit Edition:

After the operating system is installed, create on partition with a minimum 2,000 MB on the test device. Format the partition with the NTFS file system.

  8. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  9. On Drive 2, delete any existing partitions and create three new partitions with a minimum of 1,000 MB each. Format one partition with the FAT16 file system, one partition with the FAT32 file system, and one partition with the NTFS file system.
  10. If testing with Windows XP Professional (32-bit):

Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Hard Disk Drive, and then click Next.

-or-

If testing with Windows XP Professional 64-Bit Edition:

Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Other Storage, and then click Next.

Related links

SCSI hard disk drive testing overview
Running the SCSI hard disk drive configuration 2 manual tests
Running the SCSI hard disk drive configuration 2 automated tests

Microsoft Windows HCL


Running the SCSI hard disk drive configuration 2 manual tests

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (ATA/ATAPI Controller), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Public Import test

Note: The Public Import test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Public Import, and then click Add Selection.
  3. Click Start Tests.
  4. A dialog box displays. Provide the path to your driver(s) as it appears on the distribution media and click Go.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the SCSI hard disk drive configuration 2 automated tests


Running the SCSI hard disk drive configuration 2 automated tests

To run the SCSI hard disk drive configuration 2 automated tests

  1. Insert the HCT CD into the CD-ROM drive.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • Disk Stress
  • FAT - File I/O
  • Mapped - File I/O
  • NTFS - File I/O
  • Storage Device Stress
  • SysCache
  4. Click Start Tests.
  5. When tests are completed, view test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config2.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

SCSI hard disk drive testing overview


USB hard disk drive testing overview

The USB Hard Disk Drive Hardware Compatibility Test (HCT) procedures are organized by system configuration.

The test procedures for each configuration are divided into a testing overview topic, a preparing for testing topic, and a running the HCT topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the test topics include instructions for running the HCT.

Click to show or hide information. System configuration requirements

The USB Hard Disk Drive HCT kit includes the following test configurations:

  • USB hard disk drive configuration 1
  • USB hard disk drive configuration 2

Click to show or hide information. Hardware requirements

The following hardware is required to run the USB Hard Disk Drive HCT kit:

  • One Intel Pentium, or equivalent, system with the following:
  • USB host controller embedded on the system motherboard

The USB controller must be able to wake the system using ACPI mechanisms.

  • Minimum 256 MB of RAM
  • Logo-compliant ACPI BIOS, with ACPI enabled by default
  • Three USB 4-port powered hubs
  • One floppy disk drive
  • One audio adapter
  • One USB scanner
  • One USB video camera or USB digital camera
  • One USB joystick
  • One set of USB speakers
  • One USB keyboard
  • One USB mouse
  • One monitor
  • Two identical USB hard disk drives - These are the test devices.
  • One UDMA-capable ATA/ATAPI hard disk drive, minimum 10 GB capacity

The ATA/ATAPI hard disk drive must be from a different manufacturer than the test devices.

  • One ATA/ATAPI CD-ROM drive, minimum 8x speed
  • One floppy disk
  • Three USB cables
  • One set of headphones
  • Two standard ATA/ATAPI cables

ATA-66 and ATA-100 controllers require 80-conductor cables.

Important: All hardware (except the test device) must be included on the Microsoft® Windows® Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the USB Hard Disk Drive HCT kit:

  • Windows XP Professional operating system
  • Any drivers that do not ship with Windows XP Professional
  • The current release of the Windows XP HCT 10.0 on CD

Click to show or hide information. Tester knowledge requirements

To run the USB hard disk drive tests, testers must know how to do the following tasks:

  • Physically install a hard disk drive as a stand-alone Device 0 (also called master).
  • Physically install a CD-ROM drive as a stand-alone Device 0.
  • Install a USB hard disk drive on a USB controller.
  • Format and partition a hard disk drive.
  • Install the Windows XP Professional operating system from the product CD.

Related links

USB hard disk drive configuration 1 testing overview
USB hard disk drive configuration 2 testing overview

Microsoft Windows HCL


USB hard disk drive configuration 1 testing overview

This test series examines how the test device works in the following configuration:

  • ATA/ATAPI hard disk drive installed as stand-alone Device 0 (also called master) on the primary ATA/ATAPI channel
  • ATA/ATAPI CD-ROM drive installed as Device 0 on the secondary ATA/ATAPI channel
  • USB hard disk drive (test device) installed on socket port 1 of a USB host controller

Click to show or hide information. USB hard disk drive tests

The following tests are available for this hardware configuration. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests require user intervention and must be run individually:

  • Enable/Disable - Device I/O (Storage)
  • Public Import
  • Signability
  • Surprise Removal
  • USB Device Framework
  • USB Manual Interoperability

The following tests are automated and can be run together in a group:

  • ChkINF - Hard Disk Controllers
  • Disk Stress
  • FAT - File I/O
  • Mapped - File I/O
  • NTFS - File I/O
  • Storage Device Stress
  • SysCache
  • USB 1.1 Specification Compliance
  • USB Address Description
  • USB Device Control Requests
  • USB Enumeration Stress
  • USB Selective Suspend

Test suite run time: Up to 15 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the USB Hard Disk Drive HCT kit:

  • One Intel Pentium, or equivalent, system with the following:
  • USB host controller embedded on the system motherboard

The USB controller must be able to wake the system using ACPI mechanisms

  • Minimum 256 MB of RAM
  • Logo-compliant ACPI BIOS, with ACPI enabled by default
  • Three USB 4-port powered hubs
  • One floppy disk drive
  • One audio adapter
  • One USB scanner
  • One USB video camera or USB digital camera
  • One USB joystick
  • One set of USB speakers
  • One USB keyboard
  • One USB mouse
  • One monitor
  • One USB hard disk drive - This is the test device.
  • One UDMA-capable ATA/ATAPI hard disk drive, minimum 10 GB capacity

The ATA/ATAPI hard disk drive must be from a different manufacturer than the test device.

  • One ATA/ATAPI CD-ROM drive, minimum 8x speed
  • One floppy disk
  • One USB hub
  • One USB cable
  • One set of headphones
  • Two standard ATA/ATAPI cables

ATA-66 and ATA-100 controllers require 80-conductor cables.

Important: All hardware (except the test device) must be included on the Microsoft® Windows® Hardware Compatibility List (HCL).

Related links

USB hard disk drive testing overview
Preparing for USB hard disk drive configuration 1 testing

Microsoft Windows HCL


Preparing for USB hard disk drive configuration 1 testing

Before running USB hard disk drive stand-alone device tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware requirements, see USB hard disk drive configuration 1 testing overview.

For a complete list of software and tester knowledge requirements, see USB hard disk drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for USB hard disk drive configuration 1 testing for the Windows XP Professional operating system:

To configure the test system for USB hard disk drive configuration 1 testing

  1. Physically install the ATA/ATAPI hard disk drive as a stand-alone Device 0 (also called master) on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  2. Physically install the ATA/ATAPI CD-ROM drive as a stand-alone Device 0 on the secondary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  3. Physically install the USB hard disk drive (test device) as a stand-alone device on the USB socket port 1 of the USB controller using a USB cable.
  4. Install the Windows XP Professional operating system on the ATA/ATAPI hard disk drive.

During installation, create one partition and format the partition with the NTFS file system. Leave a minimum of 3,000 MB of free disk space for three partitions.

  5. If testing with Windows XP Professional (32-bit):

After the operating system is installed, create three new partitions with a minimum of 1,000 MB each on the test device. Format one partition with the FAT 16 file system, one partition with the FAT 32 file system, and one partition with the NTFS file system.

-or-

If testing with Windows XP Professional 64-Bit Edition:

After the operating system is installed, create one partition with a minimum of 2,000 MB on the test device. Format the partition with the NTFS file system.

  6. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  7. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, click Hard Disk Drive, and then click Next.

Related links

USB hard disk drive testing overview
Running the USB hard disk drive configuration 1 manual tests
Running the USB hard disk drive configuration 1 automated tests


Running the USB hard disk drive configuration 1 manual tests

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Public Import test

Note: The Public Import test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Public Import, and then click Add Selection.
  3. Click Start Tests.
  4. A dialog box displays. Provide the path to your driver(s) as it appears on the distribution media and click Go.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Signability test

Note: The Signability test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Signability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Surprise Removal test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Surprise Removal, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed to create the correct device topology and run the test.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the USB Device Framework test

To configure the test system

  1. Open Device Manager.
  2. Physically disconnect the test device from the test system.
  3. Physically connect a USB hub on the USB socket port 1 of the USB controller on the test system.
  4. Physically connect the test device to the USB hub.
  5. Verify that the test device is available in Device Manager.

To run the USB Device Framework test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select USB Device Framework, and then click Add Selection.
  3. Click Start Tests.
  4. Select the test device from the Device list.
  5. Click Full Test, and then click Start Automated Testing.
  6. Click Close when testing is complete.
  7. View test log files.

To restore the test system configuration

  1. Physically disconnect the USB hub from the test system.
  2. Physically connect the test device to the USB socket port 1 of the USB controller on the test system.
  3. Verify that the test device is available in Device Manager.

Tip: If the test device is not available, complete the following steps:

1. In Device Manager, under IDE ATA/ATAPI controllers, right-click USB Diagnostic Device, and then click Uninstall.

2. On the Action menu, click Scan for hardware changes

  4. Run all other required tests for this configuration.

To run the USB Manual Interoperability test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select USB Manual Interoperability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed until the test is completed.

You are required to build a tree with the test device or test hub, additional USB hubs, printer, mouse, joystick, keyboard, camera, and speaker set on the system.

Note: A delay may occur while the test is verifying the connected USB devices. Please be patient and do not restart the test unnecessarily.

  5. View test log files.
  6. Run all other required tests for this configuration.

Related links

Running the USB hard disk drive configuration 1 automated tests


Running the USB hard disk drive configuration 1 automated tests

To run the USB hard disk drive configuration 1 automated tests

  1. Insert the Windows® XP HCT 10.0 CD into the CD-ROM drive.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • ChkINF - Hard Disk Controllers

Note: The ChkINF test is required only if the test device uses a manufacturer-supplied driver.

  • Disk Stress
  • FAT - File I/O
  • Mapped - File I/O
  • NTFS - File I/O
  • Storage Device Stress
  • SysCache
  • USB 1.1 Specification Compliance
  • USB Address Description
  • USB Device Control Requests
  • USB Enumeration Stress
  • USB Selective Suspend
  4. Click Start Tests.
  5. When tests are completed, view test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config1.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

USB hard disk drive testing overview


USB hard disk drive configuration 2 testing overview

This test examines how a USB hard disk drive (test device) works in the following configuration:

  • ATA/ATAPI hard disk drive installed as a stand-alone Device 0 (also called master) on the primary ATA/ATAPI channel
  • ATA/ATAPI CD-ROM drive installed as a stand-alone Device 0 on the secondary ATA channel
  • USB hard disk drive (test device) installed on socket port 1 of a USB host controller
  • Second test device installed on socket port 2 of a USB host controller

Click to show or hide information. USB hard disk drive configuration 2 tests

The following tests are available for this hardware configuration. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests require user intervention and must be run individually:

  • Enable/Disable - Device I/O (Storage)
  • Surprise Removal

The following tests are automated and can be run together in a group:

  • Disk Stress
  • FAT - File I/O
  • Mapped - File I/O
  • NTFS - File I/O
  • Storage Device Stress
  • SysCache
  • USB 1.1 Specification Compliance

Test suite run time: Up to 13 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the USB hard disk drive configuration 2 tests:

  • One Intel Pentium, or equivalent, system with the following:
  • USB host controller embedded on the system motherboard

The USB controller must be able to wake the system using ACPI mechanisms.

  • Minimum 256 MB of RAM
  • Logo-compliant ACPI BIOS, with ACPI enabled by default
  • One floppy disk drive
  • One USB keyboard
  • One USB mouse
  • One monitor
  • Two identical USB hard disk drives - These are the test devices.
  • One UDMA-capable ATA/ATAPI hard disk drive, minimum 10 GB capacity

The ATA/ATAPI hard disk drive must be from a different manufacturer than the test devices.

  • One ATA/ATAPI CD-ROM drive, minimum 8x speed
  • One floppy disk
  • Two standard ATA/ATAPI cables

ATA-66 and ATA-100 controllers require 80-conductor cables.

Important: All hardware (except the test devices) must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Related links

USB hard disk drive testing overview
Preparing for USB hard disk drive configuration 2 testing

Microsoft Windows HCL


Preparing for USB hard disk drive configuration 2 testing

Before running USB hard disk drive configuration 2 tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware requirements, see USB hard disk drive configuration 2 testing overview.

For a complete list of software and tester knowledge requirements, see USB hard disk drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for USB hard disk drive configuration 2 testing for the Windows XP Professional operating system:

To configure the test system for USB hard disk drive configuration 2 testing

  1. Configure the test system as described through step 6 of Preparing for USB hard disk drive configuration 1 testing. The test device installed on the test system is referred to as Drive 1 in the following steps.
  2. With the test system turned on, physically install a second test device (Drive 2) on the socket port 2 of the USB controller.

Important: Drive 2 must install in a Plug and Play manner. If it does not, it results in a test failure.

  3. On Drive 2, remove any existing partitions.
  4. If testing with Windows XP Professional 64-Bit Edition, convert Drive 2 to MBR.
  5. Create two new partitions of a minimum of 1,000 MB each. Format one partition with the FAT 32 file system, and format the other partition with the NTFS file system.
  6. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, click Hard Disk Drive, and then click Next.

Related links

USB hard disk drive testing overview
Running the USB hard disk drive configuration 2 manual tests
Running the USB hard disk drive configuration 2 automated tests


Running the USB hard disk drive configuration 2 manual tests

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Surprise Removal test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Surprise Removal, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed to create the correct device topology and run the test.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the USB hard disk drive configuration 2 automated tests


Running the USB hard disk drive configuration 2 automated tests

To run the USB hard disk drive configuration 2 automated tests

  1. Insert the Windows® XP HCT 10.0 CD into the CD-ROM drive.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • Disk Stress
  • FAT - File I/O
  • Mapped - File I/O
  • NTFS - File I/O
  • Storage Device Stress
  • SysCache
  • USB 1.1 Specification Compliance
  4. Click Start Tests.
  5. When tests are completed, view test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config2.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

USB hard disk drive testing overview


1394 removable media drive testing overview

The 1394 Removable Media Drive Hardware Compatibility Test (HCT) procedures are organized by system configuration.

The test procedures for each configuration are divided into a testing overview topic, a preparing for testing topic, and a running the tests topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, and software requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the test topics include instructions for running the HCT.

Click to show or hide information. System configuration requirements

The 1394 removable media drive HCT includes the following test configurations:

  • 1394 removable media drive configuration 1 (FAT 16)

This section is required for all 1394 removable media drive test submissions.

  • 1394 removable media drive configuration 2 (FAT 32)

This section is required only for test devices with media larger than 528 MB.

  • 1394 removable media drive configuration 3 (NTFS)

This section is required only for test devices with media larger than 528 MB.

Click to show or hide information. Hardware requirements

The following hardware is required to run the 1394 Removable Media Drive HCT kit:

  • One Intel Pentium, or equivalent, system with the following:
  • Logo-compliant ACPI BIOS, with ACPI enabled by default
  • Minimum 256 MB of RAM
  • Two IEEE 1394 host controllers
  • One floppy disk drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • One IEEE 1394 removable media drive – This is the test device.
  • One IEEE 1394 digital camera
  • Three IEEE 1394 cables
  • One ATA/ATAPI CD-ROM drive, minimum 8x speed
  • One ATA/ATAPI hard disk drive, minimum capacity 10 GB
  • Four formatted floppy disks
  • Two standard ATA/ATAPI cables

ATA-66 and ATA-100 controllers require 80-conductor cables.

Important: All hardware (except the test device) must be included on the Microsoft® Windows® Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the 1394 Removable Media Drive HCT kit:

  • Windows XP Professional operating system
  • Any drivers that do not ship with Windows XP Professional
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the 1394 removable media drive tests, testers must know how to do the following tasks:

  • Physically install a removable media drive.
  • Partition and format a removable media drive.
  • Physically install a hard disk drive as a Device 0.
  • Format and partition a hard disk drive.
  • Physically install a CD-ROM drive as a Device 0.
  • Install the Windows XP Professional operating system from the product CD.

Related links

1394 removable media drive configuration 1 (FAT16) testing overview
1394 removable media drive configuration 2 (FAT32) testing overview
1394 removable media drive configuration 3 (NTFS) testing overview

Microsoft Windows HCL


1394 removable media drive configuration 1 (FAT16) testing overview

Important: This test series is required for all 1394 removable media drive test submissions.

This test series examines how the test device works in the following configuration:

  • ATA/ATAPI CD-ROM drive installed as Device 0 (also called master) on the secondary ATA channel
  • ATA/ATAPI hard disk drive installed as Device 0 on the primary ATA channel
  • 1394 removable media drive (test device) formatted with the FAT16 file system.

Click to show or hide information. 1394 removable media drive configuration 1 (FAT 16) tests

The following tests are available for this hardware configuration. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests require user intervention and must be run individually:

  • 1394 Configuration ROM
  • 1394 Interoperability
  • Enable/Disable - Device I/O (Storage)
  • Media Lock
  • Media Status Notification
  • Public Import
  • Signability
  • Surprise Removal

The following tests are automated and can be run together in a group:

  • ChkINF - Hard Disk Controllers
  • Disk Stress
  • FAT - File I/O
  • Floppy - File I/O
  • Mapped - File I/O
  • Storage Device Stress
  • SysCache

Test suite run time: Up to 11 hours

Related links


Preparing for 1394 removable media drive configuration 1 (FAT 16) testing

Before running the tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see 1394 removable media drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing 1394 removable media drive configuration 1 (FAT 16) for the Windows XP Professional operating system:

To configure the test system for 1394 removable media drive configuration 1 (FAT 16) testing

  1. Physically install a hard disk drive as a stand-alone Device 0 on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable
  2. Physically install a CD-ROM drive as a stand-alone Device 0 on the secondary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  3. If two IEEE 1394 host controllers are not embedded on the system motherboard, physically install two IEEE 1394 host controllers.
  4. Attach the 1394 removable media drive (test device) to one of the IEEE 1394 host controllers.
  5. Attach the IEEE 1394 digital camera to the other IEEE 1394 host controller.
  6. Connect an IEEE 1394 cable between the two host controllers.
  7. Install the Windows XP Professional operating system on the hard disk drive.

During installation, create one partition and format the partition with the NTFS file system.

  8. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  9. Insert media into the test device. Delete any existing partitions on the media and create one partition of a minimum 1,000 MB (if the media is less than 1,000 MB, use all available drive space). Format the partition with the FAT16 file system.
  10. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Removable Media Drive, and then click Next.

Related links

1394 removable media drive testing overview
Running the 1394 removable media drive configuration 1 (FAT 16) manual tests
Running the 1394 removable media drive configuration 1 (FAT 16) automated tests


Running the 1394 removable media drive configuration 1 (FAT 16) manual tests

To run the 1394 Configuration ROM test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select 1394 Configuration ROM, and then click Add Selection.
  3. Click Start Tests.
  4. If running the test for the first time, the Found New Hardware Wizard starts.

Important: You must complete the wizard within two minutes or the test will abort.

To install the virtual driver

  1. In the Found New Hardware wizard, under What do you want the wizard to do?, click Install from a list or specific location, and then click Next.
  2. Under Please choose your search and installation options, select the Include this location in the search check box, and then, in the corresponding box, type [drive]\HCT\testbin. Click Next.
    The wizard will locate and install the virtual driver.
  3. Click Finish to close the wizard.
  5. Follow the instructions displayed.
  6. When the test is completed, view test log files.
  7. Run all other required tests for this configuration.

To run the 1394 Interoperability test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select 1394 Interoperability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed to create the correct device topology and run the test.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Lock test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Lock, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Status Notification test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Status Notification, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Public Import test

Note: The Public Import test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Public Import, and then click Add Selection.
  3. Click Start Tests.
  4. A dialog box displays. Provide the path to your driver(s) as it appears on the distribution media and click Go.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Signability test

Note: The Signability test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Signability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Surprise Removal test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Surprise Removal, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed to create the correct device topology and run the test.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the 1394 removable media drive configuration 1 (FAT 16) automated tests


Running the 1394 removable media drive configuration 1 (FAT 16) automated tests

To run the 1394 removable media drive configuration 1 (FAT 16) automated tests

  1. Start Test Manager.
  2. Insert a formatted floppy disk into the floppy disk drive.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • ChkINF - Hard Disk Controllers

Note: The ChkINF test is required only if the test device uses a manufacturer-supplied driver.

  • Disk Stress
  • FAT - File I/O
  • Floppy - File I/O
  • Mapped - File I/O
  • Storage Device Stress
  • Surprise Removal
  • SysCache
  4. Click Start Tests.
  5. When tests are completed, view test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config1.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

1394 removable media drive testing overview


1394 removable media drive configuration 2 (FAT 32) testing overview

Important: This test series is required for test devices with media capacities greater than 528 MB.

This test series examines how the test device works in the following configuration:

  • ATA/ATAPI CD-ROM drive installed as Device 0 (also called master) on the secondary ATA channel
  • ATA/ATAPI hard disk drive installed as Device 0 on the primary ATA channel
  • 1394 removable media drive (test device) formatted with the FAT 32 file system.

Click to show or hide information. 1394 removable media drive configuration 2 (FAT 32) tests

The following tests are available for this hardware configuration. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests require user intervention and must be run individually:

  • 1394 Configuration ROM
  • 1394 Interoperability
  • Enable/Disable - Device I/O (Storage)
  • Surprise Removal

The following tests are automated and can be run together in a group:

  • ChkINF - Hard Disk Controllers
  • Disk Stress
  • FAT - File I/O
  • Floppy - File I/O
  • Mapped - File I/O
  • Storage Device Stress
  • SysCache

Test suite run time: Up to 10 hours

Related links


Preparing for 1394 removable media drive configuration 2 (FAT 32) testing

Before running the tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see 1394 removable media drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing 1394 removable media drive configuration 2 (FAT 32) for the Windows XP Professional operating system:

To configure the test system for 1394 removable media drive configuration 2 (FAT 32) testing

  1. Physically install a hard disk drive as a stand-alone Device 0 on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable
  2. Physically install a CD-ROM drive as a stand-alone Device 0 on the secondary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  3. If two IEEE 1394 host controllers are not embedded on the system motherboard, physically install two IEEE 1394 host controllers.
  4. Attach the 1394 removable media drive (test device) to one of the IEEE 1394 host controllers.
  5. Attach the IEEE 1394 digital camera to the other IEEE 1394 host controller.
  6. Connect an IEEE 1394 cable between the two host controllers.
  7. Install the Windows XP Professional operating system on the hard disk drive.
  8. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  9. Insert media into the test device. Delete any existing partitions on the media and create one partition using all available drive space. Format the partition with the FAT 32 file system.
  10. Install the HCT kit.
  11. During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Removable Media Drive, and then click Next.

Related links

1394 removable media drive testing overview
Running the 1394 removable media drive configuration 2 (FAT 32) manual tests
Running the 1394 removable media drive configuration 2 (FAT 32) automated tests


Running the 1394 removable media drive configuration 2 (FAT 32) manual tests

To run the 1394 Configuration ROM test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select 1394 Configuration ROM, and then click Add Selection.
  3. Click Start Tests.
  4. If running the test for the first time, the Found New Hardware Wizard starts.

Important: You must complete the wizard within two minutes or the test will abort.

To install the virtual driver

  1. In the Found New Hardware wizard, under What do you want the wizard to do?, click Install from a list or specific location, and then click Next.
  2. Under Please choose your search and installation options, select the Include this location in the search check box, and then, in the corresponding box, type [drive]\HCT\testbin. Click Next.
    The wizard will locate and install the virtual driver.
  3. Click Finish to close the wizard.
  5. Follow the instructions displayed.
  6. When the test is completed, view test log files.
  7. Run all other required tests for this configuration.

To run the 1394 Interoperability test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select 1394 Interoperability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed to create the correct device topology and run the test.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Surprise Removal test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Surprise Removal, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed to create the correct device topology and run the test.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the 1394 removable media drive configuration 2 (FAT 32) automated tests


Running the 1394 removable media drive configuration 2 (FAT 32) automated tests

To run the 1394 removable media drive configuration 2 (FAT 32) automated tests

  1. Start Test Manager.
  2. Insert a formatted floppy disk into the floppy disk drive.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • ChkINF - Hard Disk Controllers

Note: The ChkINF test is required only if the test device uses a manufacturer-supplied driver.

  • Disk Stress
  • FAT - File I/O
  • Floppy - File I/O
  • Mapped - File I/O
  • Storage Device Stress
  • SysCache
  4. Click Start Tests.
  5. When tests are completed, view test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config2.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

1394 removable media drive testing overview


1394 removable media drive configuration 3 (NTFS) testing overview

Important: This test series is required for test devices with media capacities greater than 528 MB.

This test series examines how the test device works in the following configurations:

  • ATA/ATAPI CD-ROM drive installed as Device 0 (also called master) on the secondary ATA channel
  • ATA/ATAPI hard disk drive installed as Device 0 on the primary ATA channel
  • 1394 removable media device (test device) formatted with the NTFS file system.

Click to show or hide information. 1394 removable media drive configuration 3 (NTFS) tests

The following tests are available for this hardware configuration. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests require user intervention and must be run individually:

  • 1394 Configuration ROM
  • 1394 Interoperability
  • Surprise Removal

The following tests are automated and can be run together in a group:

  • ChkINF - Hard Disk Controllers
  • Disk Stress
  • Mapped - File I/O
  • NTFS - File I/O
  • Storage Device Stress
  • SysCache

Test suite run time: Up to 13 hours

Related links


Preparing for 1394 removable media drive configuration 3 (NTFS) testing

Before running the tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see 1394 removable media drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing 1394 removable media drive configuration 3 (NTFS) for the Windows XP Professional operating system:

To configure the test system for 1394 removable media drive configuration 3 (NTFS) testing

  1. Physically install a hard disk drive as a stand-alone Device 0 on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable
  2. Physically install a CD-ROM drive as a stand-alone Device 0 on the secondary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  3. If two IEEE 1394 host controllers are not embedded on the system motherboard, physically install the two IEEE 1394 host controllers.
  4. Attach the 1394 removable media drive (test device) to one of the IEEE 1394 host controllers.
  5. Attach the IEEE 1394 digital camera to the other IEEE 1394 host controller.
  6. Connect an IEEE 1394 cable between the two host controllers.
  7. Install the Windows XP Professional operating system on the hard disk drive.
  8. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  9. Insert media into the test device. Delete any existing partitions on the media and create one partition using all available drive space. Format the partition with the NTFS file system.
  10. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Removable Media Drive, and then click Next.

Related links

1394 removable media drive testing overview
Running the 1394 removable media drive configuration 3 (NTFS) manual tests
Running the 1394 removable media drive configuration 3 (NTFS) automated tests


Running the 1394 removable media drive configuration 3 (NTFS) manual tests

To run the 1394 Configuration ROM test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select 1394 Configuration ROM, and then click Add Selection.
  3. Click Start Tests.
  4. If running the test for the first time, the Found New Hardware Wizard starts.

Important: You must complete the wizard within two minutes or the test will abort.

To install the virtual driver

  1. In the Found New Hardware wizard, under What do you want the wizard to do?, click Install from a list or specific location, and then click Next.
  2. Under Please choose your search and installation options, select the Include this location in the search check box, and then, in the corresponding box, type [drive]\HCT\testbin. Click Next.
    The wizard will locate and install the virtual driver.
  3. Click Finish to close the wizard.
  5. Follow the instructions displayed.
  6. When the test is completed, view test log files.
  7. Run all other required tests for this configuration.

To run the 1394 Interoperability test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select 1394 Interoperability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed to create the correct device topology and run the test.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Surprise Removal test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Surprise Removal, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed to create the correct device topology and run the test.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the 1394 removable media drive configuration 3 (NTFS) automated tests


Running the 1394 removable media drive configuration 3 (NTFS) automated tests

To run the 1394 removable media drive configuration 3 (NTFS) automated tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • ChkINF - Hard Disk Controllers

Note: The ChkINF test is required only if the test device uses a manufacturer-supplied driver.

  • Disk Stress
  • Mapped - File I/O
  • NTFS - File I/O
  • Storage Device Stress
  • SysCache
  3. Click Start Tests.
  4. When tests are completed, view test log files.
  5. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config3.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

1394 removable media drive testing overview


ATA/ATAPI removable media drive testing overview

The ATA/ATAPI Removable Media Drive Hardware Compatibility Test (HCT) procedures are organized by system configuration.

The test procedures for each configuration are divided into a testing overview topic, a preparing for testing topic, and a running the HCT topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, and software requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the test topics include instructions for running the HCT.

Click to show or hide information. System configuration requirements

The ATA/ATAPI Removable Media Drive HCT includes the following test configurations:

  • ATA/ATAPI removable media drive configuration 1
  • Configuration 1 (FAT 16)
  • Configuration 1 (NTFS)
  • ATA/ATAPI removable media drive configuration 2
  • Configuration 2 (FAT 16)
  • Configuration 2 (FAT 32)
  • ATA/ATAPI removable media drive configuration 3

Depending on the media capacities of your test device, some test configurations may not be required to complete an ATA/ATAPI removable media drive test submission. Please read the preparing for testing topics carefully to determine if a test configuration is appropriate for your test device.

Click to show or hide information. Hardware requirements

The following hardware is required to run the ATA/ATAPI Removable Media Drive HCT kit:

  • One Intel Pentium, or equivalent, system with the following:
  • One dual channel ATA/ATAPI controller implemented on the motherboard
  • Logo-compliant ACPI BIOS, with ACPI enabled by default
  • Minimum 256 MB of RAM
  • One floppy disk drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • One ATA/ATAPI removable media drive - This is the test device.
  • One ATA/ATAPI CD-ROM drive, minimum 8x speed
  • One ATA/ATAPI hard disk drive, minimum 10 GB capacity
  • Two removable media disks
  • Four formatted floppy disks
  • Two standard ATA/ATAPI cables

ATA-66 and ATA-100 controllers require 80-conductor cables.

  • One cable-select ATA/ATAPI cable

Important: All hardware (except the test device) must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the ATA/ATAPI Removable Media Drive HCT kit:

  • Windows® XP Professional operating system
  • Any drivers that do not ship with Windows XP Professional
  • The current release of Windows XP HCT 10.0 on CD

Click to show or hide information. Tester knowledge requirements

To run the ATA/ATAPI removable media drive tests, testers must know how to do the following tasks:

  • Physically install a removable media drive as a Device 0 (also known as master) and a Device 1 (also known as slave).
  • Partition and format a removable media drive.
  • Physically install a hard disk drive as a Device 0.
  • Format and partition a hard disk drive.
  • Physically install a CD-ROM drive as a Device 0 and a Device 1.
  • Install the Windows XP Professional operating system from the product CD.

Related links

ATA/ATAPI removable media drive configuration 1 testing overview
ATA/ATAPI removable media drive configuration 2 testing overview
ATA/ATAPI removable media drive configuration 3 testing overview

Microsoft Windows HCL


ATA/ATAPI removable media drive configuration 1 testing overview

Important: This test series is required for all ATA/ATAPI removable media drive test submissions.

This test series examines how the test device works in the following configurations:

  • ATA/ATAPI removable media drive (test device) installed as Device 0 (also called master) on the secondary ATA channel
  • ATA/ATAPI hard disk drive installed as Device 0 on the primary ATA channel
  • CD-ROM drive installed as a Device 1 (also called slave) on the primary ATA/ATAPI channel

Click to show or hide information. ATA/ATAPI removable media drive configuration 1 tests

The following tests are available for this hardware configuration. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests require user intervention and must be run individually:

  • Enable/Disable - Device I/O (Storage)
  • Media Lock
  • Media Status Notification
  • Public Import
  • Signability

The following tests are automated and can be run together in a group:

  • ACPI Stress - Device I/O (Extended)
  • ChkINF - Hard Disk Controllers
  • Disk Stress
  • FAT - File I/O (Removable)
  • Floppy - File I/O
  • Mapped - File I/O
  • NTFS - File I/O (Removable)
  • Storage Device Stress
  • SysCache

Test suite run time: Up to 23 hours

Related links

ATA/ATAPI removable media drive testing overview
Preparing for ATA/ATAPI removable media drive configuration 1 (FAT16) testing
Preparing for ATA/ATAPI removable media drive configuration 1 (NTFS) testing


Preparing for ATA/ATAPI removable media drive configuration 1 (FAT16) testing

Before running the tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see ATA/ATAPI removable media drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing an ATA/ATAPI removable media drive configuration 1 (FAT 16) for the Windows XP Professional operating system:

To configure the test system for ATA/ATAPI removable media drive configuration 1 (FAT 16) testing

  1. Physically install the removable media drive (test device) as a stand-alone Device 0 on the secondary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  2. Physically install the hard disk drive as Device 0 on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  3. Physically install the CD-ROM drive as a Device 1 on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  4. Install the Windows XP Professional operating system on the hard disk drive.

During installation, delete any existing partitions and create one partition using all available drive space. Format the partition with the NTFS file system.

  5. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  6. Insert media into the test device. Delete any existing partitions on the media and create one partition using all available drive space. Format the partition with the FAT 16 file system.
  7. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Removable Media Drive, and then click Next.

Related links

ATA/ATAPI removable media drive testing overview
Running the ATA/ATAPI removable media drive configuration 1 (FAT16) manual tests
Running the ATA/ATAPI removable media drive configuration 1 (FAT16) automated tests


Running the ATA/ATAPI removable media drive configuration 1 (FAT16) manual tests

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Lock test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Lock, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Status Notification test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Status Notification, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Public Import test

Note: The Public Import test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Public Import, and then click Add Selection.
  3. Click Start Tests.
  4. A dialog box displays. Provide the path to your driver(s) as it appears on the distribution media and click Go.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Signability test

Note: The Signability test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Signability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the ATA/ATAPI removable media drive configuration 1 (FAT16) automated tests


Running the ATA/ATAPI removable media drive configuration 1 (FAT16) automated tests

To run the ATA/ATAPI removable media drive configuration 1 (FAT16) automated tests

  1. Start Test Manager.
  2. Insert a formatted floppy disk into the floppy disk drive.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • ACPI Stress - Device I/O (Extended)
  • ChkINF - Hard Disk Controllers

Note: The ChkINF test is required only if the test device uses a manufacturer-supplied driver.

  • Disk Stress
  • FAT - File I/O (Removable)
  • Floppy - File I/O
  • Mapped - File I/O
  • Storage Device Stress
  • SysCache
  4. Click Start Tests.
  5. When tests are completed, view test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config1 FAT16.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

ATA/ATAPI removable media drive testing overview


Preparing for ATA/ATAPI removable media drive configuration 1 (NTFS) testing

Important: This test series is required for test devices with media capacities greater than 528 MB.

Before running the tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see ATA/ATAPI removable media drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing an ATA/ATAPI removable media drive configuration 1 (NTFS) for the Windows XP Professional operating system:

To configure the test system for ATA/ATAPI removable media drive configuration 1 (NTFS) testing

  1. Prepare the test system as described through step 5 in Preparing for ATA/ATAPI removable media drive configuration 1 (FAT16) testing.
  2. Insert media into the test device. Delete any existing partitions on the media and create one partition using all available drive space. Format the partition with the NTFS file system.
  3. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Removable Media Drive, and then click Next.

Related links

ATA/ATAPI removable media drive testing overview
Running the ATA/ATAPI removable media drive configuration 1 (NTFS) manual tests
Running the ATA/ATAPI removable media drive configuration 1 (NTFS) automated tests


Running the ATA/ATAPI removable media drive configuration 1 (NTFS) manual tests

To run the Media Lock test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Lock, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Status Notification test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Status Notification, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the ATA/ATAPI removable media drive configuration 1 (NTFS) automated tests


Running the ATA/ATAPI removable media drive configuration 1 (NTFS) automated tests

To run the ATA/ATAPI removable media drive configuration 1 (NTFS) automated tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • Disk Stress
  • Mapped - File I/O
  • NTFS - File I/O (Removable)
  • Storage Device Stress
  • SysCache
  3. Click Start Tests.
  4. When tests are completed, view test log files.
  5. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config1 NTFS.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

ATA/ATAPI removable media drive testing overview


ATA/ATAPI removable media drive configuration 2 testing overview

This test series examines how the test device works in the following configuration:

  • ATA/ATAPI removable media drive (test device) installed as a Device 1 on the primary ATA/ATAPI channel
  • ATA/ATAPI hard disk drive installed as a Device 0 on the primary ATA/ATAPI channel
  • CD-ROM drive installed as a Device 0 on the secondary ATA channel

Click to show or hide information. ATA/ATAPI removable media drive configuration 2 tests

The following tests are available for this hardware configuration. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests require user intervention and must be run individually:

  • Enable/Disable - Device I/O (Storage)
  • Media Lock
  • Media Status Notification
  • Public Import

The following tests are automated and can be run together in a group:

  • ACPI Stress - Device I/O (Extended)
  • ChkINF - Hard Disk Controllers
  • Disk Stress
  • FAT - File I/O (Removable)
  • Floppy - File I/O
  • Mapped - File I/O
  • NTFS - File I/O (Removable)
  • Storage Device Stress
  • SysCache

Test suite run time: Up to 23 hours

Related links

ATA/ATAPI removable media drive testing overview
Preparing for ATA/ATAPI removable media drive configuration 2 (FAT 16) testing
Preparing for ATA/ATAPI removable media drive configuration 2 (FAT 32) testing


Preparing for ATA/ATAPI removable media drive configuration 2 (FAT 16) testing

Important: This test series is required for all ATA/ATAPI removable media drive test submissions.

Before running the tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see ATA/ATAPI removable media drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing ATA/ATAPI removable media drive configuration 2 (FAT 16) for the Windows XP Professional operating system:

To configure the test system for ATA/ATAPI removable media drive configuration 2 (FAT 16) testing

  1. Physically install the removable media drive (test device) as a Device 1 on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  2. Physically install the hard disk drive as a Device 0 on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  3. Physically install the CD-ROM drive as a Device 0 on the secondary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  4. Install the Windows XP Professional operating system on the hard disk drive.

During installation, delete any existing partitions and create one partition using all available drive space. Format the partition with the NTFS file system.

  5. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  6. Insert media into the test device. Delete any existing partitions on the media and create one partition using all available drive space. Format the partition with the FAT 16 file system.
  7. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Removable Media Drive, and then click Next.

Related links

ATA/ATAPI removable media drive testing overview
Running the ATA/ATAPI removable media drive configuration 2 (FAT 16) manual tests
Running the ATA/ATAPI removable media drive configuration 2 (FAT 16) automated tests


Running the ATA/ATAPI removable media drive configuration 2 (FAT 16) manual tests

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Lock test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Lock, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Status Notification test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Status Notification, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Public Import test

Note: The Public Import test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Public Import, and then click Add Selection.
  3. Click Start Tests.
  4. A dialog box displays. Provide the path to your driver(s) as it appears on the distribution media and click Go.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the ATA/ATAPI removable media drive configuration 2 (FAT 16) automated tests


Running the ATA/ATAPI removable media drive configuration 2 (FAT 16) automated tests

To run the ATA/ATAPI removable media drive configuration 2 (FAT 16) automated tests

  1. Start Test Manager.
  2. Insert a formatted floppy disk into the floppy disk drive.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • ACPI Stress - Device I/O (Extended)
  • ChkINF - Hard Disk Controllers

Note: The ChkINF test is required only if the test device uses a manufacturer-supplied driver.

  • Disk Stress
  • FAT - File I/O (Removable)
  • Floppy - File I/O
  • Mapped - File I/O
  • Storage Device Stress
  • SysCache
  4. Click Start Tests.
  5. When tests are completed, view test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config2 FAT16.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

ATA/ATAPI removable media drive testing overview


Preparing for ATA/ATAPI removable media drive configuration 2 (FAT 32) testing

Important: This test series is required for test devices with media capacities greater than 528 MB.

Before running the tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see ATA/ATAPI removable media drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing an ATA/ATAPI removable media drive Device 1 with FAT 32 and Device 0 for the Windows XP Professional operating system:

To configure the test system for ATA/ATAPI removable media drive configuration 2 (FAT 32) testing

  1. Prepare the test system as described through step 5 in Preparing for ATA/ATAPI removable media drive configuration 2 (FAT 16) testing.
  2. Insert media into the test device. Delete any existing partitions on the media and create one partition using all available drive space. Format the partition with the FAT 32 file system.
  3. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Removable Media Drive, and then click Next.

Related links

ATA/ATAPI removable media drive testing overview
Running the ATA/ATAPI removable media drive configuration 2 (FAT 32) manual tests
Running the ATA/ATAPI removable media drive configuration 2 (FAT 32) automated tests


Running the ATA/ATAPI removable media drive configuration 2 (FAT 32) manual tests

To run the Media Lock test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Lock, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Status Notification test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Status Notification, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the ATA/ATAPI removable media drive configuration 2 ( FAT 32) automated tests


Running the ATA/ATAPI removable media drive configuration 2 (FAT 32) automated tests

To run the ATA/ATAPI removable media drive configuration 2 (FAT 32) automated tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • Disk Stress
  • Mapped - File I/O
  • NTFS - File I/O (Removable)
  • Storage Device Stress
  • SysCache
  3. Click Start Tests.
  4. When tests are completed, view test log files.
  5. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config2 FAT 32.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

ATA/ATAPI removable media drive testing overview


ATA/ATAPI removable media drive configuration 3 testing overview

Important: This test series is required for all ATA/ATAPI removable media drive test submissions.

This test series examines how the test device works in the following configuration:

  • ATA/ATAPI removable media drive (test device) installed as a cable-select Device 1 on the primary ATA/ATAPI channel
  • ATA/ATAPI hard disk drive installed as a cable-select Device 0 on the primary ATA/ATAPI channel
  • CD-ROM drive installed as a Device 0 on the secondary ATA channel

Click to show or hide information. ATA/ATAPI removable media drive configuration 3 testing tests

The following tests are available for this hardware configuration. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following test requires user intervention and must be run individually:

  • Media Lock

The following tests are automated and can be run together in a group:

  • Disk Stress
  • NTFS - File I/O (Removable)
  • Storage Device Stress

Test suite run time: Up to 8 hours

Related links


Preparing for ATA/ATAPI removable media drive configuration 3 testing

Before running the tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see ATA/ATAPI removable media drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing an ATA/ATAPI removable media drive configuration 3 for the Windows XP Professional operating system:

To configure the test system for ATA/ATAPI removable media drive configuration 3 testing

  1. Physically install the removable media drive (test) device as a cable-select Device 1 on the primary ATA/ATAPI channel using a cable-select ATA/ATAPI cable.
  2. Physically install the hard disk drive as a cable-select Device 0 on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  3. Physically install the CD-ROM drive as a Device 0 on the secondary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  4. Install the Windows XP Professional operating system on the hard disk drive.

During installation, delete any existing partitions and create one partition using all available drive space. Format the partition with the NTFS file system.

  5. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  6. Insert media into the test device. Delete any existing partitions on the test device and create one partition using all available drive space. Format the partition with the NTFS file system.
  7. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Removable Media Drive, and then click Next.

Related links

ATA/ATAPI removable media drive testing overview
Running the ATA/ATAPI removable media configuration 3 manual tests
Running the ATA/ATAPI removable media drive configuration 3 automated tests


Running the ATA/ATAPI removable media drive configuration 3 manual tests

To run the Media Lock test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Lock, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the ATA/ATAPI removable media drive configuration 3 automated tests


Running the ATA/ATAPI removable media drive configuration 3 automated tests

To run the ATA/ATAPI removable media drive configuration 3 automated tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • Disk Stress
  • NTFS - FILE I/O (Removable)
  • Storage Device Stress
  3. Click Start Tests.
  4. When tests are completed, view test log files.
  5. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config3.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

ATA/ATAPI removable media drive testing overview


SCSI removable media drive testing overview

SCSI Removable Media Drive Hardware Compatibility Test (HCT) procedures are organized by system configuration.

The test procedures for each configuration are divided into a testing overview topic, a preparing for testing topic, and a running the HCT topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, and software requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the test topics include instructions for running the HCT.

Click to show or hide information. System configuration requirements

The SCSI controller HCT kit includes the following test configurations:

  • SCSI removable media drive configuration 1
  • Configuration 1 (FAT 16)
  • Configuration 1 (NTFS)
  • SCSI removable media drive configuration 2
  • Configuration 2 (FAT 16)
  • Configuration 2 (FAT 32)

Depending on the media capacities of your test device, some test configurations may not be required to complete an ATA/ATAPI removable media drive test submission. Please read the preparing for testing topics carefully to determine if a test configuration is appropriate for your test device.

Click to show or hide information. SCSI removable media tests

The following tests are available for the SCSI removable media test kit. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests require user intervention and must be run individually:

  • Enable/Disable – Device I/O (Storage)
  • Media Lock
  • Media Status Notification
  • Public Import
  • Signability

The following tests are automated and can be run together in a group:

  • ACPI Stress - Device I/O (Extended)
  • ChkINF - Hard Disk Controllers
  • Disk Stress
  • FAT - File I/O (Removable)
  • Floppy - File I/O
  • Mapped - File I/O
  • NTFS - File I/O
  • Storage Device Stress
  • SysCache

Test kit run time: Up to 43 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the SCSI Removable Media Drive HCT kit:

  • One Intel Pentium, or equivalent, system with the following:
  • One PCI bus
  • Logo-compliant ACPI BIOS, with ACPI enabled by default
  • Minimum 256 MB of RAM
  • One floppy disk drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • One SCSI removable media drive - This is the test device.
  • One SCSI hard disk drive with minimum 10 GB capacity
  • One SCSI CD-ROM drive with minimum 8x speed
  • One Adaptec SCSI adapter with appropriate bus interface for the test device, such as Narrow, Wide, and LVD
  • One LSI Logic SCSI adapter with appropriate bus interface for the test device, such as Narrow, Wide, and LVD
  • Four formatted floppy disks

Important: All hardware (except the test device) must be included on the Microsoft® Windows® Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the SCSI Removable Media Drive HCT kit:

  • Windows XP Professional operating system
  • Any drivers that do not ship with Windows XP Professional
  • The current release of Windows XP HCT 10.0 on CD

Click to show or hide information. Tester knowledge requirements

To run the SCSI removable media drive tests, testers must know how to do the following tasks:

  • Set the SCSI ID on a removable media drive, hard disk drive, and CD-ROM drive.
  • Physically install a removable media drive.
  • Partition and format a removable media drive.
  • Physically install a hard disk drive.
  • Format and partition a hard disk drive.
  • Physically install a CD-ROM drive.
  • Install the Windows XP Professional operating system from the product CD.

Related links

Preparing for SCSI removable media drive configuration 1 (FAT 16) testing
Preparing for SCSI removable media drive configuration 1 (NTFS) testing
Preparing for SCSI removable media drive configuration 2 (FAT 16) testing
Preparing for SCSI removable media drive configuration 2 (FAT 32) testing

Microsoft Windows HCL


Preparing for SCSI removable media drive configuration 1 (FAT16) testing

Important: This test series is required for all SCSI removable media drive test submissions.

Before running the tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see SCSI removable media drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test systems for testing the SCSI removable media drive configuration 1 (FAT 16) for the Windows XP Professional operating system:

To configure the test system for SCSI removable media drive configuration 1 (FAT 16) testing

Note: All adapters are operated with BIOS enabled and external termination unless otherwise noted.

  1. Remove any SCSI adapters previously installed on the test system and install the Adaptec SCSI adapter.
  2. Set the SCSI ID on the hard disk drive to 0, and then physically install the hard disk drive on the SCSI adapter.
  3. Set the SCSI ID on the removable media drive (test device) to 1, and then physically install the test device on the SCSI adapter.
  4. Set the SCSI ID on the CD-ROM drive to 6, and then physically install the CD-ROM drive on the SCSI adapter.
  5. Install the Windows XP Professional operating system on the hard disk drive.

During installation, delete any existing partitions and create one partition using all available drive space. Format the partition with the NTFS file system.

  6. If necessary, install any manufacturer-supplied drives required by devices in the test system.
  7. Insert media into the test device. Delete any existing partitions on the media and create one partition using all available drive space. Format the partition with the FAT 16 file system.
  8. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Removable Media Drive, and then click Next.

Related links

SCSI removable media drive testing overview
Running the SCSI removable media drive configuration 1 (FAT 16) manual tests
Running the SCSI removable media drive configuration 1 (FAT 16) automated tests


Running the SCSI removable media drive configuration 1 (FAT16) manual tests

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Lock test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Lock, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Status Notification test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Status Notification, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Public Import test

Note: The Public Import test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Public Import, and then click Add Selection.
  3. Click Start Tests.
  4. A dialog box displays. Provide the path to your driver(s) as it appears on the distribution media and click Go.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Signability test

Note: The Signability test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Signability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the SCSI removable media drive configuration 1 (FAT16) automated tests


Running the SCSI removable media drive configuration 1 (FAT16) automated tests

To run the SCSI removable media drive configuration 1 (FAT 16) automated tests

  1. Start Test Manager.
  2. Insert a formatted floppy disk into the floppy disk drive.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • ACPI Stress - Device I/O (Extended)
  • ChkINF - Hard Disk Controllers

Note: The ChkINF test is required only if the test device uses a manufacturer-supplied driver.

  • Disk Stress
  • FAT - File I/O (Removable)
  • Floppy - File I/O
  • Mapped - File I/O
  • Storage Device Stress
  • SysCache
  4. Click Start Tests.
  5. When tests are completed, view test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config1 Fat16.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

SCSI removable media drive testing overview


Preparing for SCSI removable media drive configuration 1 (NTFS) testing

Important: This test series is required for test devices with media capacities greater than 528 MB.

Before running the tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see SCSI removable media drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test systems for testing the SCSI removable media drive with NTFS and Adaptec SCSI adapter configuration for the Windows XP Professional operating system:

To configure the test system for SCSI removable media drive configuration 1 (NTFS) testing

  1. Prepare the test system as described through step 6 in Preparing for SCSI removable media drive configuration 1 (FAT16) testing.
  2. Insert media into the test device. Delete any existing partitions on the media and create one partition using all available drive space. Format the partition with the NTFS file system.
  3. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Removable Media Drive, and then click Next.

Related links

SCSI removable media drive testing overview
Running the SCSI removable media drive configuration 1 (NTFS) manual tests
Running the SCSI removable media drive configuration 1 (NTFS) automated tests


Running the SCSI removable media drive configuration 1 (NTFS) manual tests

To run the Media Lock test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Lock, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Status Notification test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Status Notification, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the SCSI removable media drive configuration 1 (NTFS) automated tests


Running the SCSI removable media drive configuration 1 (NTFS) automated tests

To run the SCSI removable media drive configuration 1 (NTFS) automated tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • Disk Stress
  • NTFS - File I/O
  3. Click Start Tests.
  4. When tests are completed, view test log files.
  5. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config1 NTFS.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

SCSI removable media drive testing overview


Preparing for SCSI removable media drive configuration 2 (FAT 16) testing

Important: This test series is required for all SCSI removable media drive test submissions.

Before running the tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see SCSI removable media drive testing overview.

Test system requirements

The HCT kit requires the following to prepare the test system for the SCSI removable media drive configuration 2 (FAT 16) for the Windows XP Professional operating system:

To configure the test system for SCSI removable media drive configuration 2 (FAT 16) testing

Note: All adapters are operated with BIOS enabled and external termination unless otherwise noted.

  1. Remove any SCSI adapters previously installed on the test system, and install the LSI Logic SCSI adapter.
  2. Set the SCSI ID on the hard disk drive to 0, and then physically install the hard disk drive on the SCSI adapter.
  3. Set the SCSI ID on the test device to 1, and then physically install the removable media drive (test device) on the SCSI adapter.
  4. Set the SCSI ID on the CD-ROM drive to 6, and then physically install the CD-ROM drive on the SCSI adapter.
  5. Install the Windows operating system on the hard disk drive.

During installation, delete any existing partitions and create one partition using all available drive space. Format the partition with the NTFS file system.

  6. If necessary, install any manufacturer-supplied drives required by devices in the test system.
  7. Insert media into the test device. Delete any existing partitions on the media and create one partition using all available drive space. Format the partition with the FAT 16 file system.
  8. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Removable Media Drive, and then click Next.

Related links

SCSI removable media drive testing overview
Running the SCSI removable media drive configuration 2 (FAT 16) manual tests
Running the SCSI removable media drive configuration 2 (FAT 16) automated tests


Running the SCSI removable media drive configuration 2 (FAT 16) manual tests

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Lock test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Lock, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Status Notification test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Status Notification, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Public Import test

Note: The Public Import test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Public Import, and then click Add Selection.
  3. Click Start Tests.
  4. A dialog box displays. Provide the path to your driver(s) as it appears on the distribution media and click Go.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the SCSI removable media drive configuration 2 (FAT 16) automated tests


Running the SCSI removable media drive configuration 2 (FAT 16) automated tests

To run the SCSI removable media drive configuration 2 (FAT 16) automated tests

  1. Start Test Manager.
  2. Insert a formatted floppy disk into the floppy disk drive.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • ACPI Stress - Device I/O (Extended)
  • Disk Stress
  • Enable/Disable - Device I/O (Storage)
  • FAT - File I/O (Removable)
  • Floppy - File I/O
  • Mapped - File I/O
  • Storage Device Stress
  • SysCache
  4. Click Start Tests.
  5. When tests are completed, view test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config2 FAT16.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

SCSI removable media drive testing overview


Preparing for SCSI removable media drive configuration 2 (FAT 32) testing

Important: This test series is required for test devices with media capacities greater than 528 MB.

Before running the tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see SCSI removable media drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test systems for testing SCSI removable media drive configuration 2 (FAT 32) for the Windows XP Professional operating system:

To configure the test system for SCSI removable media drive configuration 2 (FAT 32) testing

  1. Prepare the test system as described through step 6 in Preparing for SCSI removable media drive configuration 2 (FAT 16) testing.
  2. Insert media into the test device. Delete any existing partitions on the media and create one partition using all available drive space. Format the partition with the NTFS file system.
  3. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Removable Media Drive, and then click Next.

Related links

SCSI removable media drive testing overview
Running the SCSI removable media drive configuration 2 (FAT 32) manual tests
Running the SCSI removable media drive configuration 2 (FAT 32) automated tests


Running the SCSI removable media drive configuration 2 (FAT 32) manual tests

To run the Media Lock test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Lock, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Status Notification test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Status Notification, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the SCSI removable media drive configuration 2 (FAT 32) automated tests


Running the SCSI removable media drive configuration 2 (FAT 32) automated tests

To run the SCSI removable media drive configuration 2 (FAT 32) automated tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • Disk Stress
  • NTFS - File I/O
  3. Click Start Tests.
  4. When tests are completed, view test log files.
  5. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config2 FAT32.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

SCSI removable media drive testing overview


USB removable media drive testing overview

The USB Removable Media Drive Hardware Compatibility Test (HCT) procedures are organized by system configuration.

The test procedures for each configuration are divided into a testing overview topic, a preparing for testing topic, and a running the HCT topic.

The testing overview topic includes links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the test topics include instructions for running the HCT.

Click to show or hide information. System configuration requirements

The USB removable media drive HCT includes the following test configurations:

  • USB removable media drive configuration 1 (FAT 16) system

This section is required for all USB removable media drive test submissions.

  • USB removable media drive configuration 2 (FAT 32) system

This section is required only for test devices with media larger than 528 MB.

  • USB removable media drive configuration 3 (NTFS) system

This section is required only for test devices with media larger than 528 MB.

Click to show or hide information. Hardware requirements

The following hardware is required to run the USB Removable Media Drive HCT kit:

  • One Intel Pentium, or equivalent, system with the following:
  • USB host controller embedded on the system motherboard

The USB controller must be able to wake the system using ACPI mechanisms

  • Minimum 256 MB of RAM
  • Logo-compliant ACPI BIOS, with ACPI enabled by default
  • Three USB 4-port powered hubs
  • One audio adapter
  • One floppy disk drive
  • One monitor
  • One USB scanner
  • One USB video camera
  • One USB joystick
  • One set of USB speakers
  • One USB keyboard
  • One USB mouse
  • One USB removable media drive - This is the test device.
  • One ATA/ATAPI hard disk drive, minimum 10 GB capacity
  • One ATA/ATAPI CD-ROM drive, minimum 8x speed
  • Four formatted floppy disks
  • Two ATA/ATAPI cables

Important: All hardware must (except the test device) be included on the Microsoft® Windows® Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the USB removable media drive HCT kit:

  • Windows XP Professional operating system
  • Any drivers that do not ship with Windows XP Professional
  • The current release of Windows XP HCT 10.0 on CD

Click to show or hide information. Tester knowledge requirements

To run the USB removable media drive tests, testers must know how to do the following tasks:

  • Physically install a CD-ROM drive as a stand-alone Device 0.
  • Physically install a hard disk drive as a stand-alone Device 0.
  • Format and partition a hard disk drive.
  • Install the Windows XP Professional operating system from the product CD.

Related links

USB removable media drive configuration 1 (FAT 16) testing overview
USB removable media drive configuration 2 (FAT 32) testing overview
USB removable media drive configuration 3 (NTFS) testing overview

Microsoft Windows HCL


USB removable media drive configuration 1 (FAT 16) testing overview

Important: This test series is required for all USB removable media drive test submissions.

This test series examines how the test device works in the following configuration:

  • ATA/ATAPI hard disk drive installed as a stand-alone Device 0 (also called master) on the primary ATA/ATAPI channel
  • ATA/ATAPI CD-ROM drive installed as a stand-alone Device 0 on the secondary ATA/ATAPI channel
  • USB removable media drive (test device) installed on the root port of the embedded USB controller and formatted with the FAT16 file system

Click to show or hide information. USB removable media drive configuration 1 (FAT 16) tests

The following tests are available for this hardware configuration. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests require user intervention and must be run individually:

  • Enable/Disable - Device I/O (Storage)
  • Media Lock
  • Media Status Notification
  • Public Import
  • Signability
  • Surprise Removal
  • USB Device Framework
  • USB Manual Interoperability - Device

The following tests are automated and can be run together in a group:

  • ACPI Stress - Device I/O (Extended)
  • Disk Stress
  • ChkINF - Hard Disk Controllers
  • FAT - File I/O (Removable)
  • Storage Device Stress
  • SysCache
  • USB 1.1 Specification Compliance
  • USB Address Description
  • USB Device Control Requests
  • USB Enumeration Stress
  • USB Selective Suspend

Test suite run time: Up to 9 hours

Related links


Preparing for USB removable media drive configuration 1 (FAT 16) testing

Before running the USB removable media drive configuration 1 (FAT 16) tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see USB removable media drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing USB removable media drive configuration 1 (FAT 16) for the Windows XP Professional operating system:

To configure the test system for USB removable media drive configuration 1 (FAT 16) testing

  1. Physically install the removable media drive (test device) on the root port of the embedded USB controller.
  2. Physically install a hard disk drive as a stand-alone Device 0 on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  3. Physically install a CD-ROM drive as a stand-alone Device 0 on the secondary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  4. Install the Windows XP Professional operating system on the hard disk drive.

During installation, create one partition using all available drive space, and format the partition with the NTFS file system.

  5. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  6. Insert media into the test device. Delete any existing partitions on the media and create one partition of a minimum 1,000 MB (if the media is less than 1,000 MB, use all available drive space). Format the partition with the FAT16 file system.
  7. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Removable Media Drive, and then click Next.

Related links

USB removable media drive testing overview
Running the USB removable media drive configuration 1 (FAT 16) manual tests
Running the USB removable media drive configuration 1 (FAT 16) automated tests


Running the USB removable media drive configuration 1 (FAT 16) manual tests

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Lock test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Lock, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Status Notification test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Status Notification, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Public Import test

Note: The Public Import test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Public Import, and then click Add Selection.
  3. Click Start Tests.
  4. A dialog box displays. Provide the path to your driver(s) as it appears on the distribution media and click Go.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Signability test

Note: The Signability test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Signability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Surprise Removal test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Surprise Removal, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed to create the correct device topology and run the test.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the USB Device Framework test

To configure the test system

  1. Open Device Manager.
  2. Physically disconnect the test device from the test system.
  3. Physically connect a USB hub on the USB socket port 1 of the USB controller on the test system.
  4. Physically connect the test device to the USB hub.
  5. Verify that the test device is available in Device Manager.

To run the USB Device Framework test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select USB Device Framework, and then click Add Selection.
  3. Click Start Tests.
  4. Select the test device from the Device list.
  5. Click Full Test, and then click Start Automated Testing.
  6. Click Close when testing is complete.
  7. View test log files.

To restore the test system configuration

  1. Physically disconnect the USB hub from the test system.
  2. Physically connect the test device to the USB socket port 1 of the USB controller on the test system.
  3. Verify that the test device is available in Device Manager.

Tip: If the test device is not available, complete the following steps:

1. In Device Manager, under IDE ATA/ATAPI controllers, right-click USB Diagnostic Device, and then click Uninstall.

2. On the Action menu, click Scan for hardware changes

  4. Run all other required tests for this configuration.

To run the USB Manual Interoperability - Device test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select USB Manual Interoperability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed until the test is completed.

You are required to build a tree of USB devices to be used on the system.

  5. View test log files.
  6. Run all other required tests for this configuration.

Related links

Running the USB removable media drive configuration 1 (FAT 16) automated tests


Running the USB removable media drive configuration 1 (FAT 16) automated tests

To run the USB removable media drive configuration 1 (FAT 16)automated tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • ACPI Stress - Device I/O (Extended)
  • ChkINF - Hard Disk Controllers

Note: The ChkINF test is required only if the test device uses a manufacturer-supplied driver.

  • Disk Stress
  • Enable/Disable - Device I/O (Storage)
  • FAT - File I/O (Removable)
  • Storage Device Stress
  • SysCache
  • USB 1.1 Specification Compliance
  • USB Address Description
  • USB Device Control Requests
  • USB Enumeration Stress
  • USB Selective Suspend
  3. Click Start Tests.
  4. When tests are completed, view test log files.
  5. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config1.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

USB removable media drive testing overview


USB removable media drive configuration 2 (FAT 32) testing overview

Important: This test series is required for test devices with media capacities greater than 528 MB.

This test series examines how the test device works in the following configuration:

  • ATA/ATAPI hard disk drive installed as a stand-alone Device 0 (also called master) on the primary ATA/ATAPI channel
  • ATA/ATAPI CD-ROM drive installed as a stand-alone Device 0 on the secondary ATA/ATAPI channel
  • USB removable media drive (test device) installed on the root port of the embedded USB controller and formatted with the FAT 32 file system

Click to show or hide information. USB removable media drive configuration 2 (FAT 32) tests

The following tests are available for this hardware configuration. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests require user intervention and must be run individually:

  • Enable/Disable - Device I/O (Storage)
  • Media Lock
  • Media Status Notification
  • Public Import
  • Signability
  • USB Device Framework
  • USB Manual Interoperability - Device

The following tests are automated and can be run together in a group:

  • ACPI Stress - Device I/O (Extended)
  • Disk Stress
  • ChkINF - Hard Disk Controllers
  • FAT - File I/O
  • Storage Device Stress
  • SysCache
  • USB 1.1 Specification Compliance
  • USB Address Description
  • USB Device Control Requests
  • USB Enumeration Stress
  • USB Selective Suspend

Test suite run time: Up to 9 hours

Related links


Preparing for USB removable media drive configuration 2 (FAT 32) testing

Before running the USB removable media drive configuration 2 (FAT 32) tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see USB removable media drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for USB removable media drive configuration 2 (FAT 32) testing for the Windows XP Professional operating system:

To configure the test system for USB removable media drive configuration 2 (FAT 32) testing

  1. Physically install the removable media drive (test device) on the root port of the embedded USB Controller.
  2. Physically install a hard disk drive as a stand-alone Device 0 on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  3. Physically install a CD-ROM drive as a stand-alone Device 0 on the secondary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  4. Install the Windows XP Professional operating system on the hard disk drive.

During installation, create one partition using all available drive space, and format the partition with the NTFS file system.

  5. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  6. Insert media into the test device. Delete any existing partitions on the media and create one partition using all available drive space. Format the partition with the FAT 32 file system.
  7. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Removable Media Drive, and then click Next.

Related links

USB removable media drive testing overview
Running the USB removable media drive configuration 2 (FAT 32) manual tests
Running the USB removable media drive configuration 2 (FAT 32) automated tests


Running the USB removable media drive configuration 2 (FAT 32) manual tests

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Lock test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Lock, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Status Notification test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Status Notification, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Public Import test

Note: The Public Import test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Public Import, and then click Add Selection.
  3. Click Start Tests.
  4. A dialog box displays. Provide the path to your driver(s) as it appears on the distribution media and click Go.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Signability test

Note: The Signability test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Signability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the USB Device Framework test

To configure the test system

  1. Open Device Manager.
  2. Physically disconnect the test device from the test system.
  3. Physically connect a USB hub on the USB socket port 1 of the USB controller on the test system.
  4. Physically connect the test device to the USB hub.
  5. Verify that the test device is available in Device Manager.

To run the USB Device Framework test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select USB Device Framework, and then click Add Selection.
  3. Click Start Tests.
  4. Select the test device from the Device list.
  5. Click Full Test, and then click Start Automated Testing.
  6. Click Close when testing is complete.
  7. View test log files.

To restore the test system configuration

  1. Physically disconnect the USB hub from the test system.
  2. Physically connect the test device to the USB socket port 1 of the USB controller on the test system.
  3. Verify that the test device is available in Device Manager.

Tip: If the test device is not available, complete the following steps:

1. In Device Manager, under IDE ATA/ATAPI controllers, right-click USB Diagnostic Device, and then click Uninstall.

2. On the Action menu, click Scan for hardware changes

  4. Run all other required tests for this configuration.

To run the USB Manual Interoperability - Device test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select USB Manual Interoperability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed until the test is completed.

You are required to build a tree of USB devices to be used on the system.

  5. View test log files.
  6. Run all other required tests for this configuration.

Related links

Running the USB removable media drive configuration 2 (FAT 32) automated tests


Running the USB removable media drive configuration 2 (FAT 32) automated tests

To run the USB removable media drive configuration 2 (FAT 32) automated tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • ACPI Stress - Device I/O (Extended)
  • ChkINF - Hard Disk Controllers

Note: The ChkINF test is required only if the test device uses a manufacturer-supplied driver.

  • Disk Stress
  • FAT - File I/O
  • Storage Device Stress
  • SysCache
  • USB 1.1 Specification Compliance
  • USB Address Description
  • USB Device Control Requests
  • USB Enumeration Stress
  • USB Selective Suspend
  3. Click Start Tests.
  4. When tests are completed, view test log files.
  5. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config2.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

USB removable media drive testing overview


USB removable media drive configuration 3 (NTFS) testing overview

Important: This test series is required for test devices with media capacities greater than 528 MB.

This test series examines how the test device works in the following configurations:

  • ATA/ATAPI hard disk drive installed as a stand-alone Device 0 (also called master) on the primary ATA/ATAPI channel
  • ATA/ATAPI CD-ROM drive installed as a stand-alone Device 0 on the secondary ATA/ATAPI channel
  • USB removable media drive (test device) installed on the root port of the embedded USB controller and formatted with the NTFS file system

Click to show or hide information. USB removable media drive configuration 3 (NTFS) tests

The following tests are available for this hardware configuration. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests require user intervention and must be run individually:

  • Enable/Disable - Device I/O (Storage)
  • Media Lock
  • Media Status Notification
  • Public Import
  • Signability
  • USB Device Framework
  • USB Manual Interoperability - Device

The following tests are automated and can be run together in a group:

  • ACPI Stress - Device I/O (Extended)
  • Disk Stress
  • ChkINF - Hard Disk Controllers
  • Floppy File I/O
  • NTFS - File I/O (Removable)
  • Storage Device Stress
  • SysCache
  • USB 1.1 Specification Compliance
  • USB Address Description
  • USB Device Control Requests
  • USB Enumeration Stress
  • USB Selective Suspend

Test suite run time: Up to 13 hours

Related links


Preparing for USB removable media drive configuration 3 (NTFS) testing

Before running the USB removable media drive configuration 3 (NTFS) tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see USB removable media drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing USB removable media drive configuration 3 (NTFS) for the Windows XP Professional operating system:

To configure the test system for USB removable media drive configuration 3 (NTFS) testing

  1. Physically install the removable media drive (test device) on the root port of the embedded USB Controller.
  2. Physically install a hard disk drive as a stand-alone Device 0 on the primary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  3. Physically install a CD-ROM drive as a stand-alone Device 0 on the secondary ATA/ATAPI channel using a standard ATA/ATAPI cable.
  4. Install the Windows XP Professional operating system on the hard disk drive.

During installation, create one partition using all available drive space, and format the partition with the NTFS file system.

  5. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  6. Insert media into the test device. Delete any existing partitions on the media and create one partition using all available drive space. Format the partition with the NTFS file system.
  7. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select Removable Media Drive, and then click Next.

Related links

USB removable media drive testing overview
Running the USB removable media drive configuration 3 (NTFS) manual tests
Running the USB removable media drive configuration 3 (NTFS) automated tests


Running the USB removable media drive configuration 3 (NTFS) manual tests

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Lock test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Lock, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Media Status Notification test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Media Status Notification, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Public Import test

Note: The Public Import test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Public Import, and then click Add Selection.
  3. Click Start Tests.
  4. A dialog box displays. Provide the path to your driver(s) as it appears on the distribution media and click Go.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Signability test

Note: The Signability test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Signability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the USB Device Framework test

To configure the test system

  1. Open Device Manager.
  2. Physically disconnect the test device from the test system.
  3. Physically connect a USB hub on the USB socket port 1 of the USB controller on the test system.
  4. Physically connect the test device to the USB hub.
  5. Verify that the test device is available in Device Manager.

To run the USB Device Framework test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select USB Device Framework, and then click Add Selection.
  3. Click Start Tests.
  4. Select the test device from the Device list.
  5. Click Full Test, and then click Start Automated Testing.
  6. Click Close when testing is complete.
  7. View test log files.

To restore the test system configuration

  1. Physically disconnect the USB hub from the test system.
  2. Physically connect the test device to the USB socket port 1 of the USB controller on the test system.
  3. Verify that the test device is available in Device Manager.

Tip: If the test device is not available, complete the following steps:

1. In Device Manager, under IDE ATA/ATAPI controllers, right-click USB Diagnostic Device, and then click Uninstall.

2. On the Action menu, click Scan for hardware changes.

  4. Run all other required tests for this configuration.

To run the USB Manual Interoperability - Device test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select USB Manual Interoperability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed until the test is completed.

You are required to build a tree of USB devices to be used on the system.

  5. View test log files.
  6. Run all other required tests for this configuration.

Related links

Running the USB removable media drive configuration 3 (NTFS) automated tests


Running the USB removable media drive configuration 3 (NTFS) automated tests

To run the USB removable media drive configuration 3 (NTFS) automated tests

  1. Start Test Manager.
  2. Insert a formatted floppy disk into the floppy disk drive.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • ACPI Stress - Device I/O (Extended)
  • ChkINF - Hard Disk Controllers

Note: The ChkINF test is required only if the test device uses a manufacturer-supplied driver.

  • Disk Stress
  • Floppy File I/O
  • NTFS - File I/O (Removable)
  • Storage Device Stress
  • SysCache
  • USB 1.1 Specification Compliance
  • USB Address Description
  • USB Device Control Requests
  • USB Enumeration Stress
  • USB Selective Suspend
  4. Click Start Tests.
  5. When tests are completed, view test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config3.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

USB removable media drive testing overview


RAID cluster device testing overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

The RAID Cluster device Hardware Compatibility tests (HCT) are organized by system configuration.

The test procedures for each configuration are divided into a testing overview topic, a preparing for testing topic, and a running the HCT topic.

The test overview topics include links to detailed descriptions of all tests run in a particular configuration. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the test topics include instructions for running the HCT tools.

Microsoft Cluster Service (MSCS) creates a shared bus formed by two or four systems (nodes) with a PCI-based host bus adapter (HBA) installed on each system. Clustering requires that the HBAs and connected devices support operation in a multi-initiator/multi-adapter environment through a shared bus. The adapter on one node reserves the device during system operation. The adapter on the other node performs inquiries and gets error code. When one machine fails, the other takes over and completes any pending input/output actions(I/O).

Click to show or hide information. System configuration requirements

The RAID Cluster Device HCT kit includes configurations for the following test series:

  • RAID cluster device hardware tests
  • RAID cluster device services tests
  • RAID cluster device simultaneous reboot test

Click to show or hide information. Hardware requirements

All hardware systems and components used in testing must appear on the Microsoft Windows Hardware Compatibility List (HCL).

The following hardware is required to run the RAID cluster device tests:

  • One host bus adapter (HBA) for each system that forms a node on the cluster.
    This is the test device.
  • Two (for a two-node system) or four (for a four-node system) Intel Pentium, or equivalent, test systems. Each system must include the following:
  • Minimum of two 400 MHz microprocessors
  • Minimum 256 MB of RAM per installed microprocessor, for a total of 512 MB of RAM on the system
  • One CD-ROM drive
  • One monitor, keyboard, and mouse (or any pointing/drawing device)
  • One PCI-based controller to connect all nodes together
  • Two shared LAN cards: one for client (workstation) access to the cluster and one private interconnect for communication between nodes
  • One RAID system shared by all nodes

Click to show or hide information. Software requirements

The following software is required to run the RAID Cluster Device HCT kit:

  • Windows Whistler Advanced Server operating system
  • Any drivers that do not ship with the Windows 2000 Advanced Server or Windows Whistler Advanced Server
  • The current release of Windows XP HCT 10.0
  • Cluster Administrator's Guide (included with Windows Whistler Advanced Server)

Click to show or hide information. Tester knowledge requirements

To run the RAID cluster device tests, testers must know how to do the following tasks:

  • Read NT-based test logs and event logs.
  • Configure systems to different RAID sets.
  • Create and format logical drives.
  • Install and configure Microsoft Debugging Tools for Windows with symbols.
  • Install Windows Whistler Advanced Server from product CDs.
  • Execute tasks in the Windows Disk Management utility.
  • Install all hardware components of a RAID cluster test system.
  • Configure a RAID cluster test system.

Related links


RAID cluster device hardware testing overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

This test series verifies low-level hardware functionality, such as physical topology verification and connections testing, prior to installation of Microsoft® Cluster Service (MSCS) in Windows® Whistler Advanced Server. It sends I/O messages that verify the validity of all connections between the cluster nodes and the RAID storage device.

RAID cluster device hardware tests

The following tests require user intervention and must be run individually:

  • Client Server Phase 1: Client
  • Client Server Phase 1: Server

The following test is automated and requires no user intervention:

  • SysCache -Cluster

Test suite run time: TBD

Related links


Preparing for RAID cluster device hardware testing

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

Any of the systems listed in the hardware requirements can be used for one of the cluster nodes, or as the Primary Domain Controller (required to install MSCS). All nodes on the two-node or four-node system must be connected to a network with a domain controller.

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, and install Windows Whistler Advanced Server. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see RAID cluster device testing overview.

Test system configuration

The HCT kit requires the following to prepare the test systems for testing RAID cluster device hardware tests for the Windows Whistler Advanced Server operating system.

To configure the test systems for RAID cluster device hardware testing

As an aid to the steps listed below, please see Figures 1 and 2 below.

  1. Install and configure the test device (the PCI-based HBA) on each node that is to be part of the cluster.
  2. Install the shared bus to the test device on each node:

Note: This step is not required for Fibre Channel or SSA host bus adapters (HBAs).

The SCSI IDs of the two or four controllers on a shared bus must be different from each other. By default, SCSI controllers are assigned ID 7. Change one SCSI ID (in the case of a two-node system) to another value (for example, 6) before connecting both controllers to the same bus. On four node systems, assign SCSI IDs 6, 5, and 4 to the server/client nodes.

Disable the boot-time SCSI bus reset operation on each controller attached to a shared bus. You can disable this option with the configuration utilities supplied by the SCSI controller manufacturer.

  3. Attach at least two external hard disk drives to the shared bus (Disk 1 and Disk 2 in Figure 1). These comprise the RAID-JBOD.
  4. Use the Windows Disk Management utility to format each hard disk drive exclusively with the NTFS file system. Partition each hard disk drive as a single partition.
  5. Assign the same drive letter to each external hard disk drive on the shared bus (Disk 1 and 2).
  6. Reserve at least one disk on each node and do not share it with any other shared drive. If you have only one disk on each node, then leave that disk unshared.
  7. Install Windows Whistler Advanced Server operating system on to the non-shared disk(s) of each node. Be sure to put all paging files and system files on to the non-shared disks.
  8. Designate at least one shared LAN for intra-cluster communication. Attach a single network adapter in each system to this LAN and configure it with the TCP/IP protocol.
  9. Assign an address on the same IP subnet to each adapter.

Clients can be connected to this LAN by a routed IP network. Verify that the IP address and subnet mask are unique for intra-cluster communication and client access.

One static TCP/IP address is for the cluster and one is for each resource group that will be created. These addresses will be used by clients to access cluster service and must be supplied to the MSCS setup and administration programs when resource groups are created.

  10. Install the HCT kit on both cluster nodes.

During installation, you will be prompted to select a test kit. At the Custom Setup dialog box, click Program Categories, click Storage Controllers and Devices, click Cluster Device, and then click Next.

Figure 1a Standard MSCS configuration using SCSI (or SSA) adapters

Figure 1: Standard MSCS configuration using SCSI (or SSA) adapters

Figure 1b Standard MSCS configuration using Fibre Channel adapters

Figure 2: Standard MSCS configuration using Fibre Channel adapters, which are mandatory on clusters with four or more nodes

Related links


Running the RAID cluster device hardware tests

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To run the Client Server Phase 1: Client test

  1. Start Test Manager on the first node.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Client Server Phase 1: Client, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.

To run the Client Server Phase 1: Server test

  1. At the Test Manager window in the Available Tests pane, select Client Server Phase 1: Server, and then click Add Selection.
  2. Click Start Tests.
  3. Follow the instructions displayed.
  4. When the test is completed, view test log files.


RAID cluster device services testing overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

This test series verifies the functionality and performance of the test device after installation of the Microsoft Cluster Service in Windows Whistler Advanced Server.

RAID cluster device services tests

The following tests must be run individually on each node in the test system:

  • Simple Move N Node Cluster
  • Simple Crash N Node

Test suite run time: TBD

Related links


Preparing for RAID cluster device services testing

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see RAID cluster device testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing RAID cluster device services for the Windows Whistler Advanced Server operating system:

To configure the test systems for RAID cluster device services testing

  1. Begin with the configuration used in the previous testing section, Preparing for RAID cluster device hardware testing
  2. Using the Windows Disk Management utility from the node designated as the server node, format the shared drives with the NTFS file system.
  3. Install Microsoft Cluster Service software.

From the Windows desktop, click Start, click Control Panel, click Add/Remove Programs, click Configure Window, and then click Configure clustering device. Follow the instructions in the Configure clustering service wizard.

  4. Enter a cluster name in the Form A New Cluster setup dialog box. Accept the default install directory.
  5. Select drives D: and E: for the shared bus. Select drive D: to store permanent cluster files and type network (0) for network.
  6. Assign an IP address for the cluster. A valid network IP address is required. The address may be any address that is valid on the Test System Domain. Use the LAN subnet mask. The cluster will be created and the display will indicate that cluster service has been started.
  7. Run MSCS Cluster setup on Node_B. Enter the cluster name assigned on Node_A. Join the cluster.
  8. Accept the default directory (C:\WINNT\CLUSTER) for the cluster files. Enter your Domain account password. MSCS is now installed.
  9. Install the HCT kit to a drive separate from the one that contains the operating system.

During installation, you will be prompted to select a test kit. At the Custom Setup dialog box, click Program Categories, click Storage Controllers and Devices, select RAID Cluster Tests, and then click Next.

  10. Create a cluster log file on the two cluster nodes:

From the Windows desktop, click Start, click Control Panel, click System, click the Advanced tab, then click the Environment tab. Enter a System variable, Clusterlog, and set its value to %systemroot%\CLUSTER\CLUSTER.LOG on each node.

Related links


Running the RAID cluster device services tests

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

These tests require two cluster nodes: a client-master node and a Primary Domain Controller (extra client systems are optional), to test the ability of the RAID controllers in the cluster to failover. Do not use the Primary Domain Controller as a client system for this test.

To run the RAID cluster services Move tests

  1. Start Test Manager.
  2. From the Test Manager window in the Available Tests for Selected Test Category pane, select Simple Move N Node, and then click Add Selection:
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.

To run the RAID cluster services Crash test

  1. Start Test Manager.
  2. From the Test Manager window in the Available Tests for Selected Test Category pane, select Simple Crash N Node, and then click Add Selection:
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.


RAID cluster device simultaneous reboot testing overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

This test verifies that the controllers do not hang during a simultaneous reboot of the cluster nodes.

RAID cluster device simultaneous reboot tests

There are no hardware tests. The tester simply observes and verifies that the cluster nodes reboot.

Test suite run time: 8 hours

Related links


Preparing for RAID cluster device simultaneous reboot testing

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

Test with the same configuration used in the previous testing section, Preparing for RAID cluster device services testing, is adequate for this testing.

Related links


Running the RAID cluster device simultaneous reboot tests

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To run the RAID cluster device simultaneous reboot tests

  1. Boot cluster nodes at the same time.
  2. Verify that the two systems boot successfully.
  3. When the test is completed, view test log files.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


RAID multi-cluster device testing overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

The RAID Multi-cluster Device HCT procedures are run from a single system configuration, which consists of three independent clusters attached to a single storage device.

The test procedures are divided into a testing overview topic, a preparing for testing topic, a test description topic, and a running the test topic.

The testing overview topics include links to detailed descriptions of all tests run in the group, hardware requirements, and software requirements. The preparing for testing topics include specific instructions for preparing for the testing. The running the test topics include instructions for running the HCT tools.

Click to show or hide information. System configuration requirements

The RAID Multi-cluster Device HCT kit has two groups of tests that form a single configuration:

  • RAID multi-cluster basic system tests
  • RAID multi-cluster verification of cluster connection independence

Click to show or hide information. Hardware requirements

The following hardware is required to run the RAID Multi-cluster Device HCT kit:

  • The test device, which consists of the following:
  • One SCSI controller
  • One SSA controller
  • One RAID system
  • One Fibre Channel adapter
  • One RAID controller
  • Four Intel Pentium, or equivalent, systems, each with a minimum 400 MHz microprocessor and PCI bus
  • One shared bus formed by a PCI-based controller installed in each system
  • Two external hard disk drives, attached to the shared bus for testing host adapters
  • Two shared LANs (one for client access to the cluster and one for private interconnect for communication between nodes)
  • Any RAID component not included as part of the submission
  • One SCSI CD-ROM drive
  • One ATA/ATAPI hard disk drive

Important: All hardware (including the test system) must be included on the Microsoft® Windows® Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the RAID Multi-cluster Device HCT kit:

  • Windows 2000 Advanced Server operating system
  • Windows Whistler Advanced Server operating system
  • Any drivers that do not ship with Windows 2000 Advanced Server or Windows Whistler Advanced Server
  • The current release of Windows XP HCT 10.0
  • Cluster Administrator's Guide (included with Windows Whistler Advanced Server)

Click to show or hide information. Tester knowledge requirements

To run the RAID multi-cluster tests, testers must know how to do the following tasks:

  • Read NT-based test logs and event logs.
  • Configure systems to different RAID sets.
  • Create and format logical drives.
  • Install and configure Microsoft Debugging Tools for Windows with symbols.
  • Install Windows 2000 Advanced Server and Windows Whistler Advanced Server from product CDs.
  • Execute tasks in the Windows Disk Management utility.
  • Install all hardware components of a RAID cluster test system.
  • Configure a RAID cluster test system.

Related links

Preparing for RAID multi-cluster basic system testing
Preparing for RAID multi-cluster verification of cluster connection independence testing

Microsoft Windows HCL


Preparing for RAID multi-cluster basic system tests

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

This test series examines the basic integrity of the multi-cluster system.

The tests verify the physical topology and connections testing before installation of Microsoft® Windows® Cluster Service (MSCS).

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, and install Windows Whistler. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see RAID multi-cluster testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for RAID multi-cluster basic system testing for the Windows Whistler Advanced Server operating system.

To configure the test systems for RAID multi-cluster basic system testing

  1. Configure all nodes, except the first node, as client/server.
  2. Configure the system for one user account, the administrator, with read/write capability at the Primary Domain Controller.
  3. Install the Windows Whistler Advanced Server operating system to a 10 GB partition on the RAID 0 system.
  4. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup dialog box, expand Program Categories, expand Storage Controllers and Devices, and then click Cluster Device.. Click This feature, and all subfeatures, will be installed on local hard drive. Click Next.

  5. In the Ready to Install the Program window, click Install. A progress window displays as the HCT is installing. Click Next. When the progress window completes, click Finish.

Related links


Running the RAID multi-cluster basic system tests

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To run the RAID multi-cluster basic tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select NTFS File I/O, and then click Add Selection.
  3. Follow the instructions displayed.
  4. Click Start Tests.
  5. When the test is completed, view test log files.
  6. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Preparing for RAID multi-cluster verification of cluster connection independence testing

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

This test series verifies the functionality of the test device after installing Microsoft® Windows® Cluster Service (MSCS). These tests verify that the connections each cluster makes to the single storage system are completely independent of the other cluster connections.

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, and install Windows Whistler. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see RAID multi-cluster testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for RAID multi-cluster verification of cluster connection independence testing for the Windows Whistler operating system.

To configure the test systems for RAID multi-cluster verification of cluster connection independence testing

The following tests must be run on one node at a time, and then they will be switched to different nodes and run again until all combinations have been covered:

  • nNodesim
  • Crash2Node
  • Move2Group

In the test run 1,

  • nNodesim test runs on Node A,
  • Crash2Node test runs on Node B, and
  • Move2Groups test runs on Node C

In the run 2,

  • nNodesim test runs on Node B,
  • Crash2Node test runs on Node C, and
  • Move2Groups test runs on Node A

In the run 3,

  • nNodesim test runs on Node C,
  • Crash2Node test runs on Node A, and
  • Move2Groups test runs on Node B

  1. From the Windows desktop, click Start, click Control Panel, double-click Administrative Tools, click the System Management tab, click Storage, and then open Disk Management Tool.
  2. Format the shared drives with NTFS on one node of the shared bus.
  3. Assign drive letters D: and E:.

Check both nodes to verify that the shared drives are available.

To set up the multi-cluster for Crash2Node and Move2Group cluster testing

  1. Install the Microsoft® Cluster Server (MSCS) software.
  2. From the Windows desktop, click Start, select Settings, click Control Panel, double-click Add/Remove Programs, and then click Configure Window.
  3. Double-click Configure Clustering.
  4. Follow the instructions in the Configure Clustering Service wizard.
  5. At the Form A New Cluster dialog box, enter a cluster name.
  6. Accept the default install directory.
  7. Select drives D: and E: for the shared bus.
  8. Select drive D: to store permanent cluster files, and then type network (0) for the network.
  9. Assign an IP address for the cluster.

A valid network IP address is required. The address may be any address that is valid on the test system domain. Use the LAN subnet mask, not the interconnect subnet mask. The application creates the cluster and indicates that the cluster service has started.

  10. Run MSCS Cluster setup on Node_B.. Repeat for each of the other remaining nodes on the system, if there are any.
  11. Enter the cluster name assigned on Node_A.
  12. Join the clusters.
  13. Accept the default directory C:\WINNT\CLUSTER for the cluster files.
  14. Enter your Domain account password.

The MSCS Cluster software install is complete.

  15. If not already installed, Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup dialog box, click Program Categories, click Storage Controllers and Devices, select, and then click Next.

Related links

Running the RAID multi-cluster verification of cluster connection independence tests


Running the RAID multi-cluster verification of cluster connection independence tests

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

This test requires two cluster nodes: a client-master node, and a Primary Domain Controller (client systems are optional) to test the ability to failover. Do not use the Primary Domain Controller as a client system for this test.

To run the Crash2Node and Move2Group multi-cluster tests

  1. Start Test Manager.

Important: To avoid the possible loss of test logs during system reformatting, install the HCT kit on a separate drive from the operating system.

  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • nNodeSim
  • Simple Move N Node Cluster
  • Move2Group
  3. At the Crash2Node Test window, click the Connect tab.
  4. In the Cluster Name text box, type the cluster name, and then click Verify to add it to the list.

Node 1, Node 2, and the cluster name you entered earlier appear in the Cluster Name list box.

  5. In the Client Names text box, enter the client name, and then click Add.

The client name appears in the Client Names list box.

  6. In the Run Time (Hrs) text box, enter 8.

This sets the test to run for eight hours.

  7. Click the Configure tab.

Verify that both Large File Test and Crash Test are in the Test list.

  8. Click Start.

The Status tab displays. Verify that all tests are running.

These tests examine both shared hard drives, and display test progress. After eight hours, on the client system, check the error log located at C:\WINNT\CLUSTER\CLUSTER.LOG to verify that the test has completed.

  9. When the tests are completed, view test log files.
  10. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


RAID-JBOD testing with Windows XP overview

This test series verifies the compatibility of RAID-JBOD with all Windows® file systems.

The test procedures are divided into a testing overview topic, a preparing for testing topic, and a running the HCT topic.

The testing overview topic includes links to detailed descriptions of all required tests, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topic includes specific instructions for configuring the test system for testing. The running the test topics include instructions for running the tests.

Tests vary, depending on the Windows® operating system installed when testing the JBOD. The tests in this section are for testing with the Microsoft® Windows XP Professional operating system. To test on Windows Whistler Advanced Server, see RAID-JBOD testing with Windows Whistler Advanced Server Overview.

Click to show or hide information. RAID - JBOD tests

Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device

The following tests are automated and can be run together in a group:

  • ChkINF
  • Disk Stress
  • FAT - File I/O
  • NTFS - File I/O
  • Storage Device Stress
  • SysCache

The following tests require user intervention and must be run individually:

  • RAID Data Integrity
  • Signability
  • PCI Latency - RAID

Click to show or hide information. Hardware requirements

The following hardware is required to run the RAID-JBOD HCT kit.

One Intel Pentium, or equivalent, SCSI-based test system with the following:

  • One RAID–JBOD device (SSA, SCSI, or Fibre Channel) -This is the test device

Note: Tests are run most efficiently if the JBOD has a minimum of nine drives, or, eight drives if the RAID controller is not bootable. With fewer than nine drives in the JBOD, you must run tests on one type of RAID at a time, and reconfigure the JBOD each time until all tests have been run with each type RAID.

  • One PCI SCSI controller or one onboard PCI SCSI bus
  • Two identical SCSI drives, with a minimum 9.1 GB (9318.4 MB) each
  • One SCSI or ATA/ATAPI CD-ROM drive
  • One Windows XP logo'd RAID controller
  • One FoxFire II PCI adapter
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)

Important: The test system must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the RAID-JBOD HCT kit:

  • Windows XP Professional operating system
  • Any drivers that do not ship with Windows XP Professional
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the RAID-JBOD HCT, testers must know how to do the following tasks:

  • Read NT-based test logs and event logs.
  • Configure systems to different RAID sets.
  • Create and format logical drives.
  • Install and configure Microsoft Debugging Tools for Windows with symbols.
  • Install Windows XP Professional from the product CD.

Test suite run time: 9 to 12 hours, depending on test system

Related links

Preparing for RAID-JBOD testing with Windows XP


Preparing for RAID - JBOD file system testing

Windows XP HCT 10.0 - Storage

Previous Next

Preparing for RAID-JBOD testing with Windows XP

Before running the Hardware Compatibility Tests (HCT) on the test system, you must install and configure the system hardware, and install Windows® XP Professional. This section summarizes the related requirements and procedures.

The configuration of the test device (or JBOD) differs depending on whether you are testing:

  • A JBOD with fewer than nine drives (or fewer than eight drives if the RAID controller is not bootable)

- or -

  • A JBOD with nine or more drives (or eight or more drives if the RAID controller is not bootable)

Make certain that you follow the correct JBOD configuration procedures for your specific device.

For a complete list of hardware, software, and tester knowledge requirements, see the RAID - JBOD testing with Windows XP overview.

Test system configuration

The HCT kit requires the following to prepare the test system for RAID-JBOD testing with Windows XP Professional.

Click to show or hide information. To configure the test system for the RAID-JBOD tests

The RAID controller and the JBOD device must both be of the same type—either SCSI only or ATA/ATAPI only.

  1. Turn off the test system.
  2. If the test system does not have an on-board SCSI controller, physically install a PCI SCSI controller.
  3. Physically install two identical SCSI hard disk drives on the SCSI bus.
  4. Physically install a RAID controller, and the test device on the test system.
  5. Turn on the test system.

Click to show or hide information. To configure a test JBOD with fewer than nine drives

Note: If the RAID controller is not bootable, do not install the Windows operating system onto the RAID 0 drive, as instructed to below. Instead, install the operating system on one of the identical SCSI hard disk drives.

If the test device contains fewer than nine drives, you will not be able to set up all hardware RAID test sets at the same time.

  1. If the RAID controller is bootable, and the attached JBOD has at least four drives, use the RAID controller's hardware RAID configuration utility, or BIOS, to create a hardware RAID 0 on one minimum 9.1 GB (9318.4 MB) hard disk drive, which will be used as the system drive.
  2. Use the remaining hard disk drives on the JBOD to create a single hardware RAID 0 set.

For example, if there are eight drives on the JBOD, and one drive contains the operating system, create one RAID 0 set with the remaining seven drives.

To install Windows XP Professional and partition the RAID 0 test set

  1. Install the Windows XP Professional operating system onto the RAID 0 drive set aside for the system. Install any drivers needed for connecting and using peripheral devices. After completion of the installation, restart the system, if necessary.
  2. Use the Windows Disk Management utility to divide the RAID 0 test set into three partitions: one 4 GB partition, formatted with the FAT file system; one 4 GB partition, formatted with the FAT32 file system; and one partition with the remaining space on the RAID 0 set, formatted with the NTFS file system.

To install the HCT 10.0

  1. Install the HCT kit.
  2. During installation, you are prompted to select a test kit. At the Custom Setup dialog box, expand Test Categories, expand Storage Controllers and Devices, and then click RAID-JBOD Device. Select the This feature, and all subfeatures, will be installed on local hard drive option. Click Next.
  3. In the Ready to Install the Program window, click Install. A progress window appears as the HCT is installing. The Test Selection Wizard appears with all items selected. Click Next.,and when the installation is completed, click Finish.

To configure the JBOD for testing with a RAID 1 set

  1. Use the RAID controller's hardware RAID configuration utility, or BIOS, to delete the RAID 0 test sets, but not the system drive, and create as many pairs of RAID 1 sets as possible with the remaining drives.

For example, if there are eight drives on the JBOD, and one drive contains the operating system, then seven drives remain. Create three RAID 1 sets of two drives, consuming six driver. Leave any remaining drive on the JBOD in an undefined state.

If the test device has only three hard disk drives set aside for testing, create a hardware RAID 1 set on two of the drives. Leave the remaining drive in an undefined state.

  2. Partition the test RAID sets, except for one set if there is more than one set, to the full size of each set, and format them with the NTFS file system. Use the Windows Disk Management utility to divide the remaining RAID 1 into three partitions: one 4 GB partition, formatted with the FAT file system; one 4 GB partition, formatted with the FAT32 file system; and one partition with the remaining space on the RAID 1 set, formatted with the NTFS file system.
  3. Start Test Manager. The Changes in Hardware or Drivers Detected window displays. Click Reset Submission…, and follow the wizard steps to reset Test Manager. Because the system configuration has changed, Test Manager must be reset.
  4. Run all tests in Running the RAID-JBOD automated tests with Windows XP and then all the tests in Running the RAID-JBOD manual tests with Windows XP When the tests are completed, continue with the next procedure for testing with a RAID 5 set.

To configure the JBOD for testing with a RAID 5 set

  1. Use the RAID controller's hardware RAID configuration utility, or BIOS, to delete the RAID 1 set or sets, but not the system drive, and create one RAID 5 set with all the test drives available on the JBOD.

For example, if there are eight drives on the JBOD, and one contains the operating system, create a single RAID 5 set with the seven remaining drives.

  2. Use the Windows Disk Management utility to divide the RAID 5 set into three partitions: one 4 GB partition, formatted with the FAT file system; another 4 GB partition, formatted with the FAT32 file system; and one partition with the remaining space on the RAID 5 set, formatted with the NTFS file system.
  3. Start Test Manager. The Changes in Hardware or Drivers Detected window will appear. Click Reset Submission…, and follow the wizard steps to reset Test Manager. Because the system configuration has changed, Test Manager must be reset.
  4. Run all tests in Running the RAID-JBOD automated tests with Windows XP and then all the tests in Running the RAID-JBOD manual tests with Windows XP

Click to show or hide information. To configure a test JBOD with nine or more drives

Note: If the RAID controller is not bootable, do not install the Windows operating system onto the RAID 0 drive, as instructed to below. Instead, install the operating system on one of the identical SCSI hard disk drives.

  1. Use the RAID controller's hardware RAID configuration utility, or BIOS, to set up the following RAID sets on the test device. All drives on the test device must be configured as part of a RAID set, or used as a system drive. If the test device has more than nine drives, set up all the drives available for testing on the JBOD in roughly the same proportion as the following.
  • One hardware RAID 0 on a minimum 9.1 GB (9318.4 MB) drive to be used as the system drive
  • One hardware RAID 0 set composed of three hard disk drives
  • One hardware RAID 1 set composed of two hard disk drives
  • One hardware RAID 5 set composed of three hard disk drives

  2. Install Windows XP Professional on the minimum 9.1 GB (9318.4 MB) partition on the RAID 0 system drive. Install any drivers needed for connecting and using peripheral devices.
  3. After completion of the installation, restart the system, if necessary.
  4. Use the Windows Disk Management utility to create the following partition configurations using all space available in each of the RAID sets:
  • On the RAID 0 set, create a 4 GB partition, and format it with the FAT file system. Create a second partition with the remaining space on the disk, and format it with the NTFS file system.
  • On the RAID 1 set, create a 4 GB partition, and format it with the FAT32 file system. Create a second partition with the remaining space on the disk, and format it with the NTFS file system. If several RAID 1 sets have been created, format half of them in the same way. Format the other half of the RAID 1 sets as single partitions with the NTFS file system.
  • On the RAID 5 set, create one partition, and format it with the NTFS file system.

To install the HCT 10.0

  1. Install the HCT kit.
  2. During installation, you are prompted to select a test kit. At the Custom Setup dialog box, expand Test Categories, expand Storage Controllers and Devices, and then click RAID-JBOD Device. Select the This feature, and all subfeatures, will be installed on local hard drive option. Click Next.
  3. In the Ready to Install the Program window, click Install. A progress window appears as the HCT is installing. The Test Selection Wizard appears with all items selected. Click Next.,and when the installation is completed, click Finish.

Related links


Running the RAID-JBOD manual tests with Windows XP

To run the RAID Data Integrity test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select RAID Data Integrity, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests.

To run the Signability test

  1. At the Test Manager window in the Available Tests for Selected Test Category pane, select Signability, and then click Add Selection.
  2. Click Start Tests.
  3. Follow the instructions displayed.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

To run the PCI Latency test

Important: The PCI Latency test must be the last test run on each test device. .

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Z[Run Last] PCI Latency, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. After you have successfully completed the current tests, return test results. Test results must be returned prior to continuing with the next section of testing, and when all testing for this test category has been completed.

Name the test results cabinet file Company name Device name JBODProX.cab, where Company name is the name of your company and Device name is the name of your test device, and X represents the number of times this test suite has been run. For example, on the third run of these tests, the name of the .cab file should be JBODPro3.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for the test configuration.


Running the RAID-JBOD automated tests with Windows XP

To run the RAID-JBOD automated tests

  1. Start Test Manager
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection:
  • ChkINF
  • Disk Stress
  • FAT - File I/O
  • NTFS - File I/O
  • Storage Device Stress
  • SysCache
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests.

Related links

Running the RAID-JBOD manual tests with Windows XP


RAID-JBOD testing with Windows Whistler Advanced Server overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

The RAID JBOD Hardware Compatibility Test (HCT) procedures are organized by system configuration.

The test procedures for each group of tests are divided into a testing overview topic, a preparing for testing topic, and a running the HCT topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the test topics include instructions for running the HCT tools.

Tests vary, depending on the Windows® operating system installed when testing the JBOD. The tests in this section are for testing with the Microsoft® Windows Whistler Advanced Server. To test on Windows XP Professional, see RAID-JBOD testing with Windows XP overview.

Click to show or hide information. RAID-JBOD tests

The RAID-JBOD HCT kit includes the following series of tests:

  • RAID-JBOD basic tests
  • RAID-JBOD software RAID tests

Click to show or hide information. Hardware requirements

The following hardware is required to run the RAID-JBOD HCT kit.

One Intel Pentium, or equivalent, test system with the following:

  • One RAID-JBOD device (SSA, SCSI, or Fibre Channel) -This is the test device.

Note: Tests are run most efficiently if the JBOD has a minimum of nine drives, or, eight drives if the RAID controller is not bootable. With fewer than nine drives in the JBOD, you must run tests on one type of RAID at a time, and reconfigure the JBOD each time until all tests have been run with each type RAID.

  • One PCI SCSI controller or one onboard PCI SCSI bus
  • Two identical SCSI drives, with a minimum capacity of 9.1 GB (9318.4 MB) each
  • One SCSI or ATA/ATAPI CD-ROM drive
  • One PCI-based adapter (SSA, SCSI, or Fibre Channel) to connect host to the test device.
  • One Windows XP logo'd RAID controller
  • One FoxFire II PCI adapter
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)

Important: The test system must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the RAID-JBOD HCT kit:

  • Windows Whistler Advanced Server operating system.
  • Any drivers that do not ship with Windows Whistler Advanced Server.
  • The current release of Windows XP HCT 10.0.

Click to show or hide information. Tester knowledge requirements

To run the RAID-JBOD HCT, testers must know how to do the following tasks:

  • Read NT-based test logs and event logs.
  • Configure systems to different RAID sets.
  • Create and format logical drives.
  • Install and configure Microsoft Debugging Tools for Windows with symbols.
  • Install Windows Whistler Advanced Server from product CD.

Related links


RAID-JBOD basic testing with Windows Whistler Advanced Server overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

This test series verifies the basic compatibility of the RAID-JBOD with all Windows® file systems.

RAID-JBOD basic tests

Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device

The following tests are automated and can be run together in a group:

  • ChkINF
  • Disk Stress
  • FAT - File I/O
  • NTFS - File I/O
  • Storage Device Stress
  • SysCache

The following tests require user intervention and must be run individually.

  • RAID Data Integrity
  • Signability

Test suite run time: TBD

Related links

Preparing for RAID-JBOD basic testing with Windows Whistler Advanced Server


Preparing for RAID-JBOD basic testing with Windows Whistler Advanced Server

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

Before running the Hardware Compatibility Tests (HCT) on the test system, you must install and configure the system hardware, and install Windows® Whistler Advanced Server. This section summarizes the related requirements and procedures.

The configuration of the test device (or JBOD) differs depending on whether you are testing:

  • A JBOD with fewer than nine drives (or fewer than eight drives if the RAID controller is not bootable)

- or -

  • A JBOD with nine or more drives (or eight or more drives if the RAID controller is not bootable)

Make certain that you follow the correct JBOD configuration procedures for your specific device.

For a complete list of hardware, software, and tester knowledge requirements, see the RAID-JBOD testing with Windows Whistler Advanced Server overview.

Test system configuration

The HCT kit requires the following to prepare the test system for RAID-JBOD configuration 1 testing for the Windows Whistler Advanced Server operating system.

To configure the test system for the RAID-JBOD configuration 1 tests

The bus and the test device must both be of the same type—either SCSI only or ATA/ATAPI only.

  1. Turn off the test system.
  2. If the test system does not have an on-board SCSI controller, physically install a PCI SCSI controller.
  3. Physically install two identical SCSI hard disk drives on the SCSI bus.
  4. Physically install a RAID controller, and the test device on the test system.
  5. Turn on the test system.

Click to show or hide information. To configure a test JBOD with fewer than nine drives

Note: If the RAID controller is not bootable, do not install the Windows operating system onto the RAID 0 drive, as instructed to below. Instead, install the operating system on one of the identical SCSI hard disk drives.

If the test device contains fewer than nine drives, you will not be able to set up all hardware RAID test sets at the same time.

  1. If the RAID controller is bootable, and the attached JBOD has at least four drives, use the RAID controller's hardware RAID configuration utility, or BIOS, set up a hardware RAID 0 set on one minimum 9.1 GB (9318.4 MB) drive, which will be used as the system drive.

If the RAID controller is not bootable, use one of the identical SCSI drives as the system drive.

  2. Use the remainder of the JBOD to create one RAID 0.

For example, if there are eight drives on the JBOD, one drive contains the operating system, then seven drives remain. Create one RAID 0 set on the remaining drives.

To install Windows Whistler Advanced Server

  1. Install Windows Whistler Advanced Server onto the 9.1 GB (9318.4 MB) partition on the RAID 0 drive set aside for the system. Install any drivers needed for connecting and using peripheral devices. After completion of the installation, restart the system, if necessary.
  2. Use the Windows Disk Management utility to divide the RAID 0 test set into three partitions: one 4 GB partition, formatted with the FAT file system; one 4 GB partition, formatted with the FAT32 file system; and one partition that fills the remaining space on the RAID 0 set, formatted with the NTFS file system.

To install the HCT 10.0

  1. Install the HCT kit.
  2. During installation, you are prompted to select a test kit. At the Custom Setup dialog box, expand Test Categories, expand Storage Controllers and Devices, and then click RAID-JBOD Device. Select the This feature, and all subfeatures, will be installed on local hard drive option. Click Next.
  3. In the Ready to Install the Program window, click Install. A progress window appears as the HCT is installing. The Test Selection Wizard appears with all items selected. Click Next.,and when the installation is completed, click Finish.
  4. Run all tests in Running the RAID-JBOD basic manual tests with Windows Whistler Advanced Server, and then all the tests in Running the RAID-JBOD basic automated tests with Windows Whistler Advanced Server. After finishing those tests, continue with the following procedure for testing a RAID 1 and RAID 5 sets.

To configure the JBOD for testing with a RAID 1 set

  1. Use the RAID controller hardware RAID configuration utility, or BIOS, to delete the RAID 0 set, and create as many pairs of RAID 1 sets as possible with the remaining drives on the JBOD.

For example:

  • If there are eight drives on the JBOD, and one drive contains the operating system, then seven drives remain. Create three RAID 1 sets of two drives each for a total six disks. Leave any remaining drive in an undefined state.
  • If the test device has only three hard disk drives set aside for testing create a hardware RAID 1 set on two of the drives. Leave the remaining drive in an undefined state.
  2. Partition the test RAID 1 sets, except for one set, if there is more than one set, to the full size of each set, and format them with the NTFS file system. Use the Windows Disk Management utility to divide the remaining RAID 1 set into three partitions: one 4 GB partition, formatted with the FAT file system; another 4 GB partition, formatted with the FAT32 file system; and one partition that fills the remaining space on the RAID 1 set, formatted with the NTFS file system.
  3. Start Test Manager. The Changes in Hardware or Drivers Detected window displays. Click Reset Submission…, and follow the wizard steps for resetting Test Manager. Because the system configuration has changed, Test Manager must be reset.
  4. Run all tests in Running the RAID-JBOD basic manual tests with Windows Whistler Advanced Server, and then all the tests in Running the RAID-JBOD basic automated tests with Windows Whistler Advanced Server. After finishing those tests, continue with the following procedure for testing a RAID 5 set.

To configure for testing with a RAID 5 set

  1. Use the RAID controller hardware RAID configuration utility, or BIOS, to delete the RAID 1 sets, and create one RAID 5 set with the same drives.

For example, if there are seven drives on the JBOD, one contains the system, then six drives remain. Create a single RAID 5 set with the six remaining drives.

If the JBOD has only three hard disk drives set aside for testing, create a hardware RAID 5 set on the three available drives.

  2. Use the Windows Disk Management utility to divide the RAID 5 set into three partitions: one 4 GB partition, formatted with the FAT file system; a second 4 GB partition, formatted with the FAT32 file system; and a third partition that fills the remaining space on the RAID 5 set, formatted with the NTFS file system.
  3. Start Test Manager. The Changes in Hardware or Drivers Detected window will appear. Click Reset Submission…, and follow the wizard steps for resetting Test Manager. Because the system configuration has changed, Test Manager must be reset.
  4. Run all tests in Running the RAID-JBOD basic manual tests with Windows Whistler Advanced Server, and then all the tests in Running the RAID-JBOD basic automated tests with Windows Whistler Advanced Server. After finishing those tests, continue with the following procedure for testing a RAID 5 set.

Click to show or hide information. To configure a test JBOD with nine or more drives

Note: If the RAID controller is not bootable, do not install the Windows operating system onto the RAID 0 drive, as instructed to below. Instead, install the operating system on one of the identical SCSI hard disk drives.

  1. Use the RAID controller's hardware RAID configuration utility, or BIOS, to set up the following RAID sets on the test device. All drives on the test device must be configured as part of a RAID set, or used as a system drive. If the test device has more than nine drives, set up all the drives available for testing on the JBOD in roughly the same proportion as the following.
  • One hardware RAID 0 set on one minimum 9.1 GB (9318.4 MB) drive to be used as the operating system drive
  • Three hardware RAID 0 sets of one drive each
  • One hardware RAID 1 set on two drives

If JBOD is larger than nine hard disk drives, so that more than two drives will be formatted as RAID 1 sets, create multiple pairs of RAID 1 sets, each composed of two hard disk drives.

  • One hardware RAID 5 set on three drives
  2. Install Windows Whistler Advanced Server on the minimum 9.1 GB (9318.4 MB) partition on the RAID 0 system drive. Install any drivers needed for connecting and using peripheral devices.
  3. After completion of the installation, restart the system, if necessary.
  4. Use the Windows Disk Management utility to create the following partition configurations using all space available in each RAID set:
  • On the RAID 0 set, create a 4 GB partition, and format it with the FAT file system. Create a second partition with the remaining space on the disk, and format it with the NTFS file system.
  • On the RAID 1 set, create a 4 GB partition, and format it with the FAT32 file system. Create a second partition with the remaining space on the disk, and format it with the NTFS file system. If several RAID 1 sets have been created, format half of them in the same way. Format the other half as single partitions with the NTFS file system.
  • On the RAID 5 set, create one partition, and format it with the NTFS file system.

To install the HCT 10.0

  1. Install the HCT kit.
  2. During installation, you are prompted to select a test kit. At the Custom Setup dialog box, expand Test Categories, expand Storage Controllers and Devices, and then click RAID-JBOD Device. Select the This feature, and all subfeatures, will be installed on local hard drive option. Click Next.
  3. In the Ready to Install the Program window, click Install. A progress window appears as the HCT is installing. The Test Selection Wizard appears with all items selected. Click Next.,and when the installation is completed, click Finish.

Related links

RAID-JBOD testing with Windows Whistler Advanced Server overview
Running the RAID-JBOD manual basic tests with Windows Whistler Advanced Server
Running the RAID-JBOD automated basic tests with Windows Whistler Advanced Server


Running the RAID-JBOD manual basic tests with Windows Whistler Advanced Server

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To run the RAID Data Integrity test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select RAID Data Integrity, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Signability test

  1. In the Test Manager, in the Available Tests for Selected Test Category pane, select Signability test, and then click Add Selection.
  2. Click Start Tests.
  3. Follow the instructions displayed.
  4. When the test is completed, view test log files.
  5. Run all other required tests for this configuration.

Related links

Running the RAID-JBOD automated basic tests with Windows Whistler Advanced Server


Running the RAID-JBOD automated basic tests with Windows Whistler Advanced Server

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To run the RAID-JBOD automated basic tests

  1. Start Test Manager
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection:
  • ChkINF
  • Disk Stress
  • FAT - File I/O
  • NTFS - File I/O
  • Storage Device Stress
  • SysCache
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view and copy test log files.


RAID-JBOD software RAID testing with Windows Whistler Advanced Server overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

This test series examines the functionality of the JBOD when connected to a standard RAID controller using various software RAID volumes.

RAID-JBOD software RAID tests

Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device

  • Disk Stress
  • RAID Data Integrity
  • PCI Latency

Test suite run time: Approximately 2 hours

Related links

Preparing for RAID-JBOD software RAID tests with Windows Whistler Advanced Server


Preparing for RAID-JBOD software RAID testing with Windows Whistler Advanced Server

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware. This section summarizes the related requirements and procedures.

The configuration of the test device (or JBOD) differs depending on whether you are testing:

  • A JBOD with fewer than nine drives (or fewer than eight drives if the RAID controller is not bootable)

- or -

  • A JBOD with nine or more drives (or eight or more drives if the RAID controller is not bootable)

Make certain that you follow the correct JBOD configuration procedures for your specific device.

For a complete list of hardware, software, and tester knowledge requirements, see the RAID-JBOD testing with Windows Whistler Advanced Server overview.

Test system configuration

The HCT kit requires the following to prepare the test system for RAID-JBOD configuration 3 RAID testing for the Windows Whistler Advanced Server operating system.

Click to show or hide information. To configure a test JBOD with fewer than nine drives for software stress tests

To configure the JBOD with a software RAID 5 set

  1. Use the test device's hardware RAID configuration utility, or BIOS, to delete the RAID set(s) currently on the JBOD, and create as many one-drive hardware RAID 0 sets as there is space available on the JBOD.

For example, if there are seven drives on the JBOD, one drive contains the system, and six drives remain, create six individual hardware RAID 0 sets on the remaining drives on the JBOD.

  2. Use the Windows Disk Management utility to format the hardware RAID 0 drives with the NTFS file system.
  3. Use the Windows Disk Management utility to create one software RAID 5 set using all the hardware RAID 0 test drives on the JBOD, except for the system drive. Close the Windows Disk Management utility.
  4. Run all tests in Running the RAID-JBOD software RAID tests with Windows Whistler Advanced Server, and then all the tests in Running the RAID-JBOD software RAID tests with Windows Whistler Advanced Server After completing those tests, continue with the following procedures for testing with software RAID 1 and software RAID 0 sets.

To configure the JBOD with a software RAID 1 set

  1. Use the WIndows Disk Management utility to delete the existing software RAID set, and create as many pairs of RAID 1 sets as there is space available on the JBOD.

For example, if the six-drive RAID 5 set was previously set up on the JBOD, create three RAID 1 sets of two drives each for a total six drives. If there is a drive left over, leave it in an undefined state.

  2. Format each of the RAID 1 sets as single partition with the NTFS file system. Close the Windows Disk Management utility.
  3. Run all tests in Running the RAID-JBOD software RAID tests with Windows Whistler Advanced Server, and then all the tests in Running the RAID-JBOD software RAID tests with Windows Whistler Advanced Server After completing those tests, continue with the following procedure for testing a RAID 0 set.

To configure the JBOD with a software RAID 0 set

  1. Use the WIndows Disk Management utility to delete the existing software RAID sets, and create a single RAID 0 set with all available drives on the test device. For example, if there were software RAID 1 sets previously set up using six drives, with one extra remaining drive, create one software RAID 0 set of seven drives.
  2. Use the Windows Disk Management utility to format the RAID 0 set as a single partition with the NTFS file system.
  3. Run all tests in Running the RAID-JBOD software RAID tests with Windows Whistler Advanced Server, and then all the tests in Running the RAID-JBOD software RAID tests with Windows Whistler Advanced Server

Click to show or hide information. To configure a test JBOD with nine or more drives for software stress tests

  1. Use the RAID controller's hardware RAID configuration utility, or BIOS, to delete the RAID set(s) currently on the JBOD, and create as many one-drive hardware RAID 0 sets as there is space available on the JBOD.

For example, if there are 20 drives on the JBOD, one drive contains the system, and 19 drives remain, create 19 individual hardware RAID 0 sets on the remaining drives on the JBOD.

  2. Use the Windows Disk Management utility to format the hardware RAID 0 drives with the NTFS file system.
  3. Use the Windows Disk Management utility to set up the following software RAID sets on the JBOD. All drives on the JBOD must be configured as part of a software RAID set. If the JBOD has more than nine drives, set up all the drives available on the JBOD in roughly the same proportion as the following.
  • If there is a system drive on the JBOD, leave it alone
  • One software RAID 0 set composed of three hard disk drives
  • One software RAID 1 set composed of two hard disk drives
  • One software RAID 5 set composed of three hard disk drives
  4. Close the Windows Disk Management utility.

Related links

Running the RAID-JBOD software RAID testing with Windows Whistler Advanced Server


Running the RAID-JBOD software RAID tests with Windows Whistler Advanced Server

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To run the RAID-JBOD software RAID tests with Windows Whistler Advanced Server

  1. Start Test Manager
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection:
  • Disk Stress
  • RAID Data Integrity
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the PCI Latency test

Important: The PCI Latency test must be the last test run on each test device.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Z[Run Last] PCI Latency, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. After you have successfully completed all tests required for this test submission, return test results.

Name the test results cabinet file Company name Device name JBODSvr.cab, where Company name is the name of your company and Device name is the name of your test device.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.


RAID system testing overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

The RAID System Hardware Compatibility Tests (HCT) are organized by system configuration.

The test procedures for each configuration are divided into a testing overview topic, a preparing for testing topic, and a running the HCT topic.

The test overview topics include links to detailed descriptions of all tests run in a particular configuration. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the test topics include instructions for running the HCT tools.

The testing begins with upgrade from Microsoft® Windows® 2000 Advanced Server to Windows Whistler Advanced Server tests, and is followed by functionality tests.

Click to show or hide information. RAID system tests

The RAID System HCT test kit includes the following test configurations:

  • RAID system upgrade from Windows 2000 tests
  • RAID system basic functionality tests
  • RAID system hardware failure and stress tests
  • RAID system hardware hot spares tests (if supported)
  • RAID system software stress tests
  • RAID system notification tests

Click to show or hide information. Hardware requirements

The following hardware is required to run the RAID system HCT kit.

One Intel Pentium, or equivalent, test system with the following:

  • One regular RAID system (in a single cabinet)

– or –

One RAID controller and one JBOD that are sold together as a unit, called a RAID system solution

Either one of these, which must have a minimum of four drives, is the test device.

Note: Tests run most efficiently if the test device has a minimum of 10 drives, or, nine drives if the test device, or the RAID controller in a RAID system solution, is not bootable. With fewer than 10 drives in the test device, you must run tests on one type of RAID at a time, and reconfigure the test device in sequence until all tests have been run with each RAID type.

  • Minimum 256 MB RAM
  • One PCI SCSI host bus adapter (HBA),
    – or –
    One on-board PCI SCSI bus
  • Two identical SCSI hard disk drives, each with minimum 10 GB capacity
  • Two PCI-to-PCI bridge devices
  • One FoxFire II PCI adapter
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • All devices on the test system must be compliant with Microsoft Windows Logo Program Desktop and Mobile PC Requirements 1.1 (B2.5.2) Industry Standards

The following devices are required only if supported by the test device:

  • One SCSI CD-ROM drive.
  • One SCSI back-up tape drive.

Important: The test system must be included on the Microsoft® Windows® Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the RAID System HCT kit:

  • Windows 2000 Advanced Server operating system
  • Windows Whistler Advanced Server operating system
  • Any drivers that do not ship with Windows 2000 Advanced Server or Windows Whistler Advanced Server
  • The current release of Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the RAID system tests, testers must know how to do the following tasks:

  • Read NT-based test logs and event logs.
  • Configure systems to different RAID sets.
  • Create and format logical drives.
  • Install and configure Microsoft Debugging Tools for Windows with symbols.
  • Install Windows 2000 Advanced Server and Windows Whistler Advanced Server from product CDs.

Related links

FoxFire II PCI adapter
RAID system upgrade from Windows 2000 testing overview
RAID system basic functionality testing overview
RAID system hardware failure and stress testing overview
RAID system hot spares testing overview
RAID system software stress testing overview
RAID system notification testing overview


RAID system upgrade from Windows 2000 testing overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

These tests verify that the Windows® Whistler Advanced Server drivers for the test device can successfully upgrade the Windows 2000 Advanced Server drivers.

RAID system upgrade from Windows 2000 Advanced Server tests

Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device

  • Disk Stress
  • Driver Verifier – RAID Controller

Test suite run time: TBD

Related links


Preparing for RAID system upgrade from Windows 2000 testing

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, install Windows® 2000 Advanced Server, and upgrade to Windows Whistler Advanced Server. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see RAID system testing overview.

Test system configuration

The Raid Controller HCT kit requires the following to prepare the test system for testing.

Click to show or hide information. To configure the test system for RAID system upgrade from Windows 2000 Advanced Server tests

  1. Turn off the test system.
  2. If the test system does not have an on-board SCSI controller, physically install one PCI SCSI controller.
  3. Physically install the two identical SCSI hard disk drives on the SCSI bus.
  4. Physically install the Foxfire II PCI adapter.
  5. If the test device allows connection of a CD-ROM drive, physically install a CD-ROM drive and assign a unique SCSI ID to it.
  6. If the test device allows connection of a tape backup drive, physically install a tape backup drive and assign a unique SCSI ID to it.
  7. Physically install the test device, and the network adapter.
  8. Connect the network adapter to the client system separately through a network cable a LAN.
  9. Turn on the test system.

Click to show or hide information. To install Windows 2000 Advanced Server

Note: If the RAID controller or test device is not bootable, do not install the Windows operating system onto the RAID 0 drive, as instructed to below. Instead, install the operating system on one of the identical SCSI hard disk drives.

  1. If the test device is bootable, and the attached JBOD has at least five drives, use the test device's hardware RAID configuration utility, or BIOS, to create a hardware RAID 0 set on one 10 GB drive, which will be used as a system drive.

If the test device is not bootable, use one of the SCSI drives as the system drive.

  2. Install Windows 2000 Advanced Server onto the 10 GB partition on the RAID 0 drive set aside for the system.
  3. Install any drivers needed for connecting and using peripheral devices. After completion of the installation, restart the system.

Click to show or hide information. To upgrade to Windows Whistler Advanced Server and install the HCT

  1. Upgrade Windows 2000 Advanced Server to Windows Whistler Advanced Server. Install any drivers needed for connecting and using peripheral devices.
  2. Install the HCT kit.
  3. During installation, you are prompted to select a test kit. At the Custom Setup dialog box, expand Program Categories, expand Storage Controllers and Devices, and then click arrow next to RAID System. Click This feature, and all subfeatures, will be installed on local hard drive. Click Next.
  4. In the Ready to Install the Program window, click Install. A progress window appears as the HCT is installing. The Test Selection Wizard displays with all items selected. Click Next. When the installation is completed, click Finish.

Related links


Running the RAID system upgrade from Windows 2000 tests

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To run the RAID system upgrade from Windows 2000 tests

  1. Start Test Manager.
  2. From the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection:
  • Disk Stress
  • Driver Verifier - RAID Controller
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. After you have successfully completed all tests required for this upgrade test, return test results.

Name the test results cabinet file Company name Device name Upgrd1.cab, where Company name is the name of your company and Device name is the name of your test device.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Return results now, since the system drive will be re-formatted, and the logs erased, in the next test procedure.


RAID system basic functionality testing overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

Before you begin running these tests, you must re-format the system drive, and reinstall Windows Whistler Advanced Server. The tests examine basic component functionality and the connections on the system.

This section summarizes the related requirements and procedures.

Click to show or hide information. The RAID system basic functionality tests

The following tests require user intervention and must be run individually.

Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests are manual and require user interaction:

  • Crashdump Support
  • Enable/Disable - Device I/O (Storage)
  • Public Import
  • RAID Data Integrity
  • Signability

The following tests are automated and can be run together in a group:

  • ACPI Stress – Device I/O (Extended)
  • CD-ROM - File I/O
  • ChkINF - Hard Disk Controllers
  • Disk Stress
  • Driver Verifier - RAID Controller
  • FAT - File I/O
  • NTFS - File I/O
  • SysCache
  • Tape I/O

Note: The ChkINF and Signability tests are required only if the test device uses drivers that do not ship with Windows Whistler Advanced Server.

Test suite run time: TBD

Related links


Preparing for RAID system basic functionality testing

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, and reinstall Windows® Whistler Advanced Server. This section summarizes the related requirements and procedures.

The configuration of the drives on the tests device (RAID system) differs depending on whether you are testing:

  • A test device with fewer than 10 drives (or fewer than nine drives if the test device is not bootable)

- or -

  • A test device with 10 or more drives (or nine or more drives if the test device is not bootable)

Make certain that you follow the correct RAID system configuration procedure for your specific device.

For a complete list of hardware, software, and tester knowledge requirements, see RAID system testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for the RAID system basic functionality testing for the Windows Whistler Advanced Server.

Click to show or hide information. To configure the test system for RAID system basic functionality testing

  1. Turn the test system off.
  2. If the test system does not have an on-board SCSI system, physically install one PCI SCSI system.
  3. Physically install the two identical SCSI hard disk drives on the SCSI bus.
  4. Physically install the test device.
  5. If the host bus adapter (HBA) for the test device allows connection of a CD-ROM drive, physically install a CD-ROM drive and assign a unique SCSI ID to it.
  6. If the HBA for the test device allows connection of a tape backup drive, physically install a tape backup drive and assign a unique SCSI ID to it.
  7. Physically install the test device (RAID controller and test device, which comprise a single unit, or a SCSI HBA and the RAID system) onto the test system.
  8. Physically install a network adapter.
  9. Connect the network adapter to the client system separately through a network cable or LAN.
  10. Turn on the test system.

Continue testing with one of the two following procedures, depending on whether the test device has fewer than 10 drives (or fewer than nine drives if the test device is not bootable), or 10 or more drives (or nine drives or more if the test device is not bootable).

Click to show or hide information. To configure a test device with fewer than 10 drives

If the JBOD attached to the test device contains fewer than 10 drives, you will not be able to set up all hardware RAID test sets at the same time. Use the test device's hardware RAID configuration utility, or BIOS, to set up the following RAID set on the JBOD.

  1. If the test device is bootable, and the attached JBOD has at least five drives, set up a hardware RAID 0 set on one 10 GB drive, which will be used as a system drive.

If the test device is not bootable, use one of the SCSI drives as the system drive.

  2. Set aside one drive on the JBOD as the hot spare. It must have at least as much storage capacity as the largest drive used in any RAID set on the JBOD. Fill the rest of the JBOD by creating a single hardware RAID 0 set on the remaining drives.

For example, if there are eight drives on the JBOD, one drive contains the operating system, another drive is set aside as the hot spare, then six drives remain. Create a single hardware RAID 0 set with the six remaining drives.

Click to show or hide information. To install the HCT

  1. Install the HCT kit.
  2. During installation, you are prompted to select a test kit. At the Custom Setup dialog box, expand Program Categories, expand Storage Controllers and Devices, and then click arrow next to RAID Controller. Click This feature, and all subfeatures, will be installed on local hard drive. Click Next.
  3. In the Ready to Install the Program window, click Install. A progress window appears as the HCT is installing. The Test Selection Wizard displays with all items selected. Click Next. When the installation is completed, click Finish.

Click to show or hide information. To configure the test device for testing with a RAID 0 set

  1. Use the test device's hardware RAID configuration utility, or BIOS, to create individual hardware RAID 0 sets on all drives available on the test device.

For example, if there are eight drives on the test device, and one drive is set aside as the hot spare, and one drive contains the system, then six drives remain. Create six RAID 0 sets on the remaining drives.

Make certain that any drive you set aside to be later designated as a hot spare has at least as much storage capacity as the largest drive used in any RAID drive.

  2. Use the Windows Disk Management utility to format the drives of the RAID 0 set on the test device with the NTFS file system.
  3. Run all tests in Running the RAID system basic functionality manual tests, and then all the tests in Running the RAID system basic functionality automated tests.

After finishing those tests on the RAID 0 set, continue with the following procedures for testing RAID 1 and RAID 5 sets.

Click to show or hide information. To configure the test device for testing with a RAID 1 set

  1. Use the test device's hardware RAID configuration utility, or BIOS, to delete the RAID 0 set, and create as many pairs of RAID 1 sets as there is room on the test device. For example, if there are eight drives on the test device, one drive is set aside as the hot spare, one drive contains the system, then six drives remain. Create three RAID 1 sets of two drives each on the remaining drives. Leave any other drive on the test device in an undefined state.
  2. Use the Windows Disk Management utility to format all drives on the test device with the NTFS file system.
  3. Run all tests in Running the RAID system basic functionality manual tests, and then all the tests in Running the RAID system basic functionality automated tests. After finishing those tests, continue with the following procedure for testing a RAID 5 set.

Click to show or hide information. To configure the test device for testing with a RAID 5 set

  1. Use the test device's hardware RAID configuration utility, or BIOS, to delete the RAID 1 sets, and create one RAID 5 set with all drives available on the test device.

For example, if there are eight drives on the test device, one is set aside as the hot spare, one drive contains the system, then six drives remain. Create a single RAID 5 set with the six remaining drives.

  2. Run all tests in Running the RAID system basic functionality manual tests, and then all the tests in Running the RAID system basic functionality automated tests.

Click to show or hide information. To configure a test device with 10 or more drives

  1. Use the test device's configuration utility, or BIOS, to set up the following RAID sets on the test device. All drives on the test device must be configured as part of a RAID set or set aside as a hot spare. If the test device. has more than 10 drives, set up all available drives in roughly the same proportion as the following.
  • One hardware RAID 0 set on one 10 GB drive to be used as a system drive (total: one drive)
  • Three hardware RAID 0 sets on one drive each (total: three drives)
  • One hardware RAID 1 set on two other drives (total: two drives)
  • One hardware RAID 5 set on three other drives (total: three drives)
  • Set aside one drive as a hot spare. Make sure any drive you set aside as a hot spare has at least as much storage capacity as the largest drive used in any RAID drive (total: one drive)

Note: If the test device is not bootable, do not install Windows 2000, and then Windows Whistler Advanced Server onto the RAID 0 drive, as instructed next. Instead, install the operating systems on one of the identical SCSI hard disk drives.

  2. After completion of the installation, restart the system. Use the Windows Disk Management utility to create a 10 GB partition on the RAID 5 set. Designate the Raid 5 set as a dynamic disk. Format this partition with the NTFS file system.
  3. Create two equal partitions on the RAID 1 set, using all available space on the drives. Format the first partition with the FAT file system, and format the second partition with the FAT32 file system.

Click to show or hide information. To install Windows Whistler Advanced Server and the HCT

  1. Install the HCT kit.
  2. During installation, you are prompted to select a test kit. At the Custom Setup dialog box, expand Program Categories, expand Storage Controllers and Devices, and then click arrow next to RAID Controller. Click This feature, and all subfeatures, will be installed on local hard drive. Click Next.
  3. In the Ready to Install the Program window, click Install. A progress window appears as the HCT is installing. The Test Selection Wizard displays with all items selected. Click Next. When the installation is completed, click Finish.

Related links


Running the RAID system basic functionality manual tests

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To run the Crashdump Support test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Crashdump Support, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Public Import test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Public Import, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the RAID Data Integrity test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select RAID Data Integrity, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Signability test

Note: The Signability test is required only if the test device uses a manufacturer-supplied driver.

  1. In the Test Manager, in the Available Tests for Selected Test Category pane, select Int Signability, and then click Add Selection.
  2. Click Start Tests.
  3. Follow the instructions displayed.
  4. When the test is completed, view test log files.
  5. Run all other required tests for this configuration.

Related links

Running the RAID system basic functionality automated tests


Running the RAID system basic functionality automated tests

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To run the RAID system automatic basic functionality tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection:
  • ACPI Stress - Device I/O (Extended)
  • CD-ROM (File I/O)
  • ChkINF - Hard Disk Controllers

Note: The ChkINF test is required only if the test device uses a driver that does not ship with Windows.

  • Disk Stress

Note: The DMA test is required only if the test device is ATA/ATAPI.

  • Driver Verifier – RAID Controller
  • FAT File I/O
  • Storage Device Stress
  • SysCache
  • Tape I/O
  3. Click Start Tests.
  4. Follow the instructions displayed
  5. When tests are completed, view test log files.


RAID system hardware failure and stress testing overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

These tests examine the response of the RAID system in unexpected hardware failure scenarios and when the hardware is put under stress for an extended period of time.

The tests also examine the process of rebuilding degraded drives. They do not use Windows Whistler Advanced Server RAID support.

RAID system hardware failure and stress tests

Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

  • RAID Data Integrity
  • Storage Device Stress

Test suite run time: TBD

Related links


Preparing for RAID system hardware failure and stress testing

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

Before running the Hardware Compatibility Tests (HCT) on a test system, you must configure the system hardware. This section summarizes the related requirements and procedures.

The configuration of the drives on the tests device (RAID system) differs depending on whether you are testing:

  • A test device with fewer than nine drives (or fewer than eight drives if the test device is not bootable)

- or -

  • A test device with nine or more drives (or eight or more drives if the test device is not bootable)

Make certain that you follow the correct RAID system configuration procedure for your specific device.

For a complete list of hardware, software, and tester knowledge requirements, see RAID system testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing RAID system hardware failure testing for the Windows® Whistler Advanced Server operating system.

To configure a test device with fewer than nine drives

If the test device has fewer than nine drives, you will not be able to set up all hardware RAID test sets at the same time. Use the test device's hardware RAID configuration utility, or BIOS, to set up the following RAID sets.

Click to show or hide information. To configure the test device for testing with a RAID 5 set

  1. Use the same configuration used for testing a RAID 5 set in Preparing for RAID system basic functionality testing.
  2. Run all tests in Running the RAID system hardware failure and stress tests. After completing those tests, continue with the following procedures for testing RAID 1 and RAID 0 sets.

Click to show or hide information. To configure the test device for testing with a RAID 1 set

  1. Delete the RAID 5 set, and create as many pairs of RAID 1 sets as possible with the remaining drives.

For example, if the RAID 5 set was previously set up using seven drives on the test device, create three RAID 1 sets of two drives each for a total six disks. If there is a drive left over, leave it in an undefined state.

  2. From the Windows desktop, click Start, click Control Panel, click Performance and Maintenance, double-click Administrative Tools, double-click Computer Management, and in the left pane, double-click Disk Management.
  3. Format the RAID 5 set as a single partition with the NTFS file system.
  4. Run all tests in Running the RAID system hardware failure and stress tests. After completing those tests, continue with the following procedure for testing a RAID 0 set.

Click to show or hide information. To configure the test device for testing with a RAID 0 set

  1. Delete the test RAID 1 sets on the test device. Create as many one-drive hardwareRAID 0 sets as there are available drives on the test device,

For example, if one drive contains the system, one drive is designated a hot spare, then six drives remain. Create six individual hardware RAID 0 sets on the remaining drives.

  2. Format each RAID 0 set as a single partition with the NTFS file system.
  3. Run all tests in Running the RAID system hardware failure and stress tests.

Click to show or hide information. To configure a test device with nine or more drives

  1. Use the test device's hardware RAID configuration utility, or BIOS, to delete the RAID set(s) currently on the test device, and create as many one-drive hardware RAID 0 sets as there are available drives on the test device.

For example, if one drive contains the system, one drive is designated a hot spare, then six drives remain. Create six individual hardware RAID 0 sets on the remaining drives.

  2. From the Windows desktop, click Start, click Control Panel, click Performance and Maintenance, double-click Administrative Tools, double-click Computer Management, and in the left pane, double-click Disk Management.
  3. Format the hardware RAID 0 drives with the NTFS file system.
  4. Use the same configuration used for testing a RAID system with 10 or more drives in Preparing for RAID system basic functionality testing.
  5. Run all tests in Running the RAID system hardware failure and stress tests.

Related links


Running the RAID system hardware failure and stress tests

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To run the hardware failure tests

  1. Start Test Manager.
  2. From the Test Manager window, in the Available Tests for Selected Test Category pane, select RAID Data Integrity, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the hardware stress tests

  1. Start Test Manager.
  2. At the Test Manager window, in the Available Tests for Selected Test Category pane, select Storage Device Stress, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.


RAID system hot spares testing overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

This series of tests verify the ability of the test device to use a hot spare in a RAID set when one drive in the set fails. The tests also verify that the test device can integrate a replaced drive into the RAID system.

The hardware hot spares tests do not use Windows Whistler Advanced Server Raid support, but only the test device's hardware RAID support.

These tests are required only if the test device supports hot spares technology.

RAID system hardware failure and stress tests

Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

RAID Data Integrity

Test suite run time: TBD

Related links


Preparing for RAID system hot spares testing

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

Before running the Hardware Compatibility Tests (HCT) on the test system, you must configure the system hardware. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see RAID system testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for RAID system hot spares testing for the Windows® Whistler Advanced Server operating system.

To configure the test system for RAID system hot spares testing

  1. Use the test device's hardware RAID configuration utility, or BIOS, to delete the test RAID set or sets on the JBOD.

Designate the following number of hot spares in proportion to the total number of drives in the JBOD. Make certain that any drive you designate as a hot spare has at least as much storage capacity as the largest drive used in any RAID set.

  • If JBOD has between four and 15 drives, designate one drive as a hot spare.
  • If JBOD has between 16 and 30 drives, designate two drives as hot spares.
  • If JBOD has over 30 drives, designate three drives as hot spares.

Click to show or hide information. To configure the test device for testing with RAID 0 set

  1. Delete any RAID sets currently on the test device, and create a single hardware RAID 0 set on all test drives available.
  2. Run all tests in Running the RAID system hot spares tests. After completing those tests, continue with the following procedures for testing RAID 1 and RAID 5 sets.

Click to show or hide information. To configure the test device for testing with RAID 1 sets

  1. Delete the RAID 0 set, and create as many pairs of RAID 1 sets as there are available drives on the test device.

For example, if there are eight drives on the test device, one drive is set aside as the hot spare, one drive contains the system, then six drives remain. Create three RAID 1 sets of two drives each on the remaining drives. Leave any remaining drive on the test device in an undefined state.

  2. Run all tests in Running the RAID system hot spares tests. After completing those tests, continue with the following procedure for testing a RAID 5 set.

To configure for testing with a RAID 5 set

  1. Use the test device's hardware RAID configuration utility, or BIOS, to delete the RAID 1 sets, and create one RAID 5 set with the same drives.

For example, if there are seven drives on the JBOD, one contains the system, then six drives remain. Create a single RAID 5 set with the six remaining drives.

If the JBOD has only three hard disk drives set aside for testing, create a hardware RAID 5 set on the three available drives.

  2. Use the Windows Disk Management utility to divide the RAID 5 set into three partitions: one 4 GB partition, formatted with the FAT file system; another 4 GB partition, formatted with the FAT32 file system; and one partition that consumes the remaining space on the RAID 5 set, formatted with the NTFS file system.

Related links

Running the RAID system hot spares tests


Running the RAID system hot spares tests

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To run the RAID Data Integrity test

  1. Start Test Manager.
  2. At the Test Manager window, in the Available Tests for Selected Test Category pane, expand the folders as necessary, select RAID Data Integrity, and then click Add Selection.
  3. After multiple threads have initiated on the test system, manually remove one of the drives in the RAID set.
  4. Click Start Tests.
  5. After 15 minutes, replace the drive in the RAID.
  6. When the test is completed, view and copy test log files.


RAID system software stress testing overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

These tests examine the response of the RAID system when software RAIDs, set up and managed by the Windows® Disk Management utility, are put under stress for an extended period of time.

RAID system software stress tests

Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

Disk Stress

Test suite run time: TBD

Related links


Preparing for RAID system software stress testing

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

Before running the Hardware Compatibility Tests (HCT) on a test system, you must configure the system hardware. This section summarizes the related requirements and procedures.

The configuration of the drives on the tests device (RAID system) differs depending on whether you are testing:

  • A test device with fewer than 10 drives (or fewer than nine drives if the test device is not bootable)

- or -

  • A test device with 10 or more drives (or nine or more drives if the test device is not bootable)

Make certain that you follow the correct RAID system configuration procedure for your specific device.

For a complete list of hardware, software, and tester knowledge requirements, see RAID system testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for the RAID system software stress testing for the Windows® Whistler Advanced Server operating system.

Click to show or hide information. To configure a test device with fewer than 10 drives

  1. Use the test device's hardware RAID configuration utility, or BIOS, to delete the RAID set(s) currently on the test device, and create as many one-drive hardware RAID 0 sets as there are available drives on the test device.

For example, if there are eight drives on the test device, one drive contains the system, one drive is designated a hot spare, and six drives remain. Create six one-drive hardware RAID 0 sets on the remaining drives of the test device.

  2. From the Windows desktop, click Start, click Control Panel, click Performance and Maintenance, double-click Administrative Tools, double-click Computer Management, and in the left pane, double-click Disk Management.
  3. Create a single software RAID 5 set using all available hardware RAID 0 drives on the test device. Close the Windows Disk Management utility.
  4. Run all tests in Running the RAID system software stress tests. After completing those tests, continue with the following procedures for testing software RAID 1 and software RAID 0 sets.

Click to show or hide information. To configure the test device for testing with a software RAID 1 set

  1. Use the test device's hardware RAID configuration utility, or BIOS, to delete the existing software RAID set, and create as many pairs of RAID 1 sets as there is space available on the test device.

For example, if the RAID 5 set was previously set up using seven drives on the test device, create three RAID 1 sets of two drives each for a total six disks. If there is one drive remaining, leave it in an undefined state.

  2. Format each of the RAID 1 sets as single partitions with the NTFS file system.
  3. Run all tests in Running the RAID system software stress tests. After finishing those tests, continue with the following procedure for testing a RAID 0 set.

Click to show or hide information. To configure the test device for testing with a software RAID 0 set

  1. Use the test device's hardware RAID configuration utility, or BIOS, to delete the existing software RAID sets, and create a single RAID 0 set with all available drives on the test device. For example, if the RAID 1 sets was previously set up using six drives with one extra drive remaining, create one software RAID 0 set of seven drives.
  2. From the Windows desktop, click Start, click Control Panel, click Performance and Maintenance, double-click Administrative Tools, double-click Computer Management, and in the left pane, double-click Disk Management.
  3. Format the RAID 0 set as a single partition with the NTFS file system.
  4. Run all tests in Running the RAID system software stress tests.

Click to show or hide information. To configure a test device with 10 or more drives

  1. Use the test device's hardware RAID configuration utility, or BIOS, to delete the RAID set(s) currently on the test device, and create as many one-drive hardware RAID 0 sets as there are available drives on the test device.

For example, if there are eight drives on the test device, one drive contains the system, one drive is designated a hot spare, then six drives remain. Create six one-drive hardware RAID 0 sets on the six remaining drives of the RAID system.

  2. From the Windows desktop, click Start, click Control Panel, click Performance and Maintenance, double-click Administrative Tools, double-click Computer Management, and in the left pane, double-click Disk Management.
  3. Format the hardware RAID 0 sets with the NTFS file system.
  4. Use the test device's hardware RAID configuration utility, or BIOS, to set up the following software RAID sets on the test device. All drives on the RAID system must be configured as part of a software RAID set, or set aside as a hot spare. If the RAID system has more than 10 drives, set up all the drives available in roughly the same proportion as the following.
  • If there is a system drive on the test device, leave it alone (total: one drive).
  • One software RAID 0 set of three drives to be used for testing (total: three drives).
  • One software RAID 1 set on two other drives (total: two drives).
  • One software RAID 5 set on three other drives (total: three drives).
  • If there are any drives set aside for use as hot spares, leave them. (total: one drive).

Related links


Running the RAID system software stress tests

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To run the Disk Stress test

  1. Start Test Manager.
  2. At the Test Manager window, in the Available Tests for Selected Test Category pane, select Disk Stress, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view and copy test log files.


RAID system notification testing overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

This test series verifies that the test device can successfully send administrative alerts to the RAID computer and to a remote workstation. These tests are required only if this service is supported. There are no automated tests for notification verification. The tester is simply asked to observe and verify that notification appears on a remote computer.

Test suite run time: TBD

Related links


Preparing for RAID system notification testing

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

The HCT kit requires the following to prepare the test system for the RAID system notification testing for the Windows® Whistler Advanced Server operating system:

Test system configuration

To configure the test system for notification testing

  1. From the Windows desktop, click Start, and then click Run.
  2. In the Open box, type srvmgr.exe \\[testmachine-name], and then click OK.
  3. Double click the test system name.
  4. Click Alerts.
  5. Add the name of the client system to the Receive the Alerts list.
  6. Click OK, click OK again, and then click Close.

Related links


Running the RAID system notification tests

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To run the RAID system notification tests

Remove one of the RAID drives and verify that the client system receives notification.

Note: If the test system uses a client/server application setup to remote manage and receive alerts, you must set up this system according to the manufacturer's instruction and verify that the alert system works.


RAID controller testing with Windows XP overview

The RAID Controller Hardware Compatibility tests (HCT) are organized by system configuration.

The test procedures for each configuration are divided into a testing overview topic, a preparing for testing topic, and a running the HCT topic.

The test overview topics include links to detailed descriptions of all tests run in a particular configuration. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the test topics include instructions for running the HCT tools.

Tests vary, depending on the Windows® operating system installed when testing the RAID controller. The tests in this section are for testing with the Microsoft® Windows XP Professional operating system. To test on Windows Whistler Advanced Server, see RAID Controller testing with Windows Whistler Advanced Server.

Testing begins with upgrade from Windows 98 Second Edition (SE) to Windows XP Professional testing, followed by upgrade from Windows 2000 Professional to Windows XP Professional testing, and finishes with functionality tests.

Click to show or hide information. System configuration requirements

The RAID controller HCT test kit includes the following test configurations:

  • RAID controller upgrade from Windows 98 SE tests (if drivers were written for Windows 98 SE)
  • RAID controller upgrade from Windows 2000 Professional tests (if drivers were written for Windows 2000 Professional)
  • RAID controller basic functionality tests
  • RAID controller hardware failure and stress tests
  • RAID controller double PCI-to-PCI bridge and dual adapter tests

Click to show or hide information. Hardware requirements

The following hardware is required to run the RAID Controller tests with Windows XP Professional.

One Intel Pentium, or equivalent, SCSI-based test system with the following:

  • Two PCI-based RAID controllers (SSA, SCSI, or Fibre Channel) to connect the host to the RAID system,
    – or –
    Two ATA/ATAPI RAID controllers

The RAID controllers are the test devices.

  • Minimum 256 MB of RAM
  • One PCI SCSI host bus adapter (HBA),
    – or –
    One on-board PCI SCSI bus
  • Two identical SCSI hard disk drives,
    – or –
    Two ATA/ATAPI hard disk drives, each with minimum 9.1 GB (9318.4 MB) capacity
  • Two PCI-to-PCI bridge devices
  • One JBOD, with a minimum of four drives. Each drive must be a minimum of 9.1 GB (9318.4 MB) .
    – or –
    One ATA/ATAPI drive enclosure with a minimum of four drives, if the test device is ATA/ATAPI

Note: Tests run most efficiently if the JBOD or drive enclosure has a minimum of nine drives, or, eight drives if the test device is not bootable. With fewer than nine drives in the JBOD, you must run tests on one type of RAID at a time, and reconfigure the JBOD in sequence until all tests have been run with each RAID type.

  • One FoxFire II PCI adapter
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • All devices on the test system must be compliant with WLP 1.1 (B2.5.2) Industry Standards

Important: All hardware (except the test device) must be included on the Microsoft Windows Hardware Compatibility List (HCL).

The following devices are required only if supported by the test device:

  • One SCSI or ATA/ATAPI CD-ROM drive.
  • One SCSI or ATAPI back-up tape drive.

Click to show or hide information. Software requirements

The following software is required to run the RAID Controller HCT kit:

  • Windows 98 SE, if test device drivers were written for this operating system
  • Windows 2000 Professional, if test device drivers were written for this operating system
  • Windows XP Professional operating system
  • Any drivers that do not ship with the Windows 98 SE, Windows 2000 Professional, or Windows XP Professional
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the RAID controller tests, testers must know how to do the following tasks:

  • Read NT-based test logs and event logs.
  • Configure systems to different RAID sets.
  • Create and format logical drives.
  • Install and configure Windows debugger with symbols.
  • Install Windows 98 SE, Windows 2000 Professional, and Windows XP Professional from product CD.

Related links

FoxFire II PCI adapter
RAID controller upgrade from Windows 98 SE testing overview
RAID controller upgrade from Windows 2000 Professional testing overview
RAID controller basic functionality testing with Windows XP overview

RAID controller hardware failure and stress testing with Windows XP overview
RAID controller double PCI-to-PCI bridge and dual adapter testing with Windows XP overview


RAID controller upgrade from Windows 98 SE testing overview

These tests verify that the Windows XP Professional drivers for the test device can successfully upgrade the Windows 98 SE drivers.

If the test device has no drivers for Windows 98 SE, complete all steps in the preparing topic until instructed to start the tests. The preparing section contains steps for setting up the system for all subsequent tests.

RAID controller upgrade from Windows 98 SE tests

Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device

  • Disk Stress
  • Driver Verifier - RAID Controller
  • PCI Latency - RAID Controller

Test suite run time: 2.5 to 5 hours

Related links


Preparing for RAID controller upgrade from Windows 98 SE testing

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, install Windows® 98 SE, and upgrade to Windows XP Professional. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see RAID controller testing with Windows XP overview.

Test system configuration

The Raid Controller HCT kit requires the following to prepare the test system for testing.

To configure the test system for RAID controller upgrade from Windows 98 SE tests

Turn off the test system and install the following hardware even if the test device has no drivers for Windows 98 SE. The bus and the test device must both be of the same type—either SCSI only or ATA/ATAPI only.

  1. If the test system does not have an on-board SCSI controller, physically install one PCI SCSI controller.
  2. Physically install the two identical SCSI hard disk drives on the SCSI bus.
  3. Physically install the test device.
  4. Physically install the Foxfire II PCI adapter.
  5. If the test device allows connection of a CD-ROM drive, physically install a CD-ROM drive and assign a unique SCSI ID to it.
  6. If the test device allows connection of a tape backup drive, physically install a tape backup drive and assign a unique SCSI ID to it.
  7. Physically install the RAID JBOD device.
  8. Turn on the test system.

To install Windows 98 SE

If the test device has no driver for Windows 98 SE, skip this section, and continue to the next section, RAID controller upgrade from Windows 2000 Professional testing overview.

Note: If the RAID controller is not bootable, do not install the Windows operating system onto the RAID 0 drive, as instructed to below. Instead, install the operating system on one of the identical SCSI hard disk drives.

  1. If the test device is bootable, and the attached JBOD has at least five drives, use the test device's hardware RAID configuration utility, or BIOS, to create a hardware RAID 0 on a minimum 9.1 GB (9318.4 MB) drive, which will be used as a system drive.
  2. Create a 4 GB partition on the RAID 0 set, or on the SCSI drive, and format it with the FAT32 file system.
  3. Install Windows 98 SE onto the 4 GB partition.
  4. Install any drivers needed for connecting and using peripheral devices. After completion of the installation, restart the system.

To upgrade to Windows XP and install the HCT

  1. Upgrade Windows 98 SE to Windows XP Professional. Install any drivers needed for connecting and using peripheral devices.
  2. Install the HCT kit.
  3. During installation, you are prompted to select a test kit. At the Custom Setup window, expand Test Categories, expand Storage Controllers and Devices, and then click RAID Controller. Click This feature, and all subfeatures, will be installed on local hard drive. Click Next.
  4. In the Ready to Install the Program window, click Install. A progress window appears as the HCT is installing. The Test Selection Wizard appears with all items selected. Click Next. When the installation is completed, click Finish.

Related links


Running the RAID controller upgrade from Windows 98 SE tests

To run the RAID controller upgrade from Windows 98 SE tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection:
  • Disk Stress
  • Driver Verifier - RAID Controller
  3. Click Start Tests.
  4. When the test is completed, view test log files.

To run the PCI Latency - RAID Controller test

Important: The PCI Latency - RAID Controller test must be the last test run on each test device, and just before the system drive is reformatted.

  1. Start Test Manager, if it is not already started.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Z[Run Last] PCI Latency - RAID Controller, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. After you have successfully completed all tests required for this upgrade test, return test results. Test results must be returned before continuing with the next section of testing.

Name the test results cabinet file Company name Device name RCpUG1.cab, where Company name is the name of your company and Device name is the name of your test device.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for the test configuration.


RAID controller upgrade from Windows 2000 Professional testing overview

These tests verify that the Windows XP Professional drivers for the test device can successfully upgrade the Windows 2000 Professional drivers.

If the test device has no drivers for Windows 2000 Professional, skip the rest of this section, and continue to the next section, RAID controller basic functionality tests with Windows XP.

RAID controller upgrade from Windows 2000 Professional tests

Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device

  • Disk Stress
  • Driver Verifier - RAID Controller
  • PCI Latency - RAID Controller

Test suite run time: 2.5 to 5 hours

Related links


Preparing for RAID controller upgrade from Windows 2000 Professional testing

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install Windows® 2000 Professional, and upgrade to Windows XP. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see RAID controller testing with Windows XP overview.

Test system configuration with Windows XP

The RAID Controller HCT kit requires the following to prepare the test system for testing.

To configure the test system for RAID controller upgrade from Windows 2000 Professional tests

Note: If the RAID controller is not bootable, do not install the Windows operating system onto the RAID 0 drive, as instructed to below. Instead, install the operating system on one of the identical SCSI hard disk drives.

  1. If the test device is bootable, and the attached JBOD, or drive enclosure, has at least five drives, use the test device's hardware RAID configuration utility, or BIOS, to delete the 4 GB partition created in the previous test procedure, if one exists. Create a hardware RAID 0 set on one of the JBOD minimum 9.1 GB (9318.4 MB) drives, if a RAID 0 does not already exist.
  2. Create a new 9.1 GB (9318.4 MB) partition on the RAID 0 set, or on the SCSI drive, and format it with the NTFS file system.
  3. Install Windows 2000 Professional onto the 9.1 GB (9318.4 MB) partition.
  4. Install any drivers needed for connecting and using peripheral devices. After completion of the installation, restart the system.

To upgrade to Windows XP and install the HCT

  1. Upgrade Windows 2000 Professional to Windows XP Professional. Install any drivers needed for connecting and using peripheral devices.
  2. Install the HCT kit.
  3. During installation, you are prompted to select a test kit. At the Custom Setup dialog box, expand Test Categories, expand Storage Controllers and Devices, and then click arrow next to RAID Controller. Click This feature, and all subfeatures, will be installed on local hard drive. Click Next.
  4. In the Ready to Install the Program window, click Install. A progress window appears as the HCT is installing. The Test Selection Wizard displays with all items selected. Click Next. When the installation is completed, click Finish.

Related links


Running the RAID controller upgrade from Windows 2000 Professional tests

To run the RAID controller upgrade from Windows 2000 Professional tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection:
  • Disk Stress
  • Driver Verifier - RAID Controller
  3. Click Start Tests.
  4. When the test is completed, view test log files.

To run the PCI Latency - RAID Controller test

Important: The PCI Latency - RAID Controller test must be the last test run on each test device, and just before the system drive is reformatted.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Z[Run Last] PCI Latency - RAID Controller, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. After you have successfully completed all tests required for this upgrade test, return test results. Test results must be returned before continuing with the next section of testing.

Name the test results cabinet file Company name Device name RCpUG2.cab, where Company name is the name of your company and Device name is the name of your test device.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for the test configuration.


RAID controller basic functionality testing with Windows XP overview

These tests examine basic component functionality and the connections on the system.

Before you begin running these tests, you must re-format the system drive, and reinstall Windows XP Professional. This section summarizes the related requirements and procedures.

Click to show or hide information. RAID controller basic functionality tests

Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device

The following tests require user intervention and must be run individually:

  • Crashdump Support
  • Extensible Firmware Interface (for 64-bit systems only)
  • Int 13H Extensions (for 32-bit systems only)
  • Public Import
  • RAID Data Integrity
  • Signability

The following tests are automated and can be run together in a group:

  • ACPI Stress – Device I/O (Disk Only)
  • CD-ROM (File I/O) (required only if a CD-ROM drive is attached to test device)
  • ChkINF-SCSI Adapter (required only if the test device uses a driver that does not ship with Windows XP)
  • Disk Stress
  • Driver Verifier - RAID Controller
  • Enable/Disable - Device I/O (Storage)
  • FAT - File I/O
  • NTFS File I/O
  • PCI 2.2 Compliance
  • Storage Device Stress
  • SysCache
  • Tape I/O
  • PCI Latency - RAID

Test suite run time: 12 hours

Related links


Preparing for RAID controller basic functionality testing with Windows XP

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, and install Windows® XP Professional. This section summarizes the related requirements and procedures.

The configuration of the JBOD differs depending on whether you are testing:

  • JBOD with fewer than nine drives (or fewer than eight drives if the test device is not bootable)

- or -

  • JBOD with nine or more drives (or eight or more drives if the test device is not bootable)

Make certain that you follow the correct JBOD configuration procedure for your specific device.

For a complete list of hardware, software, and tester knowledge requirements, see RAID controller testing with Windows XP overview XP.

Test system configuration

The HCT kit requires the following to prepare the test system for the RAID controller basic functionality testing with Windows XP Professional.

Click to show or hide information. To configure a test JBOD with fewer than nine drives

If the test JBOD has fewer than nine drives, you will not be able to set up all hardware RAID test sets at the same time.

To configure the JBOD for testing with a RAID 0 set

  1. If the operating system is installed on a JBOD drive, use the test device hardware RAID configuration utility, or BIOS, to create one hardware RAID 0 set on all remaining drives on the JBOD.

For example, if there are seven drives on the JBOD, and one drive contains the system, then six remain. Create a RAID 0 set on the six remaining drives.

If the JBOD has only three hard disk drives set aside for testing, create a hardware RAID 0 set on the three available drives.

  2. Insert the Windows XP Professional CD into the CD-ROM drive. Reinstall the operating system onto the drive that currently contains the operating system. During installation, reformat the system drive and create a completely new installation of Windows XP Professional.
  3. Install any drivers needed for connecting and using peripheral devices. After completion of the installation, restart the system.
  4. If the test device supports a tape drive, physically install a SCSI tape drive, and designate an unused SCSI ID for it, such as #5.
  5. Use Device Manager to install the driver for the tape drive, and prepare the media for testing by either formatting or erasing it, whichever is possible on the particular tape drive you are testing.
  6. Use the Windows Disk Management utility to divide the RAID 0 test set into three partitions: one 4 GB partition, formatted with the FAT file system; one 4 GB partition, formatted with the FAT32 file system; and one partition that fills the remaining space on the RAID 0 set, formatted with the NTFS file system.

To install the HCT 10.0

  1. Install the HCT kit.
  2. During installation, you are prompted to select a test kit. At the Custom Setup dialog box, expand Test Categories, expand Storage Controllers and Devices, and then click arrow next to RAID Controller. Click This feature, and all subfeatures, will be installed on local hard drive. Click Next.
  3. In the Ready to Install the Program window, click Install. A progress window appears as the HCT is installing. The Test Selection Wizard displays with all items selected. Click Next. When the installation is completed, click Finish.
  4. Run all tests in Running the RAID controller basic functionality manual tests with Windows XP, and then all the tests in Running the RAID controller basic functionality automated tests with Windows XP. After completing those tests, continue with the following procedures for testing RAID 1 and RAID 5 sets.

To configure the JBOD for testing with a RAID 1 set

  1. Use the test device hardware RAID configuration utility, or BIOS, to delete the RAID 0 set, but not the system drive, and create as many pairs of RAID 1 sets as there is space on the JBOD.

For example, if there are seven drives on the JBOD, one drive contains the system, and six remain. Create three RAID 1 sets of two drives each on the remaining drives, using six hard disk drives. Leave any other remaining drive on the JBOD in an undefined state.

If the JBOD has only three hard disk drives set aside for testing, create a hardware RAID 1 set on two of the drives. Leave the remaining drive in an undefined state.

  2. Partition the test RAID sets, except for one set, if there is more than one set, to the full size of each set, and format them with the NTFS file system.

Use the Windows Disk Management utility to divide the remaining RAID 1 set into three partitions: one 4 GB partition, formatted with the FAT file system; another 4 GB partition, formatted with the FAT32 file system; and one partition that consumes the remaining space on the RAID 1 set, formatted with the NTFS file system.

  3. Start Test Manager. The Changes in Hardware or Drivers Detected window displays. Click Reset Submission…, and follow the wizard steps for resetting Test Manager. Because the system configuration has changed, Test Manager must be reset.
  4. Run all tests in Running the RAID controller basic functionality manual tests with Windows XP, and then all the tests in Running the RAID controller basic functionality automated tests with Windows XP. When the tests are completed, continue with the following procedure for testing a RAID 5 set.

To configure the JBOD for testing with a RAID 5 set

  1. Use the test device's hardware RAID configuration utility, or BIOS, to delete the RAID 1 sets, and create one RAID 5 set with the same drives.

For example, if there are seven drives on the JBOD, one contains the system, then six drives remain. Create a single RAID 5 set with the six remaining drives.

If the JBOD has only three hard disk drives set aside for testing, create a hardware RAID 5 set on the three available drives.

  2. Use the Windows Disk Management utility to divide the RAID 5 set into three partitions: one 4 GB partition, formatted with the FAT file system; another 4 GB partition, formatted with the FAT32 file system; and one partition that consumes the remaining space on the RAID 5 set, formatted with the NTFS file system.
  3. Start Test Manager. The Changes in Hardware or Drivers Detected window will appear. Click Reset Submission…, and follow the wizard's steps for resetting the HCT. Because the system configuration has changed, it needs to be reset.
  4. Run all tests in Running the RAID controller basic functionality manual tests with Windows XP, and then all the tests in Running the RAID controller basic functionality automated tests with Windows XP.

Click to show or hide information. To configure a test JBOD with nine or more drives

Note: If the RAID controller is not bootable, do not install the Windows operating system onto the RAID 0 drive, as instructed to below. Instead, install the operating system on one of the identical SCSI hard disk drives.

  1. Use the test device's hardware RAID configuration utility, or BIOS, to set up the following RAID sets on the JBOD. All drives on the JBOD must be configured as part of a RAID set, or used as a system drive. If the JBOD has more than nine drives, set up all the drives available on the JBOD in roughly the same proportion as the following.
  • One hardware RAID 0 on a minimum 9.1 GB (9318.4 MB) drive to be used as a system drive.
  • One hardware RAID 0 set composed of three hard disk drives.
  • One hardware RAID 1 set composed of two hard disk drives
  • One hardware RAID 5 set composed of three hard disk drives
  2. Insert the Windows XP Professional CD into the CD-ROM drive. Reinstall the operating system onto the drive that currently contains the operating system. During installation, reformat the system drive and create a completely new installation of Windows XP Professional. Install any drivers needed for connecting and using peripheral devices.
  3. After completion of the installation, restart the system, if necessary.
  4. Use the Windows Disk Management utility to create the following partition configurations using all space available in each RAID sets:
  • On the RAID 0 set, create a 4 GB partition, and format it with the FAT file system. Create a second partition from the remaining space on the disk, and format it with the NTFS file system.
  • On the RAID 1 set, create a 4 GB partition, and format it with the FAT32 file system. Create a second partition with the remaining space on the disk, and format it with the NTFS file system. If several RAID 1 sets have been created, format half of them in the same way. Format the other half of the RAID 1 sets as single partitions with the NTFS file system.
  • On the RAID 5 set, create one partition, and format it with the NTFS file system.

To install the HCT 10.0

  1. Install the HCT kit.
  2. During installation, you are prompted to select a test kit. At the Custom Setup dialog box, expand Test Categories, expand Storage Controllers and Devices, and then click arrow next to RAID Controller. Click This feature, and all subfeatures, will be installed on local hard drive. Click Next.
  3. In the Ready to Install the Program window, click Install. A progress window appears as the HCT is installing. The Test Selection Wizard displays with all items selected. Click Next. When the installation is completed, click Finish.

Related links

RAID controller testing with Windows XP overview
Running the RAID controller basic functionality manual tests with Windows XP
Running the RAID controller basic functionality automated tests with Windows XP


Running the RAID controller basic functionality manual tests with Windows XP

To run the Crashdump Support test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Crashdump Support, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Extensible Firmware Interface test

Note: The Extensible Firmware Interface test is required only on 64-bit systems.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Extensible Firmware Interface, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Int 13H Extensions test

Note: The 13H Extensions test is required only on 32-bit systems.

  1. Start Test Manager.
  2. At the Test Manager window, in the Available Tests for Selected Test Category pane, select Int 13H Extensions, and then click Add Selection.
  3. Click Start Tests.
  4. Insert the test device driver(s) onto a formatted 1.44 MB floppy disk when prompted. A message appears that states that the system will reboot to the floppy disk.

If the system does not automatically restart, restart it manually.

  5. Follow the instructions displayed.
  6. When the test is completed, view test log files.
  7. Run all other required tests for this configuration.

To run the Public Import test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Public Import, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the RAID Data Integrity test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select RAID Data Integrity, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Signability test

Note: The Signability test is required only if the test device uses a manufacturer-supplied driver.

  1. In the Test Manager, in the Available Tests for Selected Test Category pane, select Signability, and then click Add Selection.
  2. Click Start Tests.
  3. Follow the instructions displayed.
  4. When the test is completed, view test log files.
  5. Run all other required tests for this configuration.

Related links

Running the RAID controller basic functionality automated tests with Windows XP


Running the RAID controller basic functionality automated tests with Windows XP

To run the RAID controller basic functionality automated tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection:
  • ACPI Stress - Device I/O (Extended)
  • CD-ROM (File I/O) (required only if a CD-ROM drive is attached to test device)
  • ChkINF-SCSI Adapter (required only if the test device uses a driver that does not ship with Windows XP)
  • Disk Stress
  • Driver Verifier - RAID Controller
  • Enable/Disable - Device I/O (Extended)
  • FAT - File I/O
  • NTFS - File I/O
  • PCI 2.2 Compliance - RAID
  • Storage Device Stress
  • SysCache
  • Tape I/O
  3. Click Start Tests.
  4. Follow the instructions displayed

To run the PCI Latency test

Important: The PCI Latency test must be the last test run on each test deviceand just before the test system drive is reformatted.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Z[Run Last] PCI Latency, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. After you have successfully completed the current tests, return test results. Test results must be returned before continuing with the next section of testing.

Name the test results cabinet file Company name Device name RCpBFX.cab, where Company name is the name of your company and Device name is the name of your test device, and X represents the number of times this test suite has been run, beginning with the number 1. For example, on the third run of these tests, the name of the .cab file should be RCpBF3.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed the required tests for the part of the testing now being completed.


RAID controller hardware failure and stress testing with Windows XP overview

These tests examine the response of the RAID controller in unexpected hardware failure scenarios.

They also examine the process of rebuilding degraded drives. The tests in this section do not use any software support from Windows® XP.

The hardware stress tests examine the response of the RAID controller when the hardware is put under stress for an extended period of time.

RAID controller hardware failure and stress tests

Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device

  • RAID Data Integrity
  • Storage Device Stress
  • PCI Latency - RAID

Test suite run time: Up to 12 hours, depending on number and size of disk partitions.

Related links


Preparing for RAID controller hardware failure and stress testing with Windows XP

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware. This section summarizes the related requirements and procedures.

The configuration of the JBOD differs depending on whether you are testing:

  • JBOD with fewer than nine drives (or fewer than eight drives if the test device is not bootable)

- or -

  • JBOD with nine or more drives (or eight or more drives if the test device is not bootable)

Make certain that you follow the correct JBOD configuration procedure for your specific device.

For a complete list of hardware, software, and tester knowledge requirements, see RAID controller testing with Windows XP overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing RAID controller hardware failure testing with the Windows® XP Professional operating system.

Click to show or hide information. To configure a test JBOD with fewer than nine drives for hardware failure and stress tests

If the test JBOD has fewer than nine drives, you will not be able to set up all hardware RAID test sets at the same time.

To configure the JBOD for testing with a RAID 5 set

  1. Use the same configuration used for testing with a RAID 5 set on a JBOD with less than nine drives in Preparing for RAID controller basic functionality testing with Windows XP
  2. Start Test Manager. The Changes in Hardware or Drivers Detected window will appear. Click Reset Submission…, and follow the wizard steps for resetting Test Manager. Because the system configuration has changed, Test Manager must be reset.
  3. Run all tests in Running the RAID controller hardware failure and stress tests with Windows XP. When the tests are completed, continue with the following procedures for testing RAID 1 and RAID 0 sets.

To configure the JBOD for testing with a RAID 1 set

  1. Use the same configuration used for testing with a RAID 1 set on a JBOD with less than nine drives in Preparing for RAID controller basic functionality testing with WIndows XP.
  2. Start Test Manager. The Changes in Hardware or Drivers Detected window will appear. Click Reset Submission…, and follow the wizard steps for resetting Test Manager. Because the system configuration has changed, Test Manager must be reset.
  3. Run all tests in Running the RAID controller hardware failure and stress tests with Windows XP. When the tests are completed, continue with the following procedure for testing with a RAID 0 set.

To configure the JBOD for testing with a RAID 0 set

  1. Use the same configuration used for testing with a RAID 0 set on a JBOD with less than nine drives in Preparing for RAID controller basic functionality testing with WIndows XP.
  2. Start Test Manager. The Changes in Hardware or Drivers Detected window will appear. Click Reset Submission…, and follow the wizard steps for resetting Test Manager. Because the system configuration has changed, Test Manager must be reset.
  3. Run all tests in Running the RAID controller hardware failure and stress tests with Windows XP.

Click to show or hide information. To configure a test JBOD with nine or more drives for hardware failure and stress tests

  1. Use the same configuration used for testing a JBOD with nine or more drives in Preparing for RAID controller basic functionality testing with Windows XP.
  2. Start Test Manager. The Changes in Hardware or Drivers Detected window will appear. Click Reset Submission…, and follow the wizard steps for resetting Test Manager. Because the system configuration has changed, Test Manager must be reset.
  3. Run all tests in Running the RAID controller hardware failure and stress tests with Windows XP.

Related links


Running the RAID controller hardware failure and stress tests with Windows XP

To run the hardware failure tests

  1. Start Test Manager.
  2. At the Test Manager window, in the Available Tests for Selected Test Category pane, select RAID Data Integrity, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the hardware stress tests

  1. At the Test Manager window, in the Available Tests for Selected Test Category pane, select Storage Device Stress, and then click Add Selection.
  2. Click Start Tests.
  3. Follow the instructions displayed.

To run the PCI Latency test

Important: The PCI Latency test must be the last test run on each test and just before the test system drive is reformatted

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Z[Run Last] PCI Latency, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. After you have successfully completed the current tests, return test results. Test results must be returned prior to continuing with the next section of testing, and when all testing for this test category has been completed.

Name the test results cabinet file Company name Device name RCpHFX.cab, where Company name is the name of your company and Device name is the name of your test device, and X represents the number of times this test suite has been run, beginning with the number 1. For example, on the third run of these tests, the name of the .cab file should be RCpHF3.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed the required tests for the part of the testing now being completed.


RAID controller double PCI-to-PCI bridge and dual adapter testing with Windows XP overview

These tests examine test device functionality on a test system when double PCI-to-PCI bridge and two test device RAID controllers are used in conjunction with a JBOD.

Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The RAID controller double PCI-to-PCI bridge and dual adapter tests in the HCT are:

  • Storage Device Stress
  • PCI Latency - RAID Controller

Test suite run time: Up to 12 hours, depending on number and size of disk partitions.

Related links


Preparing for RAID controller double PCI-to-PCI bridge and dual adapter testing with Windows XP

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see the RAID controller testing with Windows XP overview.

Test system configuration

The HCT kit requires the following to prepare the test system for RAID controller double PCI-to-PCI bridge and dual adapter testing for the Windows® XP Professional operating system.

To configure the test systems for RAID controller double PCI-to-PCI bridge and dual adapter testing with Windows XP

  1. Turn off the test system. Remove the test device from its PCI slot.
  2. Insert one PCI-to-PCI bridge into the PCI slot.
  3. Insert a second PCI-to-PCI bridge into the first bridge.
  4. Reinstall the RAID controller test device into the first PCI-to-PCI bridge.
  5. Install a second identical RAID controller into the second PCI-to-PCI bridge.
  6. If possible, set both cards to the same IRQ.
  7. Each RAID controller must be connected to its own hard disk drive, which may be part of a RAID system, or it may be a standalone hard disk drive. Restart the system.
  8. Use the Windows Disk Management utility to create a software RAID 1 set (mirrored set) of two drives, using one drive attached to the first RAID controller, and another drive attached to the second RAID controller.

Related links


Running the RAID controller double PCI-to-PCI bridge and dual adapter tests with Windows XP

To run the Storage Device Stress test

  1. Start Test Manager. The Changes in Hardware or Drivers Detected window will appear. Click Reset Submission…, and follow the wizard steps for resetting Test Manager. Because the system configuration has changed, Test Manager must be reset.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Storage Device Stress, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the PCI Latency - RAID Controller test

Important: The PCI Latency test must be the last test run on each test device and just before the test system drive is reformatted.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Z[Run Last] PCI Latency - RAID Controller, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. After you have successfully completed all tests required for this test submission, return test results.
  6. Name the test results cabinet file Company name Device name RCpDA.cab, where Company name is the name of your company and Device name is the name of your test device.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed the required tests for the part of the testing now being completed.


RAID controller testing with Windows Whistler Advanced Server overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

The RAID Controller Hardware Compatibility tests (HCT) are organized by system configuration.

The test procedures for each configuration are divided into a testing overview topic, a preparing for testing topic, and a running the HCT topic.

The test overview topics include links to detailed descriptions of all tests run in a particular configuration. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the test topics include instructions for running the HCT tools.

Tests vary, depending on the Windows® operating system installed when testing the RAID controller. The tests in this section are for testing with the Microsoft® Windows Whistler Advanced Server operating system. To test on Windows XP Professional see RAID Controller testing with Windows XP overviewRAID controller testing with Windows XP overview(St_92).

The testing begins with upgrade from Windows 2000 Advanced Server to Windows Whistler Advanced Server tests, and is followed by functionality tests.

Click to show or hide information. System configuration requirements

The RAID Controller HCT test kit includes the following test configurations:

  • RAID controller upgrade from Windows 2000 tests
  • RAID controller basic functionality tests
  • RAID controller hardware failure and stress tests
  • RAID controller hardware hot spares tests (if supported)
  • RAID controller software stress tests
  • RAID controller notification tests
  • RAID controller double PCI-to-PCI bridge and dual adapter tests
  • Large Memory Enabled/PAE support tests (optional)

Click to show or hide information. Hardware requirements

The following hardware is required to run the RAID Controller HCT.

One Intel Pentium, or equivalent, SCSI-based test system with the following:

  • Two PCI-based RAID controllers (SSA, SCSI, or Fibre Channel) to connect the host to the RAID system,
    – or –
    Two ATA/ATAPI RAID controllers

The RAID controllers are the test devices.

  • Minimum 256 MB of RAM
  • One PCI SCSI host bus adapter (HBA),
    – or –
    One on-board PCI SCSI bus
  • Two identical SCSI hard disk drives,
    – or –
    Two ATA/ATAPI hard disk drives, each with minimum 9.1 GB (9318.4 MB) capacity
  • Two PCI-to-PCI bridge devices
  • One JBOD, with a minimum of four drives. Each drive must be a minimum of 9.1 GB (9318.4 MB).
    – or –
    One ATA/ATAPI drive enclosure with a minimum of four drives, if the test device is ATA/ATAPI

Note: Tests run most efficiently if the JBOD or drive enclosure has a minimum of nine drives, or,eight drives if the test device is not bootable. With fewer than nine drives in the JBOD, you must run tests on one type of RAID at a time, and reconfigure the JBOD in sequence until all tests have been run with each RAID type.

  • One FoxFire II PCI adapter
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • All devices on the test system must be compliant with WLP 1.1 (B2.5.2) Industry Standards.

Important: All hardware (except the test device) must be included on the Microsoft Windows Hardware Compatibility List (HCL).

The following devices are required only if supported by the test device:

  • One SCSI or ATA/ATAPI CD-ROM drive.
  • One SCSI or ATAPI back-up tape drive.

If testing for Large Memory Enabled (PAE) qualification of the PCI-based Fibre Channel adapter, the following additional hardware is required:

  • RAID controllers must be 64-bit component controllers
  • Minimum 6 GB of RAM

Click to show or hide information. Software requirements

The following software is required to run the RAID Controller HCT kit:

  • Windows 2000 Advanced Server operating system.
  • Windows Whistler Advanced Server operating system.
  • Any drivers that do not ship with the Windows 2000 Advanced Server, or Windows Whistler Advanced Server.
  • The current release of Windows Whistler HCT 10.0.

Click to show or hide information. Tester knowledge requirements

To run the RAID controller tests, testers must know how to do the following tasks:

  • Read NT-based test logs and event logs.
  • Configure systems to different RAID sets.
  • Create and format logical drives.
  • Install and configure Microsoft Debugging Tools for Windows with symbols.
  • Install Windows 2000 Advanced Server and Windows Whistler Advanced Server from product CDs.

Related links

FoxFire II PCI adapter
RAID controller upgrade from Windows 2000 Advanced Server testing overview
RAID controller basic functionality testing with Windows Whistler Advanced Server overview
RAID controller hardware failure and stress testing with Windows Whistler Advanced Server overview
RAID controller hot spares testing with Windows Whistler Advanced Server overview
RAID controller software stress testing with Windows Whistler Advanced Server overview
RAID controller notification testing with Windows Whistler Advanced Server overview

RAID controller double PCI-to-PCI bridge and dual adapter testing with Windows Whistler Advanced Server overview

RAID controller Large Memory Enabled/PAE support testing with Windows Whistler Advanced Server overview


RAID controller upgrade from Windows 2000 Advanced Server testing overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

These tests verify that the Windows® Whistler Advanced Server drivers for the test device can successfully upgrade the Windows 2000 Advanced Server drivers.

RAID controller upgrade from Windows 2000 Advanced Server tests

Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device

  • Disk Stress
  • Driver Verifier – RAID Controller
  • PCI Latency - RAID Controller

Test suite run time: 2.5 to 5 hours

Related links


Preparing for RAID controller upgrade from Windows 2000 Advanced Server testing

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, install Windows® 2000 Advanced Server, and upgrade to Windows Whistler Advanced Server. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see RAID controller testing with Windows Whistler Advanced Server overview.

Test system configuration

The Raid Controller HCT kit requires the following to prepare the test system for testing.

Click to show or hide information. To configure the test system for RAID controller upgrade from Windows 2000 Advanced Server tests

Turn off the test system and install the following hardware. The bus and the test device must both be of the same type—either SCSI only or ATA/ATAPI only.

  1. If the test system does not have an on-board SCSI controller, physically install one PCI SCSI controller.
  2. Physically install the two identical SCSI hard disk drives on the SCSI bus.
  3. Physically install the test device.
  4. Physically install the Foxfire II PCI adapter.
  5. If the test device allows connection of a CD-ROM drive, physically install a CD-ROM drive and assign a unique SCSI ID to it.
  6. If the test device allows connection of a tape backup drive, physically install a tape backup drive and assign a unique SCSI ID to it.
  7. Physically install a RAID JBOD device, and the network adapter.
  8. Connect the network adapter through a network cable, or a LAN, to the second test system that is to serve as the client system.
  9. Turn on the test system.

Click to show or hide information. To install Windows 2000 Advanced Server

Note: If the RAID controller is not bootable, do not install the Windows operating system onto the RAID 0 drive, as instructed to below. Instead, install the operating system on one of the identical SCSI hard disk drives.

  1. If the test device is bootable, and the attached JBOD has at least five drives, use the test device hardware RAID configuration utility, or BIOS, to create a hardware RAID 0 on a minimum 9.1 GB (9318.4 MB) drive, which will be used as a system drive.
  2. Create a minimum 9.1 GB (9318.4 MB) partition on the drive, and format it with the NTFS file system.
  3. Install Windows 2000 Advanced Server onto the minimum 9.1 GB (9318.4 MB) partition on the RAID 0 drive set aside for the system drive.
  4. Install any drivers needed for connecting and using peripheral devices. After completion of the installation, restart the system.

Click to show or hide information. To upgrade to Windows Whistler Advanced Server and install the HCT

  1. Upgrade Windows 2000 Advanced Server to Windows Whistler Advanced Server. Install any drivers needed for connecting and using peripheral devices.
  2. Install the HCT kit.
  3. During installation, you are prompted to select a test kit. At the Custom Setup dialog box, expand Test Categories, expand Storage Controllers and Devices, and then click arrow next to RAID Controller. Click This feature, and all subfeatures, will be installed on local hard drive. Click Next.
  4. In the Ready to Install the Program window, click Install. A progress window appears as the HCT is installing. The Test Selection Wizard displays with all items selected. Click Next. When the installation is completed, click Finish.

Related links


Running the RAID controller upgrade from Windows 2000 Advanced Server tests

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To run the RAID controller upgrade from Windows 2000 tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection:
  • Disk Stress
  • Driver Verifier - RAID Controller
  3. Click Start Tests.
  4. When the test is completed, view test log files.

To run the PCI Latency - RAID Controller test

Important: The PCI Latency - RAID Controller test must be the last test run on each test device configuration.

  1. Start Test Manager, if it is not already started..
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Z[Run Last] PCI Latency - RAID Controller, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. After you have successfully completed all tests required for this upgrade test, return test results.

Name the test results cabinet file Company name Device name RCsUG.cab, where Company name is the name of your company and Device name is the name of your test device.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for the test configuration.


RAID controller basic functionality testing with Windows Whistler Advanced Server overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

The tests examine basic component functionality and the connections on the system.

Before you begin running these tests, you must reformat the system drive, and reinstall Windows Whistler Advanced Server. This section summarizes the related requirements and procedures.

Click to show or hide information. RAID controller basic functionality tests

Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device

The following tests require user intervention and must be run individually:

  • Crashdump Support
  • Extensible Firmware Interface (for 64-bit systems only)
  • Int 13H Extensions (for 32-bit systems only)
  • Public Import
  • RAID Data Integrity
  • Signability

The following tests are automated and can be run together in a group:

  • ACPI Stress – Device I/O (Disk Only)
  • CD-ROM (File I/O) (required only if a CD-ROM drive is attached to test device)
  • ChkINF-SCSI Adapter (required only if the test device uses a driver that does not ship with Windows Whistler Advanced Server)
  • Disk Stress
  • Driver Verifier - RAID Controller
  • Enable/Disable - Device I/O (Storage)
  • FAT - File I/O
  • NTFS File I/O
  • PCI 2.2 Compliance
  • Storage Device Stress
  • SysCache
  • Tape I/O
  • PCI Latency - RAID

Test suite run time: 12 hours

Related links

RAID controller testing with Windows Whistler Advanced Server overview
Preparing for RAID controller basic functionality testing with Windows Whistler Advanced Server


Preparing for RAID controller basic functionality testing with Windows Whistler Advanced Server

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, and install Windows® Whistler Advanced Server. This section summarizes the related requirements and procedures.

The configuration of the JBOD differs depending on whether you are testing:

  • JBOD with fewer than nine drives (or fewer than eight drives if the test device is not bootable)

- or -

  • JBOD with nine or more drives (or eight or more drives if the test device is not bootable)

Make certain that you follow the correct JBOD configuration procedure for your specific device.

For a complete list of hardware, software, and tester knowledge requirements, see RAID controller testing with Windows Whistler Advanced Server overview.

Test system configuration

The HCT kit requires the following to prepare the test system for the RAID controller basic functionality testing with Windows Whistler Advanced Server.

Click to show or hide information. To configure a test RAID 0 set on a JBOD with fewer than nine drives

Note: If the RAID controller is not bootable, do not install the Windows operating system onto the RAID 0 drive, as instructed to below. Instead, install the operating system on one of the identical SCSI hard disk drives.

If the JBOD attached to the test device contains fewer than nine drives, you will not be able to set up all hardware RAID test sets at the same time.

  1. If the operating system is installed on a JBOD drive, use the test device's hardware RAID configuration utility, or BIOS, to create one hardware RAID 0 set with all remaining drives on the JBOD.

For example, if there are seven drives on the JBOD, and one drive contains the system, then six remain. Create one RAID 0 set with the six remaining drives.

If the JBOD has only three hard disk drives set aside for testing, create one hardware RAID 0 set with the three available drives.

  2. Insert the Windows Whistler Advanced Server CD into the CD-ROM drive. Reinstall the operating system onto the drive that currently contains the operating system. During installation, reformat the system drive to create a completely new installation of Windows Whistler Advanced Server.
  3. Install any drivers needed for connecting and using peripheral devices. After completion of the installation, restart the system.
  4. If the test device supports a tape drive, physically install a SCSI tape drive, and designate an unused SCSI ID for it, such as #5.
  5. Use Device Manager to install the driver for the tape drive, and prepare the media for testing by either formatting or erasing it, whichever is possible on the particular tape drive you are testing.
  6. Use the Windows Disk Management utility to divide the RAID 0 test set into three partitions: one 4 GB partition, formatted with the FAT file system; one 4 GB partition, formatted with the FAT32 file system; and one partition that fills the remaining space on the RAID 0 set, formatted with the NTFS file system.

To install the HCT 10.0

  1. Install the HCT kit.
  2. During installation, you are prompted to select a test kit. At the Custom Setup dialog box, expand Test Categories, expand Storage Controllers and Devices, and then click arrow next to RAID Controller. Click This feature, and all subfeatures, will be installed on local hard drive. Click Next.
  3. In the Ready to Install the Program window, click Install. A progress window appears as the HCT is installing. The Test Selection Wizard displays with all items selected. Click Next. When the installation is completed, click Finish.
  4. Run all tests in Running the RAID controller basic functionality manual tests with Windows Whistler Advanced Server, and then all the tests in Running the RAID controller basic functionality automated tests with Windows Whistler Advanced Server. After completing those tests on the RAID 0 set, continue with the following procedures for testing RAID 1 and RAID 5 sets.

To configure for testing with a RAID 1 set

  1. Use the test device's hardware RAID configuration utility, or BIOS, to delete the RAID 0 set, and create as many pairs of RAID 1 sets as there is room for on the JBOD.

For example:

  • If there are eight drives on the JBOD, and one drive contains the operating system, then seven drives remain. Create three RAID 1 sets of two drives each for a total six disks. Leave any remaining drive in an undefined state.
  • If the test device has only three hard disk drives set aside for testing create a hardware RAID 1 set on two of the drives. Leave the remaining drive in an undefined state.
  2. Partition the test RAID 1 sets, except for one set, if there is more than one set, to the full size of each set, and format them with the NTFS file system. Use the Windows Disk Management utility to divide the remaining RAID 1 set into three partitions: one 4 GB partition, formatted with the FAT file system; another 4 GB partition, formatted with the FAT32 file system; and one partition that fills the remaining space on the RAID 1 set, formatted with the NTFS file system.
  3. Start Test Manager. The Changes in Hardware or Drivers Detected window displays. Click Reset Submission…, and follow the wizard steps for resetting Test Manager. Because the system configuration has changed, Test Manager must be reset.
  4. Run all tests in Running the RAID controller basic functionality manual tests with Windows Whistler Advanced Server, and then all the tests in Running the RAID controller basic functionality automated tests with Windows Whistler Advanced Server. After completing those tests, continue with the following procedure for testing a RAID 5 set.

To configure for testing with a RAID 5 set

  1. Use the test device's hardware RAID configuration utility, or BIOS, to delete the RAID 1 sets, and create one RAID 5 set with the same drives.

For example, if there are seven drives on the JBOD, one contains the system, then six drives remain. Create a single RAID 5 set with the six remaining drives.

If the JBOD has only three hard disk drives set aside for testing, create a hardware RAID 5 set on the three available drives.

  2. Use the Windows Disk Management utility to divide the RAID 5 set into three partitions: one 4 GB partition, formatted with the FAT file system; a second 4 GB partition, formatted with the FAT32 file system; and a third partition that fills the remaining space on the RAID 5 set, formatted with the NTFS file system.
  3. Start Test Manager. The Changes in Hardware or Drivers Detected window will appear. Click Reset Submission…, and follow the wizard steps for resetting Test Manager. Because the system configuration has changed, Test Manager must be reset.
  4. Run all tests in Running the RAID controller basic functionality manual tests with Windows Whistler Advanced Server, and then all the tests in Running the RAID controller basic functionality automated tests with Windows Whistler Advanced Server.

Click to show or hide information. To configure a test JBOD with nine or more drives

Note: If the RAID controller is not bootable, do not install the Windows operating system onto the RAID 0 drive, as instructed to below. Instead, install the operating system on one of the identical SCSI hard disk drives.

  1. Use the test device's hardware RAID configuration utility, or BIOS, to set up the following RAID sets on the JBOD. All drives on the JBOD must be configured as part of a RAID set, or used as a system drive. If the JBOD has more than nine drives, set up all the drives available on the JBOD in roughly the same proportion as the following.
  • One hardware RAID 0 set on a minimum 9.1 GB (9318.4 MB) drive to be used as a system drive.
  • One hardware RAID 0 set composed of three hard disk drives.
  • One hardware RAID 1 set composed of two hard disk drives

If JBOD is larger than nine hard disk drives, so that more than two drives will be formatted as RAID 1 sets, create multiple pairs of RAID 1 sets, each composed of two hard disk drives.

  • One hardware RAID 5 set composed of three hard disk drives
  2. Insert the Windows Whistler Advanced Server CD into the CD-ROM drive. Reinstall the operating system onto the drive that currently contains the operating system. During installation, reformat the system drive and create a completely new installation of Windows Whistler Advanced Server. Install any drivers needed for connecting and using peripheral devices.
  3. After completion of the installation, restart the system, if necessary.
  4. Use the Windows Disk Management utility to create the following partition configurations using all space available in each RAID set:
  • On the RAID 0 set, create a 4 GB partition, and format it with the FAT file system. Create a second partition with the remaining space on the disk, and format it with the NTFS file system.
  • On the RAID 1 set, create a 4 GB partition, and format it with the FAT32 file system. Create a second partition with the remaining space on the disk, and format it with the NTFS file system. If several RAID 1 sets have been created, format half of them in the same way. Format the other half of the RAID 1 sets as single partitions with the NTFS file system.
  • On the RAID 5 set, create one partition, and format it with the NTFS file system.

To install the HCT 10.0

  1. Install the HCT kit.
  2. During installation, you are prompted to select a test kit. At the Custom Setup dialog box, expand Test Categories, expand Storage Controllers and Devices, and then click arrow next to RAID Controller. Click This feature, and all subfeatures, will be installed on local hard drive. Click Next.
  3. In the Ready to Install the Program window, click Install. A progress window appears as the HCT is installing. The Test Selection Wizard displays with all items selected. Click Next. When the installation is completed, click Finish.

Related links

RAID controller testing with Windows Whistler Advanced Server overview
Running the RAID controller basic functionality manual tests with Windows Whistler Advanced Server
Running the RAID controller basic functionality automated tests with Windows Whistler Advanced Server


Running the RAID controller basic functionality manual tests with Windows Whistler Advanced Server

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To run the Crashdump Support test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Crashdump Support, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Extensible Firmware Interface test

Note: The Extensible Firmware Interface test is required only on 64-bit systems.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Extensible Firmware Interface, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Int 13H Extensions test

Note: The 13H Extensions test is required only on 32-bit systems.

  1. Start Test Manager.
  2. At the Test Manager window, in the Available Tests for Selected Test Category pane, select Int 13H Extensions, and then click Add Selection.
  3. Click Start Tests.
  4. Insert the test device driver(s) onto a formatted 1.44 MB floppy disk when prompted. A message appears that states that the system will reboot to the floppy disk.

If the system does not automatically restart, restart it manually.

  5. Follow the instructions displayed.
  6. When the test is completed, view test log files.
  7. Run all other required tests for this configuration.

To run the Public Import test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Public Import, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the RAID Data Integrity test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select RAID Data Integrity, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Signability test

Note: The Signability test is required only if the test device uses a manufacturer-supplied driver.

  1. In the Test Manager, in the Available Tests for Selected Test Category pane, select Signability, and then click Add Selection.
  2. Click Start Tests.
  3. Follow the instructions displayed.
  4. When the test is completed, view test log files.
  5. Run all other required tests for this configuration.

Related links

Running the RAID controller automated basic functionality tests with Windows Whistler Advanced Server


Running the RAID controller basic functionality automated tests with Windows Whistler Advanced Server

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To run the RAID controller automatic basic functionality tests

  1. Start Test Manager.
  2. From the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection:
  • ACPI Stress – Device I/O (Extended)
  • CD-ROM (File I/O) (required only if a CD-ROM drive is attached to test device)
  • ChkINF - SCSI Adapter (required only if the test device uses a driver that does not ship with Windows Whistler Advanced Server)
  • Disk Stress
  • Driver Verifier - RAID Controller
  • Enable/Disable - Device I/O (Storage)
  • FAT - File I/O
  • NTFS - File I/O
  • PCI 2.2 Compliance - RAID
  • Storage Device Stress
  • SysCache
  • Tape I/O
  3. Click Start Tests.
  4. Follow the instructions displayed

To run the PCI Latency test

Important: The PCI Latency test must be the last test run on each test system configuration.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Z[Run Last] PCI Latency, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. After you have successfully completed the current tests, return test results. Test results must be returned before continuing with the next section of testing.

Name the test results cabinet file Company name Device name RCsBFX.cab, where Company name is the name of your company and Device name is the name of your test device, and X represents the number of times this test suite has been run. For example, on the third run of these tests, the name of the .cab file should be RCpBF3.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed the required tests for the part of the testing now being completed.


RAID controller hardware failure and stress testing with Windows Whistler Advanced Server overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

These tests examine the response of the RAID controller in unexpected hardware failure scenarios.

They also examine the process of rebuilding degraded drives. The tests in this section do not use Windows Whistler Advanced Server RAID support.

The hardware stress tests examine the response of the RAID controller when the hardware is put under stress for an extended period of time.

RAID controller hardware failure and stress tests

Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device

  • RAID Data Integrity
  • Storage Device Stress
  • PCI Latency - RAID

Test suite run time: Up to 12 hours, depending on number and size of disk partitions.

Related links

RAID controller testing with Windows Whistler Advanced Server overview
Preparing for RAID controller hardware failure and stress testing with Windows Whistler Advanced Server


Preparing for RAID controller hardware failure and stress testing with Windows Whistler Advanced Server

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware. This section summarizes the related requirements and procedures.

The configuration of the JBOD differs depending on whether you are testing:

  • JBOD with fewer than nine drives (or fewer than eight drives if the test device is not bootable)

- or -

  • JBOD with nine or more drives (or eight or more drives if the test device is not bootable)

Make certain that you follow the correct JBOD configuration procedure for your specific device.

For a complete list of hardware, software, and tester knowledge requirements, see RAID controller testing with Windows Whistler Advanced Server overview.

Test system configuration

The HCT kit requires the following to prepare the test system for testing RAID controller hardware failure testing with the Windows® Whistler Advanced Server operating system.

Click to show or hide information. To configure a test JBOD with fewer than nine drives for hardware failure and stress tests

If the test JBOD has fewer than nine drives, you will not be able to set up all hardware RAID test sets at the same time.

To configure the JBOD for testing with a RAID 5 set

  1. Use the same configuration used for testing a RAID 5 set in Preparing for RAID controller basic functionality testing with Windows Whistler Advanced Server
  2. Start Test Manager. The Changes in Hardware or Drivers Detected window will appear. Click Reset Submission…, and follow the wizard steps for resetting Test Manager. Because the system configuration has changed, Test Manager must be reset.
  3. Run all tests in Running the RAID controller hardware failure and stress tests with Windows Whistler Advanced Server. When the tests are completed, continue with the following procedures for testing RAID 1 and RAID 0 sets.

To configure the JBOD for testing with a RAID 1 set

  1. Use the same configuration used for testing a RAID 1 set in Preparing for RAID controller basic functionality testing with Windows Whistler Advanced Server
  2. Start Test Manager. The Changes in Hardware or Drivers Detected window will appear. Click Reset Submission…, and follow the wizard steps for resetting Test Manager. Because the system configuration has changed, Test Manager must be reset.
  3. Run all tests in Running the RAID controller hardware failure and stress tests with Windows Whistler Advanced Server. When the tests are completed, continue with the following procedure for testing a RAID 0 set.

To configure the JBOD for testing with a RAID 0 set

  1. Use the same configuration used for testing a RAID 0 set in Preparing for RAID controller basic functionality testing with Windows Whistler Advanced Server
  2. Start Test Manager. The Changes in Hardware or Drivers Detected window will appear. Click Reset Submission…, and follow the wizard steps for resetting Test Manager. Because the system configuration has changed, Test Manager must be reset.
  3. Run all tests in Running the RAID controller hardware failure and stress tests with Windows Whistler Advanced Server.

Click to show or hide information. To configure a test JBOD with nine or more drives for hardware failure and stress tests

  1. Use the same configuration used for testing a JBOD with nine or more drives in Preparing for RAID Controller basic functionality testing with Windows Whistler Advanced Server.
  2. Start Test Manager. The Changes in Hardware or Drivers Detected window will appear. Click Reset Submission…, and follow the wizard's steps for resetting Test Manager. Because the system configuration has changed, Test Manager must to be reset.
  3. Run all tests in Running the RAID controller hardware failure and stress tests with Windows Whistler Advanced Server.

Related links

RAID controller testing overview with Windows Whistler Advanced Server
Running the RAID controller hardware failure and stress tests with Windows Whistler Advanced Server


Running the RAID controller hardware failure and stress tests with Windows Whistler Advanced Server

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To run the hardware failure tests

  1. Start Test Manager.
  2. At the Test Manager window, in the Available Tests for Selected Test Category pane, select RAID Data Integrity, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the hardware stress tests

  1. At the Test Manager window, in the Available Tests for Selected Test Category pane, select Storage Device Stress, and then click Add Selection.
  2. Click Start Tests.
  3. Follow the instructions displayed.

To run the PCI Latency test

Important: The PCI Latency test must be the last test run on each test device prior to each test system configuration change.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Z[Run Last] PCI Latency, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. After you have successfully completed the current tests, return test results. Test results must be returned before continuing with the next section of testing.

Name the test results cabinet file Company name Device name RCsHFX.cab, where Company name is the name of your company and Device name is the name of your test device, and X represents the number of times this test suite has been run, beginning with the number 1. For example, on the third run of these tests, the name of the .cab file should be RCsHF3.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed the required tests for the part of the testing now being completed.


RAID controller hot spares testing with Windows Whistler Advanced Server overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

These tests verify the ability of the test device to use a hot spare in a RAID set when one drive in the set fails. It also verifies that the test device can integrate a replaced drive into the JBOD. The tests in this section use only the test device's hardware RAID support, and no RAID support from the Windows operating system.

These tests must be run if the test device supports hot spares technology.

The tests in this section involve setting up, RAID 1, and RAID 5 sets on the JBOD device, and removing a drive from the JBOD during the writing of I/O. The test device should then begin using the hot spare to rebuild the RAID. Later, a normal drive is reinserted into the slot where the drive had been removed. The RAID system should remain intact after the drive is replaced.

These tests are for Windows Whistler Advanced Server only.

RAID controller hardware failure and stress tests

Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device

  • RAID Data Integrity
  • PCI Latency - RAID Controller

Test suite run time: TBD

Related links

RAID controller testing with Windows Whistler Advanced Server overview
Preparing for RAID controller hot spares testing with Windows Whistler Advanced Server overview


Preparing for RAID controller hot spares testing with Windows Whistler Advanced Server

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

Before running the Hardware Compatibility Tests (HCT) on the test system, you must install and configure the system hardware. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see RAID controller testing with Windows Whistler Advanced Server overview.

Test system configuration

The HCT kit requires the following to prepare the test system for RAID controller hot spares testing for the Windows® Whistler Advanced Server operating system.

Click to show or hide information. To configure the test system for RAID controller hot spares testing

Use the test device hardware RAID configuration utility, or BIOS, to delete the test RAID set or sets on the JBOD. Designate the following number of hot spares in proportion to the total number of drives in the JBOD. Make certain that any drive you designate as a hot spare has at least as much storage capacity as the largest drive to be used in any RAID set.

  • If JBOD has between four and 15 drives, designate one drive as a hot spare.
  • If JBOD has between 16 and 30 drives, designate two drives as hot spares.
  • If JBOD has over 30 drives, designate three drives as hot spares.

Click to show or hide information. To configure the test system for testing with RAID 0 set

  1. Use the test device's hardware RAID configuration utility, or BIOS, to create one RAID 0 set with all hard disk drives on the JBOD, except for the hot spare(s) and any system drive.
  2. Run all tests in Running the RAID controller hot spares tests with Windows Whistler Advanced Server. After completing those tests, continue with the following procedures for testing RAID 1 and RAID 5 sets.

Click to show or hide information. To configure the JBOD for testing with RAID 1 sets

  1. Use the test device's hardware RAID configuration utility, or BIOS, to delete the RAID 0 set, and create as many pairs of RAID 1 sets as there is room on the JBOD. For example, if there are eight drives on the JBOD, one drive is set aside as the hot spare, one contains the system, then six remain. Create three RAID 1 sets of two drives each on the remaining drives. Leave any other drive on the JBOD in an undefined state.
  2. Run all tests in Running the RAID controller hot spares tests with Windows Whistler Advanced Server. After finishing those tests, continue with the following procedure for testing a RAID 5 set.

Click to show or hide information. To configure the JBOD for testing with a RAID 5 set

  1. Use the test device's hardware RAID configuration utility, or BIOS, to delete the RAID 1 sets, and create one RAID 5 set with the same drives.

For example, if there are eight drives on the JBOD, one is set aside as the hot spare, one contains the system, then six drives remain. Create a single RAID 5 set with the six remaining drives.

  2. Run all tests in Running the RAID controller hot spares tests with Windows Whistler Advanced Server.

Related links

Running the RAID controller hot spares test with Windows Whistler Advanced Server


Running the RAID controller hot spares tests with Windows Whistler Advanced Server

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To run the hot spares tests

  1. Start Test Manager.
  2. At the Test Manager window, in the Available Tests for Selected Test Category pane, expand the folders as necessary, select RAID Data Integrity, and then click Add Selection.
  3. Click Start Tests.
  4. After multiple threads have initiated on the test system, manually remove one of the drives in the RAID set.
  5. After 15 minutes, replace the drive in the RAID.

To run the PCI Latency test

Important: The PCI Latency test must be the last test run on each test device prior to each test system configuration change.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Z[Run Last] PCI Latency, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. After you have successfully completed the current tests, return test results. Test results must be returned before continuing with the next section of testing.

Name the test results cabinet file Company name Device name RCsHSX.cab, where Company name is the name of your company and Device name is the name of your test device, and X represents the number of times this test suite has been run, beginning with the number 1. For example, on the third run of these tests, the name of the .cab file should be RCsHS3.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed the required tests for the part of the testing now being completed.


RAID controller software stress testing with Windows Whistler Advanced Server overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

These tests examine the response of the RAID controller when software RAIDs that are set up and managed by the Windows® Disk Management utility, are put under stress for an extended period of time.

RAID controller hardware failure and stress tests

Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device

  • Disk Stress

Test suite run time: TBD

Related links

RAID controller testing with Windows Whistler Advanced Server overview
Preparing for RAID controller software stress testing with Windows Whistler Advanced Server


Preparing for RAID controller software stress testing with Windows Whistler Advanced Server

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware. This section summarizes the related requirements and procedures.

The configuration of the JBOD differs depending on whether you are testing:

  • JBOD with fewer than nine drives (or fewer than eight drives if the test device is not bootable)

- or -

  • JBOD with nine or more drives (or eight or more drives if the test device is not bootable)

Make certain that you follow the correct JBOD configuration procedure for your specific device.

For a complete list of hardware, software, and tester knowledge requirements, see RAID controller testing with Windows Whistler Advanced Server overview.

Test system configuration

The HCT kit requires the following to prepare the test system for the RAID controller software stress testing for the Windows® Whistler Advanced Server.

Click to show or hide information. To configure a test JBOD with fewer than nine drives for software stress tests

To configure the JBOD with a software RAID 5 set

  1. Use the test device's hardware RAID configuration utility, or BIOS, to delete the RAID set(s) currently on the JBOD, and create as many one-drive hardware RAID 0 sets as there is space available on the JBOD.

For example, if there are seven drives on the JBOD, one drive contains the system, and six drives remain, create six individual hardware RAID 0 sets on the remaining drives on the JBOD.

  2. Use the Windows Disk Management utility to format the hardware RAID 0 drives with the NTFS file system.
  3. Use the Windows Disk Management utility to create one software RAID 5 set using all the hardware RAID 0 test drives on the JBOD, except for the system drive. Close the Windows Disk Management utility.
  4. Run all tests in Running the RAID controller software stress tests with Windows Whistler Advanced Server. After completing those tests, continue with the following procedure for testing with software RAID 1 and software RAID 0 sets.

To configure the JBOD with a software RAID 1 set

  1. Use the WIndows Disk Management utility to delete the existing software RAID set, and create as many pairs of RAID 1 sets as there is space available on the JBOD.

For example, if the six-drive RAID 5 set was previously set up on the JBOD, create three RAID 1 sets of two drives each for a total six drives. If there is a drive left over, leave it in an undefined state.

  2. Format each of the RAID 1 sets as single partition with the NTFS file system. Close the Windows Disk Management utility.
  3. Run all tests in Running the RAID controller software stress tests with Windows Whistler Advanced Server. After completing those tests, continue with the following procedure for testing a RAID 0 set.

To configure the JBOD with a software RAID 0 set

  1. Use the WIndows Disk Management utility to delete the existing software RAID sets, and create a single RAID 0 set with all available drives on the test device. For example, if there were software RAID 1 sets previously set up using six drives, with one extra remaining drive, create one software RAID 0 set of seven drives.
  2. Use the Windows Disk Management utility to format the RAID 0 set as a single partition with the NTFS file system.
  3. Run all tests in Running the RAID controller software stress tests with Windows Whistler Advanced Server.

Click to show or hide information. To configure a test JBOD with nine or more drives for software stress tests

  1. Use the test device's hardware RAID configuration utility, or BIOS, to delete the RAID set(s) currently on the JBOD, and create as many one-drive hardware RAID 0 sets as there is space available on the JBOD.

For example, if there are 20 drives on the JBOD, one drive contains the system, and 19 drives remain, create 19 individual hardware RAID 0 sets on the remaining drives on the JBOD.

  2. Use the Windows Disk Management utility to format the hardware RAID 0 drives with the NTFS file system.
  3. Use the Windows Disk Management utility to set up the following software RAID sets on the JBOD. All drives on the JBOD must be configured as part of a software RAID set. If the JBOD has more than nine drives, set up all the drives available on the JBOD in roughly the same proportion as the following.
  • If there is a system drive on the JBOD, leave it alone
  • One software RAID 0 set composed of three hard disk drives
  • One software RAID 1 set composed of two hard disk drives
  • One software RAID 5 set composed of three hard disk drives
  4. Close the Windows Disk Management utility.

Related links

RAID controller testing with Windows Whistler Advanced Server overview
Running the RAID controller software stress test with Windows Whistler Advanced Server


Running the RAID controller software stress tests with Windows Whistler Advanced Server

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To run the RAID controller software stress tests

  1. Start Test Manager.
  2. At the Test Manager window, in the Available Tests for Selected Test Category pane, select Disk Stress, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view and copy test log files.


RAID controller notification testing with Windows Whistler Advanced Server overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

This test series verifies that the test device can successfully send administrative alerts to the RAID system, and to a remote workstation.

These tests are required only if notification service is supported.

There are no automated tests for notification verification. The tester must observe and verify that notification occurs on a remote system.

Test suite run time: TBD

Related links

RAID controller with Windows Whistler Advanced Server testing overview
Preparing for RAID controller notification testing with Windows Whistler Advanced Server


Preparing for RAID controller notification testing with Windows Whistler Advanced Server

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

The HCT kit requires the following to prepare the test system for the RAID controller notification testing for the Windows® Whistler Advanced Server operating system:

Test system configuration

To configure the test system for notification testing

  1. From the Windows desktop, click Start, and then click Run.
  2. In the Open box, type srvmgr.exe \\[testmachine-name], and then click OK.
  3. Double click the test system name.
  4. Click Alerts.
  5. Add the name of the client system to the Receive the Alerts list.
  6. Click OK, click OK again, and then click Close.

Related links

RAID controller with Windows Whistler Advanced Server testing overview
Running the RAID controller notification tests with Windows Whistler Advanced Server


Running the RAID controller notification tests with Windows Whistler Advanced Server

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To run the RAID controller notification tests

Remove one of the RAID drives and verify that the client system receives notification.

Note: If the test system uses a client/server application setup to remote manage and receive alerts, you must set up this system according to the manufacturer's instruction and verify that the alert system works.


RAID controller double PCI-to-PCI bridge and dual adapter testing with Windows Whistler Advanced Server overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

These tests examine test device functionality on a test system when double PCI-to-PCI bridge and two RAID controllers are used in conjunction with a JBOD.

RAID controller double PCI-to-PCI bridge and dual adapter tests

Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device

  • Storage Device Stress

Test suite run time: TBD

Related links

RAID controller testing with Windows Whistler Advanced Server overview
Preparing for RAID controller double PCI-to-PCI bridge and dual adapter testing with Windows Whistler Advanced Server


Preparing for RAID controller double PCI-to-PCI bridge and dual adapter testing with Windows Whistler Advanced Server

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see the RAID controller testing with Windows Whistler Advanced Server overview.

Test system configuration

The HCT kit requires the following to prepare the test system for RAID controller double PCI-to-PCI bridge and dual adapter testing for the Windows® Advanced Server operating system.

To configure the test systems for RAID controller double PCI-to-PCI bridge and dual adapter testing

  1. Turn off the test system. Remove the test device from its PCI slot.
  2. Insert one PCI-to-PCI bridge into the PCI slot.
  3. Insert a second PCI-to-PCI bridge into the first bridge.
  4. Reinstall the RAID controller test device into the first PCI-to-PCI bridge.
  5. Install a second identical RAID controller into the second PCI-to-PCI bridge.
  6. If possible, set both cards to the same IRQ.
  7. Each RAID controller must be connected to its own hard disk drive, which may be part of a RAID system, or it may be a standalone hard disk drive.
  8. Restart the system.
  9. Use the Windows Disk Management utility to create a software RAID 1 set (mirrored set) of two drives, using one drive attached to the first RAID controller, and another drive attached to the second RAID controller.

Related links

RAID controller testing with Windows Whistler Advanced Server overview
Running the RAID controller double PCI-to-PCI bridge and dual adapter testing with Windows Whistler Advanced Server


Running the RAID controller double PCI-to-PCI bridge and dual adapter tests with Windows Whistler Advanced Server

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To run the RAID controller double PCI-to-PCI bridge and dual adapter testing

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Storage Device Stress, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.


RAID controller Large Memory Enabled/PAE support testing with Windows Whistler Advanced Server overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

These tests examine the functionality of devices and drivers that are Large Memory Enabled (LME) for Windows Whistler Advanced Server using Physical Address Extensions (PAE). These devices must support a minimum of 6 GB of system memory.

These tests are required for 64-bit component adapters only.

RAID controller Large Memory Enabled (PAE) support tests

Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device

  • Large Memory/PAE - Phase
  • Large Memory/PAE - Phase
  • Large Memory/PAE - System
  • PCI Latency - RAID

Test suite run time: TBD

Related links

RAID controller testing with Windows Whistler Advanced Server overview
Preparing for RAID controller Large Memory Enabled/PAE support testing with Windows Whistler Advanced Server


Preparing for RAID controller Large Memory Enabled/PAE support testing with Windows Whistler Advanced Server

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To run the Large Memory Enabled (LME) using Physical Address Extensions (PAE) tests, devices and drivers must support a minimum of 6 GB of system memory

These tests are required for 64-bit component adapters only.

Test system configuration

To configure the test system for Large Memory Enabled (PAE) Support testing

  1. Use the same configuration used for testing a JBOD with nineor more drives in Preparing for RAID Controller software stress testing with Windows Whistler Advanced Server.

Related links

RAID controller testing with Windows Whistler Advanced Server overview
Running the RAID controller Large Memory Enabled/PAE support tests with Windows Whistler Advanced Server


Running the RAID controller Large Memory Enabled/PAE support tests with Windows Whistler Advanced Server

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To run the Large Memory Enabled/PAE tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • Large Memory/PAE - Phase 1
  • Large Memory/PAE - Phase 2
  • Large Memory/PAE - System Reset
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When tests are completed, view and copy test log files.

To run the PCI Latency test

  1. Start Test Manager.
  2. At the Test Manager window, in the Available Tests for Selected Test Category pane, expand the folders as necessary, select Z[Run Last] PCI Latency, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view and copy test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name RCSrvr.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.


ATA/ATAPI controller testing overview

The ATA/ATAPI Controller Hardware Compatibility Test (HCT) procedures are organized by system configuration.

The test procedures for each configuration are divided into a testing overview topic, a preparing for testing topic, and a running the HCT topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the test topics include instructions for running the HCT.

Click to show or hide information. System configuration requirements

The ATA/ATAPI Controller HCT kit includes the following test configurations:

  • ATA/ATAPI controller configuration 1
  • ATA/ATAPI controller configuration 2

Click to show or hide information. Hardware requirements

The following hardware is required to run the ATA/ATAPI Controller HCT kit:

  • ATA/ATAPI controller - This is the test device, which can be implemented in one of the two following ways:
  • Two separate motherboard implementations of the ATA/ATAPI controller, each implemented

– in –

  • One Intel Pentium, or equivalent, system with a logo-compliant ACPI BIOS with ACPI enabled by default, a minimum 256 MB of RAM, and one boot-capable floppy disk drive

The two systems must be from different manufacturers.

– or –

  • One add-in ATA/ATAPI controller adapter

– and –

  • One Intel Pentium, or equivalent, system with a logo-compliant ACPI BIOS ACPI enabled by default, a minimum 256 MB of RAM, and one boot-capable floppy disk drive
  • Two UDMA ATA/ATAPI hard disk drives with minimum 10 GB capacity

The hard disk drives must be from different manufacturers.

  • One DMA-capable ATA/ATAPI CD-ROM drive, minimum speed 8x
  • One DMA-capable ATA/ATAPI DVD-ROM drive
  • One ATA/ATAPI CD-RW drive
  • One blank CD-RW
  • One ATA/ATAPI removable media drive
  • One blank piece of media
  • One ATA/ATAPI tape drive
  • One blank tape cartridge that is prepared for use
  • One blank floppy disk
  • One FoxFire II PCI adapter
  • One audio adapter
  • One set of speakers
  • One set of headphones
  • Two standard ATA/ATAPI cables

ATA-66 and ATA-100 controllers require 80-conductor cables

  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)

Important: All hardware (except the test device) must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the ATA/ATAPI Controller HCT kit:

  • Windows® XP Professional operating system
  • Any drivers that do not ship with Windows XP Professional
  • The current release of the Windows XP HCT 10.0 on CD
  • Debugging Tools for Windows
  • Windows XP Symbols files
  • One CD-Extra title

The CD-Extra title must contain both motion video and music files.

  • One movie in CD-I format
  • One non-audio CD-ROM
  • One audio CD-ROM
  • One data DVD, such as Microsoft® Encarta® Reference Suite 2001 DVD-ROM

Click to show or hide information. Tester knowledge requirements

To run the ATA/ATAPI controller tests, testers must know how to do the following tasks:

  • Physically install a hard disk drive as a boot drive.
  • Format and partition a hard disk drive.
  • Physically install a CD-ROM drive as Device 1.
  • Physically install a CD-RW drive as Device 1.
  • Physically install an ATA/ATAPI tape drive as Device 0.
  • Prepare a blank tape cartridge for use.
  • Physically install a removable media drive as Device 1.
  • Format and partition a removable media drive.
  • Physically install a DVD-ROM drive as Device 1.
  • Access and change the system BIOS settings.
  • Install and use the Debugging Tools for Windows.
  • Install and use the Windows XP Symbols files.
  • Install the Windows XP Professional operating system from the product CD.

Related links


ATA/ATAPI controller configuration 1 testing overview

This test series examines how the test device works in the following configuration:

  • UDMA-capable hard disk drive installed as Device 0 (also called master) on the primary ATA/ATAPI channel
  • DMA-capable CD-ROM drive installed as Device 1 (also called slave) on the primary ATA/ATAPI channel
  • UDMA-capable hard disk drive installed as Device 0 on the secondary ATA/ATAPI channel
  • DMA-capable CD-RW drive installed as Device 1 on the secondary ATA/ATAPI channel

Click to show or hide information. ATA/ATAPI controller configuration 1 tests

The following tests are available for this hardware configuration. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests require user intervention and must be run individually:

  • ATA/ATAPI
  • CD-EXTRA Compatibility
  • CD-R/CD-RW Functionality
  • Crashdump Support
  • Driver Verifier - ATA/ATAPI Controller
  • Enable/Disable - Device I/O (ATA/ATAPI Controller)
  • INT 13H Extensions
  • Public Import
  • Signability
  • Video CD Support - Interactive

The following tests are automated and can be run together in a group:

  • ACPI Stress - Device I/O (Extended)
  • CD-ROM - File I/O
  • ChkINF - Hard Disk Controllers
  • FAT - File I/O
  • Mapped - File I/O
  • NTFS - File I/O
  • PCI 2.2 Compliance - ATA/ATAPI
  • PCI Latency
  • S3 Compliance
  • Storage Device Stress
  • SysCache

Test suite run time: Up to 32 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the ATA/ATAPI controller configuration 1 tests:

  • ATA/ATAPI controller - This is the test device, which can be implemented in one of the two following ways:
  • Two separate motherboard implementations of the ATA/ATAPI controller, each implemented

– in –

  • One Intel Pentium, or equivalent, system with a logo-compliant ACPI BIOS with ACPI enabled by default, a minimum 256 MB of RAM, and one boot-capable floppy disk drive

The two systems must be from different manufacturers.

– or –

  • One add-in ATA/ATAPI controller adapter

– and –

  • One Intel Pentium, or equivalent, system with a logo-compliant ACPI BIOS with ACPI enabled by default, a minimum 256 MB of RAM, and one boot-capable floppy disk drive
  • Two UDMA ATA/ATAPI hard disk drives with minimum 10 GB capacity.

The hard disk drives must be from different manufacturers.

  • One DMA-capable ATA/ATAPI CD-ROM drive, minimum speed 8x
  • One ATA/ATAPI CD-RW drive
  • One blank CD-RW
  • One blank floppy disk
  • One FoxFire II PCI adapter
  • One audio adapter
  • One set of speakers
  • One set of headphones
  • Two standard ATA/ATAPI cables

ATA-66 and ATA-100 controllers require 80-conductor cables.

  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)

Important: All hardware (except the test device) must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the ATA/ATAPI controller configuration 1 tests:

  • Windows® XP Professional operating system
  • Any drivers that do not ship with Windows XP Professional
  • The current release of the Windows XP HCT 10.0
  • Debugging Tools for Windows
  • Windows XP Symbols files
  • One CD-Extra title

The CD-Extra title must contain both motion video and music files.

  • One movie in CD-I format

Related links


Preparing for ATA/ATAPI controller configuration 1 testing

Before running the tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related procedures.

For a complete list of hardware and software requirements, see ATA/ATAPI controller configuration 1 testing overview.

For a complete list of tester knowledge requirements, see ATA/ATAPI controller testing overview.

Test system configuration

The HCT kit requires the following to prepare the test systems for testing ATA/ATAPI controller configuration 1 for the Windows XP Professional operating system:

To assemble the test system for ATA/ATAPI controller configuration 1 testing

  1. Physically install one FoxFire II PCI adapter.
  2. Physically install one UDMA hard disk drive (Drive 1) as Device 0 (also called master) on the primary ATA/ATAPI channel of the test device, using a standard ATA/ATAPI cable.
  3. Physically install the DMA-capable ATA/ATAPI CD-ROM drive as Device 1 (also called slave) on the primary ATA/ATAPI channel of the test device, using a standard ATA/ATAPI cable.
  4. Physically install one UDMA ATA/ATAPI hard disk drive (Drive 2) as Device 0 on the secondary ATA/ATAPI channel of the test device, using a standard ATA/ATAPI cable.
  5. Physically install one ATA/ATAPI CD-RW drive as Device 1 on the secondary ATA/ATAPI channel of the test device, using a standard ATA/ATAPI cable.
  6. Physically install the audio adapter.
  7. Physically install the speakers.

To configure the test system for ATA/ATAPI controller configuration 1 testing

  1. Turn on the test system and set the system BIOS to boot from the CD-ROM drive.
  2. Insert the Windows XP Professional operating system CD into the CD-ROM drive and restart the test system.
  3. Install the Windows XP Professional operating system on Drive 1.

During installation, delete any existing partitions and create one partition using a minimum of 8.5 GB of disk space. Format the partition with the NTFS file system.

  4. If necessary, install any manufacturer-supplied drivers for the test device.
  5. On Drive 2, delete any existing partitions and create three new partitions using a minimum 2,000 MB of disk space each. Format one partition with the FAT file system, one partition with the FAT32 file system, and one partition with the NTFS file system.
  6. Install the Debugging Tools for Windows to C:\debuggers
  7. Copy the Windows XP Symbols files to C:\Symbols
  8. Insert a blank CD-RW into the CD-RW drive.
  9. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select ATA/ATAPI Controller, and then click Next.

Related links

FoxFire II PCI adapter
ATA/ATAPI controller testing overview
Running the ATA/ATAPI controller configuration 1 manual tests
Running the ATA/ATAPI controller configuration 1 automated tests


Running the ATA/ATAPI controller configuration 1 manual tests

Important: If the test device is embedded on a motherboard, these tests must be run on two different test systems, and the systems must be from different manufacturers.

To run the ATA/ATAPI test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select ATA/ATAPI, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the CD-EXTRA Compatibility test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD-EXTRA Compatibility, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the CD-R/CD-RW Functionality test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD-R/CD-RW Functionality, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Crashdump Support test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Crashdump Support, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Driver Verifier - ATA/ATAPI Controller test

Note: The Driver Verifier - ATA/ATAPI Controller test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Driver Verifier - ATA/ATAPI Controller, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Enable/Disable - Device I/O (ATA/ATAPI Controller) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (ATA/ATAPI Controller), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the INT 13H Extensions test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select INT 13H Extensions, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Public Import test

Note: The Public Import test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Public Import, and then click Add Selection.
  3. Click Start Tests.
  4. A dialog box displays. Provide the path to your driver(s) as it appears on the distribution media and click Go.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Signability test

Note: The Signability test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Signability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Video CD Support - Interactive test

  1. Start Test Manager.
  2. Insert the CD-I into the CD-ROM drive.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select Video CD Support - Interactive, and then click Add Selection.
  4. Click Start Tests.
  5. Follow the instructions displayed.
  6. When the test is completed, view test log files.
  7. Run all other required tests for this configuration.

Related links

Running the ATA/ATAPI controller configuration 1 automated tests


Running the ATA/ATAPI controller configuration 1 automated tests

Important: If the test device is embedded on a motherboard, these tests must be run in two different test systems, and the systems must be from different manufacturers.

To run the ATA/ATAPI controller configuration 1 automated tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • ACPI Stress – Device I/O (Extended)
  • CD-ROM - File I/O
  • ChkINF - Hard Disk Controllers

Note: The ChkINF test is required only if the test device uses a manufacturer-supplied driver.

  • FAT - File I/O
  • Mapped - File I/O
  • NTFS - File I/O
  • PCI 2.2 Compliance - ATA/ATAPI
  • S3 Compliance
  • Storage Device Stress
  • SysCache
  3. Click Start Tests.
  4. When tests are completed, view test log files.
  5. Run all other required tests for this configuration.

To run the PCI Latency test

Important: The PCI Latency test must be run last, after all other tests have been completed successfully.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Z[Run Last] PCI Latency, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config1.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

ATA/ATAPI controller testing overview


ATA/ATAPI controller configuration 2 testing overview

The test examines how the test device works in the following configuration:

  • UDMA-capable hard disk drive installed as Device 0 (also called master) on the primary ATA channel
  • DVD-ROM drive installed as Device 1 (also called slave) on the primary ATA channel
  • ATA tape drive installed on the secondary ATA channel
  • ATA removable media drive installed on the secondary ATA channel

Click to show or hide information. ATA/ATAPI controller configuration 2 tests

The following tests are available for this hardware configuration. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests require user intervention and must be run individually:

  • ATA/ATAPI
  • Crashdump Support
  • Driver Verifier - ATA/ATAPI Controller
  • DVD
  • INT 13H Extensions

The following tests are automated and can be run together in a group:

  • ACPI Stress - Device I/O (Extended)
  • CD-ROM - File I/O
  • FAT - File I/O
  • Mapped - File I/O
  • PCI 2.2 Compliance - ATA/ATAPI
  • PCI Latency
  • Storage Device Stress
  • SysCache
  • Tape I/O

Run time: Up to 25 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the ATA/ATAPI controller configuration 2 tests.

  • ATA/ATAPI controller - This is the test device, which can be implemented in one of the two following ways:
  • Two separate motherboard implementations of the ATA/ATAPI controller, each implemented

– in –

  • One Intel Pentium, or equivalent, system with a logo-compliant ACPI BIOS with ACPI enabled by default, a minimum 256 MB of RAM, and one boot-capable floppy disk drive

The two systems must be from different manufacturers.

– or –

  • One add-in ATA/ATAPI controller adapter

– and –

  • One Intel Pentium, or equivalent, system with a logo-compliant ACPI BIOS with ACPI enabled by default, a minimum 256 MB of RAM, and one boot-capable floppy disk drive
  • Two UDMA ATA/ATAPI hard disk drives with minimum 10 GB capacity.

The hard disk drives must be from different manufacturers.

  • One DMA-capable ATA/ATAPI DVD-ROM drive.
  • One ATA/ATAPI removable media drive.
  • One blank piece of media.
  • One ATA/ATAPI tape drive.
  • One blank tape cartridge that is prepared for use.
  • One blank floppy disk.
  • Two standard ATA/ATAPI cables.

ATA-66 and ATA-100 controllers require 80-conductor cables.

  • One cable-select ATA/ATAPI cable.
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device).

Important: All hardware (except the test device) must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the ATA/ATAPI controller configuration 2 tests.

  • Windows XP Professional operating system
  • Any drivers that do not ship with Windows® XP Professional
  • The current release of the Windows XP HCT 10.0 on CD
  • One non-audio CD-ROM
  • One audio CD-ROM
  • One data DVD, such Microsoft® Encarta® Reference Suite 2001 DVD-ROM
  • Debugging Tools for Windows
  • Windows XP Symbols files

Related links


Preparing for ATA/ATAPI controller configuration 2 testing

Before running the tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware and software requirements, see ATA/ATAPI controller configuration 2 testing overview.

For a complete list of tester knowledge requirements, see ATA/ATAPI controller testing overview.

Test system configuration

The HCT kit requires the following to prepare the test systems for testing ATA/ATAPI controller configuration 2 basic for the Windows XP Professional operating system:

To assemble the test systems for ATA/ATAPI controller configuration 2 testing

  1. Physically install the UDMA hard disk drive as Device 0 (also called master) on the primary ATA/ATAPI channel, using a standard ATA/ATAPI cable.
  2. Physically install the ATA/ATAPI DVD-ROM drive as Device 1 (also called slave) on the primary ATA/ATAPI channel, using a standard ATA/ATAPI cable.
  3. Physically install the ATA/ATAPI tape drive as Device 0 on the secondary ATA/ATAPI channel, using a standard ATA/ATAPI cable.
  4. Physically install the ATA/ATAPI removable media drive as Device 1 on the secondary ATA/ATAPI channel, using a standard ATA/ATAPI cable.
  5. Physically install the audio adapter.
  6. Physically install the speakers.

To configure the test systems for ATA/ATAPI controller configuration 2 testing

  1. Turn on the test system and set the system BIOS to boot from the DVD-ROM drive.
  2. Insert the Windows XP Professional operating system CD into the DVD-ROM drive and restart the test system.
  3. Install the Windows XP Professional operating system on the hard disk drive.

During installation, delete any existing partitions and then create one partition. Format the partition with the NTFS file system. Leave a minimum of 1,000 MB of free disk space for an additional partition.

  4. After the operating system is installed, create a new partition of a minimum of 1,000 MB on the hard disk drive. Format the partition with the FAT32 file system.
  5. Install the Debugging Tools for Windows to C:\debuggers
  6. Copy the Windows XP Symbols files to C:\Symbols
  7. Insert a prepared blank tape cartridge into the tape drive and verify that the operating system detects the tape as free.
  8. Insert media into the removable media drive. Delete any existing partitions on the removable media drive and create one partition using all available disk space. Format the partition with the FAT file system.
  9. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select ATA/ATAPI Controller, and then click Next.

Related links

ATA/ATAPI controller testing overview
Running the ATA/ATAPI controller configuration 2 manual tests
Running the ATA/ATAPI controller configuration 2 automated tests


Running the ATA/ATAPI controller configuration 2 manual tests

Important: If the test device is embedded on a motherboard, these tests must be run in two different test systems, and the systems must be from different manufacturers.

To run the ATA/ATAPI test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select ATA/ATAPI, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Crashdump Support test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Crashdump Support, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Driver Verifier - ATA/ATAPI Controller test

Note: The Driver Verifier - ATA/ATAPI Controller test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Driver Verifier - ATA/ATAPI Controller, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the DVD test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select DVD, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Enable/Disable - Device I/O (ATA/ATAPI Controller) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (ATA/ATAPI Controller), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the INT 13H Extensions test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select INT 13H Extensions, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the ATA/ATAPI controller configuration 2 automated tests


Running the ATA/ATAPI controller configuration 2 automated tests

Important: If the test device is embedded on a motherboard, these tests must be run in two different test systems, and the systems must be from different manufacturers.

To run the ATA/ATAPI controller configuration 2 automated tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection
  • ACPI Stress - Device I/O (Extended)
  • CD-ROM - File I/O
  • FAT - File I/O
  • Mapped - File I/O
  • PCI 2.2 Compliance
  • Storage Device Stress
  • SysCache
  • Tape I/O
  3. Click Start Tests.
  4. When tests are completed, view test log files.
  5. Run all other required tests for this configuration.

To run the PCI Latency test

Important: The PCI Latency test must be run last, after all other tests have been completed successfully.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Z[Run Last] PCI Latency, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config2.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

ATA/ATAPI controller testing overview


Fibre Channel controller testing overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

The Fibre Channel controller HCT procedures are organized by system configuration.

The test procedures for each configuration are divided into an overview topic, a preparing for testing topic, and a running the HCT topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the test topics include instructions for running the HCT tools.

The testing begins with upgrade from Windows 2000 Advanced Server to Windows Whistler Advanced Server tests, and is followed by functionality tests.

Click to show or hide information. System configuration requirements

The RAID Fibre Channel controller HCT test kit includes the following test configurations:

  • Fibre Channel controller upgrade tests
  • Fibre Channel controller basic functionality tests
  • Fibre Channel controller double PCI-to-PCI bridge tests
  • Fibre Channel controller Large Memory/PAE support tests (optional)

Click to show or hide information. Hardware requirements

The following hardware is required to run the Fibre Channel Controller HCT kit.

  • Two Fibre Channel test controllers (tested individually, or together, as test require) - These are the test devices.
  • One Intel Pentium, or equivalent, test system with the following:
  • Minimum 400 MHz microprocessor
  • One PCI SCSI host bus adapter (HBA)
    – or –
    One on-board PCI SCSI bus
  • Two identical SCSI hard drives, minimum capacity of 9.1 GB (9318.4 MB) each
  • One SCSI or ATA/ATAPI CD-ROM drive
  • One Fibre Channel RAID system with a minimum of 30 drives installed

At least one of the drives must have a minimum capacity of 9.1 GB (9318.4 MB), to be used as the system drive.

  • Two PCI to PCI bridges.
  • One PCI bus.
  • One FoxFire II PCI adapter.
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device).

If testing for Large Memory Enabled (PAE) qualification of the PCI-based Fibre Channel controller, the following additional hardware is required:

  • Test controllers must be 64-bit component controllers
  • Minimum 6 GB of RAM

Important: The test system must be included on the Microsoft® Windows® Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the Fibre Channel Controller HCT kit:

  • Windows 2000 Advanced Server operating system.
  • Windows Whistler Advanced Server operating system.
  • Any drivers that do not ship with the Windows 2000 Advanced Server or Windows Whistler Advanced Server
  • The current release of Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the Fibre Channel controller tests, testers must know how to do the following tasks:

  • Read NT-based test logs and event logs.
  • Configure systems to different RAID sets.
  • Create and format logical drives.
  • Install and configure Microsoft Debugging Tools for Windows with symbols.
  • Install Windows 2000 Advanced Server and Windows Whistler Advanced Server from product CDs.

Related links

FoxFire II PCI adapter
Fibre Channel controller upgrade testing overview
Fibre Channel controller basic functionality testing overview
Fibre Channel controller double PCI-to-PCI bridge testing overview
Fibre Channel controller Large Memory/PAE support testing overview


Fibre Channel controller upgrade from Windows 2000 testing overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

These tests verify that the Windows® Whistler Advanced Server drivers for the test device can successfully upgrade the Windows 2000 Advanced Server drivers.

Fibre Channel controller upgrade from Windows 2000 Advanced Server tests

Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

  • Disk Stress
  • Driver Verifier – RAID Controller

Test suite run time: TBD

Related links


Preparing for Fibre Channel controller upgrade from Windows 2000 testing

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, install Windows 2000 Advanced Server, and then upgrade to Windows Whistler Advanced Server. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see Fibre Channel controller testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for the Fibre Channel controller upgrade tests.

To configure the test system for Fibre Channel controller upgrade tests

  1. Turn off the test system.
  2. If the test system does not have an on-board SCSI controller, physically install one PCI SCSI controller.
  3. Physically install the two identical SCSI hard disk drives on the SCSI bus.
  4. Physically install the test device.
  5. Physically install the CD-ROM drive.
  6. Physically install the Foxfire II PCI adapter.

Note: The FoxFire II PCI adapter must be installed for all HCT tests on the Windows Whistler Advanced Server operating system.

Click to show or hide information. To configure the test system if the test device is bootable

If the test device is not bootable, see To configure the test system if the test device is not bootable.

  1. Physically install the Fibre Channel RAID system onto the test device.
  2. Turn on the test system.
  3. Set up the following hardware RAID sets on the minimum 30-drive RAID system. If the RAID test system has more than 30 drives, leave the additional drives in an undefined state.
  • One hardware RAID 0 (striped, no parity) set of two drives to be used as the system drive, consuming two drives on the RAID system.
  • Two hardware RAID 0 (striped, no parity) sets of four drives each (total of eight drives) on the RAID system
  • Four hardware RAID 1 (mirrored) sets of two drives each (total of eight drives) on the RAID system.
  • Two hardware RAID 5 (striped with parity) sets of five drives each (total of ten drives) on the RAID system.
  • Set aside two drives to be designated later as hot spares on the RAID system.
  4. Install Windows 2000 Advanced Server onto the two-drive RAID 0 set designated to be the system drive.

Install any drivers needed for connecting and using any peripheral devices, including the test device. Complete the installation and restart the system, if necessary.

  5. Upgrade Windows 2000 Advanced Server by installing Windows Whistler Advanced Server. Install any drivers needed for connecting and using any peripheral devices, including any drivers needed for the test device.
  6. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup dialog box, expand Program Categories, expand Storage Controllers and Devices, and then click Fibre Channel Controller.. Click This feature, and all subfeatures, will be installed on local hard drive. Click Next.

  7. In the Ready to Install the Program window, click Install. A progress window displays as the HCT is installing. Click Next. When the progress window completes, click Finish.

Click to show or hide information. To configure the test system if the test device is not bootable

This section is for test devices that are not bootable. If the test device is bootable, see To configure the test system if the test device is bootable.

  1. Turn on the test system.
  2. Install Windows 2000 Advanced Server operating system from product CD onto one of the two SCSI hard drives.

Install any drivers needed for connecting and using any peripheral devices.

  3. Install the appropriate drivers for the test device, the Fibre Channel controller.
  4. Install the Fibre Channel RAID system to the test controller.
  5. Use the hardware RAID configuration utility, or BIOS, or other system of the RAID system to set up the following hardware RAID sets on the minimum 30 drive RAID system. If the RAID test system has more than 30 drives, leave the additional drives in an undefined state.
  • Two hardware RAID 0 (striped, no parity) sets of four drives each (total of eight drives) on the RAID system
  • Four hardware RAID 1 (mirrored) sets of two drives each (total of eight drives) on the RAID system.
  • Two hardware RAID 5 (striped with parity) sets of five drives each (total of ten drives) on the RAID system.
  • Set aside two drives to be designated later as hot spares on the RAID system.
  6. Restart the test system.
  7. Upgrade Windows 2000 Advanced Server by installing Windows Whistler Advanced Server. Install any drivers needed for connecting and using any peripheral devices, including any drivers needed for the test device.
  8. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup dialog box, expand Program Categories, expand Storage Controllers and Devices, and then click Fibre Channel Controller.. Click This feature, and all subfeatures, will be installed on local hard drive. Click Next.

  9. In the Ready to Install the Program window, click Install. A progress window displays as the HCT is installing. Click Next. When the progress window completes, click Finish.

Related links


Running the Fibre Channel controller upgrade from Windows 2000 tests

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To run the Fibre Channel controller upgrade tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection:
  • Disk Stress
  • Driver Verifier - RAID Controller
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. After you have successfully completed all tests required for this upgrade test, return test results.

Name the test results cabinet file Company name Device name Upgrd1.cab, where Company name is the name of your company and Device name is the name of your test device.


Fibre Channel controller basic functionality testing overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

This test series runs tests that verify the hardware connections across the Fibre Channel controller and its basic functionality on the test system. The tests exercise the Fibre Channel controller when used in an arbitrated loop configuration.

Tests begin after a fresh installation of Windows Whistler Advanced Server.

Click to show or hide information. Fibre Channel controller basic tests

The following tests require user intervention and must be run individually.

Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests require user intervention and must be run individually:

  • Crashdump Support
  • Driver Verifier - RAID Controller
  • Enable/Disable - Device I/O (Storage)
  • Int 13H Extensions
  • Public Import
  • RAID Data Integrity
  • Signability

The following tests are automated and can be run together in a group:

  • ACPI Stress - Device I/O (Extended)
  • ChkINF - Hard Disk Controllers
  • Disk Stress
  • Extensible Firmware Interface
  • FAT - File I/O
  • NTFS - File I/O
  • PCI 2.2 Compliance - RAID
  • S3 Compliance
  • Storage Device Stress
  • SysCache
  • Tape I/O

Note: The ChkINF and Signability tests are required only if the test device uses drivers that do not ship with Windows Whistler Advanced Server.

Related links


Running for Fibre Channel adapter manual basic tests

Windows XP HCT 10.0 - Storage

Previous Next

Preparing for Fibre Channel controller basic functionality testing

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, install Windows® Whistler Advanced Server. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see the Fibre Channel controller testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for Fibre Channel controller basic testing for Windows Whistler Advanced Server.

To configure the test system for Fibre Channel controller basic functionality tests

All RAID sets in the Fibre Channel controller tests are created as hardware RAIDs, unless otherwise stated.

  1. Reinstall Windows Whistler Advanced Server onto the drive that currently contains the operating system.

During installation, reformat the system drive to create a completely new installation of Windows Whistler Advanced Server.

  2. Install any drivers needed for connecting and using any peripheral devices, including any drivers needed for the test device.
  3. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup dialog box, expand Program Categories, expand Storage Controllers and Devices, and then click Fibre Channel Controller.. Click This feature, and all subfeatures, will be installed on local hard drive. Click Next.

  4. In the Ready to Install the Program window, click Install. A progress window displays as the HCT is installing. Click Next. When the progress window completes, click Finish.

Related links

Fibre Channel controller testing overview
Running the Fibre Channel controller basic functionality manual tests
Running the Fibre Channel controller basic functionality automated tests


Running the Fibre Channel controller basic functionality manual tests

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To run the Crashdump Support test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Crashdump Support, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Driver Verifier - RAID Controller test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Driver Verifier - RAID Controller, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Enable/Disable - Device I/O (Storage) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Storage), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Int 13H Extensions test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Int 13H Extensions, and then click Add Selection.
  3. Click Start Tests.
  4. Insert the test device driver(s) onto a formatted 1.44 MB floppy disk when prompted. A message appears that states that the system will reboot to the floppy disk.

If the system does not automatically restart, restart it manually.

  5. Follow the instructions displayed.
  6. When the test is completed, view test log files.
  7. Run all other required tests for this configuration.

To run the RAID Data Integrity test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select RAID Data Integrity, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Signability test

Note: The Signability test is required only if the test device uses a manufacturer-supplied driver.

  1. In the Test Manager, in the Available Tests for Selected Test Category pane, select Signability, and then click Add Selection.
  2. Click Start Tests.
  3. Follow the instructions displayed.
  4. When the test is completed, view test log files.
  5. Run all other required tests for this configuration.

Related links

Running the Fibre Channel controller automated basic tests


Running the Fibre Channel controller basic functionality automated tests

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To run the Fibre Channel controller basic functionality automated tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection:
  • ACPI Stress - Device I/O
  • ChkINF - Hard Disk Controllers
  • Disk Stress
  • Extensible Firmware Interface
  • FAT - File I/O
  • NTFS - File I/O
  • PCI 2.2 Compliance - RAID
  • S3 Compliance
  • Storage Device Stress
  • SysCache
  • Tape I/O
  3. Click Start Tests.
  4. Follow the instructions displayed


Fibre Channel controller double PCI-to-PCI bridge testing overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

These test series examines test device functionality when used:

  • In combination with PCI-to-PCI bridges
  • In pairs to execute a single software RAID 1 mirrored set
  • In combination with a SCSI HBA to execute a single software RAID 0 striped set
  • When used to run optional Large Memory Enable/PAE testing using physical address extensions. These devices must support a minimum of 6 GB of system memory, and require 64-bit adapters.

Fibre Channel controller double PCI-to-PCI bridge tests

Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device

Double PCI-to-PCI bridge tests

  • Storage Device Stress

Dual adapter tests

  • Storage Device Stress

Stripe across Fibre Channel and SCSI hard disk drives tests

  • NTFS - File I/O
  • RAID Data Integrity
  • Storage Device Stress
  • SysCache

Test suite run time: TBD

Related links

Fibre Channel controller testing overview
Preparing for Fibre Channel controller double PCI-to-PCI bridge tests
Preparing for Fibre Channel controller dual adapter tests
Preparing for stripe across Fibre Channel and SCSI hard disk drive tests
Preparing for Fibre Channel controller Large Memory/PAE tests


Preparing for Fibre Channel controller double PCI-to-PCI bridge testing

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

Before running the Hardware Compatibility Tests (HCT) on the test system, you must install and configure the system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see the Fibre Channel controller testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for Fibre Channel controller double PCI-to-PCI bridge tests for the Windows Whistler Advanced Server.

To configure the test systems for Fibre Channel controller double PCI-to-PCI bridge tests

  1. Turn off the test system.
  2. Remove the test device from its PCI slot.
  3. Insert one PCI-to-PCI bridge into the PCI slot.
  4. Insert a second PCI-to-PCI bridge into the first bridge.
  5. Reinstall the Fibre Channel controller test device into the second PCI-to-PCI bridge.
  6. Reconnect the Fibre Channel controller to the RAID system from the previous testing.
  7. Restart the system.

Related links


Running the Fibre Channel controller double PCI-to-PCI bridge tests

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To run the Storage Device Stress test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Storage Device Stress, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.


Preparing for Fibre Channel controller dual adapter testing

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To configure the test systems for Fibre Channel controller dual adapter tests

  1. Turn off the test system.
  2. Insert an identical Fibre Channel controller into the first PCI-to-PCI bridge, and connect it to a Fibre Channel hard drive.
  3. If possible, set the IRQs for both cards to the same IRQ.
  4. Restart the system.
  5. Use the Windows Disk Management utility to create a software RAID 1 mirrored set using one disk on one Fibre Channel controller, and the other disk on the other Fibre Channel controller.

Reformat a drive on the RAID system as necessary to obtain one disk for each Fibre Channel controller.

  6. Turn on the test system. Use the

Related links


Running the Fibre Channel controller dual adapter tests

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To run the Storage Device Stress

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Storage Device Stress, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.


Preparing for stripe across Fibre Channel controller and SCSI hard disk drive testing

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To configure the test systems for Fibre Channel controller stripe across fibre channel adapter and SCSI hard disk drive tests

  1. Use the Windows Disk Management utility to delete all partitions on the Raid system, except for the boot partition, if one exists.
  2. Create an NTFS RAID 0 striped partition that uses all drives on the RAID system.
  3. Create another partition on the SCSI hard disk drives that is not a system drive.

Related links


Running the stripe across Fibre Channel controller and SCSI hard disk drive tests

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection:
  • NTFS - File I/O
  • RAID Data Integrity
  • Storage Device Stress
  • SysCache
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When tests are completed, view test log files.


Fibre Channel Adapter Large Memory (PAE) testing overview

Windows XP HCT 10.0 - Storage

Previous Next

Fibre Channel controller Large Memory/PAE support testing overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

These tests examine the functionality of devices and drivers that are Large Memory Enabled (LME) for Windows Whistler Advanced Server using Physical Address Extensions (PAE). These devices must support a minimum of 6 GB of system memory.

These tests are required for 64-bit component controllers only.

Fibre Channel controller Large Memory/PAE support tests

Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device

  • Large Memory/PAE - Phase 1
  • Large Memory/PAE - Phase 2
  • Large Memory/PAE - System Reset

Test suite run time: TBD

Related links


Preparing for Fibre Channel controller Large Memory/PAE support testing

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To configure the test system for Large Memory/PAE testing

Start test preparation by using the hardware configuration used in Preparing for stripe across Fibre Channel controller and SCSI hard disk drives testing. These tests are dual adapter tests run with different RAID sets created on the separate RAID systems.

  1. Use the Windows Disk Management utility to delete all partitions on the RAID systems, except for the boot partition, if one exists.
  2. Create a RAID 5 set on a single NTFS partition of three drives on one of the RAID systems.
  3. Create another RAID 0 set on a single NTFS partition of three drives on the other RAID system connected to the other Fibre Channel controller.

Related links


Running the Fibre Channel adapter Large Memory (PAE) tests

Windows XP HCT 10.0 - Storage

Previous Next

Running the Fibre Channel controller Large Memory/PAE tests

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To run the Fibre Channel controller Large Memory/PAE tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • Large Memory/PAE - Phase 1
  • Large Memory/PAE - Phase 2
  • Large Memory/PAE - System Reset
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When tests are completed, view and copy test log files.


Fibre Channel controller fabric testing overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.


Preparing for Fibre Channel controller fabric testing

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.


Running the Fibre Channel controller fabric tests

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To run the RAID controller PCI Latency test

  1. Start Test Manager.
  2. At the Test Manager window, in the Available Tests for Selected Test Category pane, expand the folders as necessary, select PCI Latency, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view and copy test log files.
  6. After you have successfully completed all tests required for this upgrade test, return test results.

Name the test results cabinet file Company name Device name FCAptr.cab, where Company name is the name of your company and Device name is the name of your test device.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.


Fibre Channel hard disk drive testing overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

The Hardware Compatibility Test (HCT) procedures are organized by system configuration.

The test procedures for each configuration are divided into a testing overview topic, a preparing for testing topic, and a running the HCT topic.

The test overview topics include links to detailed descriptions of all tests run in a particular configuration. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the test topics include instructions for running the HCT tools.

Click to show or hide information. Fibre Channel hard disk drive tests

Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device

  • NTFS - File I/O
  • FAT - File I/O
  • RAID Data Integrity
  • SysCache
  • Storage Device Stress

Click to show or hide information. System configuration requirements

The Fibre Channel hard disk drive HCT includes the following test configurations:

  • Fibre Channel hard disk drive peer-to-peer tests
  • Fibre Channel hard disk drive arbitrated loop/failure tests
  • Fibre Channel hard disk drive fabric tests

Click to show or hide information. Hardware requirements

The following hardware is required to run the Fibre Channel hard disk drive HCT kit:

One Intel Pentium, or equivalent, test system with the following:

  • Four Fibre Channel hard disk drives - These are the test devices.
  • Two Fibre Channel adapters
  • One Fibre Channel hub for arbitrated loop topology testing
  • One Windows logo’d PCI SCSI adapter
    – or –
    One Windows logo’d onboard PCI SCSI bus
  • Two identical SCSI drives, minimum capacity of 10 GB each
  • Once SCSI or ATA/ATAPI CD-ROM drive

Important: The test system must be included on the Microsoft® Windows® Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the Fibre Channel hard disk drive HCT kit:

  • Windows Whistler Advanced Server operating system
  • Any drivers that do not ship with Windows Whistler Advanced Server
  • The current release of Windows Whistler HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the Fibre Channel hard disk drive tests, testers must know how to do the following tasks:

  • Read NT-based test logs and event logs.
  • Configure systems to different RAID sets.
  • Create and format logical drives.
  • Install and configure Microsoft Debugging Tools for Windows with symbols.
  • Install Windows Whistler Advanced Server from product CD.

Related links


Fibre Channel hard disk drive arbitrated loop/ failure testing overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

This test series examines the functionality of the Fibre Channel hard disk drive in an arbitrated loop configuration.

Fibre Channel hard disk drive arbitrated loop/ failure tests

Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

  • Disk (NTFS File I/O)
  • FAT (File I/O)
  • SysCache
  • Storage Device Stress

Test suite run time: TBD

Related links


Preparing for Fibre Channel hard disk drive arbitrated loop/ failure testing

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see the Fibre Channel hard disk drive testing.overview.

Test system configuration

The Fibre Channel Hard Drive HCT kit requires the following to prepare the test system for testing.

To configure the test systems for the Fibre Channel hard disk drive arbitrated loop/ failure tests

Begin preparation with the system configuration from the prior Fibre channel hard drive peer-to-peer RAID configuration.

  1. Remove the fibre channel hard drive, and install one fibre channel hub to the fibre channel adapter. Connect four fibre channel hard drives to it.
  2. Use Windows Disk Management utility and delete all existing partitions on the fibre channel hard drives.
  3. Create one new partition on one fibre channel hard drive no larger than 4 GB. Format as FAT.
  4. Create one new partition on the next fibre channel hard drive larger than 10 GB. Format as FAT32.
  5. Create one new partition on the next fibre channel hard drive also larger than 10 GB. Format as NTFS.
  6. Create one new partition on the next fibre channel hard drive also larger than 10 GB. Format as NTFS, with compression enabled.

Related links


Running the Fibre Channel hard disk drive arbitrated loop/ failure tests

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To run the arbitrated loop/failure tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection:
  • NTFS - File I/O
  • FAT - File I/O
  • SysCache
  • Storage Device Stress
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view and copy test log files.


Fibre Channel hard disk drive peer-to-peer testing overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

This test series examines the Fibre Channel hard disk drive installed in a peer-to-peer topology with one host bus adapter (HBA) and one single target. It tests FAT, FAT32, NTFS file systems, and RAID sets.

Click to show or hide information. Fibre Channel hard disk drive peer-to-peer tests

Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device

  • FAT - File I/O
  • NTFS - File I/O
  • SysCache
  • Storage Device Stress

Related links

Preparing for Fibre Channel hard disk drive peer-to-peer testing


Preparing for Fibre Channel hard disk drive peer-to-peer testing

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, and install Windows Whistler Advanced Server. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see the Fibre Channel hard disk drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for Fibre Channel hard disk drive peer-to-peer testing for the Windows Whistler Advanced Server operating system.

These tests require that only one test device be connected to multiple hard disk drives by a Fibre Channel hub. No other systems can exist on the hub, and only one hub can be connected to the test device.

Click to show or hide information. To configure the test system for the Fibre Channel hard disk drive peer-to-peer tests

  1. If the test system does not have an on-board SCSI adapter, install a PCI SCSI adapter.
  2. Install two identical SCSI hard disk drives and one CD-ROM drive onto the SCSI bus.
  3. Install the fibre channel adapter, and the test fibre channel hard drive onto it.
  4. Install Windows Whistler Advanced Server onto a 10 GB partition on one of the SCSI hard disk drives.

Install any drivers needed for connecting and using peripheral devices.

  5. After completion of the installation, restart the system.
  6. Use the Windows Disk Management utility to create one 4 GB FAT partition on the test device. Designate the disk a Basic disk.
  7. Install the HCT kit to the second SCSI hard drive, formatted as NTFS. Do not install the HCT onto the system drive or onto the test device.
  8. During installation, you are prompted to select a test kit. At the Custom Setup dialog box, expand Program Categories, expand Storage Controllers and Devices, and then click arrow next to fibre channel hard drives. Click This feature, and all subfeatures, will be installed on local hard drive. Click Next.
  9. In the Ready to Install the Program window, click Install. A progress window appears as the HCT is installing. The Test Selection Wizard displays with all items selected. Click Next. When the installation is completed, click Finish.
  10. Run all tests in Running the Fibre Channel hard disk drive peer-to-peer testsRunning the Fibre Channel hard disk drive configuration 2 peer-to-peer tests(St_409), except do not run the FAT - File I/O_D test. After completing those tests, continue with the following procedure for testing a the FAT32 partition.

Click to show or hide information. To configure the test system for peer-to-peer FAT32 tests

  1. Use the Windows Disk Management utility to delete the existing partition on the test device, and create a partition that is larger than 10 GB, such as 11 GB.
  2. Format the drive FAT32.
  3. Run all tests in Running the Fibre Channel hard disk drive peer-to-peer testsRunning the Fibre Channel hard disk drive configuration 2 peer-to-peer tests(St_409), except do not run the NTFS - File I/O_D test. After completing those tests, continue with the following procedure for testing a the NTFS partition.

Click to show or hide information. To configure the test system for peer-to-peer NTFS tests

  1. Use the Windows Disk Management utility to delete the existing partition on the test device, and create an NTFS partition that uses the entire space on the test device.
  2. Run all tests in Running the Fibre Channel hard disk drive peer-to-peer testsRunning the Fibre Channel hard disk drive configuration 2 peer-to-peer tests(St_409), except do not run the FAT - File I/O_D test. After completing those tests, continue with the following procedure for testing a the NTFS partition.

Related links

Running the Fibre Channel hard disk drive peer-to-peer tests


Running the Fibre Channel hard disk drive peer-to-peer tests

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To run the peer-to-peer tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection:
  • FAT File I/O
  • NTFS - File I/O
  • SysCache
  • Storage Device Stress
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view and copy test log files.


SCSI controller testing overview

The SCSI Controller Hardware Compatibility Test (HCT) procedures are organized by system configuration.

The test procedures for each configuration are divided into a testing overview topic, a preparing for testing topic, and a running the HCT topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, and software requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the test topics include instructions for running the HCT.

Click to show or hide information. System configuration requirements

The SCSI Controller HCT kit includes the following test configurations:

  • SCSI controller configuration 1 test
  • SCSI controller configuration 2 test

Click to show or hide information. SCSI controller configuration 1 tests

The following tests are available for this hardware configuration. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests require user intervention and must be run individually:

  • Crashdump Support
  • Driver Verifier - SCSI Controller
  • Enable/Disable - Device I/O (SCSI Controller)
  • Int 13H Extensions
  • Public Import
  • Signablility

The following tests are automated and can be run together in a group:

  • ACPI Stress - Device I/O (Extended)
  • CD-ROM - File I/O
  • ChkINF - SCSI Adapter
  • FAT - File I/O
  • Mapped - File I/O
  • NTFS - File I/O
  • PCI 2.2 Compliance - SCSI Adapter
  • PCI Latency
  • S3 Compliance
  • Storage Device Stress
  • Tape I/O

Test suite run time: Up to 26 hours

Click to show or hide information. SCSI controller configuration 2 tests

The following tests are available for this hardware configuration. Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests require user intervention and must be run individually:

  • Driver Verifier - SCSI Controller
  • Enable/Disable - Device I/O (SCSI Controller)

The following tests are automated and can be run together in a group:

  • ACPI Stress - Device I/O (Extended)
  • CD-ROM - File I/O
  • FAT - File I/O
  • NTFS - File I/O
  • PCI Latency
  • Storage Device Stress

Test suite run time: Up to 22 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the SCSI Controller HCT kit:

  • One Intel Pentium, or equivalent, system with the following:
  • PCI bus
  • Logo-compliant ACPI BIOS, with ACPI enabled by default
  • Minimum 256 MB of RAM
  • One boot-capable floppy disk drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • Two identical SCSI controllers — These are the test devices
  • One PCI to PCI bridge
  • Two identical SCSI hard disk drives, largest capacity available, minimum 18 GB capacity

If the test device supports Wide SCSI, all hard disk drives used for testing must be Wide SCSI

  • Two SCSI CD-ROM drives, minimum 8x speed
  • One SCSI removable media drive
  • One SCSI tape drive

If the test device supports Wide SCSI, all tape drives used for testing must be Wide SCSI.

  • One blank tape cartridge that is prepared for use
  • One blank floppy disk
  • One FoxFire II PCI adapter

Important: All hardware (except the test device) must be included on the Microsoft® Windows® Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the SCSI Controller HCT kit:

  • Windows XP Professional operating system.
  • Any drivers that do not ship with Windows XP Professional.
  • Two copies of the current release of the Windows XP HCT 10.0 on CD.
  • Debugging Tools for Windows
  • Windows XP Symbols files

Click to show or hide information. Tester knowledge requirements

To run the SCSI controller tests, testers must know how to do the following tasks:

  • Physically install a hard disk drive.
  • Format and partition a hard disk drive, including low-level formatting.
  • Physically set the SCSI ID on a hard disk drive.
  • Physically install a CD-ROM drive.
  • Physically install a tape drive.
  • Prepare a blank tape cartridge for use.
  • Physically install a removable media drive.
  • Format and partition a removable media drive.
  • Physically install a SCSI controller.
  • Physically install a PCI to PCI bridge.
  • Set asynchronous negotiation on a SCSI controller.
  • Physically install the FoxFire II PCI adapter.
  • Access and change the system BIOS settings.
  • Install and use the Debugging Tools for Windows.
  • Install and use the Windows XP Symbols files.
  • Install the Windows XP Professional operating system from the product CD.

Related links


Preparing for SCSI controller configuration 1 testing

Before running the SCSI controller configuration 1 tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see SCSI controller testing overview.

Test system configuration

The HCT kit requires the following to prepare the test systems for testing SCSI controller configuration 1 for the Windows XP Professional operating system:

To assemble the test system for SCSI controller configuration 1 testing

Note: All adapters are operated with BIOS enabled and external termination unless otherwise noted.

  1. Turn off the test system and disconnect it from the electrical socket.

CAUTION: Installing a PCI card on the bus while a system is turned on could damage the PCI card or the system. ACPI systems are on even when they appear to be off.

  2. Physically install the SCSI controller (test device).
  3. Physically install one FoxFire II PCI adapter on PCI bus 0.
  4. Physically install the SCSI hard disk drives on the test device. These drives are referred to as Drive 1 and Drive 2.
  5. If the test device supports Wide SCSI, physically set the SCSI ID of Drive 2 to any Wide-specific ID (numbers 8 through 15).
  6. Physically install one SCSI CD-ROM drive on the test device.
  7. Physically install one SCSI tape drive on the test device.
  8. Physically install one SCSI removable media drive on the test device.

To configure the test system for SCSI controller configuration 1 testing

  1. Turn on the test system and set the system BIOS to boot from the CD-ROM drive.
  2. Using the test device's format function, add low level formatting to all hard disk drives.
  3. Insert the Windows XP Professional operating system CD into the CD-ROM drive and restart the test system.
  4. Install the Windows XP Professional operating system on Drive 1.

During installation, delete any existing partitions and create one partition using a minimum of 8.5GB of disk space. Format the partition with the NTFS file system.

  5. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  6. On Drive 2, delete any existing partitions and create three new partitions of a minimum 2,000 MB each. Format one partition with the FAT file system, one partition with the FAT32 file system, and one partition with the NTFS file system.
  7. Install the Debugging Tools for Windows to C:\debuggers
  8. Copy the Windows XP Symbols files to C:\Symbols
  9. Insert a prepared blank tape cartridge into the SCSI tape drive and verify that the operating system detects the tape as free.
  10. Insert blank media into the removable media drive. Delete any existing partitions on the media and create one partition using all available disk space. Format the partition with the FAT file system
  11. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select SCSI Controller, and then click Next.

Related links

FoxFire II PCI adapter
SCSI controller testing overview
Running the SCSI controller configuration 1 manual tests
Running the SCSI controller configuration 1 automated tests


Running the SCSI controller configuration 1 manual tests

To run the Crashdump Support test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Crashdump Support, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Driver Verifier - SCSI Controller test

Note: The Driver Verifier - SCSI Controller test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Driver Verifier - SCSI Controller, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Enable/Disable - Device I/O (SCSI Controller) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (SCSI Controller), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the INT 13H Extensions test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select INT 13H Extensions, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Public Import test

Note: The Public Import test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Public Import, and then click Add Selection.
  3. Click Start Tests.
  4. A dialog box displays. Provide the path to your driver(s) as it appears on the distribution media and click Go.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Signability test

Note: The Signability test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Signability, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

Related links

Running the SCSI controller configuration 1 automated tests


Running the SCSI controller configuration 1 automated tests

To run the SCSI controller configuration 1 automated tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection.
  • ACPI Stress - Device I/O (Extended)
  • CD-ROM - File I/O
  • ChkINF - SCSI Adapter

Note: The ChkINF test is required only if the test device uses a manufacturer-supplied driver.

  • FAT - File I/O
  • Mapped - File I/O
  • NTFS - File I/O
  • PCI 2.2 Compliance - SCSI Adapter
  • S3 Compliance
  • Storage Device Stress
  • Tape I/O
  3. Click Start Tests.
  4. When tests are completed, view test log files.
  5. Run all other required tests for this configuration.

To run the PCI Latency test

Important: The PCI Latency test must be run last, after all other tests have been completed successfully.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Z[Run Last] PCI Latency, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files to media.
  5. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config1.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

SCSI controller testing overview


Preparing for SCSI controller configuration 2 testing

Before running the SCSI controller configuration 2 tests, you must configure the system and install the Windows® XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see SCSI controller testing overview.

Test system configuration

The HCT kit requires the following to prepare the test systems for testing SCSI controller configuration 2 for the Windows XP Professional operating system:

To assemble the test system for SCSI controller configuration 2 testing

  1. Assemble the test system as described in Preparing for SCSI controller configuration 1 testing.
  2. With the test system powered off disconnected from the electrical socket, physically install a PCI to PCI bridge in the test system.
  3. Physically install a duplicate SCSI controller on the PCI to PCI bridge.
  4. Physically install a SCSI CD-ROM drive on the duplicate SCSI controller.
  5. Physically uninstall Drive 2 from the test device.
  6. Physically install Drive 2 on the duplicate SCSI controller.

To configure the test system for SCSI controller configuration 2 testing

  1. Turn on the test system and set the system BIOS to boot from the CD-ROM drive.
  2. Using the test device's format function, add low level formatting to all hard disk drives.
  3. Insert the Windows XP Professional operating system CD into the CD-ROM drive and restart the test system.
  4. Install the Windows XP Professional operating system on Drive 1.

During installation, delete any existing partitions and create one partition using a minimum of 8.5 GB of disk space. Format the partition with the NTFS file system.

  5. If necessary, install any manufacturer-supplied drivers required by devices in the test system.
  6. Verify that the duplicate SCSI controller is supported in its position on the PCI to PCI adapter.
  7. On Drive 2, delete any existing partitions and create three new partitions of a minimum of 2,000 MB each. Format one partition with the FAT 16 file system, one partition with the FAT 32 file system, and one partition with the NTFS file system.
  8. Insert a Windows XP HCT 10.0 CD into each CD-ROM drive installed on the test system.
  9. Insert a prepared blank tape cartridge into the SCSI tape drive and verify that the operating system detects the tape as free.
  10. Insert blank media into the removable media drive. Delete any existing partitions on the media and create one partition using all available disk space. Format the partition with the FAT file system
  11. Install the HCT kit.

During installation, you will be prompted to select a test kit. At the Custom Setup window, click Test Categories, click Storage Controllers and Devices, select SCSI Controller, and then click Next.

Related links

FoxFire II PCI adapter
SCSI controller testing overview
Running the SCSI controller configuration 2 manual tests
Running the SCSI controller configuration 2 automated tests


Running the SCSI controller configuration 2 manual tests

To run the Driver Verifier - SCSI Controller test

Note: The Driver Verifier - SCSI Controller test is required only if the test device uses a manufacturer-supplied driver.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Driver Verifier - SCSI Controller, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run the Enable/Disable - Device I/O (SCSI Controller) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (SCSI Controller), and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.

6. Run all other required tests for this configuration.

Related links

Running the SCSI controller configuration 2 automated tests


Running the SCSI controller configuration 2 automated tests

To run the SCSI Controller configuration 2 tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection:
  • ACPI Stress – Device I/O (Extended)
  • CD-ROM - File I/O
  • FAT - File I/O
  • NTFS - File I/O
  • Storage Device Stress
  3. Click Start Tests.
  4. When tests are completed, view test log files.
  5. Run all other required tests for this configuration.

To run the PCI Latency test

Important: The PCI Latency test must be run last, after all other tests have been completed successfully.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Z[Run Last] PCI Latency, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files to media.
  5. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name Config2.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.

Related links

SCSI controller testing overview


Media changer hardware testing overview

This is preliminary documentation and subject to change. For the complete list of RC content, refer to the Windows XP HCT Release Notes file.

These tests examine the high-level and low-level functionality of the media changer when used in a Windows environment.

The test procedures are divided into an overview, a preparing for tests topic, and a running the tests topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the test topics include instructions for running the HCT tools.

The testing begins with upgrade from Windows® 2000 Advanced Server to Windows Whistler Advanced Server tests, and is followed by functionality tests.

Click to show or hide information. Media changer hardware tests

The Media Changer Hardware HCT kit includes the following tests.

Test Manager automatically detects whether the system uses a 32-bit or 64-bit platform, and lists only required tests appropriate to the platform. Run only the tests listed in Test Manager for your test device.

The following tests require user intervention and must be run individually:

  • Driver Verifier - Medium Changer
  • Enable/Disable - Device I/O (Storage)
  • Media Changer
  • Public Import

The following tests are automated and can be run together in a group:

  • ACPI Stress - Device I/O (Extended)
  • ChkINF - Medium Changer
  • Media Changer Stress
  • Surprise Removal
  • Tape I/O

Note: If the test device uses a driver that ships with Windows Whistler Advanced Server, it will not be necessary to run the ChkINF test.

Click to show or hide information. Hardware requirements

The following hardware is required to run the Media Changer hardware tests HCT kit:

  • One media changer installed on the test system - This is the test device.
  • One Intel Pentium, or equivalent, test system with the following:
  • Minimum 64 MB of RAM
  • One PCI bus
  • One SCSI adapter
  • One SCSI hard disk drive
  • One SCSI CD-ROM drive
  • One single-ended Adaptec AHA-2940UW, Symbios Logic LSI 8xx
  • One differential Adaptec AHA-2944UW, Symbios Logic LSI 8xx diff
  • One SCSI tape drive
  • Three blank media cartridges for each drive on the media changer, and one cleaning cartridge
  • One sound card (for CD and DVD players)
  • Set of speakers or headphones (for CD and DVD players)

Important: The test system must be included on the Microsoft® Windows® Hardware Compatibility List (HCL), and all hardware on the test system must be compliant with WLP 1.1 (B2.5.2) Industry Standards.

Click to show or hide information. Software requirements

The following software is required to run the media changer HCT kit:

  • Windows 2000 Advanced Server operating system
  • Windows Whistler Advanced Server operating system
  • Any drivers that do not ship with Windows 2000 Advanced Server or Windows Whistler Advanced Server
  • The current release of Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the media changer compatibility tests, testers must know how to do the following tasks:

  • Read NT-based test logs and event logs.
  • Create and format logical drives.
  • Install and configure Microsoft® Debugging Tools for Windows with symbols.
  • Install Windows 2000 Advanced Server and Windows Whistler Advanced Server operating system from the product CD.

Related links

Preparing for media changer hardware testing

Microsoft Windows HCL


Preparing for media changer hardware testing

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, install Windows® 2000 Advanced Server, and upgrade to the Windows Whistler Advanced Server. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see the Media changer hardware testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for media changer hardware testing for the Windows Whistler operating system.

To configure the test systems for media changer hardware testing

Note: It is assumed that the test device is can be auto-configured by Windows Remote Service Management (RSM). If the test device cannot be auto-configured, check the RSM Help files for instructions on manually configuring the device.

  1. Turn off the test system.
  2. Physically install the following:
  • One SCSI adapter on the PCI bus.
  • One SCSI hard disk drive
  • One SCSI CD-ROM drive
  • One SCSI tape drive
  • One single-ended Adaptec AHA-2940UW, Symbios Logic LSI 8xx, differential Adaptec AHA-2944UW, Symbios Logic LSI 8xx diff, or a logo'd fibre channel host bus adapter (HBA)
  3. Physically install the test device.
  4. Load the test device with minimum three blank media for each drive.
  5. Turn on the test system.
  6. Install Windows 2000 Advanced Server to the SCSI hard disk drive.
  7. Install Windows 2002 Advanced Server, upgrading Windows 2000 Advanced Server.
  8. Install the HCT kit.
  9. During installation, you will be prompted to select a test kit. At the Custom Setup dialog box, expand Program Categories, expand Storage Systems and Devices, and then click Media Changer. Click This feature, and all subfeatures, will be installed on local hard drive. Click Next.
  10. From the Ready to Install the Program window, click Install. A progress window displays as the HCT is installing. The Test Selection Wizard displays with all items selected. Click Next. When the progress window completes, click Finish.

Related links


Running the media changer hardware tests

To run the media changer hardware tests

  1. Start Test Manager
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection:
  • ACPI Stress - Device I/O
  • ChkINF - Medium Changer
  • Media Changer Stress
  • Surprise Removal
  • Tape I/O
  3. Click Start Tests
  4. Follow the instructions displayed.

Tests that require user intervention and must be run individually:
  • Driver Verifier - Medium Changer
  • Enable/Disable - Device I/O (Storage)
  • Media Changer
  • Public Import
  5. When the tests are completed, view test log files.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Windows XP HCT 10.0 - Storage

1394 CD-R and CD-RW Drive HCT


Windows XP HCT 10.0 - Storage

1394 CD-ROM Drive HCT


Windows XP HCT 10.0 - Storage

1394 DVD-ROM Drive HCT


Windows XP HCT 10.0 - Storage

1394 Hard Disk Drive HCT


1394 hard disk drive configuration 1 test


1394 hard disk drive configuration 2


1394 hard disk drive configuration 3


1394 Removable Media Drive HCT


Windows XP HCT 10.0 - Storage

1394 Tape Drive HCT


ATA/ATAPI Removable Media Drive HCT


ATA/ATAPI removable media drive configuration 1


ATA/ATAPI removable media drive configuration 2


ATA/ATAPI removable media drive configuration 3


ATA/ATAPI CD-R and CD-RW Drive HCT


Windows XP HCT 10.0 - Storage

ATA/ATAPI CD-ROM Drive HCT


Windows XP HCT 10.0 - Storage

ATA/ATAPI DVD-ROM Drive HCT


Windows XP HCT 10.0 - Storage

ATA/ATAPI Hard Disk Drive HCT


Windows XP HCT 10.0 - Storage

ATA/ATAPI Tape Drive HCT


Windows XP HCT 10.0 - Storage

ATA/ATAPI Controller HCT


ATA/ATAPI controller configuration 1


ATA/ATAPI controller configuration 2


Fibre Channel adapter basic tests

Windows XP HCT 10.0 - Storage

Fibre Channel controller basic functionality tests


Fibre Channel adapter dual adapter tests

Windows XP HCT 10.0 - Storage

Fibre Channel controller double PCI-to-PCI bridge tests


Fibre Channel controller Large Memory/PAE support tests (optional)


Fibre Channel controller upgrade from Windows 2000 tests


Fibre Channel controller fabric tests


Windows XP HCT 10.0 - Storage

Fibre Channel Controller HCT


Fibre Channel Hard Disk Drive HCT


Fibre Channel hard disk drive arbitrated loop/ failure tests


Fibre Channel hard disk drive peer-to-peer tests


Preparing for Fibre Channel hard disk drive peer-to-peer RAID testing

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, and install Windows Whistler Advanced Server. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see the Fibre Channel hard disk drive testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for Fibre Channel hard disk drive peer-to-peer RAID testing for the Windows Whistler Advanced Server operating system.

To configure the test system for the Fibre Channel hard disk drive peer-to-peer tests

  1. Start with the system configuration from the prior testing in the Fibre Channel hard disk drive peer to peer testing.
  2. Use the Windows Disk Management utility to delete the existing partition on the test device.
  3. Create a new NTFS partition on the test device. Convert the fibre channel hard drive and the second SCSI hard drive to Dynamic drives.
  4. Create a single software RAID 0 striped set with the fibre channel hard drive and the second SCSI hard drive.


Running the Fibre Channel hard disk drive peer-to-peer RAID tests

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To run the RAID Data Integrity test

This test requires manual intervention, therefore it must be run first.
  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select RAID Data Integrity, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run other peer-to-peer RAID tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection:
  • NTFS - File I/O
  • SysCache
  • Storage Device Stress
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view and copy test log files.


Preparing for Fibre Channel hard disk drive arbitrated loop/ failure RAID testing

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware. This section summarizes the related requirements and procedures.

For a complete list of hardware, software, and tester knowledge requirements, see the Fibre Channel hard disk drive testing.overview.

Test system configuration

The Fibre Channel Hard Drive HCT kit requires the following to prepare the test system for testing.

Click to show or hide information. To configure the test systems for the Fibre Channel hard disk drive arbitrated loop/ failure RAID tests

Begin preparation with the system configuration from the prior fibre channel hard drive arbitrated loop/ failure configuration.

  1. Use Windows Disk Management utility and delete all existing partitions on the fibre channel hard drives. Use all space on the hard drives.
  2. Create an NTFS RAID 0 striped set on the four fibre channel hard drives.
  3. Run all tests in Running the Fibre Channel hard disk drive arbitrated loop/ failure RAID tests, except do not run the NTFS - File I/O_D, and the PCI Latency tests. After completing those tests, continue with the following procedure for testing with a RAID 5 set.

Click to show or hide information. To configure the test systems for the RAID 5 tests

  1. Use Windows Disk Management utility and delete all existing partitions on the fibre channel hard drives.
  2. Create a compressed NTFS RAID 0 striped-with-parity set on the four fibre channel hard drives. Use all space on the hard drives.
  3. Run all tests in Running the Fibre Channel hard disk drive arbitrated loop/ failure RAID tests, except do not run the PCI Latency tests.
    While the RAID Data Integrity test is running, open the Disk Management utility, right-click on one of the fibre channel hard drive graphics, and choose Repair Volume.
  4. After completing those tests, continue with the following procedure for testing with a RAID 5 set striped across fibre channel and the SCSI bus.

Click to show or hide information. To configure the test systems RAID 5 set striped across fibre channel and SCSI bus.

  1. Use Windows Disk Management utility and delete all existing partitions on the fibre channel hard drives.
  2. Create an NTFS Striped RAID 5 set that includes all the fibre channel hard drives and the SCSI hard drive that does not have the system installed on it.
  3. Run all tests in Running the Fibre Channel hard disk drive arbitrated loop/ failure RAID tests.


Running the Fibre Channel hard disk drive arbitrated loop/ failure RAID tests

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To run the RAID Data Integrity test

This test requires manual intervention, therefore it must be run first.
  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select RAID Data Integrity, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests for this configuration.

To run other arbitrated loop/failure RAID tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select the following tests. To select a test, click the test name, and then click Add Selection:
  • NTFS - File I/O_D
  • SysCache_D
  • Storage Device Stress
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view and copy test log files.

To run the PCI Latency test

  1. Start Test Manager.
  2. At the Test Manager window, in the Available Tests for Selected Test Category pane, expand the folders as necessary, select Z[Run Last] PCI Latency, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view and copy test log files.
  6. After you have successfully completed all tests required for this test configuration, return test results.

Name the test results cabinet file Company name Device name FCHD.cab.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test configuration.


Windows XP HCT 10.0 - Storage

Media Changer Hardware HCT


PC Card CD-R and CD-RW Drive HCT


Windows XP HCT 10.0 - Storage

PC Card CD-ROM Drive HCT


Windows XP HCT 10.0 - Storage

PC Card Tape Drive HCT


Windows XP HCT 10.0 - Storage

RAID-JBOD Windows XP HCT


RAID-JBOD Windows Whistler Advanced Server HCT


RAID-JBOD basic tests with Windows Whistler Advanced Server


RAID-JBOD software RAID tests with Windows Whistler Advanced Server


Windows XP HCT 10.0 - Storage

RAID Cluster Device HCT


RAID cluster device hardware tests


RAID cluster device services tests


RAID cluster device simultaneous reboot test


RAID Controller Windows XP HCT


RAID controller basic functionality tests with Windows XP


RAID controller hardware failure and stress tests with Windows XP


RAID controller upgrade from Windows 98 SE tests


RAID controller upgrade from Windows 2000 Professional tests


RAID controller double PCI-to-PCI bridge and dual adapter tests with Windows XP


RAID controller software stress tests with Windows Whistler Advanced Server


RAID controller Large Memory Enabled/PAE support tests with Windows Whistler Advanced Server


RAID controller hot spares tests with Windows Whistler Advanced Server


RAID Controller Windows Whistler Advanced Server HCT


RAID controller basic functionality tests with Windows Whistler Advanced Server


RAID controller hardware failure and stress tests with Windows Whistler Advanced Server


RAID controller notification tests with Windows Whistler Advanced Server


RAID controller upgrade from Windows 2000 Advanced Server tests


RAID controller double PCI-to-PCI bridge and dual adapter tests with Windows Whistler Advanced Server


Windows XP HCT 10.0 - Storage

RAID Multi-cluster Device HCT


RAID multi-cluster basic system tests


RAID multi-cluster verification of cluster connection independence tests


RAID system basic functionality tests


RAID system hardware failure and stress tests


Windows XP HCT 10.0 - Storage

RAID system hot spares tests


RAID system software stress tests


RAID system notification tests


RAID system upgrade from Windows 2000 tests


Windows XP HCT 10.0 - Storage

SCSI CD-R and CD-RW Drive HCT


Windows XP HCT 10.0 - Storage

SCSI CD-ROM Drive HCT


Windows XP HCT 10.0 - Storage

SCSI Hard Disk Drive HCT


SCSI Removable Media Drive HCT


Windows XP HCT 10.0 - Storage

SCSI Tape Drive HCT


Windows XP HCT 10.0 - Storage

SCSI Controller HCT


Windows XP HCT 10.0 - Storage

Storage test descriptions


USB Device Installation test

This test verifies the proper installation of Universal Serial Bus (USB) devices on the system. When a USB device is first inserted into the system, it must automatically prompt for, and allow the installation of any required software that is not provided by the operating system.

The test also verifies that the test device does not require a reboot after installation.

Run time: 5 minutes

Log file name: USBdit.log

Operating system: Windows® XP Professional

Test assertions: Chapter 9: USB Host Controller, Hub and Peripheral Device Test Specification

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


Public Import test

This test verifies that no application program interfaces (APIs) called by drivers are "off-limits." The test is part of the Signability requirements and is based on the driver class model.

The Public Import test scans all the files in the distribution media to determine those that are linked to ntoskrnl.exe and hal.dll. The import table of those binaries is checked against the Public Import test illegal list, which is derived by analyzing the import calls of all drivers logo’d for Windows® 2000.

The Public Import test is required for devices using manufacturer-supplied drivers only. To run the Public Import test, the driver file must be available in its uninstalled format (for example, files on the source media).

Run time: 5 minutes

Log file name: pit.log

Operating system: Windows® XP Professional

Test assertion: Chapter 22: Driver Quality Test Specification

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


Extensible Firmware Interface test

Extensible Firmware Interface (EFI) is a new standard for the interface provided by the firmware that boots PCs. Microsoft supports EFI as the only firmware interface to boot the 64-bit version of Windows for the Intel Architecture. Because the 64-bit version of Windows will not boot with BIOS or with System Abstraction Layer (SAL) alone, EFI is a requirement for all Intel Itanium-based systems to boot Windows.

Note: The Extensible Firmware Interface test is only used to test 64-bit systems.

Run time: 30 Minutes

Log file name: Efintlog.log

Operating system: Windows® XP Professional

Test assertion: Chapter 2: Extensible Firmware Interface Test Specification

Additional Hardware requirements

One Symbios 22910 SCSI Controller installed in the test system.

The tests in the Storage HCT kit are used in several different test system configurations in each test category. Please refer to the test procedure documentation for your specific test category for information on required system configurations and test procedures.


Windows XP HCT 10.0 - Storage

USB CD-ROM Drive HCT


Windows XP HCT 10.0 - Storage

USB CD-R and CD-RW Drive HCT


Windows XP HCT 10.0 - Storage

USB DVD-ROM Drive HCT


Windows XP HCT 10.0 - Storage

USB Removable Media Drive HCT


Warning

Windows XP HCT 10.0 - Storage

Important

This file is only a component of the Whistler Hardware Compatibility Test (HCT) Help system, and is not intended to be used as a stand-alone file.

Instead, use the HCThelp.chm file for information on the Microsoft Windows Logo Program for Hardware, testing hardware and drivers with the HCT, and installing and running the HCT.